"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  flappingSchema: true,
  rawRuleSchema: true
};
exports.rawRuleSchema = exports.flappingSchema = void 0;
var _configSchema = require("@kbn/config-schema");
var _v = require("./v1");
Object.keys(_v).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _v[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _v[key];
    }
  });
});
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const flappingSchema = exports.flappingSchema = _configSchema.schema.object({
  lookBackWindow: _configSchema.schema.number(),
  statusChangeThreshold: _configSchema.schema.number()
});
const rawRuleSchema = exports.rawRuleSchema = _v.rawRuleSchema.extends({
  flapping: _configSchema.schema.maybe(_configSchema.schema.nullable(flappingSchema))
});