"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SERVICE_METADATA_SERVICE_KEYS = exports.SERVICE_METADATA_KUBERNETES_KEYS = exports.SERVICE_METADATA_INFRA_METRICS_KEYS = exports.SERVICE_METADATA_CONTAINER_KEYS = exports.SERVICE_METADATA_CLOUD_KEYS = void 0;
var _apm = require("./es_fields/apm");
var _as_mutable_array = require("./utils/as_mutable_array");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const SERVICE_METADATA_SERVICE_KEYS = exports.SERVICE_METADATA_SERVICE_KEYS = (0, _as_mutable_array.asMutableArray)([_apm.SERVICE_NODE_NAME, _apm.SERVICE_VERSION, _apm.SERVICE_RUNTIME_NAME, _apm.SERVICE_RUNTIME_VERSION]);
const SERVICE_METADATA_CONTAINER_KEYS = exports.SERVICE_METADATA_CONTAINER_KEYS = (0, _as_mutable_array.asMutableArray)([_apm.CONTAINER_ID, _apm.HOST_NAME, _apm.KUBERNETES_POD_UID, _apm.KUBERNETES_POD_NAME]);
const SERVICE_METADATA_INFRA_METRICS_KEYS = exports.SERVICE_METADATA_INFRA_METRICS_KEYS = (0, _as_mutable_array.asMutableArray)([_apm.KUBERNETES_CONTAINER_NAME, _apm.KUBERNETES_NAMESPACE, _apm.KUBERNETES_REPLICASET_NAME, _apm.KUBERNETES_DEPLOYMENT_NAME]);
const SERVICE_METADATA_CLOUD_KEYS = exports.SERVICE_METADATA_CLOUD_KEYS = (0, _as_mutable_array.asMutableArray)([_apm.CLOUD_AVAILABILITY_ZONE, _apm.CLOUD_INSTANCE_ID, _apm.CLOUD_INSTANCE_NAME, _apm.CLOUD_MACHINE_TYPE, _apm.CLOUD_PROVIDER]);
const SERVICE_METADATA_KUBERNETES_KEYS = exports.SERVICE_METADATA_KUBERNETES_KEYS = (0, _as_mutable_array.asMutableArray)([_apm.KUBERNETES_CONTAINER_NAME, _apm.KUBERNETES_NAMESPACE, _apm.KUBERNETES_DEPLOYMENT_NAME, _apm.KUBERNETES_POD_NAME, _apm.KUBERNETES_POD_UID, _apm.KUBERNETES_REPLICASET_NAME]);