"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RandomSamplerBadge = RandomSamplerBadge;
var _i18n = require("@kbn/i18n");
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function RandomSamplerBadge() {
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiToolTip, {
    content: _i18n.i18n.translate('xpack.apm.dependencies.randomSampler.tooltip', {
      defaultMessage: 'This view is using random sampler aggregations due to the amount of data found in the selected time range. Sampling has been configured to balance accuracy and speed. Reduce the time range to see un-sampled data.'
    })
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiBadge, {
    iconType: "iInCircle",
    color: "hollow"
  }, _i18n.i18n.translate('xpack.apm.dependencies.randomSampler.badge', {
    defaultMessage: `Based on sampled spans`
  }))));
}