"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EditAPMPolicyForm = EditAPMPolicyForm;
var _react = _interopRequireDefault(require("react"));
var _ = require(".");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function EditAPMPolicyForm({
  newPolicy,
  onChange
}) {
  const [firstInput, ...restInputs] = newPolicy === null || newPolicy === void 0 ? void 0 : newPolicy.inputs;
  const vars = firstInput === null || firstInput === void 0 ? void 0 : firstInput.vars;
  function updateAPMPolicy(newVars, isValid) {
    onChange({
      isValid,
      updatedPolicy: {
        inputs: [{
          ...firstInput,
          vars: newVars
        }, ...restInputs]
      }
    });
  }
  return /*#__PURE__*/_react.default.createElement(_.APMPolicyForm, {
    vars: vars,
    updateAPMPolicy: updateAPMPolicy
  });
}