"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CustomLinkList = CustomLinkList;
var _react = _interopRequireDefault(require("react"));
var _public = require("@kbn/observability-shared-plugin/public");
var _style = require("../../../../utils/style");
var _custom_link = require("../../../../../common/custom_link");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function CustomLinkList({
  customLinks,
  transaction
}) {
  return /*#__PURE__*/_react.default.createElement(_public.SectionLinks, {
    style: {
      maxHeight: _style.unit * 10,
      overflowY: 'auto'
    }
  }, customLinks.map(link => {
    const href = (0, _custom_link.getEncodedCustomLinkUrl)(link.url, transaction);
    return /*#__PURE__*/_react.default.createElement(_public.SectionLink, {
      key: link.id,
      label: link.label,
      href: href,
      target: "_blank"
    });
  }));
}