"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Clipboard = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _copyToClipboard = _interopRequireDefault(require("copy-to-clipboard"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _react = _interopRequireDefault(require("react"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class Clipboard extends _react.default.PureComponent {
  constructor(...args) {
    super(...args);
    (0, _defineProperty2.default)(this, "onClick", ev => {
      const {
        content,
        onCopy
      } = this.props;
      ev.preventDefault();
      onCopy((0, _copyToClipboard.default)(content.toString(), {
        debug: true
      }));
    });
  }
  render() {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: "canvasClipboard",
      onClick: this.onClick,
      onKeyPress: this.onClick,
      role: "button",
      tabIndex: 0
    }, this.props.children);
  }
}
exports.Clipboard = Clipboard;
(0, _defineProperty2.default)(Clipboard, "propTypes", {
  children: _propTypes.default.element.isRequired,
  content: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]).isRequired,
  onCopy: _propTypes.default.func
});