"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ColorDot = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _tinycolor = _interopRequireDefault(require("tinycolor2"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ColorDot = ({
  value,
  children
}) => {
  const tc = (0, _tinycolor.default)(value);
  let style = {};
  if (tc.isValid()) {
    style = {
      background: value
    };
  }
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "canvasColorDot"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "canvasColorDot__background canvasCheckered"
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "canvasColorDot__foreground",
    style: style
  }, children));
};
exports.ColorDot = ColorDot;
ColorDot.propTypes = {
  children: _propTypes.default.node,
  value: _propTypes.default.string
};