"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ESFieldsSelect = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _lodash = require("lodash");
var _usePrevious = _interopRequireDefault(require("react-use/lib/usePrevious"));
var _es_fields_select = require("./es_fields_select.component");
var _data_view_helpers = require("../../lib/data_view_helpers");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ESFieldsSelect = props => {
  const {
    index,
    selected,
    onChange
  } = props;
  const [fields, setFields] = (0, _react.useState)([]);
  const prevIndex = (0, _usePrevious.default)(index);
  const mounted = (0, _react.useRef)(true);
  (0, _react.useEffect)(() => {
    if (prevIndex !== index) {
      (0, _data_view_helpers.getDataViewFields)(index).then(newFields => {
        if (!mounted.current) {
          return;
        }
        setFields(newFields || []);
        const filteredSelected = selected.filter(option => (newFields || []).includes(option));
        if (!(0, _lodash.isEqual)(filteredSelected, selected)) {
          onChange(filteredSelected);
        }
      });
    }
  }, [fields, index, onChange, prevIndex, selected]);
  (0, _react.useEffect)(() => () => {
    mounted.current = false;
  }, []);
  return /*#__PURE__*/_react.default.createElement(_es_fields_select.ESFieldsSelect, (0, _extends2.default)({}, props, {
    fields: fields
  }));
};
exports.ESFieldsSelect = ESFieldsSelect;