"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PlatinumLicenseCallout = void 0;
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
var _i18nReact = require("@kbn/i18n-react");
var i18n = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const PlatinumLicenseCalloutComponent = () => {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiCallOut, {
    title: i18n.UPGRADE_TO_PLATINUM,
    id: "case-callout-license-info",
    iconType: "gear",
    "data-test-subj": "case-callout-license-info"
  }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    defaultMessage: "Assigning users to cases or opening cases in external systems is available when you have the {appropriateLicense}, are using a {cloud}, or are testing out a Free Trial.",
    id: "xpack.cases.platinumLicenseCalloutMessage",
    values: {
      appropriateLicense: /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
        href: "https://www.elastic.co/subscriptions",
        target: "_blank"
      }, i18n.LINK_APPROPRIATE_LICENSE),
      cloud: /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
        href: "https://www.elastic.co/cloud/elasticsearch-service/signup",
        target: "_blank"
      }, i18n.LINK_CLOUD_DEPLOYMENT)
    }
  }));
};
PlatinumLicenseCalloutComponent.displayName = 'PlatinumLicenseCalloutComponent';
const PlatinumLicenseCallout = exports.PlatinumLicenseCallout = /*#__PURE__*/_react.default.memo(PlatinumLicenseCalloutComponent);