"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CaseFormFields = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _title = require("./title");
var _tags = require("./tags");
var _category = require("./category");
var _severity = require("./severity");
var _description = require("./description");
var _use_cases_features = require("../../common/use_cases_features");
var _assignees = require("./assignees");
var _custom_fields = require("./custom_fields");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const CaseFormFieldsComponent = ({
  isLoading,
  configurationCustomFields,
  setCustomFieldsOptional = false,
  isEditMode,
  draftStorageKey
}) => {
  const {
    caseAssignmentAuthorized
  } = (0, _use_cases_features.useCasesFeatures)();
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    "data-test-subj": "case-form-fields",
    direction: "column",
    gutterSize: "none"
  }, /*#__PURE__*/_react.default.createElement(_title.Title, {
    isLoading: isLoading
  }), caseAssignmentAuthorized ? /*#__PURE__*/_react.default.createElement(_assignees.Assignees, {
    isLoading: isLoading
  }) : null, /*#__PURE__*/_react.default.createElement(_tags.Tags, {
    isLoading: isLoading
  }), /*#__PURE__*/_react.default.createElement(_category.Category, {
    isLoading: isLoading
  }), /*#__PURE__*/_react.default.createElement(_severity.Severity, {
    isLoading: isLoading
  }), /*#__PURE__*/_react.default.createElement(_description.Description, {
    isLoading: isLoading,
    draftStorageKey: draftStorageKey
  }), /*#__PURE__*/_react.default.createElement(_custom_fields.CustomFields, {
    isLoading: isLoading,
    setCustomFieldsOptional: setCustomFieldsOptional,
    configurationCustomFields: configurationCustomFields,
    isEditMode: isEditMode
  }));
};
CaseFormFieldsComponent.displayName = 'CaseFormFields';
const CaseFormFields = exports.CaseFormFields = /*#__PURE__*/(0, _react.memo)(CaseFormFieldsComponent);