"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configureNumberCustomFieldFactory = void 0;
var _domain = require("../../../../common/types/domain");
var i18n = _interopRequireWildcard(require("../translations"));
var _get_eui_table_column = require("./get_eui_table_column");
var _edit = require("./edit");
var _view = require("./view");
var _configure = require("./configure");
var _create = require("./create");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const configureNumberCustomFieldFactory = () => ({
  id: _domain.CustomFieldTypes.NUMBER,
  label: i18n.NUMBER_LABEL,
  getEuiTableColumn: _get_eui_table_column.getEuiTableColumn,
  build: () => ({
    Configure: _configure.Configure,
    Edit: _edit.Edit,
    View: _view.View,
    Create: _create.Create
  })
});
exports.configureNumberCustomFieldFactory = configureNumberCustomFieldFactory;