"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Create = void 0;
var _react = _interopRequireDefault(require("react"));
var _hook_form_lib = require("@kbn/es-ui-shared-plugin/static/forms/hook_form_lib");
var _components = require("@kbn/es-ui-shared-plugin/static/forms/components");
var _config = require("./config");
var _optional_field_label = require("../../optional_field_label");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const CreateComponent = ({
  customFieldConfiguration,
  isLoading,
  setAsOptional,
  setDefaultValue = true
}) => {
  const {
    key,
    label,
    required,
    defaultValue
  } = customFieldConfiguration;
  const config = (0, _config.getNumberFieldConfig)({
    required: setAsOptional ? false : required,
    label,
    ...(defaultValue && setDefaultValue && !isNaN(Number(defaultValue)) && {
      defaultValue: Number(defaultValue)
    })
  });
  return /*#__PURE__*/_react.default.createElement(_hook_form_lib.UseField, {
    path: `customFields.${key}`,
    config: config,
    component: _components.NumericField,
    label: label,
    componentProps: {
      labelAppend: setAsOptional ? _optional_field_label.OptionalFieldLabel : null,
      euiFieldProps: {
        'data-test-subj': `${key}-number-create-custom-field`,
        fullWidth: true,
        disabled: isLoading,
        isLoading
      }
    }
  });
};
CreateComponent.displayName = 'Create';
const Create = exports.Create = /*#__PURE__*/_react.default.memo(CreateComponent);