"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cspSettings = void 0;
var _coreSavedObjectsServer = require("@kbn/core-saved-objects-server");
var _v = require("@kbn/cloud-security-posture-common/schema/rules/v4");
var _mappings = require("./mappings");
var _constants = require("../../common/constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const cspSettings = exports.cspSettings = {
  name: _constants.INTERNAL_CSP_SETTINGS_SAVED_OBJECT_TYPE,
  indexPattern: _coreSavedObjectsServer.SECURITY_SOLUTION_SAVED_OBJECT_INDEX,
  hidden: true,
  namespaceType: 'agnostic',
  modelVersions: {
    1: {
      changes: [],
      schemas: {
        forwardCompatibility: _v.cspSettingsSchema.extends({}, {
          unknowns: 'ignore'
        }),
        create: _v.cspSettingsSchema
      }
    }
  },
  schemas: {},
  mappings: _mappings.cspSettingsSavedObjectMapping
};