"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.KEYS = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
var _eui = require("@elastic/eui");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const KEYS = exports.KEYS = {
  keyCtrlCmd: _i18n.i18n.translate('console.shortcutKeys.keyCtrlCmd', {
    defaultMessage: 'Ctrl/Cmd'
  }),
  keyEnter: _i18n.i18n.translate('console.shortcutKeys.keyEnter', {
    defaultMessage: 'Enter'
  }),
  keyAltOption: _i18n.i18n.translate('console.shortcutKeys.keyAltOption', {
    defaultMessage: 'Alt/Option'
  }),
  keyOption: _i18n.i18n.translate('console.shortcutKeys.keyOption', {
    defaultMessage: 'Option'
  }),
  keyShift: _i18n.i18n.translate('console.shortcutKeys.keyShift', {
    defaultMessage: 'Shift'
  }),
  keyTab: _i18n.i18n.translate('console.shortcutKeys.keyTab', {
    defaultMessage: 'Tab'
  }),
  keyEsc: _i18n.i18n.translate('console.shortcutKeys.keyEsc', {
    defaultMessage: 'Esc'
  }),
  keyUp: /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
    type: 'sortUp',
    title: _i18n.i18n.translate('console.shortcutKeys.keyUpArrow', {
      defaultMessage: 'Up arrow'
    }),
    size: "s"
  }),
  keyDown: /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
    type: 'sortDown',
    title: _i18n.i18n.translate('console.shortcutKeys.keyDownArrow', {
      defaultMessage: 'Down arrow'
    }),
    size: "s"
  }),
  keySlash: _i18n.i18n.translate('console.shortcutKeys.keySlash', {
    defaultMessage: '/'
  }),
  keySpace: _i18n.i18n.translate('console.shortcutKeys.keySpace', {
    defaultMessage: 'Space'
  }),
  keyI: _i18n.i18n.translate('console.shortcutKeys.keyI', {
    defaultMessage: 'I'
  }),
  keyO: _i18n.i18n.translate('console.shortcutKeys.keyO', {
    defaultMessage: 'O'
  }),
  keyL: _i18n.i18n.translate('console.shortcutKeys.keyL', {
    defaultMessage: 'L'
  })
};