"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ShortcutLineFlexItem = void 0;
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _react = _interopRequireDefault(require("react"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const renderKeys = keys => {
  return keys.map((key, index) => /*#__PURE__*/_react.default.createElement("span", {
    key: index
  }, index > 0 && ' + ', /*#__PURE__*/_react.default.createElement(_eui.EuiCode, null, key)));
};
const ShortcutLineFlexItem = ({
  id,
  description,
  keys,
  alternativeKeys
}) => {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    justifyContent: "spaceBetween"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "xs"
  }, _i18n.i18n.translate('console.shortcutDescription.' + id, {
    defaultMessage: description
  }))), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "xs"
  }, renderKeys(keys), alternativeKeys && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("strong", null, ' ', _i18n.i18n.translate('console.shortcuts.alternativeKeysOrDivider', {
    defaultMessage: 'or'
  }), ' '), renderKeys(alternativeKeys))))));
};
exports.ShortcutLineFlexItem = ShortcutLineFlexItem;