"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TopNavMenu = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _console_tour_step = require("./console_tour_step");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const TopNavMenu = ({
  items,
  disabled,
  tourStepProps
}) => {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiTabs, {
    size: "s",
    bottomBorder: false
  }, items.map((item, idx) => {
    const tab = /*#__PURE__*/_react.default.createElement(_eui.EuiTab, {
      key: idx,
      disabled: disabled,
      onClick: item.onClick,
      title: item.label,
      "data-test-subj": item.testId,
      isSelected: item.isSelected
    }, item.label);
    if (item.tourStep) {
      return /*#__PURE__*/_react.default.createElement(_console_tour_step.ConsoleTourStep, {
        tourStepProps: tourStepProps[item.tourStep - 1],
        key: idx
      }, tab);
    }
    return tab;
  }));
};
exports.TopNavMenu = TopNavMenu;