"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HistoryEmptyPrompt = HistoryEmptyPrompt;
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
var _eui = require("@elastic/eui");
var _i18nReact = require("@kbn/i18n-react");
var _contexts = require("../../contexts");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

function HistoryEmptyPrompt() {
  const {
    docLinks
  } = (0, _contexts.useServicesContext)();
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiEmptyPrompt, {
    title: /*#__PURE__*/_react.default.createElement("h2", null, _i18n.i18n.translate('console.historyPage.emptyPromptTitle', {
      defaultMessage: 'No queries yet'
    })),
    titleSize: "xs",
    body: /*#__PURE__*/_react.default.createElement("p", null, _i18n.i18n.translate('console.historyPage.emptyPromptBody', {
      defaultMessage: 'This history panel will display any past queries you’ve run for review and reuse.'
    })),
    footer: /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, {
      size: "xxs"
    }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("h3", null, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "console.historyPage.emptyPromptFooterLabel",
      defaultMessage: "Want to learn more?"
    })), /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
      href: docLinks.console.guide,
      target: "_blank"
    }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "console.historyPage.emptyPromptFooterLink",
      defaultMessage: "Read Console documentation"
    }))))
  })));
}