"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createUseContext = void 0;
var _react = require("react");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const createUseContext = (Ctx, name) => {
  return () => {
    const ctx = (0, _react.useContext)(Ctx);
    if (!ctx) {
      throw new Error(`${name} should be used inside of ${name}Provider!`);
    }
    return ctx;
  };
};
exports.createUseContext = createUseContext;