"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PlayButton = PlayButton;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _time_slider_strings = require("./time_slider_strings");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

function PlayButton(props) {
  if (props.waitForControlOutputConsumersToLoad$ === undefined || props.disablePlayButton && props.viewMode === 'view') {
    return null;
  }
  const Button = /*#__PURE__*/_react.default.createElement(_eui.EuiButtonIcon, {
    className: "timeSlider-playToggle",
    onClick: props.isPaused ? props.onPlay : props.onPause,
    disabled: props.disablePlayButton,
    iconType: props.isPaused ? 'playFilled' : 'pause',
    size: "s",
    display: "fill",
    "aria-label": _time_slider_strings.TimeSliderStrings.control.getPlayButtonAriaLabel(props.isPaused)
  });
  return props.disablePlayButton ? /*#__PURE__*/_react.default.createElement(_eui.EuiToolTip, {
    display: "block",
    anchorClassName: "timeSlider-playToggle",
    content: _time_slider_strings.TimeSliderStrings.control.getPlayButtonDisabledTooltip()
  }, Button) : Button;
}