"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useDashboardMountContext = exports.DashboardMountContext = void 0;
var _react = require("react");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const DashboardMountContext = exports.DashboardMountContext = /*#__PURE__*/(0, _react.createContext)({
  // default values for the dashboard mount context
  restorePreviousUrl: () => {},
  scopedHistory: () => ({}),
  onAppLeave: handler => {},
  setHeaderActionMenu: mountPoint => {}
});
const useDashboardMountContext = () => {
  return (0, _react.useContext)(DashboardMountContext);
};
exports.useDashboardMountContext = useDashboardMountContext;