"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dashboardAttributesSchema = exports.controlGroupInputSchema = void 0;
var _configSchema = require("@kbn/config-schema");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const controlGroupInputSchema = exports.controlGroupInputSchema = _configSchema.schema.object({
  panelsJSON: _configSchema.schema.maybe(_configSchema.schema.string()),
  controlStyle: _configSchema.schema.maybe(_configSchema.schema.string()),
  chainingSystem: _configSchema.schema.maybe(_configSchema.schema.string()),
  ignoreParentSettingsJSON: _configSchema.schema.maybe(_configSchema.schema.string())
}).extends({}, {
  unknowns: 'ignore'
});
const dashboardAttributesSchema = exports.dashboardAttributesSchema = _configSchema.schema.object({
  // General
  title: _configSchema.schema.string(),
  description: _configSchema.schema.string({
    defaultValue: ''
  }),
  // Search
  kibanaSavedObjectMeta: _configSchema.schema.object({
    searchSourceJSON: _configSchema.schema.maybe(_configSchema.schema.string())
  }),
  // Time
  timeRestore: _configSchema.schema.maybe(_configSchema.schema.boolean()),
  timeFrom: _configSchema.schema.maybe(_configSchema.schema.string()),
  timeTo: _configSchema.schema.maybe(_configSchema.schema.string()),
  refreshInterval: _configSchema.schema.maybe(_configSchema.schema.object({
    pause: _configSchema.schema.boolean(),
    value: _configSchema.schema.number(),
    display: _configSchema.schema.maybe(_configSchema.schema.string()),
    section: _configSchema.schema.maybe(_configSchema.schema.number())
  })),
  // Dashboard Content
  controlGroupInput: _configSchema.schema.maybe(controlGroupInputSchema),
  panelsJSON: _configSchema.schema.string({
    defaultValue: '[]'
  }),
  optionsJSON: _configSchema.schema.maybe(_configSchema.schema.string()),
  // Legacy
  hits: _configSchema.schema.maybe(_configSchema.schema.number()),
  version: _configSchema.schema.maybe(_configSchema.schema.number())
}, {
  unknowns: 'forbid'
});