"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.filtersToAst = void 0;
var _esQuery = require("@kbn/es-query");
var _common = require("@kbn/expressions-plugin/common");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const filtersToAst = filters => {
  return (Array.isArray(filters) ? filters : [filters]).map(filter => {
    const filterWithQuery = filter.meta.type === _esQuery.FILTERS.COMBINED ? (0, _esQuery.fromCombinedFilter)(filter) : filter;
    const {
      meta,
      $state,
      query,
      ...restOfFilters
    } = filterWithQuery;
    return (0, _common.buildExpression)([(0, _common.buildExpressionFunction)('kibanaFilter', {
      query: JSON.stringify(query || restOfFilters),
      negate: meta.negate,
      disabled: meta.disabled
    })]).toAst();
  });
};
exports.filtersToAst = filtersToAst;