"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SearchSessionsDeprecatedWarning = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
var _i18nReact = require("@kbn/i18n-react");
var _eui = require("@elastic/eui");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const searchSessionsDeprecatedWarningTitle = _i18n.i18n.translate('data.searchSessionIndicator.deprecationWarning.title', {
  defaultMessage: 'Deprecated in 8.15.0'
});
const SearchSessionsDeprecatedWarning = ({
  size = 'm'
}) => /*#__PURE__*/_react.default.createElement(_eui.EuiCallOut, {
  title: searchSessionsDeprecatedWarningTitle,
  size: size,
  color: "warning",
  iconType: "help",
  "data-test-subj": "searchSessionsDeprecatedWarningTitle"
}, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
  id: "data.searchSessionIndicator.deprecationWarning.textParagraphOne",
  defaultMessage: "Search Sessions are deprecated and will be removed in a future version."
}));
exports.SearchSessionsDeprecatedWarning = SearchSessionsDeprecatedWarning;