"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createInspectActionDescriptor = void 0;
var _eui = require("@elastic/eui");
var _i18nReact = require("@kbn/i18n-react");
var _react = _interopRequireWildcard(require("react"));
var _public = require("@kbn/kibana-react-plugin/public");
var _reactKibanaMount = require("@kbn/react-kibana-mount");
var _codeEditor = require("@kbn/code-editor");
require("./inspect_button.scss");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const InspectFlyout = ({
  searchSession
}) => {
  const renderInfo = () => {
    return /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(_codeEditor.CodeEditor, {
      languageId: "json",
      value: JSON.stringify(searchSession, null, 2),
      options: {
        readOnly: true,
        lineNumbers: 'off',
        fontSize: 12,
        minimap: {
          enabled: false
        },
        scrollBeyondLastLine: false,
        wordWrap: 'on',
        wrappingIndent: 'indent',
        automaticLayout: true
      }
    }));
  };
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlyoutHeader, {
    hasBorder: true
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, {
    size: "m"
  }, /*#__PURE__*/_react.default.createElement("h2", {
    id: "flyoutTitle"
  }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "data.sessions.management.flyoutTitle",
    defaultMessage: "Inspect search session"
  })))), /*#__PURE__*/_react.default.createElement(_eui.EuiFlyoutBody, {
    className: "searchSessionsFlyout",
    "data-test-subj": "searchSessionsFlyout"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, null, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "xs"
  }, /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "data.sessions.management.flyoutText",
    defaultMessage: "Configuration for this search session"
  }))), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, null), renderInfo())));
};
const InspectFlyoutWrapper = ({
  searchSession,
  uiSettings,
  settings,
  theme
}) => {
  const {
    Provider: KibanaReactContextProvider
  } = (0, _public.createKibanaReactContext)({
    uiSettings,
    settings,
    theme
  });
  return /*#__PURE__*/_react.default.createElement(KibanaReactContextProvider, null, /*#__PURE__*/_react.default.createElement(InspectFlyout, {
    searchSession: searchSession
  }));
};
const createInspectActionDescriptor = (api, uiSession, core) => ({
  iconType: 'document',
  label: /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "data.mgmt.searchSessions.flyoutTitle",
    "aria-label": "Inspect",
    defaultMessage: "Inspect"
  }),
  onClick: async () => {
    const flyoutWrapper = /*#__PURE__*/_react.default.createElement(InspectFlyoutWrapper, {
      uiSettings: core.uiSettings,
      settings: core.settings,
      theme: core.theme,
      searchSession: uiSession
    });
    const overlay = core.overlays.openFlyout((0, _reactKibanaMount.toMountPoint)(flyoutWrapper, core));
    await overlay.onClose;
  }
});
exports.createInspectActionDescriptor = createInspectActionDescriptor;