"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.removeDataView = void 0;
var _i18n = require("@kbn/i18n");
var _std = require("@kbn/std");
var _reactKibanaMount = require("@kbn/react-kibana-mount");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const confirmModalOptionsDelete = {
  confirmButtonText: _i18n.i18n.translate('indexPatternManagement.editIndexPattern.deleteButton', {
    defaultMessage: 'Delete'
  }),
  title: _i18n.i18n.translate('indexPatternManagement.editDataView.deleteHeader', {
    defaultMessage: 'Delete data view'
  }),
  buttonColor: 'danger'
};
const removeDataView = ({
  dataViews,
  overlays,
  onDelete,
  startServices
}) => (dataViewArray, msg) => {
  overlays.openConfirm((0, _reactKibanaMount.toMountPoint)(msg, startServices), confirmModalOptionsDelete).then(async isConfirmed => {
    if (isConfirmed) {
      await (0, _std.asyncForEach)(dataViewArray, async ({
        id
      }) => dataViews.delete(id));
      onDelete();
    }
  });
};
exports.removeDataView = removeDataView;