"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getComponents = getComponents;
var _lazy_load_bundle = require("../lazy_load_bundle");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function getComponents(resultLinks) {
  async function getFileDataVisualizerComponent() {
    const modules = await (0, _lazy_load_bundle.lazyLoadModules)(resultLinks);
    return () => ({
      component: modules.FileDataVisualizer,
      resultLinks
    });
  }
  async function getIndexDataVisualizerComponent() {
    const modules = await (0, _lazy_load_bundle.lazyLoadModules)(resultLinks);
    return () => modules.IndexDataVisualizer;
  }
  async function getDataDriftComponent() {
    const modules = await (0, _lazy_load_bundle.lazyLoadModules)(resultLinks);
    return () => modules.DataDrift;
  }
  return {
    getFileDataVisualizerComponent,
    getIndexDataVisualizerComponent,
    getDataDriftComponent
  };
}