"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _public = require("@kbn/charts-plugin/public");
var _i18n = require("@kbn/i18n");
var _react2 = require("@emotion/react");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const FIELD_STATS_UNAVAILABLE_TITLE = _i18n.i18n.translate('xpack.dataVisualizer.fieldStats.unavailableTitle', {
  defaultMessage: 'Field statistics not supported for ES|QL queries'
});
const FieldStatsUnavailableMessage = ({
  id,
  title = FIELD_STATS_UNAVAILABLE_TITLE
}) => {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    alignItems: "center",
    fullWidth: true,
    css: (0, _react2.css)`
        height: 100%;
      `
  }, /*#__PURE__*/_react.default.createElement(_public.EmptyPlaceholder, {
    icon: 'warning',
    message: title
  }));
};

// Default export for lazy loading
// eslint-disable-next-line import/no-default-export
var _default = exports.default = FieldStatsUnavailableMessage;
module.exports = exports.default;