"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ManualMitigations = ManualMitigations;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _hooks = require("../../../../../hooks");
var _component_template_link = require("./component_template_link");
var _pipeline_link = require("./pipeline_link");
var _translations = require("../../../../../../common/translations");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function ManualMitigations() {
  const {
    integrationDetails,
    loadingState,
    dataStreamSettings
  } = (0, _hooks.useDatasetQualityDetailsState)();
  const isIntegrationPresentInSettings = dataStreamSettings === null || dataStreamSettings === void 0 ? void 0 : dataStreamSettings.integration;
  const isIntegration = !!(integrationDetails !== null && integrationDetails !== void 0 && integrationDetails.integration);
  const {
    dataStreamSettingsLoading,
    integrationDetailsLoadings
  } = loadingState;
  const hasIntegrationCheckCompleted = !dataStreamSettingsLoading && (isIntegrationPresentInSettings && !integrationDetailsLoadings || !isIntegrationPresentInSettings);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiSkeletonRectangle, {
    isLoading: !hasIntegrationCheckCompleted,
    contentAriaLabel: _translations.otherMitigationsLoadingAriaText,
    width: "100%",
    height: 300,
    borderRadius: "none"
  }, /*#__PURE__*/_react.default.createElement(_component_template_link.CreateEditComponentTemplateLink, {
    isIntegration: isIntegration
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "s"
  }), /*#__PURE__*/_react.default.createElement(_pipeline_link.CreateEditPipelineLink, {
    isIntegration: isIntegration
  }));
}