"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NoResultsSuggestionWhenTimeRange = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18nReact = require("@kbn/i18n-react");
var _eui = require("@elastic/eui");
var _use_fetch_occurances_range = require("./use_fetch_occurances_range");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const NoResultsSuggestionWhenTimeRange = ({
  timeRangeExtendingStatus
}) => {
  const message = /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "discover.noResults.suggestion.expandTimeRangeText",
    defaultMessage: "Expand the time range"
  });
  return /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    "data-test-subj": "discoverNoResultsTimefilter"
  }, timeRangeExtendingStatus === _use_fetch_occurances_range.TimeRangeExtendingStatus.succeedWithoutResults ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("s", null, message), /*#__PURE__*/_react.default.createElement("span", {
    "data-test-subj": "discoverSearchAllMatchesGivesNoResults"
  }, ' (', /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "discover.noResults.suggestion.expandTimeRangeGivesNoResultsText",
    defaultMessage: "No results"
  }), ')')) : message);
};
exports.NoResultsSuggestionWhenTimeRange = NoResultsSuggestionWhenTimeRange;