"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getOpenSearchAppMenuItem = void 0;
var _react = _interopRequireDefault(require("react"));
var _discoverUtils = require("@kbn/discover-utils");
var _i18n = require("@kbn/i18n");
var _open_search_panel = require("../open_search_panel");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const getOpenSearchAppMenuItem = ({
  onOpenSavedSearch
}) => {
  return {
    id: _discoverUtils.AppMenuActionId.open,
    type: _discoverUtils.AppMenuActionType.primary,
    controlProps: {
      label: _i18n.i18n.translate('discover.localMenu.openTitle', {
        defaultMessage: 'Open'
      }),
      description: _i18n.i18n.translate('discover.localMenu.openSavedSearchDescription', {
        defaultMessage: 'Open Saved Search'
      }),
      iconType: 'folderOpen',
      testId: 'discoverOpenButton',
      onClick: ({
        onFinishAction
      }) => {
        return /*#__PURE__*/_react.default.createElement(_open_search_panel.OpenSearchPanel, {
          onClose: onFinishAction,
          onOpenSavedSearch: onOpenSavedSearch
        });
      }
    }
  };
};
exports.getOpenSearchAppMenuItem = getOpenSearchAppMenuItem;