"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configSchema = exports.config = void 0;
var _configSchema = require("@kbn/config-schema");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const configSchema = exports.configSchema = _configSchema.schema.object({
  enableUiSettingsValidations: _configSchema.schema.boolean({
    defaultValue: false
  }),
  experimental: _configSchema.schema.maybe(_configSchema.schema.object({
    ruleFormV2Enabled: _configSchema.schema.maybe(_configSchema.schema.boolean({
      defaultValue: false
    })),
    enabledProfiles: _configSchema.schema.maybe(_configSchema.schema.arrayOf(_configSchema.schema.string(), {
      defaultValue: []
    }))
  }))
});
const config = exports.config = {
  schema: configSchema,
  exposeToBrowser: {
    experimental: true
  }
};