"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SchemaRouter = void 0;
var _react = _interopRequireDefault(require("react"));
var _kea = require("kea");
var _sharedUxRouter = require("@kbn/shared-ux-router");
var _routes = require("../../routes");
var _engine = require("../engine");
var _reindex_job = require("./reindex_job");
var _views = require("./views");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const SchemaRouter = () => {
  const {
    isMetaEngine
  } = (0, _kea.useValues)(_engine.EngineLogic);
  return /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Routes, null, /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Route, {
    path: _routes.ENGINE_REINDEX_JOB_PATH
  }, /*#__PURE__*/_react.default.createElement(_reindex_job.ReindexJob, null)), /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Route, null, isMetaEngine ? /*#__PURE__*/_react.default.createElement(_views.MetaEngineSchema, null) : /*#__PURE__*/_react.default.createElement(_views.Schema, null)));
};
exports.SchemaRouter = SchemaRouter;