"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.USERS_AND_ROLES_PATH = exports.SETUP_GUIDE_PATH = exports.SETTINGS_PATH = exports.ROOT_PATH = exports.META_ENGINE_SOURCE_ENGINES_PATH = exports.META_ENGINE_CREATION_PATH = exports.LIBRARY_PATH = exports.ENGINE_SYNONYMS_PATH = exports.ENGINE_SEARCH_UI_PATH = exports.ENGINE_SCHEMA_PATH = exports.ENGINE_RESULT_SETTINGS_PATH = exports.ENGINE_RELEVANCE_TUNING_PATH = exports.ENGINE_REINDEX_JOB_PATH = exports.ENGINE_PATH = exports.ENGINE_DOCUMENT_DETAIL_PATH = exports.ENGINE_DOCUMENTS_PATH = exports.ENGINE_CURATION_SUGGESTION_PATH = exports.ENGINE_CURATION_PATH = exports.ENGINE_CURATIONS_PATH = exports.ENGINE_CURATIONS_NEW_PATH = exports.ENGINE_CREATION_PATH = exports.ENGINE_CRAWLER_PATH = exports.ENGINE_CRAWLER_DOMAIN_PATH = exports.ENGINE_API_LOGS_PATH = exports.ENGINE_ANALYTICS_TOP_QUERIES_WITH_CLICKS_PATH = exports.ENGINE_ANALYTICS_TOP_QUERIES_PATH = exports.ENGINE_ANALYTICS_TOP_QUERIES_NO_RESULTS_PATH = exports.ENGINE_ANALYTICS_TOP_QUERIES_NO_CLICKS_PATH = exports.ENGINE_ANALYTICS_RECENT_QUERIES_PATH = exports.ENGINE_ANALYTICS_QUERY_DETAIL_PATH = exports.ENGINE_ANALYTICS_QUERY_DETAILS_PATH = exports.ENGINE_ANALYTICS_PATH = exports.ENGINES_PATH = exports.CREDENTIALS_PATH = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ROOT_PATH = exports.ROOT_PATH = '/';
const SETUP_GUIDE_PATH = exports.SETUP_GUIDE_PATH = '/setup_guide';
const LIBRARY_PATH = exports.LIBRARY_PATH = '/library';
const SETTINGS_PATH = exports.SETTINGS_PATH = '/settings';
const CREDENTIALS_PATH = exports.CREDENTIALS_PATH = '/credentials';
const USERS_AND_ROLES_PATH = exports.USERS_AND_ROLES_PATH = '/users_and_roles';
const ENGINES_PATH = exports.ENGINES_PATH = '/engines';
const ENGINE_CREATION_PATH = exports.ENGINE_CREATION_PATH = `${ENGINES_PATH}/new`; // This is safe from conflicting with an :engineName path because new is a reserved name
const ENGINE_PATH = exports.ENGINE_PATH = `${ENGINES_PATH}/:engineName`;
const ENGINE_ANALYTICS_PATH = exports.ENGINE_ANALYTICS_PATH = `${ENGINE_PATH}/analytics`;
const ENGINE_ANALYTICS_TOP_QUERIES_PATH = exports.ENGINE_ANALYTICS_TOP_QUERIES_PATH = `${ENGINE_ANALYTICS_PATH}/top_queries`;
const ENGINE_ANALYTICS_TOP_QUERIES_NO_CLICKS_PATH = exports.ENGINE_ANALYTICS_TOP_QUERIES_NO_CLICKS_PATH = `${ENGINE_ANALYTICS_PATH}/top_queries_no_clicks`;
const ENGINE_ANALYTICS_TOP_QUERIES_NO_RESULTS_PATH = exports.ENGINE_ANALYTICS_TOP_QUERIES_NO_RESULTS_PATH = `${ENGINE_ANALYTICS_PATH}/top_queries_no_results`;
const ENGINE_ANALYTICS_TOP_QUERIES_WITH_CLICKS_PATH = exports.ENGINE_ANALYTICS_TOP_QUERIES_WITH_CLICKS_PATH = `${ENGINE_ANALYTICS_PATH}/top_queries_with_clicks`;
const ENGINE_ANALYTICS_RECENT_QUERIES_PATH = exports.ENGINE_ANALYTICS_RECENT_QUERIES_PATH = `${ENGINE_ANALYTICS_PATH}/recent_queries`;
const ENGINE_ANALYTICS_QUERY_DETAILS_PATH = exports.ENGINE_ANALYTICS_QUERY_DETAILS_PATH = `${ENGINE_ANALYTICS_PATH}/query_detail`;
const ENGINE_ANALYTICS_QUERY_DETAIL_PATH = exports.ENGINE_ANALYTICS_QUERY_DETAIL_PATH = `${ENGINE_ANALYTICS_QUERY_DETAILS_PATH}/:query`;
const ENGINE_DOCUMENTS_PATH = exports.ENGINE_DOCUMENTS_PATH = `${ENGINE_PATH}/documents`;
const ENGINE_DOCUMENT_DETAIL_PATH = exports.ENGINE_DOCUMENT_DETAIL_PATH = `${ENGINE_DOCUMENTS_PATH}/:documentId`;
const ENGINE_SCHEMA_PATH = exports.ENGINE_SCHEMA_PATH = `${ENGINE_PATH}/schema`;
const ENGINE_REINDEX_JOB_PATH = exports.ENGINE_REINDEX_JOB_PATH = `${ENGINE_SCHEMA_PATH}/reindex_job/:reindexJobId`;
const ENGINE_CRAWLER_PATH = exports.ENGINE_CRAWLER_PATH = `${ENGINE_PATH}/crawler`;
const ENGINE_CRAWLER_DOMAIN_PATH = exports.ENGINE_CRAWLER_DOMAIN_PATH = `${ENGINE_CRAWLER_PATH}/domains/:domainId`;
const META_ENGINE_CREATION_PATH = exports.META_ENGINE_CREATION_PATH = `${ENGINES_PATH}/new_meta_engine`; // This is safe from conflicting with an :engineName path because engine names cannot have underscores
const META_ENGINE_SOURCE_ENGINES_PATH = exports.META_ENGINE_SOURCE_ENGINES_PATH = `${ENGINE_PATH}/engines`;
const ENGINE_RELEVANCE_TUNING_PATH = exports.ENGINE_RELEVANCE_TUNING_PATH = `${ENGINE_PATH}/relevance_tuning`;
const ENGINE_SYNONYMS_PATH = exports.ENGINE_SYNONYMS_PATH = `${ENGINE_PATH}/synonyms`;
const ENGINE_RESULT_SETTINGS_PATH = exports.ENGINE_RESULT_SETTINGS_PATH = `${ENGINE_PATH}/result_settings`;
const ENGINE_CURATIONS_PATH = exports.ENGINE_CURATIONS_PATH = `${ENGINE_PATH}/curations`;
const ENGINE_CURATIONS_NEW_PATH = exports.ENGINE_CURATIONS_NEW_PATH = `${ENGINE_CURATIONS_PATH}/new`;
const ENGINE_CURATION_PATH = exports.ENGINE_CURATION_PATH = `${ENGINE_CURATIONS_PATH}/:curationId`;
const ENGINE_CURATION_SUGGESTION_PATH = exports.ENGINE_CURATION_SUGGESTION_PATH = `${ENGINE_CURATIONS_PATH}/suggestions/:query`;
const ENGINE_SEARCH_UI_PATH = exports.ENGINE_SEARCH_UI_PATH = `${ENGINE_PATH}/search_ui`;
const ENGINE_API_LOGS_PATH = exports.ENGINE_API_LOGS_PATH = `${ENGINE_PATH}/api_logs`;