"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateApiKey = exports.GenerateApiKeyLogic = void 0;
var _create_api_logic = require("../../../shared/api_logic/create_api_logic");
var _http = require("../../../shared/http");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const generateApiKey = async ({
  indexName,
  keyName
}) => {
  const route = `/internal/enterprise_search/${indexName}/api_keys`;
  return await _http.HttpLogic.values.http.post(route, {
    body: JSON.stringify({
      keyName
    })
  });
};
exports.generateApiKey = generateApiKey;
const GenerateApiKeyLogic = exports.GenerateApiKeyLogic = (0, _create_api_logic.createApiLogic)(['generate_api_key_logic'], generateApiKey);