"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.docLinks = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class DocLinks {
  constructor() {
    (0, _defineProperty2.default)(this, "aiSearchDoc", void 0);
    (0, _defineProperty2.default)(this, "aiSearchHelp", void 0);
    (0, _defineProperty2.default)(this, "apiKeyMetadata", void 0);
    (0, _defineProperty2.default)(this, "apiKeys", void 0);
    (0, _defineProperty2.default)(this, "appSearchAdaptiveRelevance", void 0);
    (0, _defineProperty2.default)(this, "appSearchApiClients", void 0);
    (0, _defineProperty2.default)(this, "appSearchApiKeys", void 0);
    (0, _defineProperty2.default)(this, "appSearchApis", void 0);
    (0, _defineProperty2.default)(this, "appSearchAuthentication", void 0);
    (0, _defineProperty2.default)(this, "appSearchCrawlRules", void 0);
    (0, _defineProperty2.default)(this, "appSearchCurations", void 0);
    (0, _defineProperty2.default)(this, "appSearchDuplicateDocuments", void 0);
    (0, _defineProperty2.default)(this, "appSearchElasticsearchIndexedEngines", void 0);
    (0, _defineProperty2.default)(this, "appSearchEntryPoints", void 0);
    (0, _defineProperty2.default)(this, "appSearchEvolutionBlog", void 0);
    (0, _defineProperty2.default)(this, "appSearchGettingStarted", void 0);
    (0, _defineProperty2.default)(this, "appSearchGuide", void 0);
    (0, _defineProperty2.default)(this, "appSearchIndexingDocs", void 0);
    (0, _defineProperty2.default)(this, "appSearchIndexingDocsSchema", void 0);
    (0, _defineProperty2.default)(this, "appSearchLogSettings", void 0);
    (0, _defineProperty2.default)(this, "appSearchMetaEngines", void 0);
    (0, _defineProperty2.default)(this, "appSearchPrecision", void 0);
    (0, _defineProperty2.default)(this, "appSearchRelevance", void 0);
    (0, _defineProperty2.default)(this, "appSearchResultSettings", void 0);
    (0, _defineProperty2.default)(this, "appSearchSearchUI", void 0);
    (0, _defineProperty2.default)(this, "appSearchSecurity", void 0);
    (0, _defineProperty2.default)(this, "appSearchSynonyms", void 0);
    (0, _defineProperty2.default)(this, "appSearchWebCrawler", void 0);
    (0, _defineProperty2.default)(this, "appSearchWebCrawlerEventLogs", void 0);
    (0, _defineProperty2.default)(this, "appSearchWebCrawlerReference", void 0);
    (0, _defineProperty2.default)(this, "behavioralAnalytics", void 0);
    (0, _defineProperty2.default)(this, "behavioralAnalyticsCORS", void 0);
    (0, _defineProperty2.default)(this, "behavioralAnalyticsEvents", void 0);
    (0, _defineProperty2.default)(this, "buildConnector", void 0);
    (0, _defineProperty2.default)(this, "bulkApi", void 0);
    (0, _defineProperty2.default)(this, "clientsGoIndex", void 0);
    (0, _defineProperty2.default)(this, "clientsGuide", void 0);
    (0, _defineProperty2.default)(this, "clientsJavaBasicAuthentication", void 0);
    (0, _defineProperty2.default)(this, "clientsJavaInstallation", void 0);
    (0, _defineProperty2.default)(this, "clientsJavaIntroduction", void 0);
    (0, _defineProperty2.default)(this, "clientsJavaRestLow", void 0);
    (0, _defineProperty2.default)(this, "clientsJsClientConnecting", void 0);
    (0, _defineProperty2.default)(this, "clientsJsIntro", void 0);
    (0, _defineProperty2.default)(this, "clientsNetIntroduction", void 0);
    (0, _defineProperty2.default)(this, "clientsNetNest", void 0);
    (0, _defineProperty2.default)(this, "clientsNetSingleNode", void 0);
    (0, _defineProperty2.default)(this, "clientsPerlGuide", void 0);
    (0, _defineProperty2.default)(this, "clientsPhpConnecting", void 0);
    (0, _defineProperty2.default)(this, "clientsPhpGuide", void 0);
    (0, _defineProperty2.default)(this, "clientsPhpInstallation", void 0);
    (0, _defineProperty2.default)(this, "clientsPhpOverview", void 0);
    (0, _defineProperty2.default)(this, "clientsPythonAuthentication", void 0);
    (0, _defineProperty2.default)(this, "clientsPythonOverview", void 0);
    (0, _defineProperty2.default)(this, "clientsRubyAuthentication", void 0);
    (0, _defineProperty2.default)(this, "clientsRubyOverview", void 0);
    (0, _defineProperty2.default)(this, "clientsRustOverview", void 0);
    (0, _defineProperty2.default)(this, "cloudIndexManagement", void 0);
    (0, _defineProperty2.default)(this, "connectors", void 0);
    (0, _defineProperty2.default)(this, "connectorsClientDeploy", void 0);
    (0, _defineProperty2.default)(this, "connectorsMappings", void 0);
    (0, _defineProperty2.default)(this, "connectorsAzureBlobStorage", void 0);
    (0, _defineProperty2.default)(this, "connectorsBox", void 0);
    (0, _defineProperty2.default)(this, "connectorsClients", void 0);
    (0, _defineProperty2.default)(this, "connectorsConfluence", void 0);
    (0, _defineProperty2.default)(this, "connectorsContentExtraction", void 0);
    (0, _defineProperty2.default)(this, "connectorsDropbox", void 0);
    (0, _defineProperty2.default)(this, "connectorsGithub", void 0);
    (0, _defineProperty2.default)(this, "connectorsGmail", void 0);
    (0, _defineProperty2.default)(this, "connectorsGoogleCloudStorage", void 0);
    (0, _defineProperty2.default)(this, "connectorsGoogleDrive", void 0);
    (0, _defineProperty2.default)(this, "connectorsJira", void 0);
    (0, _defineProperty2.default)(this, "connectorsMicrosoftSQL", void 0);
    (0, _defineProperty2.default)(this, "connectorsMongoDB", void 0);
    (0, _defineProperty2.default)(this, "connectorsMySQL", void 0);
    (0, _defineProperty2.default)(this, "connectorsNative", void 0);
    (0, _defineProperty2.default)(this, "connectorsNetworkDrive", void 0);
    (0, _defineProperty2.default)(this, "connectorsNotion", void 0);
    (0, _defineProperty2.default)(this, "connectorsOneDrive", void 0);
    (0, _defineProperty2.default)(this, "connectorsOracle", void 0);
    (0, _defineProperty2.default)(this, "connectorsOutlook", void 0);
    (0, _defineProperty2.default)(this, "connectorsPostgreSQL", void 0);
    (0, _defineProperty2.default)(this, "connectorsRedis", void 0);
    (0, _defineProperty2.default)(this, "connectorsS3", void 0);
    (0, _defineProperty2.default)(this, "connectorsSalesforce", void 0);
    (0, _defineProperty2.default)(this, "connectorsServiceNow", void 0);
    (0, _defineProperty2.default)(this, "connectorsSharepoint", void 0);
    (0, _defineProperty2.default)(this, "connectorsSharepointOnline", void 0);
    (0, _defineProperty2.default)(this, "connectorsSlack", void 0);
    (0, _defineProperty2.default)(this, "connectorsTeams", void 0);
    (0, _defineProperty2.default)(this, "connectorsZoom", void 0);
    (0, _defineProperty2.default)(this, "consoleGuide", void 0);
    (0, _defineProperty2.default)(this, "crawlerExtractionRules", void 0);
    (0, _defineProperty2.default)(this, "crawlerManaging", void 0);
    (0, _defineProperty2.default)(this, "crawlerOverview", void 0);
    (0, _defineProperty2.default)(this, "deployTrainedModels", void 0);
    (0, _defineProperty2.default)(this, "documentLevelSecurity", void 0);
    (0, _defineProperty2.default)(this, "e5Model", void 0);
    (0, _defineProperty2.default)(this, "elasticsearchCreateIndex", void 0);
    (0, _defineProperty2.default)(this, "elasticsearchGettingStarted", void 0);
    (0, _defineProperty2.default)(this, "elasticsearchMapping", void 0);
    (0, _defineProperty2.default)(this, "elasticsearchSecureCluster", void 0);
    (0, _defineProperty2.default)(this, "elser", void 0);
    (0, _defineProperty2.default)(this, "enterpriseSearchConfig", void 0);
    (0, _defineProperty2.default)(this, "enterpriseSearchEngines", void 0);
    (0, _defineProperty2.default)(this, "enterpriseSearchMailService", void 0);
    (0, _defineProperty2.default)(this, "enterpriseSearchTroubleshootSetup", void 0);
    (0, _defineProperty2.default)(this, "enterpriseSearchUsersAccess", void 0);
    (0, _defineProperty2.default)(this, "indexApi", void 0);
    (0, _defineProperty2.default)(this, "inferenceApiCreate", void 0);
    (0, _defineProperty2.default)(this, "ingestionApis", void 0);
    (0, _defineProperty2.default)(this, "ingestPipelines", void 0);
    (0, _defineProperty2.default)(this, "kibanaSecurity", void 0);
    (0, _defineProperty2.default)(this, "knnSearch", void 0);
    (0, _defineProperty2.default)(this, "knnSearchCombine", void 0);
    (0, _defineProperty2.default)(this, "languageAnalyzers", void 0);
    (0, _defineProperty2.default)(this, "languageClients", void 0);
    (0, _defineProperty2.default)(this, "licenseManagement", void 0);
    (0, _defineProperty2.default)(this, "machineLearningStart", void 0);
    (0, _defineProperty2.default)(this, "mlDocumentEnrichment", void 0);
    (0, _defineProperty2.default)(this, "pluginsIngestAttachment", void 0);
    (0, _defineProperty2.default)(this, "queryDsl", void 0);
    (0, _defineProperty2.default)(this, "restApis", void 0);
    (0, _defineProperty2.default)(this, "rrf", void 0);
    (0, _defineProperty2.default)(this, "roleDescriptors", void 0);
    (0, _defineProperty2.default)(this, "searchApplications", void 0);
    (0, _defineProperty2.default)(this, "searchApplicationsSearch", void 0);
    (0, _defineProperty2.default)(this, "searchApplicationsTemplates", void 0);
    (0, _defineProperty2.default)(this, "searchApplicationsSearchApi", void 0);
    (0, _defineProperty2.default)(this, "searchLabs", void 0);
    (0, _defineProperty2.default)(this, "searchLabsRepo", void 0);
    (0, _defineProperty2.default)(this, "searchTemplates", void 0);
    (0, _defineProperty2.default)(this, "searchUIAppSearch", void 0);
    (0, _defineProperty2.default)(this, "searchUIElasticsearch", void 0);
    (0, _defineProperty2.default)(this, "semanticTextField", void 0);
    (0, _defineProperty2.default)(this, "start", void 0);
    (0, _defineProperty2.default)(this, "supportedNlpModels", void 0);
    (0, _defineProperty2.default)(this, "syncRules", void 0);
    (0, _defineProperty2.default)(this, "syncRulesAdvanced", void 0);
    (0, _defineProperty2.default)(this, "trainedModels", void 0);
    (0, _defineProperty2.default)(this, "textEmbedding", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchApiKeys", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchBox", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchConfluenceCloud", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchConfluenceCloudConnectorPackage", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchConfluenceServer", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchContentSources", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchCustomConnectorPackage", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchCustomSourcePermissions", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchCustomSources", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchDocumentPermissions", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchDropbox", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchEvolutionBlog", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchExternalIdentities", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchExternalSharePointOnline", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchGatedFormBlog", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchGatedFormDataUse", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchGatedFormPrivacyStatement", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchGatedFormTermsOfService", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchGettingStarted", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchGitHub", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchGmail", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchGoogleDrive", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchGuide", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchIndexingSchedule", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchJiraCloud", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchJiraServer", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchNetworkDrive", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchOneDrive", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchOutlook", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchPermissions", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchPrivateSourcePermissions", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchSalesforce", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchSecurity", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchServiceNow", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchSharePoint", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchSharePointServer", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchSlack", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchSynch", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchTeams", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchZendesk", void 0);
    (0, _defineProperty2.default)(this, "workplaceSearchZoom", void 0);
    this.aiSearchDoc = '';
    this.aiSearchHelp = '';
    this.apiKeyMetadata = '';
    this.apiKeys = '';
    this.appSearchAdaptiveRelevance = '';
    this.appSearchApis = '';
    this.appSearchApiClients = '';
    this.appSearchApiKeys = '';
    this.appSearchAuthentication = '';
    this.appSearchCrawlRules = '';
    this.appSearchCurations = '';
    this.appSearchDuplicateDocuments = '';
    this.appSearchEntryPoints = '';
    this.appSearchElasticsearchIndexedEngines = '';
    this.appSearchEvolutionBlog = '';
    this.appSearchGettingStarted = '';
    this.appSearchGuide = '';
    this.appSearchIndexingDocs = '';
    this.appSearchIndexingDocsSchema = '';
    this.appSearchLogSettings = '';
    this.appSearchMetaEngines = '';
    this.appSearchPrecision = '';
    this.appSearchRelevance = '';
    this.appSearchResultSettings = '';
    this.appSearchSearchUI = '';
    this.appSearchSecurity = '';
    this.appSearchSynonyms = '';
    this.appSearchWebCrawler = '';
    this.appSearchWebCrawlerEventLogs = '';
    this.appSearchWebCrawlerReference = '';
    this.behavioralAnalytics = '';
    this.behavioralAnalyticsCORS = '';
    this.behavioralAnalyticsEvents = '';
    this.buildConnector = '';
    this.bulkApi = '';
    this.clientsGoIndex = '';
    this.clientsGuide = '';
    this.clientsJavaBasicAuthentication = '';
    this.clientsJavaInstallation = '';
    this.clientsJavaIntroduction = '';
    this.clientsJavaRestLow = '';
    this.clientsJsIntro = '';
    this.clientsJsClientConnecting = '';
    this.clientsNetIntroduction = '';
    this.clientsNetNest = '';
    this.clientsNetSingleNode = '';
    this.clientsPerlGuide = '';
    this.clientsPhpConnecting = '';
    this.clientsPhpGuide = '';
    this.clientsPhpInstallation = '';
    this.clientsPhpOverview = '';
    this.clientsPythonAuthentication = '';
    this.clientsPythonOverview = '';
    this.clientsRubyAuthentication = '';
    this.clientsRubyOverview = '';
    this.clientsRustOverview = '';
    this.cloudIndexManagement = '';
    this.connectors = '';
    this.connectorsClientDeploy = '';
    this.connectorsMappings = '';
    this.connectorsAzureBlobStorage = '';
    this.connectorsBox = '';
    this.connectorsConfluence = '';
    this.connectorsContentExtraction = '';
    this.connectorsClients = '';
    this.connectorsDropbox = '';
    this.connectorsGithub = '';
    this.connectorsGmail = '';
    this.connectorsGoogleCloudStorage = '';
    this.connectorsGoogleDrive = '';
    this.connectorsJira = '';
    this.connectorsMicrosoftSQL = '';
    this.connectorsMongoDB = '';
    this.connectorsMySQL = '';
    this.connectorsNative = '';
    this.connectorsNetworkDrive = '';
    this.connectorsNotion = '';
    this.connectorsOneDrive = '';
    this.connectorsOracle = '';
    this.connectorsOutlook = '';
    this.connectorsPostgreSQL = '';
    this.connectorsRedis = '';
    this.connectorsS3 = '';
    this.connectorsSalesforce = '';
    this.connectorsServiceNow = '';
    this.connectorsSharepoint = '';
    this.connectorsSharepointOnline = '';
    this.connectorsSlack = '';
    this.connectorsTeams = '';
    this.connectorsZoom = '';
    this.consoleGuide = '';
    this.crawlerExtractionRules = '';
    this.crawlerManaging = '';
    this.crawlerOverview = '';
    this.deployTrainedModels = '';
    this.documentLevelSecurity = '';
    this.e5Model = '';
    this.elasticsearchCreateIndex = '';
    this.elasticsearchGettingStarted = '';
    this.elasticsearchMapping = '';
    this.elasticsearchSecureCluster = '';
    this.elser = '';
    this.enterpriseSearchConfig = '';
    this.enterpriseSearchEngines = '';
    this.enterpriseSearchMailService = '';
    this.enterpriseSearchTroubleshootSetup = '';
    this.enterpriseSearchUsersAccess = '';
    this.indexApi = '';
    this.inferenceApiCreate = '';
    this.ingestionApis = '';
    this.ingestPipelines = '';
    this.kibanaSecurity = '';
    this.knnSearch = '';
    this.knnSearchCombine = '';
    this.languageAnalyzers = '';
    this.languageClients = '';
    this.licenseManagement = '';
    this.machineLearningStart = '';
    this.mlDocumentEnrichment = '';
    this.pluginsIngestAttachment = '';
    this.queryDsl = '';
    this.restApis = '';
    this.rrf = '';
    this.roleDescriptors = '';
    this.searchUIAppSearch = '';
    this.searchUIElasticsearch = '';
    this.searchApplicationsTemplates = '';
    this.searchApplications = '';
    this.searchApplicationsSearch = '';
    this.searchApplicationsSearchApi = '';
    this.searchLabs = '';
    this.searchLabsRepo = '';
    this.searchTemplates = '';
    this.semanticTextField = '';
    this.start = '';
    this.supportedNlpModels = '';
    this.syncRules = '';
    this.syncRulesAdvanced = '';
    this.trainedModels = '';
    this.textEmbedding = '';
    this.workplaceSearchApiKeys = '';
    this.workplaceSearchBox = '';
    this.workplaceSearchConfluenceCloud = '';
    this.workplaceSearchConfluenceCloudConnectorPackage = '';
    this.workplaceSearchConfluenceServer = '';
    this.workplaceSearchContentSources = '';
    this.workplaceSearchCustomConnectorPackage = '';
    this.workplaceSearchCustomSources = '';
    this.workplaceSearchCustomSourcePermissions = '';
    this.workplaceSearchDocumentPermissions = '';
    this.workplaceSearchDropbox = '';
    this.workplaceSearchEvolutionBlog = '';
    this.workplaceSearchExternalSharePointOnline = '';
    this.workplaceSearchExternalIdentities = '';
    this.workplaceSearchGatedFormBlog = '';
    this.workplaceSearchGatedFormDataUse = '';
    this.workplaceSearchGatedFormPrivacyStatement = '';
    this.workplaceSearchGatedFormTermsOfService = '';
    this.workplaceSearchGettingStarted = '';
    this.workplaceSearchGitHub = '';
    this.workplaceSearchGmail = '';
    this.workplaceSearchGoogleDrive = '';
    this.workplaceSearchGuide = '';
    this.workplaceSearchIndexingSchedule = '';
    this.workplaceSearchJiraCloud = '';
    this.workplaceSearchJiraServer = '';
    this.workplaceSearchNetworkDrive = '';
    this.workplaceSearchOneDrive = '';
    this.workplaceSearchOutlook = '';
    this.workplaceSearchPermissions = '';
    this.workplaceSearchPrivateSourcePermissions = '';
    this.workplaceSearchSalesforce = '';
    this.workplaceSearchSecurity = '';
    this.workplaceSearchServiceNow = '';
    this.workplaceSearchSharePoint = '';
    this.workplaceSearchSharePointServer = '';
    this.workplaceSearchSlack = '';
    this.workplaceSearchSynch = '';
    this.workplaceSearchTeams = '';
    this.workplaceSearchZendesk = '';
    this.workplaceSearchZoom = '';
  }
  setDocLinks(docLinks) {
    this.aiSearchDoc = docLinks.links.enterpriseSearch.aiSearchDoc;
    this.aiSearchHelp = docLinks.links.enterpriseSearch.aiSearchHelp;
    this.apiKeys = docLinks.links.enterpriseSearch.apiKeys;
    this.apiKeyMetadata = docLinks.links.security.mappingRoles;
    this.appSearchAdaptiveRelevance = docLinks.links.appSearch.adaptiveRelevance;
    this.appSearchApis = docLinks.links.appSearch.apiRef;
    this.appSearchApiClients = docLinks.links.appSearch.apiClients;
    this.appSearchApiKeys = docLinks.links.appSearch.apiKeys;
    this.appSearchAuthentication = docLinks.links.appSearch.authentication;
    this.appSearchCrawlRules = docLinks.links.appSearch.crawlRules;
    this.appSearchCurations = docLinks.links.appSearch.curations;
    this.appSearchDuplicateDocuments = docLinks.links.appSearch.duplicateDocuments;
    this.appSearchElasticsearchIndexedEngines = docLinks.links.appSearch.elasticsearchIndexedEngines;
    this.appSearchEntryPoints = docLinks.links.appSearch.entryPoints;
    this.appSearchEvolutionBlog = docLinks.links.appSearch.searchLabsEvolutionBlog;
    this.appSearchGettingStarted = docLinks.links.appSearch.gettingStarted;
    this.appSearchGuide = docLinks.links.appSearch.guide;
    this.appSearchIndexingDocs = docLinks.links.appSearch.indexingDocuments;
    this.appSearchIndexingDocsSchema = docLinks.links.appSearch.indexingDocumentsSchema;
    this.appSearchLogSettings = docLinks.links.appSearch.logSettings;
    this.appSearchMetaEngines = docLinks.links.appSearch.metaEngines;
    this.appSearchPrecision = docLinks.links.appSearch.precisionTuning;
    this.appSearchRelevance = docLinks.links.appSearch.relevanceTuning;
    this.appSearchResultSettings = docLinks.links.appSearch.resultSettings;
    this.appSearchSearchUI = docLinks.links.appSearch.searchUI;
    this.appSearchSecurity = docLinks.links.appSearch.security;
    this.appSearchSynonyms = docLinks.links.appSearch.synonyms;
    this.appSearchWebCrawler = docLinks.links.appSearch.webCrawler;
    this.appSearchWebCrawlerEventLogs = docLinks.links.appSearch.webCrawlerEventLogs;
    this.appSearchWebCrawlerReference = docLinks.links.appSearch.webCrawlerReference;
    this.behavioralAnalytics = docLinks.links.enterpriseSearch.behavioralAnalytics;
    this.behavioralAnalyticsCORS = docLinks.links.enterpriseSearch.behavioralAnalyticsCORS;
    this.behavioralAnalyticsEvents = docLinks.links.enterpriseSearch.behavioralAnalyticsEvents;
    this.buildConnector = docLinks.links.enterpriseSearch.buildConnector;
    this.bulkApi = docLinks.links.enterpriseSearch.bulkApi;
    this.clientsGoIndex = docLinks.links.clients.goIndex;
    this.clientsGuide = docLinks.links.clients.guide;
    this.clientsJavaBasicAuthentication = docLinks.links.clients.javaBasicAuthentication;
    this.clientsJavaInstallation = docLinks.links.clients.javaInstallation;
    this.clientsJavaIntroduction = docLinks.links.clients.javaIntroduction;
    this.clientsJavaRestLow = docLinks.links.clients.javaRestLow;
    this.clientsJsClientConnecting = docLinks.links.clients.jsClientConnecting;
    this.clientsJsIntro = docLinks.links.clients.jsIntro;
    this.clientsNetIntroduction = docLinks.links.clients.netIntroduction;
    this.clientsNetNest = docLinks.links.clients.netNest;
    this.clientsNetSingleNode = docLinks.links.clients.netSingleNode;
    this.clientsPhpConnecting = docLinks.links.clients.phpConnecting;
    this.clientsPhpGuide = docLinks.links.clients.phpGuide;
    this.clientsPhpInstallation = docLinks.links.clients.phpInstallation;
    this.clientsPhpOverview = docLinks.links.clients.phpOverview;
    this.clientsPythonAuthentication = docLinks.links.clients.pythonAuthentication;
    this.clientsPythonOverview = docLinks.links.clients.pythonOverview;
    this.clientsRubyAuthentication = docLinks.links.clients.rubyAuthentication;
    this.clientsRubyOverview = docLinks.links.clients.rubyOverview;
    this.clientsRustOverview = docLinks.links.clients.rustOverview;
    this.cloudIndexManagement = docLinks.links.cloud.indexManagement;
    this.connectors = docLinks.links.enterpriseSearch.connectors;
    this.connectorsMappings = docLinks.links.enterpriseSearch.connectorsMappings;
    this.connectorsAzureBlobStorage = docLinks.links.enterpriseSearch.connectorsAzureBlobStorage;
    this.connectorsClientDeploy = docLinks.links.enterpriseSearch.connectorsClientDeploy;
    this.connectorsBox = docLinks.links.enterpriseSearch.connectorsBox;
    this.connectorsConfluence = docLinks.links.enterpriseSearch.connectorsConfluence;
    this.connectorsContentExtraction = docLinks.links.enterpriseSearch.connectorsContentExtraction;
    this.connectorsClients = docLinks.links.enterpriseSearch.connectorsClients;
    this.connectorsDropbox = docLinks.links.enterpriseSearch.connectorsDropbox;
    this.connectorsGithub = docLinks.links.enterpriseSearch.connectorsGithub;
    this.connectorsGoogleCloudStorage = docLinks.links.enterpriseSearch.connectorsGoogleCloudStorage;
    this.connectorsGoogleDrive = docLinks.links.enterpriseSearch.connectorsGoogleDrive;
    this.connectorsGmail = docLinks.links.enterpriseSearch.connectorsGmail;
    this.connectorsJira = docLinks.links.enterpriseSearch.connectorsJira;
    this.connectorsMicrosoftSQL = docLinks.links.enterpriseSearch.connectorsMicrosoftSQL;
    this.connectorsMongoDB = docLinks.links.enterpriseSearch.connectorsMongoDB;
    this.connectorsMySQL = docLinks.links.enterpriseSearch.connectorsMySQL;
    this.connectorsNative = docLinks.links.enterpriseSearch.connectorsNative;
    this.connectorsNetworkDrive = docLinks.links.enterpriseSearch.connectorsNetworkDrive;
    this.connectorsNotion = docLinks.links.enterpriseSearch.connectorsNotion;
    this.connectorsOneDrive = docLinks.links.enterpriseSearch.connectorsOneDrive;
    this.connectorsOracle = docLinks.links.enterpriseSearch.connectorsOracle;
    this.connectorsOutlook = docLinks.links.enterpriseSearch.connectorsOutlook;
    this.connectorsPostgreSQL = docLinks.links.enterpriseSearch.connectorsPostgreSQL;
    this.connectorsRedis = docLinks.links.enterpriseSearch.connectorsRedis;
    this.connectorsS3 = docLinks.links.enterpriseSearch.connectorsS3;
    this.connectorsSalesforce = docLinks.links.enterpriseSearch.connectorsSalesforce;
    this.connectorsServiceNow = docLinks.links.enterpriseSearch.connectorsServiceNow;
    this.connectorsSharepoint = docLinks.links.enterpriseSearch.connectorsSharepoint;
    this.connectorsSharepointOnline = docLinks.links.enterpriseSearch.connectorsSharepointOnline;
    this.connectorsSlack = docLinks.links.enterpriseSearch.connectorsSlack;
    this.connectorsTeams = docLinks.links.enterpriseSearch.connectorsTeams;
    this.connectorsZoom = docLinks.links.enterpriseSearch.connectorsZoom;
    this.consoleGuide = docLinks.links.console.guide;
    this.crawlerExtractionRules = docLinks.links.enterpriseSearch.crawlerExtractionRules;
    this.crawlerManaging = docLinks.links.enterpriseSearch.crawlerManaging;
    this.crawlerOverview = docLinks.links.enterpriseSearch.crawlerOverview;
    this.deployTrainedModels = docLinks.links.enterpriseSearch.deployTrainedModels;
    this.documentLevelSecurity = docLinks.links.enterpriseSearch.documentLevelSecurity;
    this.e5Model = docLinks.links.enterpriseSearch.e5Model;
    this.elasticsearchCreateIndex = docLinks.links.elasticsearch.createIndex;
    this.elasticsearchGettingStarted = docLinks.links.elasticsearch.gettingStarted;
    this.elasticsearchMapping = docLinks.links.elasticsearch.mapping;
    this.elasticsearchSecureCluster = docLinks.links.elasticsearch.secureCluster;
    this.elser = docLinks.links.enterpriseSearch.elser;
    this.enterpriseSearchConfig = docLinks.links.enterpriseSearch.configuration;
    this.enterpriseSearchEngines = docLinks.links.enterpriseSearch.engines;
    this.enterpriseSearchMailService = docLinks.links.enterpriseSearch.mailService;
    this.enterpriseSearchTroubleshootSetup = docLinks.links.enterpriseSearch.troubleshootSetup;
    this.enterpriseSearchUsersAccess = docLinks.links.enterpriseSearch.usersAccess;
    this.indexApi = docLinks.links.enterpriseSearch.indexApi;
    this.inferenceApiCreate = docLinks.links.enterpriseSearch.inferenceApiCreate;
    this.ingestionApis = docLinks.links.enterpriseSearch.ingestionApis;
    this.ingestPipelines = docLinks.links.enterpriseSearch.ingestPipelines;
    this.kibanaSecurity = docLinks.links.kibana.xpackSecurity;
    this.knnSearch = docLinks.links.enterpriseSearch.knnSearch;
    this.knnSearchCombine = docLinks.links.enterpriseSearch.knnSearchCombine;
    this.languageAnalyzers = docLinks.links.enterpriseSearch.languageAnalyzers;
    this.languageClients = docLinks.links.enterpriseSearch.languageClients;
    this.licenseManagement = docLinks.links.enterpriseSearch.licenseManagement;
    this.machineLearningStart = docLinks.links.enterpriseSearch.machineLearningStart;
    this.mlDocumentEnrichment = docLinks.links.enterpriseSearch.mlDocumentEnrichment;
    this.pluginsIngestAttachment = docLinks.links.plugins.ingestAttachment;
    this.queryDsl = docLinks.links.query.queryDsl;
    this.restApis = docLinks.links.apis.restApis;
    this.roleDescriptors = docLinks.links.security.definingRoles;
    this.rrf = docLinks.links.elasticsearch.rrf;
    this.searchUIAppSearch = docLinks.links.searchUI.appSearch;
    this.searchUIElasticsearch = docLinks.links.searchUI.elasticsearch;
    this.searchApplicationsTemplates = docLinks.links.enterpriseSearch.searchApplicationsTemplates;
    this.searchApplicationsSearchApi = docLinks.links.enterpriseSearch.searchApplicationsSearchApi;
    this.searchApplications = docLinks.links.enterpriseSearch.searchApplications;
    this.searchApplicationsSearch = docLinks.links.enterpriseSearch.searchApplicationsSearch;
    this.searchLabs = docLinks.links.enterpriseSearch.searchLabs;
    this.searchLabsRepo = docLinks.links.enterpriseSearch.searchLabsRepo;
    this.searchTemplates = docLinks.links.enterpriseSearch.searchTemplates;
    this.semanticTextField = docLinks.links.enterpriseSearch.semanticTextField;
    this.start = docLinks.links.enterpriseSearch.start;
    this.supportedNlpModels = docLinks.links.enterpriseSearch.supportedNlpModels;
    this.syncRules = docLinks.links.enterpriseSearch.syncRules;
    this.syncRulesAdvanced = docLinks.links.enterpriseSearch.syncRulesAdvanced;
    this.trainedModels = docLinks.links.enterpriseSearch.trainedModels;
    this.textEmbedding = docLinks.links.enterpriseSearch.textEmbedding;
    this.workplaceSearchGatedFormBlog = docLinks.links.workplaceSearch.gatedFormBlog;
    this.workplaceSearchApiKeys = docLinks.links.workplaceSearch.apiKeys;
    this.workplaceSearchBox = docLinks.links.workplaceSearch.box;
    this.workplaceSearchConfluenceCloud = docLinks.links.workplaceSearch.confluenceCloud;
    this.workplaceSearchConfluenceCloudConnectorPackage = docLinks.links.workplaceSearch.confluenceCloudConnectorPackage;
    this.workplaceSearchConfluenceServer = docLinks.links.workplaceSearch.confluenceServer;
    this.workplaceSearchContentSources = docLinks.links.workplaceSearch.contentSources;
    this.workplaceSearchCustomConnectorPackage = docLinks.links.workplaceSearch.customConnectorPackage;
    this.workplaceSearchCustomSources = docLinks.links.workplaceSearch.customSources;
    this.workplaceSearchCustomSourcePermissions = docLinks.links.workplaceSearch.customSourcePermissions;
    this.workplaceSearchDocumentPermissions = docLinks.links.workplaceSearch.documentPermissions;
    this.workplaceSearchDropbox = docLinks.links.workplaceSearch.dropbox;
    this.workplaceSearchEvolutionBlog = docLinks.links.workplaceSearch.searchLabsEvolutionBlog;
    this.workplaceSearchExternalSharePointOnline = docLinks.links.workplaceSearch.externalSharePointOnline;
    this.workplaceSearchExternalIdentities = docLinks.links.workplaceSearch.externalIdentities;
    this.workplaceSearchGatedFormDataUse = docLinks.links.legal.dataUse;
    this.workplaceSearchGatedFormPrivacyStatement = docLinks.links.legal.generalPrivacyStatement;
    this.workplaceSearchGatedFormTermsOfService = docLinks.links.legal.termsOfService;
    this.workplaceSearchGettingStarted = docLinks.links.workplaceSearch.gettingStarted;
    this.workplaceSearchGitHub = docLinks.links.workplaceSearch.gitHub;
    this.workplaceSearchGmail = docLinks.links.workplaceSearch.gmail;
    this.workplaceSearchGoogleDrive = docLinks.links.workplaceSearch.googleDrive;
    this.workplaceSearchGuide = docLinks.links.workplaceSearch.guide;
    this.workplaceSearchIndexingSchedule = docLinks.links.workplaceSearch.indexingSchedule;
    this.workplaceSearchJiraCloud = docLinks.links.workplaceSearch.jiraCloud;
    this.workplaceSearchJiraServer = docLinks.links.workplaceSearch.jiraServer;
    this.workplaceSearchNetworkDrive = docLinks.links.workplaceSearch.networkDrive;
    this.workplaceSearchOneDrive = docLinks.links.workplaceSearch.oneDrive;
    this.workplaceSearchPermissions = docLinks.links.workplaceSearch.permissions;
    this.workplaceSearchPrivateSourcePermissions = docLinks.links.workplaceSearch.privateSourcePermissions;
    this.workplaceSearchSalesforce = docLinks.links.workplaceSearch.salesforce;
    this.workplaceSearchSecurity = docLinks.links.workplaceSearch.security;
    this.workplaceSearchServiceNow = docLinks.links.workplaceSearch.serviceNow;
    this.workplaceSearchSharePoint = docLinks.links.workplaceSearch.sharePoint;
    this.workplaceSearchSharePointServer = docLinks.links.workplaceSearch.sharePointServer;
    this.workplaceSearchSlack = docLinks.links.workplaceSearch.slack;
    this.workplaceSearchSynch = docLinks.links.workplaceSearch.synch;
    this.workplaceSearchZendesk = docLinks.links.workplaceSearch.zendesk;
  }
}
const docLinks = exports.docLinks = new DocLinks();