"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EuiPanelTo = exports.EuiListGroupItemTo = exports.EuiLinkTo = exports.EuiCardTo = exports.EuiButtonTo = exports.EuiButtonIconTo = exports.EuiButtonEmptyTo = exports.EuiBadgeTo = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _ = require(".");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Correctly typed component helpers with React-Router-friendly `href` and `onClick` props
 */

const EuiLinkTo = ({
  to,
  onClick,
  shouldNotCreateHref,
  ...rest
}) => /*#__PURE__*/_react.default.createElement(_eui.EuiLink, (0, _extends2.default)({}, rest, (0, _.generateReactRouterProps)({
  to,
  onClick,
  shouldNotCreateHref
})));
exports.EuiLinkTo = EuiLinkTo;
const EuiButtonTo = ({
  to,
  onClick,
  shouldNotCreateHref,
  ...rest
}) => /*#__PURE__*/_react.default.createElement(_eui.EuiButton, (0, _extends2.default)({}, rest, (0, _.generateReactRouterProps)({
  to,
  onClick,
  shouldNotCreateHref
})));
exports.EuiButtonTo = EuiButtonTo;
const EuiButtonEmptyTo = ({
  to,
  onClick,
  shouldNotCreateHref,
  ...rest
}) => /*#__PURE__*/_react.default.createElement(_eui.EuiButtonEmpty, (0, _extends2.default)({}, rest, (0, _.generateReactRouterProps)({
  to,
  onClick,
  shouldNotCreateHref
})));
exports.EuiButtonEmptyTo = EuiButtonEmptyTo;
const EuiButtonIconTo = ({
  to,
  onClick,
  shouldNotCreateHref,
  ...rest
}) => /*#__PURE__*/_react.default.createElement(_eui.EuiButtonIcon, (0, _extends2.default)({}, rest, (0, _.generateReactRouterProps)({
  to,
  onClick,
  shouldNotCreateHref
})));
exports.EuiButtonIconTo = EuiButtonIconTo;
const EuiPanelTo = ({
  to,
  onClick,
  shouldNotCreateHref,
  ...rest
}) => /*#__PURE__*/_react.default.createElement(_eui.EuiPanel, (0, _extends2.default)({}, rest, (0, _.generateReactRouterProps)({
  to,
  onClick,
  shouldNotCreateHref
})));
exports.EuiPanelTo = EuiPanelTo;
const EuiCardTo = ({
  to,
  onClick,
  shouldNotCreateHref,
  ...rest
}) => /*#__PURE__*/_react.default.createElement(_eui.EuiCard, (0, _extends2.default)({}, rest, (0, _.generateReactRouterProps)({
  to,
  onClick,
  shouldNotCreateHref
})));
exports.EuiCardTo = EuiCardTo;
const EuiListGroupItemTo = ({
  to,
  onClick,
  shouldNotCreateHref,
  ...rest
}) => /*#__PURE__*/_react.default.createElement(_eui.EuiListGroupItem, (0, _extends2.default)({}, rest, (0, _.generateReactRouterProps)({
  to,
  onClick,
  shouldNotCreateHref
})));

// TODO Right now this only supports the `color` prop of EuiBadgeProps
// Trying to use EuiBadgeProps in its entirety causes a succession of Typescript errors
exports.EuiListGroupItemTo = EuiListGroupItemTo;
const EuiBadgeTo = ({
  label,
  onClick,
  shouldNotCreateHref,
  to,
  ...rest
}) => {
  const routerProps = (0, _.generateReactRouterProps)({
    onClick,
    shouldNotCreateHref,
    to
  });
  const badgeProps = {
    ...rest,
    iconOnClick: routerProps.onClick,
    iconOnClickAriaLabel: label,
    onClick: routerProps.onClick,
    onClickAriaLabel: label
  };
  return /*#__PURE__*/_react.default.createElement(_eui.EuiBadge, (0, _extends2.default)({}, badgeProps, {
    className: "enterpriseSearchEuiBadgeTo"
  }), label);
};
exports.EuiBadgeTo = EuiBadgeTo;