"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.USER_ROLE_TYPE_DESCRIPTION = exports.SPECIFIC_GROUPS_LABEL = exports.SPECIFIC_GROUPS_DESCRIPTION = exports.ROLE_MAPPING_UPDATED_MESSAGE = exports.ROLE_MAPPING_DELETED_MESSAGE = exports.ROLE_MAPPING_CREATED_MESSAGE = exports.ROLE_MAPPINGS_TABLE_HEADER = exports.GROUP_ASSIGNMENT_LABEL = exports.GROUP_ASSIGNMENT_INVALID_ERROR = exports.DEFAULT_GROUP_NAME = exports.ALL_GROUPS_LABEL = exports.ALL_GROUPS_DESCRIPTION = exports.ADMIN_ROLE_TYPE_DESCRIPTION = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ROLE_MAPPING_DELETED_MESSAGE = exports.ROLE_MAPPING_DELETED_MESSAGE = _i18n.i18n.translate('xpack.enterpriseSearch.workplaceSearch.roleMappingDeletedMessage', {
  defaultMessage: 'Successfully deleted role mapping'
});
const ROLE_MAPPING_CREATED_MESSAGE = exports.ROLE_MAPPING_CREATED_MESSAGE = _i18n.i18n.translate('xpack.enterpriseSearch.workplaceSearch.roleMappingCreatedMessage', {
  defaultMessage: 'Role mapping successfully created.'
});
const ROLE_MAPPING_UPDATED_MESSAGE = exports.ROLE_MAPPING_UPDATED_MESSAGE = _i18n.i18n.translate('xpack.enterpriseSearch.workplaceSearch.roleMappingUpdatedMessage', {
  defaultMessage: 'Role mapping successfully updated.'
});
const DEFAULT_GROUP_NAME = exports.DEFAULT_GROUP_NAME = _i18n.i18n.translate('xpack.enterpriseSearch.workplaceSearch.roleMapping.defaultGroupName', {
  defaultMessage: 'Default'
});
const ADMIN_ROLE_TYPE_DESCRIPTION = exports.ADMIN_ROLE_TYPE_DESCRIPTION = _i18n.i18n.translate('xpack.enterpriseSearch.workplaceSearch.roleMapping.adminRoleTypeDescription', {
  defaultMessage: 'Admins have complete access to all organization-wide settings, including content source, group and user management functionality.'
});
const USER_ROLE_TYPE_DESCRIPTION = exports.USER_ROLE_TYPE_DESCRIPTION = _i18n.i18n.translate('xpack.enterpriseSearch.workplaceSearch.roleMapping.userRoleTypeDescription', {
  defaultMessage: "Users' feature access is limited to search interfaces and personal settings management."
});
const GROUP_ASSIGNMENT_INVALID_ERROR = exports.GROUP_ASSIGNMENT_INVALID_ERROR = _i18n.i18n.translate('xpack.enterpriseSearch.workplaceSearch.roleMapping.groupAssignmentInvalidError', {
  defaultMessage: 'At least one assigned group is required.'
});
const GROUP_ASSIGNMENT_LABEL = exports.GROUP_ASSIGNMENT_LABEL = _i18n.i18n.translate('xpack.enterpriseSearch.workplaceSearch.roleMapping.groupAssignmentLabel', {
  defaultMessage: 'Group assignment'
});
const ROLE_MAPPINGS_TABLE_HEADER = exports.ROLE_MAPPINGS_TABLE_HEADER = _i18n.i18n.translate('xpack.enterpriseSearch.workplaceSearch.roleMapping.roleMappingsTableHeader', {
  defaultMessage: 'Group Access'
});
const ALL_GROUPS_LABEL = exports.ALL_GROUPS_LABEL = _i18n.i18n.translate('xpack.enterpriseSearch.workplaceSearch.roleMapping.allGroupsLabel', {
  defaultMessage: 'Assign to all groups'
});
const ALL_GROUPS_DESCRIPTION = exports.ALL_GROUPS_DESCRIPTION = _i18n.i18n.translate('xpack.enterpriseSearch.workplaceSearch.roleMapping.allGroupsDescription', {
  defaultMessage: 'Assigning to all groups includes all current and future groups as created and administered at a later date.'
});
const SPECIFIC_GROUPS_LABEL = exports.SPECIFIC_GROUPS_LABEL = _i18n.i18n.translate('xpack.enterpriseSearch.workplaceSearch.roleMapping.specificGroupsLabel', {
  defaultMessage: 'Assign to specific groups'
});
const SPECIFIC_GROUPS_DESCRIPTION = exports.SPECIFIC_GROUPS_DESCRIPTION = _i18n.i18n.translate('xpack.enterpriseSearch.workplaceSearch.roleMapping.specificGroupsDescription', {
  defaultMessage: 'Assign to a select set of groups statically.'
});