"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAggregateQueryMode = getAggregateQueryMode;
exports.getLanguageDisplayName = getLanguageDisplayName;
exports.isOfAggregateQueryType = isOfAggregateQueryType;
exports.isOfQueryType = isOfQueryType;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

// Checks if the query is of type Query
function isOfQueryType(arg) {
  return Boolean(arg && 'query' in arg);
}

// Checks if the query is of type AggregateQuery
function isOfAggregateQueryType(query) {
  return Boolean(query && 'esql' in query);
}

// returns the language of the aggregate Query, sql, esql etc
function getAggregateQueryMode(query) {
  return Object.keys(query)[0];
}
function getLanguageDisplayName(language) {
  const displayName = language && language === 'esql' ? 'es|ql' : language !== null && language !== void 0 ? language : 'es|ql';
  return displayName.toUpperCase();
}