"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EsqlPlugin = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _public = require("@kbn/kibana-utils-plugin/public");
var _triggers = require("./triggers");
var _kibana_services = require("./kibana_services");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

class EsqlPlugin {
  constructor() {
    (0, _defineProperty2.default)(this, "indexManagement", void 0);
  }
  setup(_, {
    indexManagement,
    uiActions
  }) {
    this.indexManagement = indexManagement;
    uiActions.registerTrigger(_triggers.updateESQLQueryTrigger);
    return {};
  }
  start(core, {
    dataViews,
    expressions,
    data,
    uiActions,
    fieldsMetadata,
    usageCollection
  }) {
    const storage = new _public.Storage(localStorage);
    const appendESQLAction = new _triggers.UpdateESQLQueryAction(data);
    uiActions.addTriggerAction(_triggers.UPDATE_ESQL_QUERY_TRIGGER, appendESQLAction);
    (0, _kibana_services.setKibanaServices)(core, dataViews, expressions, storage, this.indexManagement, fieldsMetadata, usageCollection);
  }
  stop() {}
}
exports.EsqlPlugin = EsqlPlugin;