"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSubtypeByGaugeType = void 0;
var _charts = require("@elastic/charts");
var _common = require("../../../common");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const getSubtypeByGaugeType = type => ({
  [_common.GaugeShapes.HORIZONTAL_BULLET]: _charts.BulletSubtype.horizontal,
  [_common.GaugeShapes.VERTICAL_BULLET]: _charts.BulletSubtype.vertical,
  [_common.GaugeShapes.SEMI_CIRCLE]: _charts.BulletSubtype.halfCircle,
  [_common.GaugeShapes.ARC]: _charts.BulletSubtype.twoThirdsCircle,
  [_common.GaugeShapes.CIRCLE]: _charts.BulletSubtype.circle
})[type];
exports.getSubtypeByGaugeType = getSubtypeByGaugeType;