"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ExpressionLegacyMetricPlugin = void 0;
var _public = require("@kbn/kibana-utils-plugin/public");
var _common = require("../common");
var _services = require("./services");
var _expression_renderers = require("./expression_renderers");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

/** @internal */

/** @internal */

/** @internal */
class ExpressionLegacyMetricPlugin {
  setup(core, {
    expressions,
    charts
  }) {
    const getStartDeps = (0, _public.createStartServicesGetter)(core.getStartServices);
    charts.palettes.getPalettes().then(palettes => {
      (0, _services.setPaletteService)(palettes);
    });
    expressions.registerFunction(_common.metricVisFunction);
    expressions.registerRenderer((0, _expression_renderers.getMetricVisRenderer)({
      getStartDeps
    }));
  }
  start(core, {
    fieldFormats
  }) {
    (0, _services.setFormatService)(fieldFormats);
  }
}
exports.ExpressionLegacyMetricPlugin = ExpressionLegacyMetricPlugin;