"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ExpressionMetricPlugin = void 0;
var _expression_functions = require("../common/expression_functions");
var _expression_renderers = require("./expression_renderers");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

class ExpressionMetricPlugin {
  setup(core, {
    expressions
  }) {
    expressions.registerFunction(_expression_functions.metricFunction);
    expressions.registerRenderer((0, _expression_renderers.metricRendererFactory)(core));
  }
  start(core) {}
  stop() {}
}
exports.ExpressionMetricPlugin = ExpressionMetricPlugin;