"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.XYCurrentTime = void 0;
var _react = _interopRequireDefault(require("react"));
var _public = require("@kbn/charts-plugin/public");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const XYCurrentTime = ({
  enabled,
  isDarkMode,
  domain
}) => {
  if (!enabled) {
    return null;
  }
  const domainEnd = domain && 'max' in domain ? domain.max : undefined;
  return /*#__PURE__*/_react.default.createElement(_public.CurrentTime, {
    isDarkMode: isDarkMode,
    domainEnd: domainEnd
  });
};
exports.XYCurrentTime = XYCurrentTime;