"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  getNotifications: true,
  setNotifications: true,
  getRenderersRegistry: true,
  setRenderersRegistry: true,
  getExpressionsService: true,
  setExpressionsService: true
};
exports.setRenderersRegistry = exports.setNotifications = exports.setExpressionsService = exports.getRenderersRegistry = exports.getNotifications = exports.getExpressionsService = void 0;
var _public = require("@kbn/kibana-utils-plugin/public");
var _expressions_services = require("./expressions_services");
Object.keys(_expressions_services).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _expressions_services[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _expressions_services[key];
    }
  });
});
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const [getNotifications, setNotifications] = (0, _public.createGetterSetter)('Notifications');
exports.setNotifications = setNotifications;
exports.getNotifications = getNotifications;
const [getRenderersRegistry, setRenderersRegistry] = (0, _public.createGetterSetter)('Renderers registry');
exports.setRenderersRegistry = setRenderersRegistry;
exports.getRenderersRegistry = getRenderersRegistry;
const [getExpressionsService, setExpressionsService] = (0, _public.createGetterSetter)('ExpressionsService');
exports.setExpressionsService = setExpressionsService;
exports.getExpressionsService = getExpressionsService;