"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BidirectionalIntegrationsBanner = void 0;
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _eui = require("@elastic/eui");
var _i18nReact = require("@kbn/i18n-react");
var _public = require("@kbn/kibana-react-plugin/public");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AccentCallout = (0, _styledComponents.default)(_eui.EuiCallOut)`
  .euiCallOutHeader__title {
    color: ${props => props.theme.eui.euiColorAccent};
  }
  background-color: ${props => props.theme.eui.euiPanelBackgroundColorModifiers.accent};
`;
const BidirectionalIntegrationsBanner = exports.BidirectionalIntegrationsBanner = /*#__PURE__*/(0, _react.memo)(({
  onDismiss
}) => {
  const {
    docLinks
  } = (0, _public.useKibana)().services;
  const bannerTitle = /*#__PURE__*/_react.default.createElement(_eui.EuiTextColor, {
    color: "accent"
  }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "xpack.fleet.bidirectionalIntegrationsBanner.title",
    defaultMessage: 'NEW: Response enabled integration'
  }));
  return /*#__PURE__*/_react.default.createElement(AccentCallout, {
    title: bannerTitle,
    iconType: "cheer",
    onDismiss: onDismiss,
    "data-test-subj": 'bidirectionalIntegrationsCallout'
  }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "xpack.fleet.bidirectionalIntegrationsBanner.body",
    defaultMessage: "Orchestrate response actions across endpoint vendors with bidirectional integrations. {learnmore}.",
    values: {
      learnmore: /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
        href: docLinks === null || docLinks === void 0 ? void 0 : docLinks.links.securitySolution.bidirectionalIntegrations,
        target: "_blank",
        "data-test-subj": "bidirectionalIntegrationDocLink"
      }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
        id: "xpack.fleet.bidirectionalIntegrations.doc.link",
        defaultMessage: "Learn more"
      }))
    }
  }));
});
BidirectionalIntegrationsBanner.displayName = 'BidirectionalIntegrationsBanner';