"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CloudPostureThirdPartySupportCallout = void 0;
var _react = _interopRequireDefault(require("react"));
var _useLocalStorage = _interopRequireDefault(require("react-use/lib/useLocalStorage"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const LS_CLOUD_POSTURE_3P_SUPPORT_WIZ_INTEGRATIONS_CALLOUT_KEY = 'fleet:cloudSecurityPosture:thirdPartySupport:wizIntegrationsCallout';
const CloudPostureThirdPartySupportCallout = ({
  packageInfo
}) => {
  const [userHasDismissedWizCallout, setUserHasDismissedWizCallout] = (0, _useLocalStorage.default)(LS_CLOUD_POSTURE_3P_SUPPORT_WIZ_INTEGRATIONS_CALLOUT_KEY);
  if (packageInfo.name !== 'wiz' || userHasDismissedWizCallout) return null;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiCallOut, {
    onDismiss: () => setUserHasDismissedWizCallout(true),
    iconType: "cheer",
    title: _i18n.i18n.translate('xpack.fleet.epm.wizIntegration.newFeaturesCallout', {
      defaultMessage: 'New! Starting from version 2.0, ingest vulnerability and misconfiguration findings from Wiz into Elastic. Leverage out-of-the-box contextual investigation and threat-hunting workflows.'
    })
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "s"
  }));
};
exports.CloudPostureThirdPartySupportCallout = CloudPostureThirdPartySupportCallout;