"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.hasDeferredInstallations = exports.getDeferredInstallationsCnt = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getDeferredInstallationsCnt = pkg => {
  var _pkg$installationInfo;
  if (!pkg) return 0;
  return pkg && 'installationInfo' in pkg && pkg.installationInfo ? (_pkg$installationInfo = pkg.installationInfo.installed_es) === null || _pkg$installationInfo === void 0 ? void 0 : _pkg$installationInfo.filter(d => d.deferred).length : 0;
};
exports.getDeferredInstallationsCnt = getDeferredInstallationsCnt;
const hasDeferredInstallations = pkg => getDeferredInstallationsCnt(pkg) > 0;
exports.hasDeferredInstallations = hasDeferredInstallations;