"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  settingsService: true,
  getRegistryUrl: true,
  AgentServiceImpl: true,
  getAvailableVersions: true,
  getLatestAvailableAgentVersion: true,
  agentPolicyService: true,
  packagePolicyService: true,
  outputService: true,
  downloadSourceService: true,
  dataStreamService: true,
  appContextService: true,
  licenseService: true,
  auditLoggingService: true,
  ensurePreconfiguredPackagesAndPolicies: true,
  PackageServiceImpl: true,
  migrateSettingsToFleetServerHost: true,
  FleetUsageSender: true,
  checkAllowedPackages: true
};
Object.defineProperty(exports, "AgentServiceImpl", {
  enumerable: true,
  get: function () {
    return _agents.AgentServiceImpl;
  }
});
Object.defineProperty(exports, "FleetUsageSender", {
  enumerable: true,
  get: function () {
    return _fleet_usage_sender.FleetUsageSender;
  }
});
Object.defineProperty(exports, "PackageServiceImpl", {
  enumerable: true,
  get: function () {
    return _epm.PackageServiceImpl;
  }
});
Object.defineProperty(exports, "agentPolicyService", {
  enumerable: true,
  get: function () {
    return _agent_policy.agentPolicyService;
  }
});
Object.defineProperty(exports, "appContextService", {
  enumerable: true,
  get: function () {
    return _app_context.appContextService;
  }
});
Object.defineProperty(exports, "auditLoggingService", {
  enumerable: true,
  get: function () {
    return _audit_logging.auditLoggingService;
  }
});
Object.defineProperty(exports, "checkAllowedPackages", {
  enumerable: true,
  get: function () {
    return _check_allowed_packages.checkAllowedPackages;
  }
});
Object.defineProperty(exports, "dataStreamService", {
  enumerable: true,
  get: function () {
    return _data_streams.dataStreamService;
  }
});
Object.defineProperty(exports, "downloadSourceService", {
  enumerable: true,
  get: function () {
    return _download_source.downloadSourceService;
  }
});
Object.defineProperty(exports, "ensurePreconfiguredPackagesAndPolicies", {
  enumerable: true,
  get: function () {
    return _preconfiguration.ensurePreconfiguredPackagesAndPolicies;
  }
});
Object.defineProperty(exports, "getAvailableVersions", {
  enumerable: true,
  get: function () {
    return _agents.getAvailableVersions;
  }
});
Object.defineProperty(exports, "getLatestAvailableAgentVersion", {
  enumerable: true,
  get: function () {
    return _agents.getLatestAvailableAgentVersion;
  }
});
Object.defineProperty(exports, "getRegistryUrl", {
  enumerable: true,
  get: function () {
    return _registry_url.getRegistryUrl;
  }
});
Object.defineProperty(exports, "licenseService", {
  enumerable: true,
  get: function () {
    return _license.licenseService;
  }
});
Object.defineProperty(exports, "migrateSettingsToFleetServerHost", {
  enumerable: true,
  get: function () {
    return _fleet_server_host.migrateSettingsToFleetServerHost;
  }
});
Object.defineProperty(exports, "outputService", {
  enumerable: true,
  get: function () {
    return _output.outputService;
  }
});
Object.defineProperty(exports, "packagePolicyService", {
  enumerable: true,
  get: function () {
    return _package_policy.packagePolicyService;
  }
});
exports.settingsService = void 0;
var settingsService = _interopRequireWildcard(require("./settings"));
exports.settingsService = settingsService;
var _registry_url = require("./epm/registry/registry_url");
var _agents = require("./agents");
var _agent_policy = require("./agent_policy");
var _package_policy = require("./package_policy");
var _output = require("./output");
var _download_source = require("./download_source");
var _data_streams = require("./data_streams");
var _app_context = require("./app_context");
var _license = require("./license");
var _audit_logging = require("./audit_logging");
var _artifacts = require("./artifacts");
Object.keys(_artifacts).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _artifacts[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _artifacts[key];
    }
  });
});
var _preconfiguration = require("./preconfiguration");
var _epm = require("./epm");
var _fleet_server_host = require("./fleet_server_host");
var _fleet_usage_sender = require("./telemetry/fleet_usage_sender");
var _check_allowed_packages = require("./check_allowed_packages");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }