"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  IndexAdapter: true,
  IndexPatternAdapter: true,
  retryTransientEsErrors: true,
  ecsFieldMap: true,
  createOrUpdateIndexTemplate: true,
  createOrUpdateComponentTemplate: true
};
Object.defineProperty(exports, "IndexAdapter", {
  enumerable: true,
  get: function () {
    return _index_adapter.IndexAdapter;
  }
});
Object.defineProperty(exports, "IndexPatternAdapter", {
  enumerable: true,
  get: function () {
    return _index_pattern_adapter.IndexPatternAdapter;
  }
});
Object.defineProperty(exports, "createOrUpdateComponentTemplate", {
  enumerable: true,
  get: function () {
    return _create_or_update_component_template.createOrUpdateComponentTemplate;
  }
});
Object.defineProperty(exports, "createOrUpdateIndexTemplate", {
  enumerable: true,
  get: function () {
    return _create_or_update_index_template.createOrUpdateIndexTemplate;
  }
});
Object.defineProperty(exports, "ecsFieldMap", {
  enumerable: true,
  get: function () {
    return _ecs_field_map.ecsFieldMap;
  }
});
Object.defineProperty(exports, "retryTransientEsErrors", {
  enumerable: true,
  get: function () {
    return _retry_transient_es_errors.retryTransientEsErrors;
  }
});
var _index_adapter = require("./src/index_adapter");
var _index_pattern_adapter = require("./src/index_pattern_adapter");
var _retry_transient_es_errors = require("./src/retry_transient_es_errors");
var _ecs_field_map = require("./src/field_maps/ecs_field_map");
var _create_or_update_index_template = require("./src/create_or_update_index_template");
var _create_or_update_component_template = require("./src/create_or_update_component_template");
var _types = require("./src/field_maps/types");
Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _types[key];
    }
  });
});