"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DeleteSearchableSnapshot = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18n_texts = require("./i18n_texts");
var _i18n_texts2 = require("../../../edit_policy/i18n_texts");
var _action_description = require("./action_description");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const DeleteSearchableSnapshot = ({
  phase,
  phases
}) => {
  var _actions$delete;
  const phaseConfig = phases[phase];
  const deleteSearchableSnapshot = phaseConfig === null || phaseConfig === void 0 ? void 0 : (_actions$delete = phaseConfig.actions.delete) === null || _actions$delete === void 0 ? void 0 : _actions$delete.delete_searchable_snapshot;
  return /*#__PURE__*/_react.default.createElement(_action_description.ActionDescription, {
    title: _i18n_texts2.i18nTexts.editPolicy.deleteSearchableSnapshotLabel,
    descriptionItems: [Boolean(deleteSearchableSnapshot) ? _i18n_texts.i18nTexts.yes : _i18n_texts.i18nTexts.no]
  });
};
exports.DeleteSearchableSnapshot = DeleteSearchableSnapshot;