"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IndexPriority = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18n_texts = require("../../../edit_policy/i18n_texts");
var _action_description = require("./action_description");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const IndexPriority = ({
  phase,
  phases
}) => {
  const phaseConfig = phases[phase];
  const indexPriority = phaseConfig === null || phaseConfig === void 0 ? void 0 : phaseConfig.actions.set_priority;
  return indexPriority ? /*#__PURE__*/_react.default.createElement(_action_description.ActionDescription, {
    title: _i18n_texts.i18nTexts.editPolicy.indexPriorityFieldLabel,
    descriptionItems: [indexPriority.priority]
  }) : null;
};
exports.IndexPriority = IndexPriority;