"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Timeline = void 0;
var _react = _interopRequireDefault(require("react"));
var _timeline = require("../../edit_policy/components/timeline/timeline");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const Timeline = ({
  policy
}) => {
  var _policy$policy$phases, _policy$policy$phases2, _policy$policy$phases3, _policy$policy$phases4, _policy$policy$phases5;
  const hasDeletePhase = Boolean(policy.policy.phases.delete);
  const isUsingRollover = Boolean((_policy$policy$phases = policy.policy.phases.hot) === null || _policy$policy$phases === void 0 ? void 0 : _policy$policy$phases.actions.rollover);
  const warmPhaseMinAge = (_policy$policy$phases2 = policy.policy.phases.warm) === null || _policy$policy$phases2 === void 0 ? void 0 : _policy$policy$phases2.min_age;
  const coldPhaseMinAge = (_policy$policy$phases3 = policy.policy.phases.cold) === null || _policy$policy$phases3 === void 0 ? void 0 : _policy$policy$phases3.min_age;
  const frozenPhaseMinAge = (_policy$policy$phases4 = policy.policy.phases.frozen) === null || _policy$policy$phases4 === void 0 ? void 0 : _policy$policy$phases4.min_age;
  const deletePhaseMinAge = (_policy$policy$phases5 = policy.policy.phases.delete) === null || _policy$policy$phases5 === void 0 ? void 0 : _policy$policy$phases5.min_age;
  return /*#__PURE__*/_react.default.createElement(_timeline.Timeline, {
    showTitle: false,
    hasDeletePhase: hasDeletePhase,
    isUsingRollover: isUsingRollover,
    hotPhaseMinAge: undefined,
    warmPhaseMinAge: warmPhaseMinAge,
    coldPhaseMinAge: coldPhaseMinAge,
    frozenPhaseMinAge: frozenPhaseMinAge,
    deletePhaseMinAge: deletePhaseMinAge
  });
};
exports.Timeline = Timeline;