"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EnrichPoliciesAuthProvider = void 0;
var _react = _interopRequireDefault(require("react"));
var _shared_imports = require("../../../shared_imports");
var _app_context = require("../../app_context");
var _common = require("../../../../common");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const EnrichPoliciesAuthProvider = ({
  children
}) => {
  const {
    services: {
      httpService: {
        httpClient
      }
    }
  } = (0, _app_context.useAppContext)();
  return /*#__PURE__*/_react.default.createElement(_shared_imports.AuthorizationProvider, {
    privilegesEndpoint: `${_common.INTERNAL_API_BASE_PATH}/enrich_policies/privileges`,
    httpClient: httpClient
  }, children);
};
exports.EnrichPoliciesAuthProvider = EnrichPoliciesAuthProvider;