"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StepSettingsContainer = void 0;
var _react = _interopRequireDefault(require("react"));
var _shared_imports = require("../../../../../shared_imports");
var _step_settings = require("./step_settings");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const StepSettingsContainer = exports.StepSettingsContainer = /*#__PURE__*/_react.default.memo(({
  esDocsBase,
  getTemplateData
}) => {
  const {
    defaultValue,
    updateContent
  } = _shared_imports.Forms.useContent('settings');
  const {
    getData
  } = _shared_imports.Forms.useMultiContentContext();
  let indexMode;
  if (getTemplateData) {
    const wizardContent = getData();
    // Build the current template object, providing the wizard content data
    const template = getTemplateData(wizardContent);
    indexMode = template.indexMode;
  }
  return /*#__PURE__*/_react.default.createElement(_step_settings.StepSettings, {
    defaultValue: defaultValue,
    onChange: updateContent,
    esDocsBase: esDocsBase,
    indexMode: indexMode
  });
});