"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OutputEventType = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */
/**
 * List possible values of {@link OutputEvent} types.
 */
let OutputEventType = exports.OutputEventType = /*#__PURE__*/function (OutputEventType) {
  OutputEventType["OutputUpdate"] = "output";
  OutputEventType["OutputComplete"] = "complete";
  return OutputEventType;
}({});
/**
 * Task output of a {@link OutputCompleteEvent}
 */
/**
 * Update (chunk) event for the {@link OutputAPI}
 */
/**
 * Completion (complete message) event for the {@link OutputAPI}
 */
/**
 * Events emitted from the {@link OutputEvent}.
 */