"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateLogEntryDatasetsResponsePayloadRT = exports.validateLogEntryDatasetsRequestPayloadRT = exports.LOG_ANALYSIS_VALIDATE_DATASETS_PATH = void 0;
var rt = _interopRequireWildcard(require("io-ts"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const LOG_ANALYSIS_VALIDATE_DATASETS_PATH = exports.LOG_ANALYSIS_VALIDATE_DATASETS_PATH = '/api/infra/log_analysis/validation/log_entry_datasets';

/**
 * Request types
 */
const validateLogEntryDatasetsRequestPayloadRT = exports.validateLogEntryDatasetsRequestPayloadRT = rt.type({
  data: rt.type({
    indices: rt.array(rt.string),
    timestampField: rt.string,
    startTime: rt.number,
    endTime: rt.number,
    runtimeMappings: rt.UnknownRecord
  })
});
/**
 * Response types
 * */
const logEntryDatasetsEntryRT = rt.strict({
  indexName: rt.string,
  datasets: rt.array(rt.string)
});
const validateLogEntryDatasetsResponsePayloadRT = exports.validateLogEntryDatasetsResponsePayloadRT = rt.type({
  data: rt.type({
    datasets: rt.array(logEntryDatasetsEntryRT)
  })
});