"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useAlertPrefillContext = exports.AlertPrefillProvider = void 0;
var _constate = _interopRequireDefault(require("constate"));
var _use_metric_threshold_alert_prefill = require("./metric_threshold/hooks/use_metric_threshold_alert_prefill");
var _use_inventory_alert_prefill = require("./inventory/hooks/use_inventory_alert_prefill");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const useAlertPrefill = () => {
  const metricThresholdPrefill = (0, _use_metric_threshold_alert_prefill.useMetricThresholdAlertPrefill)();
  const inventoryPrefill = (0, _use_inventory_alert_prefill.useInventoryAlertPrefill)();
  return {
    metricThresholdPrefill,
    inventoryPrefill
  };
};
const [AlertPrefillProvider, useAlertPrefillContext] = (0, _constate.default)(useAlertPrefill);
exports.useAlertPrefillContext = useAlertPrefillContext;
exports.AlertPrefillProvider = AlertPrefillProvider;