"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RowExpansionButton = void 0;
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _react = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const RowExpansionButton = ({
  isExpanded,
  item,
  onCollapse,
  onExpand
}) => {
  const handleClick = (0, _react.useCallback)(() => isExpanded ? onCollapse(item) : onExpand(item), [isExpanded, item, onCollapse, onExpand]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiButtonIcon, {
    "data-test-subj": "infraRowExpansionButtonButton",
    onClick: handleClick,
    "aria-label": isExpanded ? collapseAriaLabel : expandAriaLabel,
    iconType: isExpanded ? 'arrowUp' : 'arrowDown'
  });
};
exports.RowExpansionButton = RowExpansionButton;
const collapseAriaLabel = _i18n.i18n.translate('xpack.infra.table.collapseRowLabel', {
  defaultMessage: 'Collapse'
});
const expandAriaLabel = _i18n.i18n.translate('xpack.infra.table.expandRowLabel', {
  defaultMessage: 'Expand'
});