"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MissingSetupPrivilegesPrompt = void 0;
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
var _common = require("@kbn/kibana-react-plugin/common");
var _missing_privileges_messages = require("./missing_privileges_messages");
var _user_management_link = require("./user_management_link");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const MissingSetupPrivilegesPrompt = () => /*#__PURE__*/_react.default.createElement(EmptyPrompt, {
  "data-test-subj": "logsMissingMLAllPrivileges",
  title: /*#__PURE__*/_react.default.createElement("h2", null, _missing_privileges_messages.missingMlPrivilegesTitle),
  body: /*#__PURE__*/_react.default.createElement("p", null, _missing_privileges_messages.missingMlSetupPrivilegesDescription),
  actions: /*#__PURE__*/_react.default.createElement(_user_management_link.UserManagementLink, null)
});
exports.MissingSetupPrivilegesPrompt = MissingSetupPrivilegesPrompt;
const EmptyPrompt = (0, _common.euiStyled)(_eui.EuiEmptyPrompt)`
  align-self: center;
`;