"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.callGetLogEntryExamplesAPI = void 0;
var _ioTsUtils = require("@kbn/io-ts-utils");
var _http_api = require("../../../../../common/http_api");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const callGetLogEntryExamplesAPI = async (requestArgs, fetch) => {
  const {
    logViewReference,
    idFormat,
    startTime,
    endTime,
    dataset,
    exampleCount,
    categoryId
  } = requestArgs;
  const response = await fetch(_http_api.LOG_ANALYSIS_GET_LOG_ENTRY_RATE_EXAMPLES_PATH, {
    method: 'POST',
    body: JSON.stringify(_http_api.getLogEntryExamplesRequestPayloadRT.encode({
      data: {
        dataset,
        exampleCount,
        logView: logViewReference,
        idFormat,
        timeRange: {
          startTime,
          endTime
        },
        categoryId
      }
    })),
    version: '1'
  });
  return (0, _ioTsUtils.decodeOrThrow)(_http_api.getLogEntryExamplesSuccessResponsePayloadRT)(response);
};
exports.callGetLogEntryExamplesAPI = callGetLogEntryExamplesAPI;