"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SubSection = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const SubSection = ({
  id,
  label,
  children,
  metrics,
  onChangeRangeTime,
  isLiveStreaming,
  stopLiveStreaming
}) => {
  const metric = (0, _react.useMemo)(() => metrics === null || metrics === void 0 ? void 0 : metrics.find(m => m.id === id), [id, metrics]);
  if (!children || !metric) {
    return null;
  }
  const childrenWithProps = _react.Children.map(children, child => {
    if ( /*#__PURE__*/(0, _react.isValidElement)(child)) {
      return /*#__PURE__*/(0, _react.cloneElement)(child, {
        // @ts-expect-error upgrade typescript v4.9.5
        metric,
        id,
        onChangeRangeTime,
        isLiveStreaming,
        stopLiveStreaming
      });
    }
    return null;
  });
  return /*#__PURE__*/_react.default.createElement("div", {
    style: {
      margin: '10px 0 16px 0'
    },
    id: id
  }, label ? /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, {
    size: "s"
  }, /*#__PURE__*/_react.default.createElement("h4", null, label)) : null, childrenWithProps);
};
exports.SubSection = SubSection;