"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getInfraMetricsClient = getInfraMetricsClient;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

async function getInfraMetricsClient({
  libs,
  context,
  request
}) {
  const {
    framework
  } = libs;
  const infraContext = await context.infra;
  const metricsIndices = await infraContext.getMetricsIndices();
  return {
    search(searchParams) {
      return framework.callWithRequest(context, 'search', {
        ...searchParams,
        ignore_unavailable: true,
        index: metricsIndices
      }, request);
    }
  };
}