"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getLatestEntity = getLatestEntity;
var _entitiesSchema = require("@kbn/entities-schema");
var _common = require("@kbn/observability-shared-plugin/common");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ENTITIES_LATEST_ALIAS = (0, _entitiesSchema.entitiesAliasPattern)({
  type: '*',
  dataset: _entitiesSchema.ENTITY_LATEST
});
async function getLatestEntity({
  inventoryEsClient,
  entityId,
  entityType,
  entityManagerClient,
  logger
}) {
  try {
    var _definitions$, _definitions$$identit, _definitions$$identit2, _response$0$source_da;
    const {
      definitions
    } = await entityManagerClient.getEntityDefinitions({
      builtIn: true,
      type: entityType
    });
    const hostOrContainerIdentityField = (_definitions$ = definitions[0]) === null || _definitions$ === void 0 ? void 0 : (_definitions$$identit = _definitions$.identityFields) === null || _definitions$$identit === void 0 ? void 0 : (_definitions$$identit2 = _definitions$$identit[0]) === null || _definitions$$identit2 === void 0 ? void 0 : _definitions$$identit2.field;
    if (hostOrContainerIdentityField === undefined) {
      return undefined;
    }
    const response = await inventoryEsClient.esql('get_latest_entities', {
      query: `FROM ${ENTITIES_LATEST_ALIAS}
        | WHERE ${_common.ENTITY_TYPE} == ?
        | WHERE ${hostOrContainerIdentityField} == ?
        | KEEP ${_common.SOURCE_DATA_STREAM_TYPE}
      `,
      params: [entityType, entityId]
    });
    return {
      sourceDataStreamType: (_response$0$source_da = response[0].source_data_stream) === null || _response$0$source_da === void 0 ? void 0 : _response$0$source_da.type
    };
  } catch (e) {
    logger.error(e);
  }
}