"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.renderApp = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactDom = require("react-dom");
var _shared_imports = require("../shared_imports");
var _constants = require("../../common/constants");
var _app = require("./app");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const renderApp = (element, services, coreServices) => {
  (0, _reactDom.render)( /*#__PURE__*/_react.default.createElement(_shared_imports.KibanaRenderContextProvider, coreServices, /*#__PURE__*/_react.default.createElement(_shared_imports.AuthorizationProvider, {
    privilegesEndpoint: `${_constants.API_BASE_PATH}/privileges/ingest_pipelines`,
    httpClient: coreServices.http
  }, /*#__PURE__*/_react.default.createElement(_shared_imports.KibanaContextProvider, {
    services: services
  }, /*#__PURE__*/_react.default.createElement(_app.App, null)))), element);
  return () => {
    (0, _reactDom.unmountComponentAtNode)(element);
  };
};
exports.renderApp = renderApp;