"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EmptyList = void 0;
var _eui = require("@elastic/eui");
var _i18nReact = require("@kbn/i18n-react");
var _react = _interopRequireDefault(require("react"));
var _emotionReact = require("@emotion/react/dist/emotion-react.cjs");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const EmptyList = ({
  addDatabaseButton
}) => {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiPageTemplate.EmptyPrompt, {
    iconType: "database",
    iconColor: "default",
    title: /*#__PURE__*/_react.default.createElement("h2", {
      "data-test-subj": "geoipEmptyListPrompt"
    }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "xpack.ingestPipelines.manageProcessors.geoip.emptyPromptTitle",
      defaultMessage: "Add your first database for IP Location processor"
    })),
    body: /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "xpack.ingestPipelines.manageProcessors.geoip.emptyPromptDescription",
      defaultMessage: "Set up a connection to a custom database when setting up IP Location processor."
    })),
    actions: addDatabaseButton,
    css: (0, _emotionReact.css)`
        width: 450px;
        padding: 0 20px 0 20px;
      `
  });
};
exports.EmptyList = EmptyList;