"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PipelineDetailsJsonBlock = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const PipelineDetailsJsonBlock = ({
  json
}) => {
  // Hack so copied-to-clipboard value updates as content changes
  // Related issue: https://github.com/elastic/eui/issues/3321
  const uuid = (0, _react.useRef)(0);
  uuid.current++;

  // Convert JSON object to string
  const jsonString = JSON.stringify(json, null, 2);
  // Replace all newline characters with empty spaces
  const formattedString = jsonString.replace(/\\n/g, ' ');
  return /*#__PURE__*/_react.default.createElement(_eui.EuiCodeBlock, {
    paddingSize: "s",
    language: "json",
    overflowHeight: json.length > 0 ? 300 : undefined,
    isCopyable: true,
    key: uuid.current,
    "data-test-subj": "jsonCodeBlock"
  }, formattedString);
};
exports.PipelineDetailsJsonBlock = PipelineDetailsJsonBlock;