"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _i18nReact = require("@kbn/i18n-react");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

class OptionsTab extends _react.PureComponent {
  constructor(...args) {
    super(...args);
    (0, _defineProperty2.default)(this, "handleUpdateFiltersChange", event => {
      this.props.setValue('updateFiltersOnChange', event.target.checked);
    });
    (0, _defineProperty2.default)(this, "handleUseTimeFilter", event => {
      this.props.setValue('useTimeFilter', event.target.checked);
    });
    (0, _defineProperty2.default)(this, "handlePinFilters", event => {
      this.props.setValue('pinFilters', event.target.checked);
    });
  }
  render() {
    return /*#__PURE__*/_react.default.createElement(_eui.EuiForm, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFormRow, {
      id: "updateFiltersOnChange"
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiSwitch, {
      label: /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
        id: "inputControl.editor.optionsTab.updateFilterLabel",
        defaultMessage: "Update Kibana filters on each change"
      }),
      checked: this.props.stateParams.updateFiltersOnChange,
      onChange: this.handleUpdateFiltersChange,
      "data-test-subj": "inputControlEditorUpdateFiltersOnChangeCheckbox"
    })), /*#__PURE__*/_react.default.createElement(_eui.EuiFormRow, {
      id: "useTimeFilter"
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiSwitch, {
      label: /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
        id: "inputControl.editor.optionsTab.useTimeFilterLabel",
        defaultMessage: "Use time filter"
      }),
      checked: this.props.stateParams.useTimeFilter,
      onChange: this.handleUseTimeFilter,
      "data-test-subj": "inputControlEditorUseTimeFilterCheckbox"
    })), /*#__PURE__*/_react.default.createElement(_eui.EuiFormRow, {
      id: "pinFilters"
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiSwitch, {
      label: /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
        id: "inputControl.editor.optionsTab.pinFiltersLabel",
        defaultMessage: "Pin filters for all applications"
      }),
      checked: this.props.stateParams.pinFilters,
      onChange: this.handlePinFilters,
      "data-test-subj": "inputControlEditorPinFiltersCheckbox"
    })));
  }
}
// default export required for React.Lazy
// eslint-disable-next-line import/no-default-export
exports.default = OptionsTab;
module.exports = exports.default;