"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MissingPrivilegesDescription = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var i18n = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const MissingPrivilegesDescription = exports.MissingPrivilegesDescription = /*#__PURE__*/_react.default.memo(({
  canCreateIntegrations,
  canCreateConnectors,
  canExecuteConnectors
}) => {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    gutterSize: "m",
    direction: "column",
    "data-test-subj": "missingPrivilegesGroup"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, i18n.PRIVILEGES_REQUIRED_TITLE), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiCode, null, /*#__PURE__*/_react.default.createElement("ul", null, canCreateIntegrations && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("li", null, i18n.REQUIRED_PRIVILEGES.FLEET_ALL), /*#__PURE__*/_react.default.createElement("li", null, i18n.REQUIRED_PRIVILEGES.INTEGRATIONS_ALL)), canCreateConnectors ? /*#__PURE__*/_react.default.createElement("li", null, i18n.REQUIRED_PRIVILEGES.CONNECTORS_ALL) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, canExecuteConnectors && /*#__PURE__*/_react.default.createElement("li", null, i18n.REQUIRED_PRIVILEGES.CONNECTORS_READ))))), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, i18n.CONTACT_ADMINISTRATOR));
});
MissingPrivilegesDescription.displayName = 'MissingPrivilegesDescription';