"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EntityIcon = EntityIcon;
var _react = _interopRequireDefault(require("react"));
var _customIcons = require("@kbn/custom-icons");
var _eui = require("@elastic/eui");
var _uiTheme = require("@kbn/ui-theme");
var _lodash = require("lodash");
var _entity_type_guards = require("../../../common/utils/entity_type_guards");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function EntityIcon({
  entity
}) {
  const defaultIconSize = _uiTheme.euiThemeVars.euiSizeL;
  if ((0, _entity_type_guards.isBuiltinEntityOfType)('host', entity) || (0, _entity_type_guards.isBuiltinEntityOfType)('container', entity)) {
    var _entity$cloud;
    const cloudProvider = (0, _lodash.castArray)((_entity$cloud = entity.cloud) === null || _entity$cloud === void 0 ? void 0 : _entity$cloud.provider)[0];
    return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
      style: {
        width: defaultIconSize,
        height: defaultIconSize
      },
      alignItems: "center",
      justifyContent: "center"
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
      grow: false
    }, /*#__PURE__*/_react.default.createElement(_customIcons.CloudProviderIcon, {
      cloudProvider: cloudProvider,
      size: "m",
      title: cloudProvider,
      role: "presentation"
    })));
  }
  if ((0, _entity_type_guards.isBuiltinEntityOfType)('service', entity)) {
    var _entity$agent;
    return /*#__PURE__*/_react.default.createElement(_customIcons.AgentIcon, {
      agentName: (0, _lodash.castArray)((_entity$agent = entity.agent) === null || _entity$agent === void 0 ? void 0 : _entity$agent.name)[0],
      role: "presentation"
    });
  }
  if (entity.entityType.startsWith('k8s')) {
    return /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
      type: "logoKubernetes",
      size: "l"
    });
  }

  // Return an empty EuiIcon instead of null to maintain UI alignment across all EntityIcon usages
  return /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
    type: "",
    size: "l"
  });
}