"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InventorySearchBarContextProvider = InventorySearchBarContextProvider;
exports.useInventorySearchBarContext = useInventorySearchBarContext;
var _react = _interopRequireWildcard(require("react"));
var _rxjs = require("rxjs");
var _entities = require("../../../common/entities");
var _use_adhoc_data_view = require("../../hooks/use_adhoc_data_view");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const InventorySearchBarContext = /*#__PURE__*/(0, _react.createContext)({
  searchBarContentSubject$: new _rxjs.Subject(),
  refreshSubject$: new _rxjs.Subject()
});
function InventorySearchBarContextProvider({
  children
}) {
  const {
    dataView
  } = (0, _use_adhoc_data_view.useAdHocDataView)(_entities.ENTITIES_LATEST_ALIAS);
  return /*#__PURE__*/_react.default.createElement(InventorySearchBarContext.Provider, {
    value: {
      searchBarContentSubject$: new _rxjs.Subject(),
      refreshSubject$: new _rxjs.Subject(),
      dataView
    }
  }, children);
}
function useInventorySearchBarContext() {
  const context = (0, _react.useContext)(InventorySearchBarContext);
  if (!context) {
    throw new Error('Context was not found');
  }
  return context;
}