"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getEntityGroupsBy = getEntityGroupsBy;
var _entities = require("../../../common/entities");
var _query_helper = require("./query_helper");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

async function getEntityGroupsBy({
  inventoryEsClient,
  field,
  esQuery
}) {
  const from = `FROM ${_entities.ENTITIES_LATEST_ALIAS}`;
  const where = [(0, _query_helper.getBuiltinEntityDefinitionIdESQLWhereClause)()];
  const group = `STATS count = COUNT(*) by ${field}`;
  const sort = `SORT ${field} asc`;
  const limit = `LIMIT ${_entities.MAX_NUMBER_OF_ENTITIES}`;
  const query = [from, ...where, group, sort, limit].join(' | ');
  return inventoryEsClient.esql('get_entities_groups', {
    query,
    filter: esQuery
  });
}