"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getIdentityFieldsPerEntityType = void 0;
var _lodash = require("lodash");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getIdentityFieldsPerEntityType = latestEntities => {
  const identityFieldsPerEntityType = new Map();
  latestEntities.forEach(entity => identityFieldsPerEntityType.set(entity.entityType, (0, _lodash.castArray)(entity.entityIdentityFields)));
  return identityFieldsPerEntityType;
};
exports.getIdentityFieldsPerEntityType = getIdentityFieldsPerEntityType;