"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getHasData = getHasData;
var _query_helper = require("../entities/query_helper");
var _entities = require("../../../common/entities");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

async function getHasData({
  inventoryEsClient,
  logger
}) {
  try {
    const esqlResults = await inventoryEsClient.esql('get_has_data', {
      query: `FROM ${_entities.ENTITIES_LATEST_ALIAS} 
      | ${(0, _query_helper.getBuiltinEntityDefinitionIdESQLWhereClause)()} 
      | STATS _count = COUNT(*)
      | LIMIT 1`
    });
    const totalCount = esqlResults[0]._count;
    return {
      hasData: totalCount > 0
    };
  } catch (e) {
    logger.error(e);
    return {
      hasData: false
    };
  }
}