"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InvestigationListPage = InvestigationListPage;
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _react = _interopRequireWildcard(require("react"));
var _investigation_edit_form = require("../../components/investigation_edit_form/investigation_edit_form");
var _use_kibana = require("../../hooks/use_kibana");
var _investigation_list = require("./components/investigation_list");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function InvestigationListPage() {
  const {
    dependencies: {
      start: {
        observabilityShared
      }
    }
  } = (0, _use_kibana.useKibana)();
  const ObservabilityPageTemplate = observabilityShared.navigation.PageTemplate;
  const [isCreateFormFlyoutVisible, setCreateFormFlyoutVisible] = (0, _react.useState)(false);
  return /*#__PURE__*/_react.default.createElement(ObservabilityPageTemplate, {
    pageHeader: {
      breadcrumbs: [{
        text: _i18n.i18n.translate('xpack.investigateApp.listPage.breadcrumb.list', {
          defaultMessage: 'Investigations'
        })
      }],
      pageTitle: _i18n.i18n.translate('xpack.investigateApp.listPage.title', {
        defaultMessage: 'Investigations'
      }),
      rightSideItems: [/*#__PURE__*/_react.default.createElement(_eui.EuiButton, {
        "data-test-subj": "investigateAppInvestigationListPageCreateButton",
        fill: true,
        onClick: () => setCreateFormFlyoutVisible(true)
      }, _i18n.i18n.translate('xpack.investigateApp.investigationListPage.createButtonLabel', {
        defaultMessage: 'Create'
      }))]
    }
  }, /*#__PURE__*/_react.default.createElement(_investigation_list.InvestigationList, null), isCreateFormFlyoutVisible && /*#__PURE__*/_react.default.createElement(_investigation_edit_form.InvestigationEditForm, {
    onClose: () => setCreateFormFlyoutVisible(false)
  }));
}