"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextBasedDimensionTrigger = TextBasedDimensionTrigger;
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
var _visualizationUiComponents = require("@kbn/visualization-ui-components");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function TextBasedDimensionTrigger(props) {
  const customLabel = props.columnLabelMap[props.columnId];
  return /*#__PURE__*/_react.default.createElement(_visualizationUiComponents.DimensionTrigger, {
    id: props.columnId,
    color: customLabel ? 'primary' : 'danger',
    dataTestSubj: "lns-dimensionTrigger-textBased",
    label: customLabel !== null && customLabel !== void 0 ? customLabel : _i18n.i18n.translate('xpack.lens.textBasedLanguages.missingField', {
      defaultMessage: 'Missing field'
    })
  });
}