"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextBasedDatasource = void 0;
var _public = require("@kbn/kibana-utils-plugin/public");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; } /*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */
class TextBasedDatasource {
  constructor() {}
  setup(core, {
    editorFrame
  }) {
    editorFrame.registerDatasource(async () => {
      const {
        getTextBasedDatasource
      } = await Promise.resolve().then(() => _interopRequireWildcard(require('../../async_services')));
      const [coreStart, {
        data,
        dataViews,
        expressions
      }] = await core.getStartServices();
      return getTextBasedDatasource({
        core: coreStart,
        storage: new _public.Storage(localStorage),
        data,
        dataViews,
        expressions
      });
    });
  }
}
exports.TextBasedDatasource = TextBasedDatasource;