"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WorkspaceErrors = WorkspaceErrors;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _user_messages_utils = require("../../../user_messages_utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function WorkspaceErrors({
  errors,
  title,
  onRender
}) {
  const [activePage, setActivePage] = (0, _react.useState)(0);
  const activeError = errors.length ? errors[activePage] : '';
  _react.default.useEffect(() => onRender === null || onRender === void 0 ? void 0 : onRender(), [onRender]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiEmptyPrompt, {
    actions: errors.length > 1 ? /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
      justifyContent: "spaceAround",
      "data-test-subj": "lnsWorkspaceErrorsPaginationControl"
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
      grow: false
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiPagination, {
      pageCount: errors.length,
      activePage: activePage,
      onPageClick: setActivePage
    }))) : [],
    body: /*#__PURE__*/_react.default.createElement("div", {
      "data-test-subj": "workspace-error-message"
    }, typeof activeError === 'string' ? activeError : /*#__PURE__*/_react.default.createElement("div", null, activeError.shortMessage, activeError.longMessage ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, null), /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
      size: "s"
    }, " ", (0, _user_messages_utils.getLongMessage)(activeError))) : null)),
    title: /*#__PURE__*/_react.default.createElement("h2", null, title),
    iconColor: "danger",
    iconType: "warning",
    "data-test-subj": "lnsWorkspaceErrors"
  });
}