"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PalettePanelContainer = PalettePanelContainer;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _i18n = require("@kbn/i18n");
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _coloring = require("@kbn/coloring");
var _react2 = require("@emotion/react");
var _setting_with_sibling_flyout = require("../setting_with_sibling_flyout");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function PalettePanelContainer(props) {
  return /*#__PURE__*/_react.default.createElement(_setting_with_sibling_flyout.SettingWithSiblingFlyout, (0, _extends2.default)({}, props, {
    dataTestSubj: "lns-palettePanelFlyout",
    SettingTrigger: ({
      onClick
    }) => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiColorPaletteDisplay, {
      "data-test-subj": "lns_dynamicColoring_edit",
      palette: props.palette,
      type: _coloring.FIXED_PROGRESSION,
      onClick: onClick,
      css: (0, _react2.css)`
                cursor: pointer;
              `
    })), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
      grow: false
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiToolTip, {
      content: _i18n.i18n.translate('xpack.lens.colorMapping.editColors', {
        defaultMessage: 'Edit colors'
      })
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiButtonIcon, {
      "data-test-subj": "lns_colorEditing_trigger",
      "aria-label": _i18n.i18n.translate('xpack.lens.colorMapping.editColors', {
        defaultMessage: 'Edit colors'
      }),
      iconType: "controlsHorizontal",
      onClick: onClick,
      size: "xs",
      color: "text"
    }))))
  }));
}