"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextPopover = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
var _shared_components = require("../../../../shared_components");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const PANEL_STYLE = {
  width: '460px'
};
const TextPopover = ({
  state,
  setState
}) => {
  var _state$valueLabels;
  return /*#__PURE__*/_react.default.createElement(_shared_components.ToolbarPopover, {
    title: _i18n.i18n.translate('xpack.lens.shared.titlesAndTextLabel', {
      defaultMessage: 'Titles and text'
    }),
    type: "titlesAndText",
    groupPosition: "none",
    buttonDataTestSubj: "lnsTextOptionsButton",
    "data-test-subj": "lnsTextOptionsPopover",
    panelStyle: PANEL_STYLE
  }, /*#__PURE__*/_react.default.createElement(_shared_components.ValueLabelsSettings, {
    label: _i18n.i18n.translate('xpack.lens.shared.chartBarLabelVisibilityLabel', {
      defaultMessage: 'Bar values'
    }),
    valueLabels: (_state$valueLabels = state === null || state === void 0 ? void 0 : state.valueLabels) !== null && _state$valueLabels !== void 0 ? _state$valueLabels : 'hide',
    onValueLabelChange: newMode => {
      setState({
        ...state,
        valueLabels: newMode
      });
    }
  }));
};
exports.TextPopover = TextPopover;