"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LICENSE_TYPE = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */
let LICENSE_TYPE = exports.LICENSE_TYPE = /*#__PURE__*/function (LICENSE_TYPE) {
  LICENSE_TYPE[LICENSE_TYPE["basic"] = 10] = "basic";
  LICENSE_TYPE[LICENSE_TYPE["standard"] = 20] = "standard";
  LICENSE_TYPE[LICENSE_TYPE["gold"] = 30] = "gold";
  LICENSE_TYPE[LICENSE_TYPE["platinum"] = 40] = "platinum";
  LICENSE_TYPE[LICENSE_TYPE["enterprise"] = 50] = "enterprise";
  LICENSE_TYPE[LICENSE_TYPE["trial"] = 60] = "trial";
  return LICENSE_TYPE;
}({});
/** @public */
/** @public */
/** @public */
/**
 * Subset of license data considered as non-sensitive information.
 * Can be passed to the client.
 * @public
 * */
/**
 * Provides information about feature availability for the current license.
 * @public
 * */
/**
 * Subset of license & features data considered as non-sensitive information.
 * Structured as json to be passed to the client.
 * @public
 * */
/**
 * @public
 * Results from checking if a particular license type meets the minimum
 * requirements of the license type.
 */
/** @public */