"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ManagementRouter = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactRouterDom = require("react-router-dom");
var _sharedUxRouter = require("@kbn/shared-ux-router");
var _sharedUxErrorBoundary = require("@kbn/shared-ux-error-boundary");
var _management_app_wrapper = require("../management_app_wrapper");
var _landing = require("../landing");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const ManagementRouter = exports.ManagementRouter = /*#__PURE__*/(0, _react.memo)(({
  history,
  setBreadcrumbs,
  onAppMounted,
  sections,
  theme,
  analytics
}) => {
  return /*#__PURE__*/_react.default.createElement(_sharedUxErrorBoundary.KibanaErrorBoundaryProvider, {
    analytics: analytics
  }, /*#__PURE__*/_react.default.createElement(_sharedUxErrorBoundary.KibanaErrorBoundary, null, /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Router, {
    history: history
  }, /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Routes, null, sections.map(section => section.getAppsEnabled().map(app => /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Route, {
    path: `${app.basePath}`,
    component: () => /*#__PURE__*/_react.default.createElement(_management_app_wrapper.ManagementAppWrapper, {
      app: app,
      setBreadcrumbs: setBreadcrumbs,
      onAppMounted: onAppMounted,
      history: history,
      theme: theme
    })
  }))), sections.map(section => section.getAppsEnabled().filter(app => app.redirectFrom).map(app => /*#__PURE__*/_react.default.createElement(_reactRouterDom.Redirect, {
    path: `/${app.redirectFrom}*`,
    to: `${app.basePath}*`
  }))), /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Route, {
    path: '/',
    component: () => /*#__PURE__*/_react.default.createElement(_landing.ManagementLandingPage, {
      setBreadcrumbs: setBreadcrumbs,
      onAppMounted: onAppMounted
    })
  })))));
});