"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StaticColorForm = StaticColorForm;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _mb_validated_color_picker = require("./mb_validated_color_picker");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function StaticColorForm({
  onStaticStyleChange,
  staticDynamicSelect,
  styleProperty,
  swatches
}) {
  const onColorChange = color => {
    onStaticStyleChange(styleProperty.getStyleName(), {
      color
    });
  };
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    gutterSize: "xs",
    justifyContent: "flexEnd"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false,
    className: "mapStyleSettings__fixedBox"
  }, staticDynamicSelect ? staticDynamicSelect : null), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_mb_validated_color_picker.MbValidatedColorPicker, {
    onChange: onColorChange,
    color: styleProperty.getOptions().color,
    swatches: swatches
  })));
}