"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VectorStyleColorEditor = VectorStyleColorEditor;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
var _style_prop_editor = require("../style_prop_editor");
var _dynamic_color_form = require("./dynamic_color_form");
var _static_color_form = require("./static_color_form");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function VectorStyleColorEditor(props) {
  const colorForm = props.styleProperty.isDynamic() ? /*#__PURE__*/_react.default.createElement(_dynamic_color_form.DynamicColorForm, (0, _extends2.default)({}, props, {
    styleProperty: props.styleProperty
  })) : /*#__PURE__*/_react.default.createElement(_static_color_form.StaticColorForm, (0, _extends2.default)({}, props, {
    styleProperty: props.styleProperty
  }));
  return /*#__PURE__*/_react.default.createElement(_style_prop_editor.StylePropEditor, (0, _extends2.default)({}, props, {
    customStaticOptionLabel: _i18n.i18n.translate('xpack.maps.styles.color.staticDynamicSelect.staticLabel', {
      defaultMessage: 'Solid'
    })
  }), colorForm);
}