"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StaticIconForm = StaticIconForm;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _icon_select = require("./icon_select");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function StaticIconForm({
  onStaticStyleChange,
  onCustomIconsChange,
  customIcons,
  staticDynamicSelect,
  styleProperty
}) {
  const onChange = ({
    selectedIconId
  }) => {
    onStaticStyleChange(styleProperty.getStyleName(), {
      value: selectedIconId
    });
  };
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    gutterSize: "xs",
    justifyContent: "flexEnd"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false,
    className: "mapStyleSettings__fixedBox"
  }, staticDynamicSelect), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_icon_select.IconSelect, {
    customIcons: customIcons,
    onChange: onChange,
    onCustomIconsChange: onCustomIconsChange,
    icon: styleProperty.getOptions()
  })));
}