"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.k8sContainerCpuUsage = exports.dockerContainerCpuUsage = void 0;
var _constants = require("../../../shared/charts/constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const dockerContainerCpuUsage = exports.dockerContainerCpuUsage = {
  label: _constants.CPU_USAGE_LABEL,
  value: 'average(docker.cpu.total.pct)',
  format: 'percent',
  decimals: 1
};
const k8sContainerCpuUsage = exports.k8sContainerCpuUsage = {
  label: _constants.CPU_USAGE_LABEL,
  value: 'average(kubernetes.container.cpu.usage.limit.pct)',
  format: 'percent',
  decimals: 1
};