"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.k8sContainerMemoryUsage = exports.dockerContainerMemoryUsage = void 0;
var _constants = require("../../../shared/charts/constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const dockerContainerMemoryUsage = exports.dockerContainerMemoryUsage = {
  label: _constants.MEMORY_USAGE_LABEL,
  value: 'average(docker.memory.usage.pct)',
  format: 'percent',
  decimals: 1
};
const k8sContainerMemoryUsage = exports.k8sContainerMemoryUsage = {
  label: _constants.MEMORY_USAGE_LABEL,
  value: 'average(kubernetes.container.memory.usage.limit.pct)',
  format: 'percent',
  decimals: 1
};