"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CategorizationFieldSelect = void 0;
var _react = _interopRequireWildcard(require("react"));
var _mlFieldStatsFlyout = require("@kbn/ml-field-stats-flyout");
var _job_creator_context = require("../../../job_creator_context");
var _general = require("../../../../../common/job_creator/util/general");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const CategorizationFieldSelect = ({
  fields,
  changeHandler,
  selectedField
}) => {
  const {
    jobCreator,
    jobCreatorUpdated
  } = (0, _react.useContext)(_job_creator_context.JobCreatorContext);
  const {
    optionCss
  } = (0, _mlFieldStatsFlyout.useFieldStatsTrigger)();
  const options = (0, _react.useMemo)(() => [...(0, _general.createFieldOptions)(fields, jobCreator.additionalFields)].map(o => ({
    ...o,
    css: optionCss
  })),
  // eslint-disable-next-line react-hooks/exhaustive-deps
  [fields, jobCreatorUpdated, optionCss]);
  const selection = (0, _react.useMemo)(() => {
    const selectedOptions = [];
    if (selectedField !== null) {
      selectedOptions.push({
        label: selectedField
      });
    }
    return selectedOptions;
  }, [selectedField]);
  const onChange = (0, _react.useCallback)(selectedOptions => {
    var _ref;
    return changeHandler((_ref = selectedOptions[0] && selectedOptions[0].label) !== null && _ref !== void 0 ? _ref : null);
  }, [changeHandler]);
  return /*#__PURE__*/_react.default.createElement(_mlFieldStatsFlyout.OptionListWithFieldStats, {
    singleSelection: {
      asPlainText: true
    },
    options: options,
    selectedOptions: selection,
    onChange: onChange,
    isClearable: true,
    "data-test-subj": "mlCategorizationFieldNameSelect"
  });
};
exports.CategorizationFieldSelect = CategorizationFieldSelect;