"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Influencers = void 0;
var _react = _interopRequireWildcard(require("react"));
var _influencers_select = require("./influencers_select");
var _job_creator_context = require("../../../job_creator_context");
var _new_job_capabilities_service = require("../../../../../../../services/new_job_capabilities/new_job_capabilities_service");
var _description = require("./description");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const Influencers = () => {
  const {
    jobCreator: jc,
    jobCreatorUpdate,
    jobCreatorUpdated
  } = (0, _react.useContext)(_job_creator_context.JobCreatorContext);
  const jobCreator = jc;
  const {
    fields
  } = (0, _new_job_capabilities_service.useNewJobCapsService)();
  const [influencers, setInfluencers] = (0, _react.useState)([...jobCreator.influencers]);
  (0, _react.useEffect)(() => {
    jobCreator.removeAllInfluencers();
    influencers.forEach(i => jobCreator.addInfluencer(i));
    jobCreatorUpdate();
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [influencers.join()]);
  (0, _react.useEffect)(() => {
    setInfluencers([...jobCreator.influencers]);
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [jobCreatorUpdated]);
  return /*#__PURE__*/_react.default.createElement(_description.Description, null, /*#__PURE__*/_react.default.createElement(_influencers_select.InfluencersSelect, {
    fields: fields,
    changeHandler: setInfluencers,
    selectedInfluencers: influencers
  }));
};
exports.Influencers = Influencers;