"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TestModelAndPipelineCreationFlyout = void 0;
var _react = _interopRequireWildcard(require("react"));
var _test_trained_models_context = require("./test_trained_models_context");
var _test_flyout = require("./test_flyout");
var _create_pipeline_for_model_flyout = require("../create_pipeline_for_model/create_pipeline_for_model_flyout");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const TestModelAndPipelineCreationFlyout = ({
  model,
  onClose
}) => {
  const [currentContext, setCurrentContext] = (0, _react.useState)({
    pipelineConfig: undefined,
    createPipelineFlyoutOpen: false
  });
  return /*#__PURE__*/_react.default.createElement(_test_trained_models_context.TestTrainedModelsContext.Provider, {
    value: {
      currentContext,
      setCurrentContext
    }
  }, currentContext.createPipelineFlyoutOpen === false ? /*#__PURE__*/_react.default.createElement(_test_flyout.TestTrainedModelFlyout, {
    model: model,
    onClose: onClose
  }) : /*#__PURE__*/_react.default.createElement(_create_pipeline_for_model_flyout.CreatePipelineForModelFlyout, {
    model: model,
    onClose: onClose
  }));
};
exports.TestModelAndPipelineCreationFlyout = TestModelAndPipelineCreationFlyout;