"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.registerSingleMetricViewerCasesAttachment = registerSingleMetricViewerCasesAttachment;
var _i18n = require("@kbn/i18n");
var _i18nReact = require("@kbn/i18n-react");
var _react = _interopRequireDefault(require("react"));
var _app = require("../../common/constants/app");
var _cases = require("../../common/constants/cases");
var _single_metric_viewer = require("../shared_components/single_metric_viewer");
var _get_services = require("../embeddables/single_metric_viewer/get_services");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; } /*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */
function registerSingleMetricViewerCasesAttachment(cases, coreStart, pluginStart) {
  cases.attachmentFramework.registerPersistableState({
    id: _cases.CASE_ATTACHMENT_TYPE_ID_SINGLE_METRIC_VIEWER,
    icon: _app.PLUGIN_ICON,
    displayName: _i18n.i18n.translate('xpack.ml.cases.registerSingleMetricViewer.displayName', {
      defaultMessage: 'Single metric viewer'
    }),
    getAttachmentViewObject: () => ({
      event: /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
        id: "xpack.ml.cases.singleMetricViewer.embeddableAddedEvent",
        defaultMessage: "added single metric viewer"
      }),
      timelineAvatar: _app.PLUGIN_ICON,
      children: /*#__PURE__*/_react.default.lazy(async () => {
        const [{
          initComponent
        }, mlServices] = await Promise.all([Promise.resolve().then(() => _interopRequireWildcard(require('./single_metric_viewer_attachment'))), (0, _get_services.getMlServices)(coreStart, pluginStart)]);
        const SingleMetricViewerComponent = (0, _single_metric_viewer.getSingleMetricViewerComponent)(coreStart, pluginStart, mlServices);
        return {
          default: initComponent(pluginStart.fieldFormats, SingleMetricViewerComponent)
        };
      })
    })
  });
}