"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isSwimLaneEmbeddableContext = isSwimLaneEmbeddableContext;
var _mlIsPopulatedObject = require("@kbn/ml-is-populated-object");
var _presentationPublishing = require("@kbn/presentation-publishing");
var _constants = require("../constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function isSwimLaneEmbeddableContext(arg) {
  return (0, _mlIsPopulatedObject.isPopulatedObject)(arg, ['embeddable']) && (0, _presentationPublishing.apiIsOfType)(arg.embeddable, _constants.ANOMALY_SWIMLANE_EMBEDDABLE_TYPE);
}

/**
 * Persisted state for the Anomaly Swim Lane Embeddable.
 */

/**
 * The subset of the Anomaly Swim Lane Embeddable state that is actually used by the swimlane embeddable.
 *
 * TODO: Ideally this should be the same as the AnomalySwimLaneEmbeddableState, but that type is used in many
 * places, so we cannot change it at the moment.
 */