"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NodeStatusIcon = NodeStatusIcon;
var _react = _interopRequireDefault(require("react"));
var _status_icon = require("../../status_icon");
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function NodeStatusIcon({
  isOnline,
  status
}) {
  const type = isOnline ? _status_icon.STATUS_ICON_TYPES.GREEN : _status_icon.STATUS_ICON_TYPES.GRAY;
  return /*#__PURE__*/_react.default.createElement(_status_icon.StatusIcon, {
    type: type,
    label: _i18n.i18n.translate('xpack.monitoring.elasticsearch.node.statusIconLabel', {
      defaultMessage: 'Status: {status}',
      values: {
        status
      }
    })
  });
}