"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.observabilityAIAssistantRouter = void 0;
var _typedReactRouterConfig = require("@kbn/typed-react-router-config");
var t = _interopRequireWildcard(require("io-ts"));
var _react = _interopRequireDefault(require("react"));
var _reactRouterDom = require("react-router-dom");
var _conversation_view_with_props = require("./conversations/conversation_view_with_props");
var _page_template = require("../components/page_template");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * The array of route definitions to be used when the application
 * creates the routes.
 */
const observabilityAIAssistantRoutes = {
  '/': {
    element: /*#__PURE__*/_react.default.createElement(_reactRouterDom.Redirect, {
      to: "/conversations/new"
    })
  },
  '/conversations': {
    element: /*#__PURE__*/_react.default.createElement(_page_template.ObservabilityAIAssistantPageTemplate, null, /*#__PURE__*/_react.default.createElement(_typedReactRouterConfig.Outlet, null)),
    children: {
      '/conversations/new': {
        element: /*#__PURE__*/_react.default.createElement(_conversation_view_with_props.ConversationViewWithProps, null)
      },
      '/conversations/{conversationId}': {
        params: t.intersection([t.type({
          path: t.type({
            conversationId: t.string
          })
        }), t.partial({
          state: t.partial({
            prevConversationKey: t.string
          })
        })]),
        element: /*#__PURE__*/_react.default.createElement(_conversation_view_with_props.ConversationViewWithProps, null)
      },
      '/conversations': {
        element: /*#__PURE__*/_react.default.createElement(_reactRouterDom.Redirect, {
          to: "/conversations/new"
        })
      }
    }
  }
};
const observabilityAIAssistantRouter = exports.observabilityAIAssistantRouter = (0, _typedReactRouterConfig.createRouter)(observabilityAIAssistantRoutes);