"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useGetProductDocStatus = useGetProductDocStatus;
var _reactQuery = require("@tanstack/react-query");
var _constants = require("../constants");
var _use_kibana = require("./use_kibana");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function useGetProductDocStatus() {
  const {
    productDocBase
  } = (0, _use_kibana.useKibana)().services;
  const {
    isLoading,
    isError,
    isSuccess,
    isRefetching,
    data,
    refetch
  } = (0, _reactQuery.useQuery)({
    queryKey: [_constants.REACT_QUERY_KEYS.GET_PRODUCT_DOC_STATUS],
    queryFn: async () => {
      return productDocBase.installation.getStatus();
    },
    keepPreviousData: false,
    refetchOnWindowFocus: false
  });
  return {
    status: data,
    refetch,
    isLoading,
    isRefetching,
    isSuccess,
    isError
  };
}