"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MissingCredentialsCallout = MissingCredentialsCallout;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function MissingCredentialsCallout(props) {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiCallOut, {
    title: _i18n.i18n.translate('xpack.observabilityAiAssistant.missingCredentialsCallout.title', {
      defaultMessage: 'Missing credentials'
    }),
    color: "primary",
    iconType: "iInCircle"
  }, _i18n.i18n.translate('xpack.observabilityAiAssistant.missingCredentialsCallout.description', {
    defaultMessage: 'You haven’t authorised OpenAI in order to generate responses from the Elastic Assistant. Authorise the model in order to proceed.'
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiButton, {
    "data-test-subj": "observabilityAiAssistantMissingCredentialsCalloutConnectAssistantButton",
    fill: true,
    color: "primary",
    href: props.connectorsManagementHref
  }, _i18n.i18n.translate('xpack.observabilityAiAssistant.missingCredentialsCallout.buttonLabel', {
    defaultMessage: 'Connect Assistant'
  })));
}