"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.KibanaReactStorybookDecorator = KibanaReactStorybookDecorator;
var _public = require("@kbn/kibana-react-plugin/public");
var _react = _interopRequireDefault(require("react"));
var _observability_ai_assistant_chat_service_context = require("../context/observability_ai_assistant_chat_service_context");
var _observability_ai_assistant_provider = require("../context/observability_ai_assistant_provider");
var _storybook_mock = require("../storybook_mock");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const mockService = (0, _storybook_mock.createStorybookService)();
const mockChatService = (0, _storybook_mock.createStorybookChatService)();
function KibanaReactStorybookDecorator(Story) {
  return /*#__PURE__*/_react.default.createElement(_public.KibanaContextProvider, null, /*#__PURE__*/_react.default.createElement(_observability_ai_assistant_provider.ObservabilityAIAssistantProvider, {
    value: mockService
  }, /*#__PURE__*/_react.default.createElement(_observability_ai_assistant_chat_service_context.ObservabilityAIAssistantChatServiceContext.Provider, {
    value: mockChatService
  }, /*#__PURE__*/_react.default.createElement(Story, null))));
}