"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FirehosePage = void 0;
var _i18n = require("@kbn/i18n");
var _react = _interopRequireDefault(require("react"));
var _firehose = require("../quickstart_flows/firehose");
var _template = require("./template");
var _header = require("../header");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const FirehosePage = () => /*#__PURE__*/_react.default.createElement(_template.PageTemplate, {
  customHeader: /*#__PURE__*/_react.default.createElement(_header.CustomHeader, {
    logo: "firehose",
    headlineCopy: _i18n.i18n.translate('xpack.observability_onboarding.experimentalOnboardingFlow.customHeader.firehose.text', {
      defaultMessage: 'Set up Amazon Data Firehose'
    }),
    captionCopy: _i18n.i18n.translate('xpack.observability_onboarding.experimentalOnboardingFlow.customHeader.firehose.caption.description', {
      defaultMessage: 'This installation is tailored for setting up Firehose in your Observability project with minimal configuration.'
    }),
    isTechnicalPreview: true
  })
}, /*#__PURE__*/_react.default.createElement(_firehose.FirehosePanel, null));
exports.FirehosePage = FirehosePage;