"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AutoRefreshCallout = AutoRefreshCallout;
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
var _eui = require("@elastic/eui");
var _react2 = require("@emotion/react");
var _utils = require("./utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function AutoRefreshCallout() {
  const {
    euiTheme
  } = (0, _eui.useEuiTheme)();
  const messageId = (0, _eui.useGeneratedHtmlId)();
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    role: "status",
    "aria-labelledby": messageId,
    grow: false,
    css: (0, _react2.css)`
          background-color: ${euiTheme.colors.lightestShade};
          padding: ${euiTheme.size.m} ${euiTheme.size.base};
          border-radius: ${euiTheme.border.radius.medium};
        `
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    gutterSize: "s",
    alignItems: "center"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
    type: "timeRefresh",
    size: "m"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "s"
  }, /*#__PURE__*/_react.default.createElement("p", {
    id: messageId
  }, _i18n.i18n.translate('xpack.observability_onboarding.firehosePanel.autorefreshCalloutLabel', {
    defaultMessage: 'Auto-refreshing every {intervalSeconds} s',
    values: {
      intervalSeconds: Math.round(_utils.HAS_DATA_FETCH_INTERVAL / 1000)
    }
  }))))));
}