"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CreateStackInAWSConsole = CreateStackInAWSConsole;
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _i18nReact = require("@kbn/i18n-react");
var _react = _interopRequireDefault(require("react"));
var _aws_firehose = require("../../../../common/aws_firehose");
var _download_template_callout = require("./download_template_callout");
var _utils = require("./utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function CreateStackInAWSConsole({
  encodedApiKey,
  elasticsearchUrl,
  templateUrl,
  isPrimaryAction
}) {
  const awsConsoleURL = (0, _utils.buildCreateStackAWSConsoleURL)({
    templateUrl,
    stackName: _aws_firehose.FIREHOSE_CLOUDFORMATION_STACK_NAME,
    logsStreamName: _aws_firehose.FIREHOSE_LOGS_STREAM_NAME,
    metricsStreamName: _aws_firehose.FIREHOSE_METRICS_STREAM_NAME,
    elasticsearchUrl,
    encodedApiKey
  });
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiText, null, /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "xpack.observability_onboarding.firehosePanel.createFirehoseStreamInAWSConsoleDescription",
    defaultMessage: "Click the button below to create a CloudFormation stack from our template. The stack will include a Firehose delivery stream, backup S3 bucket, CloudWatch subscription filter, metrics stream, and necessary IAM roles. Keep this page open, and return once you've submitted the form in AWS Console"
  })), /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement(_download_template_callout.DownloadTemplateCallout, null))), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiButton, {
    "data-test-subj": "observabilityOnboardingCreateStackInAWSConsoleButton",
    href: awsConsoleURL,
    target: "_blank",
    iconSide: "right",
    iconType: "popout",
    fill: isPrimaryAction
  }, _i18n.i18n.translate('xpack.observability_onboarding.createStackInAWSConsole.createFirehoseStreamInAWSConsoleButtonLabel', {
    defaultMessage: 'Create Firehose Stream in AWS'
  })));
}