"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getObservabilityOnboardingServerRouteRepository = void 0;
var _route = require("./elastic_agent/route");
var _route2 = require("./flow/route");
var _route3 = require("./kubernetes/route");
var _route4 = require("./logs/route");
var _route5 = require("./firehose/route");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function getTypedObservabilityOnboardingServerRouteRepository() {
  const repository = {
    ..._route2.flowRouteRepository,
    ..._route4.logsOnboardingRouteRepository,
    ..._route.elasticAgentRouteRepository,
    ..._route3.kubernetesOnboardingRouteRepository,
    ..._route5.firehoseOnboardingRouteRepository
  };
  return repository;
}
const getObservabilityOnboardingServerRouteRepository = () => {
  return getTypedObservabilityOnboardingServerRouteRepository();
};
exports.getObservabilityOnboardingServerRouteRepository = getObservabilityOnboardingServerRouteRepository;