"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AnnotationIcon = AnnotationIcon;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _eventAnnotationComponents = require("@kbn/event-annotation-components");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function AnnotationIcon({
  annotation
}) {
  var _annotation$event, _annotation$annotatio, _annotation$annotatio2, _annotationStyle$colo, _ref, _annotationsIconSet$f;
  const eventEnd = (_annotation$event = annotation.event) === null || _annotation$event === void 0 ? void 0 : _annotation$event.end;
  const {
    euiTheme
  } = (0, _eui.useEuiTheme)();
  const annotationStyle = (_annotation$annotatio = annotation.annotation) === null || _annotation$annotatio === void 0 ? void 0 : _annotation$annotatio.style;
  const iconValue = (_annotation$annotatio2 = annotation.annotation.style) === null || _annotation$annotatio2 === void 0 ? void 0 : _annotation$annotatio2.icon;
  const color = (_annotationStyle$colo = annotationStyle === null || annotationStyle === void 0 ? void 0 : annotationStyle.color) !== null && _annotationStyle$colo !== void 0 ? _annotationStyle$colo : euiTheme.colors.accent;
  return /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
    type: eventEnd ? 'stopFilled' : (_ref = (_annotationsIconSet$f = _eventAnnotationComponents.annotationsIconSet.find(icon => icon.value === iconValue)) === null || _annotationsIconSet$f === void 0 ? void 0 : _annotationsIconSet$f.icon) !== null && _ref !== void 0 ? _ref : iconValue,
    color: color
  });
}