"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextArea = exports.Switch = exports.Select = exports.NumberField = exports.FieldText = exports.ComboBox = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const FieldText = exports.FieldText = /*#__PURE__*/_react.default.forwardRef((props, ref) => /*#__PURE__*/_react.default.createElement(_eui.EuiFieldText, (0, _extends2.default)({
  "data-test-subj": props['data-test-subj']
}, props, {
  inputRef: ref
})));
const NumberField = exports.NumberField = /*#__PURE__*/_react.default.forwardRef((props, ref) => /*#__PURE__*/_react.default.createElement(_eui.EuiFieldNumber, (0, _extends2.default)({
  "data-test-subj": props['data-test-subj']
}, props, {
  inputRef: ref
})));
const TextArea = exports.TextArea = /*#__PURE__*/_react.default.forwardRef((props, ref) => /*#__PURE__*/_react.default.createElement(_eui.EuiTextArea, (0, _extends2.default)({
  "data-test-subj": "o11yTextAreaTextArea"
}, props, {
  inputRef: ref
})));
const ComboBox = exports.ComboBox = /*#__PURE__*/_react.default.forwardRef((props, _ref) => /*#__PURE__*/_react.default.createElement(_eui.EuiComboBox, props));
const Switch = exports.Switch = /*#__PURE__*/_react.default.forwardRef((props, _ref) => /*#__PURE__*/_react.default.createElement(_eui.EuiSwitch, props));
const Select = exports.Select = /*#__PURE__*/_react.default.forwardRef((props, ref) => /*#__PURE__*/_react.default.createElement(_eui.EuiSelect, (0, _extends2.default)({
  "data-test-subj": "o11ySelectSelect"
}, props, {
  inputRef: ref
})));