"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BUILT_IN_ENTITY_TYPES = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const createKubernetesEntity = base => ({
  ecs: `k8s.${base}.ecs`,
  semconv: `k8s.${base}.semconv`
});
const BUILT_IN_ENTITY_TYPES = exports.BUILT_IN_ENTITY_TYPES = {
  HOST: 'host',
  CONTAINER: 'container',
  SERVICE: 'service',
  KUBERNETES: {
    CLUSTER: createKubernetesEntity('cluster'),
    CONTAINER: createKubernetesEntity('container'),
    CRONJOB: createKubernetesEntity('cron_job'),
    DAEMONSET: createKubernetesEntity('daemonset'),
    DEPLOYMENT: createKubernetesEntity('deployment'),
    JOB: createKubernetesEntity('job'),
    NAMESPACE: createKubernetesEntity('namespace'),
    NODE: createKubernetesEntity('node'),
    POD: createKubernetesEntity('pod'),
    SERVICE: createKubernetesEntity('service'),
    STATEFULSET: createKubernetesEntity('statefulset')
  }
};