"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.esqlResultToPlainObjects = esqlResultToPlainObjects;
var _unflatten_object = require("@kbn/observability-utils-common/object/unflatten_object");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function esqlResultToPlainObjects(result) {
  return result.values.map(row => {
    return (0, _unflatten_object.unflattenObject)(row.reduce((acc, value, index) => {
      const column = result.columns[index];
      if (!column) {
        return acc;
      }

      // Removes the type suffix from the column name
      const name = column.name.replace(/\.(text|keyword)$/, '');
      if (!acc[name]) {
        acc[name] = value;
      }
      return acc;
    }, {}));
  });
}