"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AgentIdToName = void 0;
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
var _common = require("@kbn/fleet-plugin/common");
var _public = require("@kbn/fleet-plugin/public");
var _use_agent_details = require("./use_agent_details");
var _kibana = require("../common/lib/kibana");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AgentIdToNameComponent = ({
  agentId
}) => {
  var _data$local_metadata$;
  const getUrlForApp = (0, _kibana.useKibana)().services.application.getUrlForApp;
  const {
    data
  } = (0, _use_agent_details.useAgentDetails)({
    agentId,
    skip: !agentId
  });
  return /*#__PURE__*/_react.default.createElement(_eui.EuiToolTip, {
    position: "top",
    content: /*#__PURE__*/_react.default.createElement("p", null, agentId)
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
    className: "eui-textTruncate",
    href: getUrlForApp(_common.PLUGIN_ID, {
      path: _public.pagePathGetters.agent_details({
        agentId
      })[1]
    }),
    target: "_blank"
  }, (_data$local_metadata$ = data === null || data === void 0 ? void 0 : data.local_metadata.host.name) !== null && _data$local_metadata$ !== void 0 ? _data$local_metadata$ : agentId));
};
const AgentIdToName = exports.AgentIdToName = /*#__PURE__*/_react.default.memo(AgentIdToNameComponent);