"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getLazyExternalContent = void 0;
var _react = _interopRequireWildcard(require("react"));
var _kibana = require("../../common/lib/kibana");
var _services_wrapper = _interopRequireDefault(require("../services_wrapper"));
var _empty_prompt = require("../../routes/components/empty_prompt");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; } /*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */
const AttachmentContent = /*#__PURE__*/(0, _react.lazy)(() => Promise.resolve().then(() => _interopRequireWildcard(require('./external_references_content'))));
const getLazyExternalContent =
// eslint-disable-next-line react/display-name
services => props => {
  const {
    services: {
      application: {
        capabilities: {
          osquery
        }
      }
    }
  } = (0, _kibana.useKibana)();
  if (!osquery.read) {
    return /*#__PURE__*/_react.default.createElement(_empty_prompt.EmptyPrompt, null);
  }
  return /*#__PURE__*/_react.default.createElement(_react.Suspense, {
    fallback: null
  }, /*#__PURE__*/_react.default.createElement(_services_wrapper.default, {
    services: services
  }, /*#__PURE__*/_react.default.createElement(AttachmentContent, props)));
};
exports.getLazyExternalContent = getLazyExternalContent;