"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PresentationPanel = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
require("./_presentation_panel.scss");
var _eui = require("@elastic/eui");
var _panelLoader = require("@kbn/panel-loader");
var _std = require("@kbn/std");
var _react = _interopRequireDefault(require("react"));
var _useAsync = _interopRequireDefault(require("react-use/lib/useAsync"));
var _react2 = require("@emotion/react");
var _uiTheme = require("@kbn/ui-theme");
var _kibana_services = require("../kibana_services");
var _presentation_panel_error = require("./presentation_panel_error");
var _presentation_panel_strings = require("./presentation_panel_strings");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; } /*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */
const PresentationPanel = props => {
  var _passThroughProps$com;
  const {
    Component,
    hidePanelChrome,
    ...passThroughProps
  } = props;
  const {
    loading,
    value,
    error
  } = (0, _useAsync.default)(async () => {
    if (hidePanelChrome) {
      return {
        unwrappedComponent: (0, _std.isPromise)(Component) ? await Component : Component
      };
    }
    const startServicesPromise = (0, _kibana_services.untilPluginStartServicesReady)();
    const modulePromise = await Promise.resolve().then(() => _interopRequireWildcard(require('./presentation_panel_internal')));
    const componentPromise = (0, _std.isPromise)(Component) ? Component : Promise.resolve(Component);
    const [, unwrappedComponent, panelModule] = await Promise.all([startServicesPromise, componentPromise, modulePromise]);
    const Panel = panelModule.PresentationPanelInternal;
    return {
      Panel,
      unwrappedComponent
    };

    // Ancestry chain is expected to use 'key' attribute to reset DOM and state
    // when unwrappedComponent needs to be re-loaded
  }, []);
  if (loading) return props.hideLoader ? null : /*#__PURE__*/_react.default.createElement(_panelLoader.PanelLoader, {
    showShadow: props.showShadow,
    showBorder: props.showBorder,
    css: (0, _react2.css)`
          border-radius: ${_uiTheme.euiThemeVars.euiBorderRadius};
        `,
    dataTestSubj: "embed dablePanelLoadingIndicator"
  });
  const Panel = value === null || value === void 0 ? void 0 : value.Panel;
  const UnwrappedComponent = value === null || value === void 0 ? void 0 : value.unwrappedComponent;
  const shouldHavePanel = !hidePanelChrome;
  if (error || shouldHavePanel && !Panel || !UnwrappedComponent) {
    return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
      alignItems: "center",
      className: "eui-fullHeight embPanel__error",
      "data-test-subj": "embeddableError",
      justifyContent: "center"
    }, /*#__PURE__*/_react.default.createElement(_presentation_panel_error.PresentationPanelError, {
      error: error !== null && error !== void 0 ? error : new Error((0, _presentation_panel_strings.getErrorLoadingPanel)())
    }));
  }
  return shouldHavePanel && Panel ? /*#__PURE__*/_react.default.createElement(Panel, (0, _extends2.default)({
    Component: UnwrappedComponent
  }, passThroughProps)) : /*#__PURE__*/_react.default.createElement(_eui.EuiErrorBoundary, null, /*#__PURE__*/_react.default.createElement(UnwrappedComponent, (_passThroughProps$com = passThroughProps.componentProps) !== null && _passThroughProps$com !== void 0 ? _passThroughProps$com : {}));
};
exports.PresentationPanel = PresentationPanel;