"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProductDocBasePlugin = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _installation = require("./services/installation");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class ProductDocBasePlugin {
  constructor(context) {
    (0, _defineProperty2.default)(this, "logger", void 0);
    this.logger = context.logger.get();
  }
  setup(coreSetup, pluginsSetup) {
    return {};
  }
  start(coreStart, pluginsStart) {
    const installationService = new _installation.InstallationService({
      http: coreStart.http
    });
    return {
      installation: {
        getStatus: () => installationService.getInstallationStatus(),
        install: () => installationService.install(),
        uninstall: () => installationService.uninstall()
      }
    };
  }
}
exports.ProductDocBasePlugin = ProductDocBasePlugin;