"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InstallationService = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _installation = require("../../../common/http_api/installation");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class InstallationService {
  constructor({
    http
  }) {
    (0, _defineProperty2.default)(this, "http", void 0);
    this.http = http;
  }
  async getInstallationStatus() {
    return await this.http.get(_installation.INSTALLATION_STATUS_API_PATH);
  }
  async install() {
    const response = await this.http.post(_installation.INSTALL_ALL_API_PATH);
    if (!response.installed) {
      throw new Error('Installation did not complete successfully');
    }
    return response;
  }
  async uninstall() {
    return await this.http.post(_installation.UNINSTALL_ALL_API_PATH);
  }
}
exports.InstallationService = InstallationService;