"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InferenceEndpointManager = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _consts = require("../../../common/consts");
var _utils = require("./utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class InferenceEndpointManager {
  constructor({
    logger,
    esClient
  }) {
    (0, _defineProperty2.default)(this, "log", void 0);
    (0, _defineProperty2.default)(this, "esClient", void 0);
    this.log = logger;
    this.esClient = esClient;
  }
  async ensureInternalElserInstalled() {
    const {
      installed
    } = await (0, _utils.getModelInstallStatus)({
      inferenceId: _consts.internalElserInferenceId,
      client: this.esClient,
      log: this.log
    });
    if (!installed) {
      await (0, _utils.installElser)({
        inferenceId: _consts.internalElserInferenceId,
        client: this.esClient,
        log: this.log
      });
    }
    await (0, _utils.waitUntilModelDeployed)({
      modelId: _consts.internalElserInferenceId,
      client: this.esClient,
      log: this.log
    });
  }
}
exports.InferenceEndpointManager = InferenceEndpointManager;