"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getModelInstallStatus = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getModelInstallStatus = async ({
  inferenceId,
  taskType = 'sparse_embedding',
  client
}) => {
  var _getInferenceRes$endp;
  const getInferenceRes = await client.inference.get({
    task_type: taskType,
    inference_id: inferenceId
  }, {
    ignore: [404]
  });
  const installed = ((_getInferenceRes$endp = getInferenceRes.endpoints) !== null && _getInferenceRes$endp !== void 0 ? _getInferenceRes$endp : []).some(endpoint => endpoint.inference_id === inferenceId);
  return {
    installed
  };
};
exports.getModelInstallStatus = getModelInstallStatus;