"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseArtifactName = exports.getArtifactName = void 0;
var _product = require("./product");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

// kb-product-doc-elasticsearch-8.15.zip
const artifactNameRegexp = /^kb-product-doc-([a-z]+)-([0-9]+\.[0-9]+)(\.zip)?$/;
const allowedProductNames = Object.values(_product.DocumentationProduct);
const getArtifactName = ({
  productName,
  productVersion,
  excludeExtension = false
}) => {
  const ext = excludeExtension ? '' : '.zip';
  return `kb-product-doc-${productName}-${productVersion}${ext}`.toLowerCase();
};
exports.getArtifactName = getArtifactName;
const parseArtifactName = artifactName => {
  const match = artifactNameRegexp.exec(artifactName);
  if (match) {
    const productName = match[1].toLowerCase();
    const productVersion = match[2].toLowerCase();
    if (allowedProductNames.includes(productName)) {
      return {
        productName,
        productVersion
      };
    }
  }
};
exports.parseArtifactName = parseArtifactName;