"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateNodeConnections = validateNodeConnections;
var _react = _interopRequireDefault(require("react"));
var _i18nReact = require("@kbn/i18n-react");
var _constants = require("../../../../../../common/constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function validateNodeConnections(connections) {
  if (connections && connections > _constants.MAX_NODE_CONNECTIONS) {
    return /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "xpack.remoteClusters.form.errors.maxValue",
      defaultMessage: "This number must be equal or less than {maxValue}.",
      values: {
        maxValue: _constants.MAX_NODE_CONNECTIONS
      }
    });
  }
  return null;
}