"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabMetrics = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
var _field_list = require("../../field_list");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const columns = [{
  field: 'name',
  name: _i18n.i18n.translate('xpack.rollupJobs.jobDetails.tabMetrics.nameColumnLabel', {
    defaultMessage: 'Field'
  }),
  sortable: true
}, {
  name: _i18n.i18n.translate('xpack.rollupJobs.jobDetails.tabMetrics.typesColumnLabel', {
    defaultMessage: 'Types'
  }),
  render: ({
    types
  }) => types.sort().join(', ')
}];
const TabMetrics = ({
  metrics
}) => /*#__PURE__*/_react.default.createElement(_field_list.FieldList, {
  columns: columns,
  fields: metrics,
  dataTestSubj: "detailPanelMetricsTabTable"
});
exports.TabMetrics = TabMetrics;