"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getConnectedTagSelectorComponent = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _useObservable = _interopRequireDefault(require("react-use/lib/useObservable"));
var _base = require("../base");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getConnectedTagSelectorComponent = ({
  cache,
  capabilities,
  openCreateModal
}) => {
  return props => {
    const tags = (0, _useObservable.default)(cache.getState$(), cache.getState());
    return /*#__PURE__*/_react.default.createElement(_base.TagSelector, (0, _extends2.default)({}, props, {
      tags: tags,
      allowCreate: capabilities.create,
      openCreateModal: openCreateModal
    }));
  };
};
exports.getConnectedTagSelectorComponent = getConnectedTagSelectorComponent;