"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getClearSelectionAction = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getClearSelectionAction = ({
  clearSelection
}) => {
  return {
    id: 'clear_selection',
    label: _i18n.i18n.translate('xpack.savedObjectsTagging.management.actions.clearSelection.label', {
      defaultMessage: 'Clear selection'
    }),
    icon: 'cross',
    refreshAfterExecute: true,
    execute: async () => {
      clearSelection();
    }
  };
};
exports.getClearSelectionAction = getClearSelectionAction;