"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UsageTrackerContextProvider = UsageTrackerContextProvider;
exports.useUsageTracker = void 0;
var _react = _interopRequireWildcard(require("react"));
var _usage_tracker = require("../usage_tracker");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const UsageTrackerContext = /*#__PURE__*/(0, _react.createContext)((0, _usage_tracker.createEmptyUsageTracker)());
function UsageTrackerContextProvider({
  children,
  usageCollection
}) {
  const usageTracker = (0, _react.useMemo)(() => {
    const homePageUsageTracker = (0, _usage_tracker.createUsageTracker)(usageCollection);
    homePageUsageTracker.load('opened_app');
    return homePageUsageTracker;
  }, [usageCollection]);
  return /*#__PURE__*/_react.default.createElement(UsageTrackerContext.Provider, {
    value: usageTracker
  }, children);
}
const useUsageTracker = () => {
  const ctx = (0, _react.useContext)(UsageTrackerContext);
  if (!ctx) {
    throw new Error('UsageTrackerContext should be used inside of the UsageTrackerContextProvider');
  }
  return ctx;
};
exports.useUsageTracker = useUsageTracker;