"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ResultFieldValue = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _constants = require("./constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const ResultFieldValue = ({
  fieldValue,
  fieldType,
  isExpanded = false
}) => {
  if (isExpanded && fieldType && (['object', 'array', 'nested'].includes(fieldType) || Array.isArray(fieldValue))) {
    return /*#__PURE__*/_react.default.createElement(_eui.EuiCodeBlock, {
      language: "json",
      transparentBackground: true,
      fontSize: "s"
    }, fieldValue);
  } else if (_constants.PERMANENTLY_TRUNCATED_FIELDS.includes(fieldType)) {
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
      size: "s",
      color: "default"
    }, fieldValue), fieldType === 'dense_vector' && /*#__PURE__*/_react.default.createElement("div", {
      className: 'denseVectorFieldValue'
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
      justifyContent: "center",
      alignItems: "center",
      gutterSize: "s"
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiBadge, {
      color: "hollow"
    }, _i18n.i18n.translate('searchIndexDocuments.result.value.denseVector.dimLabel', {
      defaultMessage: '{value} dims',
      values: {
        value: JSON.parse(fieldValue).length
      }
    }))), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiCopy, {
      textToCopy: fieldValue
    }, copy => /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
      type: "copyClipboard",
      onClick: copy,
      "data-test-subj": "copyDenseVector",
      "aria-label": _i18n.i18n.translate('searchIndexDocuments.result.value.denseVector.copy', {
        defaultMessage: 'Copy vector'
      })
    }))))));
  } else {
    return /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
      size: "s",
      color: "default"
    }, fieldValue);
  }
};
exports.ResultFieldValue = ResultFieldValue;