"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConnectionDetails = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
var _searchSharedUi = require("@kbn/search-shared-ui");
var _use_elasticsearch_url = require("../../hooks/use_elasticsearch_url");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ConnectionDetails = () => {
  const elasticsearchUrl = (0, _use_elasticsearch_url.useElasticsearchUrl)();
  return /*#__PURE__*/_react.default.createElement(_searchSharedUi.FormInfoField, {
    label: _i18n.i18n.translate('xpack.searchIndices.connectionDetails.endpointTitle', {
      defaultMessage: 'Elasticsearch URL'
    }),
    value: elasticsearchUrl,
    copyValue: elasticsearchUrl,
    dataTestSubj: "connectionDetailsEndpoint",
    copyValueDataTestSubj: "connectionDetailsEndpointCopy"
  });
};
exports.ConnectionDetails = ConnectionDetails;