"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LanguageSelector = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _use_asset_base_path = require("../../hooks/use_asset_base_path");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const LanguageSelector = ({
  selectedLanguage,
  options,
  onSelectLanguage
}) => {
  const assetBasePath = (0, _use_asset_base_path.useAssetBasePath)();
  const languageOptions = (0, _react.useMemo)(() => options.map(lang => ({
    value: lang.id,
    'aria-label': _i18n.i18n.translate('xpack.searchIndices.codeLanguage.selectChangeAriaLabel', {
      defaultMessage: 'Change language of code examples to {language} for every instance on this page',
      values: {
        language: lang.title
      }
    }),
    'data-test-subj': `lang-option-${lang.id}`,
    inputDisplay: /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
      gutterSize: "s",
      alignItems: "center"
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
      type: `${assetBasePath}/${lang.icon}`
    }), /*#__PURE__*/_react.default.createElement(_eui.EuiText, null, lang.title))
  })), [assetBasePath, options]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiSuperSelect, {
    options: languageOptions,
    valueOfSelected: selectedLanguage,
    onChange: value => onSelectLanguage(value),
    "data-test-subj": "codeExampleLanguageSelect"
  });
};
exports.LanguageSelector = LanguageSelector;