"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SearchIndicesPlugin = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _routes = require("./routes");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class SearchIndicesPlugin {
  constructor(initializerContext) {
    (0, _defineProperty2.default)(this, "logger", void 0);
    this.logger = initializerContext.logger.get();
  }
  setup(core) {
    this.logger.debug('searchIndices: Setup');
    this.logger.info('searchIndices test');
    const router = core.http.createRouter();

    // Register server side APIs
    (0, _routes.defineRoutes)(router, this.logger);
    return {};
  }
  start(core) {
    this.logger.debug('searchIndices: Started');
    return {};
  }
  stop() {}
}
exports.SearchIndicesPlugin = SearchIndicesPlugin;