"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InferenceEndpoints = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _use_inference_endpoints = require("../hooks/use_inference_endpoints");
var _tabular_page = require("./all_inference_endpoints/tabular_page");
var _inference_endpoints_header = require("./inference_endpoints_header");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const InferenceEndpoints = () => {
  const {
    data
  } = (0, _use_inference_endpoints.useQueryInferenceEndpoints)();
  const inferenceEndpoints = data || [];
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_inference_endpoints_header.InferenceEndpointsHeader, null), /*#__PURE__*/_react.default.createElement(_eui.EuiPageTemplate.Section, {
    className: "eui-yScroll",
    "data-test-subj": "inferenceManagementPage"
  }, /*#__PURE__*/_react.default.createElement(_tabular_page.TabularPage, {
    inferenceEndpoints: inferenceEndpoints
  })));
};
exports.InferenceEndpoints = InferenceEndpoints;