"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PlaygroundRouter = void 0;
var _sharedUxRouter = require("@kbn/shared-ux-router");
var _react = _interopRequireDefault(require("react"));
var _reactRouterDom = require("react-router-dom");
var _playground_overview = require("./playground_overview");
var _routes = require("./routes");
var _types = require("./types");
var _use_search_playground_feature_flag = require("./hooks/use_search_playground_feature_flag");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const PlaygroundRouter = () => {
  const isSearchModeEnabled = (0, _use_search_playground_feature_flag.useSearchPlaygroundFeatureFlag)();
  return /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Routes, null, /*#__PURE__*/_react.default.createElement(_reactRouterDom.Redirect, {
    exact: true,
    from: _routes.ROOT_PATH,
    to: _routes.SEARCH_PLAYGROUND_CHAT_PATH
  }), /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Route, {
    path: _routes.SEARCH_PLAYGROUND_CHAT_PATH
  }, /*#__PURE__*/_react.default.createElement(_playground_overview.PlaygroundOverview, {
    pageMode: _types.PlaygroundPageMode.chat
  })), isSearchModeEnabled && /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Route, {
    path: _routes.SEARCH_PLAYGROUND_SEARCH_PATH
  }, /*#__PURE__*/_react.default.createElement(_playground_overview.PlaygroundOverview, {
    pageMode: _types.PlaygroundPageMode.search
  })));
};
exports.PlaygroundRouter = PlaygroundRouter;