"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.LandingLinksIconsGroups = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _landing_links_icons = require("./landing_links_icons");
var _landing_links = require("./landing_links");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const LandingLinksIconsGroups = exports.LandingLinksIconsGroups = /*#__PURE__*/_react.default.memo(function LandingLinksIconsGroups({
  items,
  urlState,
  onLinkClick
}) {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    gutterSize: "xl",
    wrap: true
  }, items.map(({
    links,
    ...link
  }) => /*#__PURE__*/_react.default.createElement(_landing_links_icons.LandingLinkIcon, {
    key: link.id,
    item: link,
    urlState: urlState,
    onLinkClick: onLinkClick
  }, (links === null || links === void 0 ? void 0 : links.length) && /*#__PURE__*/_react.default.createElement(_landing_links.LandingColumnLinks, {
    items: links,
    urlState: urlState,
    onLinkClick: onLinkClick
  }))));
});

// eslint-disable-next-line import/no-default-export
var _default = exports.default = LandingLinksIconsGroups;