"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PackageInstallStatus = exports.BootstrapPrebuiltRulesResponse = void 0;
var _zod = require("@kbn/zod");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Bootstrap Prebuilt Rules API endpoint
 *   version: 1
 */

const PackageInstallStatus = exports.PackageInstallStatus = _zod.z.object({
  /**
   * The name of the package
   */
  name: _zod.z.string(),
  /**
   * The version of the package
   */
  version: _zod.z.string(),
  /**
   * The status of the package installation
   */
  status: _zod.z.enum(['installed', 'already_installed'])
});
const BootstrapPrebuiltRulesResponse = exports.BootstrapPrebuiltRulesResponse = _zod.z.object({
  /**
   * The list of packages that were installed or upgraded
   */
  packages: _zod.z.array(PackageInstallStatus)
});