"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ResponseActionBodySchema = void 0;
var _configSchema = require("@kbn/config-schema");
var _execute = require("../response_actions/execute");
var _get_file = require("../response_actions/get_file");
var _scan = require("../response_actions/scan");
var _isolate = require("../response_actions/isolate");
var _unisolate = require("../response_actions/unisolate");
var _running_procs = require("../response_actions/running_procs");
var _kill_process = require("../response_actions/kill_process");
var _suspend_process = require("../response_actions/suspend_process");
var _upload = require("../response_actions/upload");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ResponseActionBodySchema = exports.ResponseActionBodySchema = _configSchema.schema.oneOf([_isolate.IsolateRouteRequestSchema.body, _unisolate.UnisolateRouteRequestSchema.body, _running_procs.GetProcessesRouteRequestSchema.body, _kill_process.KillProcessRouteRequestSchema.body, _suspend_process.SuspendProcessRouteRequestSchema.body, _get_file.EndpointActionGetFileSchema.body, _execute.ExecuteActionRequestSchema.body, _upload.UploadActionRequestSchema.body, _scan.ScanActionRequestSchema.body]);