"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GetEndpointActionListRouteQuery = exports.EndpointGetActionsListResponse = exports.EndpointGetActionsListRequestQuery = void 0;
var _zod = require("@kbn/zod");
var _common = require("../../model/schema/common.gen");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Actions List Schema
 *   version: 2023-10-31
 */

const GetEndpointActionListRouteQuery = exports.GetEndpointActionListRouteQuery = _zod.z.object({
  agentIds: _common.AgentIds.optional(),
  agentTypes: _common.AgentTypes.optional(),
  commands: _common.Commands.optional(),
  page: _common.Page.optional(),
  /**
   * Number of items per page
   */
  pageSize: _zod.z.number().int().min(1).max(10000).optional().default(10),
  startDate: _common.StartDate.optional(),
  endDate: _common.EndDate.optional(),
  userIds: _common.UserIds.optional(),
  types: _common.Types.optional(),
  withOutputs: _common.WithOutputs.optional()
});
const EndpointGetActionsListRequestQuery = exports.EndpointGetActionsListRequestQuery = _zod.z.object({
  query: GetEndpointActionListRouteQuery
});
const EndpointGetActionsListResponse = exports.EndpointGetActionsListResponse = _common.SuccessResponse;