"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InspectQuery = exports.IndexPattern = exports.EntityTypeEnum = exports.EntityType = exports.EngineStatusEnum = exports.EngineStatus = exports.EngineDescriptor = void 0;
var _zod = require("@kbn/zod");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Entity Store Common Schema
 *   version: 1
 */

const EntityType = exports.EntityType = _zod.z.enum(['user', 'host']);
const EntityTypeEnum = exports.EntityTypeEnum = EntityType.enum;
const IndexPattern = exports.IndexPattern = _zod.z.string();
const EngineStatus = exports.EngineStatus = _zod.z.enum(['installing', 'started', 'stopped', 'updating', 'error']);
const EngineStatusEnum = exports.EngineStatusEnum = EngineStatus.enum;
const EngineDescriptor = exports.EngineDescriptor = _zod.z.object({
  type: EntityType,
  indexPattern: IndexPattern,
  status: EngineStatus,
  filter: _zod.z.string().optional(),
  fieldHistoryLength: _zod.z.number().int(),
  error: _zod.z.object({}).optional()
});
const InspectQuery = exports.InspectQuery = _zod.z.object({
  response: _zod.z.array(_zod.z.string()),
  dsl: _zod.z.array(_zod.z.string())
});