"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DeleteEntityEngineResponse = exports.DeleteEntityEngineRequestQuery = exports.DeleteEntityEngineRequestParams = void 0;
var _zod = require("@kbn/zod");
var _zodHelpers = require("@kbn/zod-helpers");
var _common = require("../common.gen");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Delete an Entity Engine
 *   version: 2023-10-31
 */

const DeleteEntityEngineRequestQuery = exports.DeleteEntityEngineRequestQuery = _zod.z.object({
  /**
   * Control flag to also delete the entity data.
   */
  data: _zodHelpers.BooleanFromString.optional()
});
const DeleteEntityEngineRequestParams = exports.DeleteEntityEngineRequestParams = _zod.z.object({
  /**
   * The entity type of the engine (either 'user' or 'host').
   */
  entityType: _common.EntityType
});
const DeleteEntityEngineResponse = exports.DeleteEntityEngineResponse = _zod.z.object({
  deleted: _zod.z.boolean().optional()
});