"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InitEntityEngineResponse = exports.InitEntityEngineRequestParams = exports.InitEntityEngineRequestBody = void 0;
var _zod = require("@kbn/zod");
var _common = require("../common.gen");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Init Entity Engine
 *   version: 2023-10-31
 */

const InitEntityEngineRequestParams = exports.InitEntityEngineRequestParams = _zod.z.object({
  /**
   * The entity type of the engine (either 'user' or 'host').
   */
  entityType: _common.EntityType
});
const InitEntityEngineRequestBody = exports.InitEntityEngineRequestBody = _zod.z.object({
  /**
   * The number of historical values to keep for each field.
   */
  fieldHistoryLength: _zod.z.number().int().optional().default(10),
  indexPattern: _common.IndexPattern.optional(),
  filter: _zod.z.string().optional()
});
const InitEntityEngineResponse = exports.InitEntityEngineResponse = _common.EngineDescriptor;