"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TimelineTypeEnum = exports.TimelineType = exports.TimelineStatusEnum = exports.TimelineStatus = exports.TimelineSavedToReturnObject = exports.TimelineResponse = exports.TimelineErrorResponse = exports.TemplateTimelineTypeEnum = exports.TemplateTimelineType = exports.SortObject = exports.SortFieldTimelineEnum = exports.SortFieldTimeline = exports.SortDirectionEnum = exports.SortDirection = exports.Sort = exports.SerializedFilterQueryResult = exports.SavedTimelineWithSavedObjectId = exports.SavedTimeline = exports.SavedObjectResolveOutcomeEnum = exports.SavedObjectResolveOutcome = exports.SavedObjectResolveAliasPurposeEnum = exports.SavedObjectResolveAliasPurpose = exports.RowRendererIdEnum = exports.RowRendererId = exports.ResolvedTimeline = exports.QueryMatchResult = exports.PinnedEvent = exports.PersistTimelineResponse = exports.Note = exports.ImportTimelines = exports.ImportTimelineResult = exports.GlobalNote = exports.FilterTimelineResult = exports.FavoriteTimelineResult = exports.FavoriteTimelineResponse = exports.DataProviderTypeEnum = exports.DataProviderType = exports.DataProviderResult = exports.DataProviderQueryMatch = exports.ColumnHeaderResult = exports.BarePinnedEvent = exports.BareNoteWithoutExternalRefs = exports.BareNote = void 0;
var _zod = require("@kbn/zod");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Shared Timeline Components
 *   version: not applicable
 */

/**
 * The type of timeline to create. Valid values are `default` and `template`.
 */

const TimelineType = exports.TimelineType = _zod.z.enum(['default', 'template']);
const TimelineTypeEnum = exports.TimelineTypeEnum = TimelineType.enum;

/**
 * The type of data provider to create. Valid values are `default` and `template`.
 */

const DataProviderType = exports.DataProviderType = _zod.z.enum(['default', 'template']);
const DataProviderTypeEnum = exports.DataProviderTypeEnum = DataProviderType.enum;

/**
 * The type of the timeline template.
 */

const TemplateTimelineType = exports.TemplateTimelineType = _zod.z.enum(['elastic', 'custom']);
const TemplateTimelineTypeEnum = exports.TemplateTimelineTypeEnum = TemplateTimelineType.enum;
const ColumnHeaderResult = exports.ColumnHeaderResult = _zod.z.object({
  aggregatable: _zod.z.boolean().nullable().optional(),
  category: _zod.z.string().nullable().optional(),
  columnHeaderType: _zod.z.string().nullable().optional(),
  description: _zod.z.string().nullable().optional(),
  example: _zod.z.string().nullable().optional(),
  indexes: _zod.z.array(_zod.z.string()).nullable().optional(),
  id: _zod.z.string().nullable().optional(),
  name: _zod.z.string().nullable().optional(),
  placeholder: _zod.z.string().nullable().optional(),
  searchable: _zod.z.boolean().nullable().optional(),
  type: _zod.z.string().nullable().optional()
});
const QueryMatchResult = exports.QueryMatchResult = _zod.z.object({
  field: _zod.z.string().nullable().optional(),
  displayField: _zod.z.string().nullable().optional(),
  value: _zod.z.union([_zod.z.string().nullable(), _zod.z.array(_zod.z.string()).nullable()]).optional(),
  displayValue: _zod.z.string().nullable().optional(),
  operator: _zod.z.string().nullable().optional()
});
const DataProviderQueryMatch = exports.DataProviderQueryMatch = _zod.z.object({
  enabled: _zod.z.boolean().nullable().optional(),
  excluded: _zod.z.boolean().nullable().optional(),
  id: _zod.z.string().nullable().optional(),
  kqlQuery: _zod.z.string().nullable().optional(),
  name: _zod.z.string().nullable().optional(),
  queryMatch: QueryMatchResult.nullable().optional(),
  type: DataProviderType.nullable().optional()
});
const DataProviderResult = exports.DataProviderResult = _zod.z.object({
  and: _zod.z.array(DataProviderQueryMatch).nullable().optional(),
  enabled: _zod.z.boolean().nullable().optional(),
  excluded: _zod.z.boolean().nullable().optional(),
  id: _zod.z.string().nullable().optional(),
  kqlQuery: _zod.z.string().nullable().optional(),
  name: _zod.z.string().nullable().optional(),
  queryMatch: QueryMatchResult.nullable().optional(),
  type: DataProviderType.nullable().optional()
});
const RowRendererId = exports.RowRendererId = _zod.z.enum(['alert', 'alerts', 'auditd', 'auditd_file', 'library', 'netflow', 'plain', 'registry', 'suricata', 'system', 'system_dns', 'system_endgame_process', 'system_file', 'system_fim', 'system_security_event', 'system_socket', 'threat_match', 'zeek']);
const RowRendererIdEnum = exports.RowRendererIdEnum = RowRendererId.enum;
const FavoriteTimelineResult = exports.FavoriteTimelineResult = _zod.z.object({
  fullName: _zod.z.string().nullable().optional(),
  userName: _zod.z.string().nullable().optional(),
  favoriteDate: _zod.z.number().nullable().optional()
});
const FilterTimelineResult = exports.FilterTimelineResult = _zod.z.object({
  exists: _zod.z.string().nullable().optional(),
  meta: _zod.z.object({
    alias: _zod.z.string().nullable().optional(),
    controlledBy: _zod.z.string().nullable().optional(),
    disabled: _zod.z.boolean().nullable().optional(),
    field: _zod.z.string().nullable().optional(),
    formattedValue: _zod.z.string().nullable().optional(),
    index: _zod.z.string().nullable().optional(),
    key: _zod.z.string().nullable().optional(),
    negate: _zod.z.boolean().nullable().optional(),
    params: _zod.z.string().nullable().optional(),
    type: _zod.z.string().nullable().optional(),
    value: _zod.z.string().nullable().optional()
  }).nullable().optional(),
  match_all: _zod.z.string().nullable().optional(),
  missing: _zod.z.string().nullable().optional(),
  query: _zod.z.string().nullable().optional(),
  range: _zod.z.string().nullable().optional(),
  script: _zod.z.string().nullable().optional()
});
const SerializedFilterQueryResult = exports.SerializedFilterQueryResult = _zod.z.object({
  filterQuery: _zod.z.object({
    kuery: _zod.z.object({
      kind: _zod.z.string().nullable().optional(),
      expression: _zod.z.string().nullable().optional()
    }).nullable().optional(),
    serializedQuery: _zod.z.string().nullable().optional()
  }).nullable().optional()
});
const SortObject = exports.SortObject = _zod.z.object({
  columnId: _zod.z.string().nullable().optional(),
  columnType: _zod.z.string().nullable().optional(),
  sortDirection: _zod.z.string().nullable().optional()
});
const Sort = exports.Sort = _zod.z.union([SortObject, _zod.z.array(SortObject)]);
const SavedTimeline = exports.SavedTimeline = _zod.z.object({
  columns: _zod.z.array(ColumnHeaderResult).nullable().optional(),
  created: _zod.z.number().nullable().optional(),
  createdBy: _zod.z.string().nullable().optional(),
  dataProviders: _zod.z.array(DataProviderResult).nullable().optional(),
  dataViewId: _zod.z.string().nullable().optional(),
  dateRange: _zod.z.object({
    end: _zod.z.union([_zod.z.string().nullable(), _zod.z.number().nullable()]).optional(),
    start: _zod.z.union([_zod.z.string().nullable(), _zod.z.number().nullable()]).optional()
  }).nullable().optional(),
  description: _zod.z.string().nullable().optional(),
  eqlOptions: _zod.z.object({
    eventCategoryField: _zod.z.string().nullable().optional(),
    query: _zod.z.string().nullable().optional(),
    size: _zod.z.union([_zod.z.string().nullable(), _zod.z.number().nullable()]).optional(),
    tiebreakerField: _zod.z.string().nullable().optional(),
    timestampField: _zod.z.string().nullable().optional()
  }).nullable().optional(),
  eventType: _zod.z.string().nullable().optional(),
  excludedRowRendererIds: _zod.z.array(RowRendererId).nullable().optional(),
  favorite: _zod.z.array(FavoriteTimelineResult).nullable().optional(),
  filters: _zod.z.array(FilterTimelineResult).nullable().optional(),
  kqlMode: _zod.z.string().nullable().optional(),
  kqlQuery: SerializedFilterQueryResult.nullable().optional(),
  indexNames: _zod.z.array(_zod.z.string()).nullable().optional(),
  savedSearchId: _zod.z.string().nullable().optional(),
  savedQueryId: _zod.z.string().nullable().optional(),
  sort: Sort.nullable().optional(),
  status: _zod.z.enum(['active', 'draft', 'immutable']).nullable().optional(),
  title: _zod.z.string().nullable().optional(),
  templateTimelineId: _zod.z.string().nullable().optional(),
  templateTimelineVersion: _zod.z.number().nullable().optional(),
  timelineType: TimelineType.nullable().optional(),
  updated: _zod.z.number().nullable().optional(),
  updatedBy: _zod.z.string().nullable().optional()
});
const SavedTimelineWithSavedObjectId = exports.SavedTimelineWithSavedObjectId = SavedTimeline.merge(_zod.z.object({
  savedObjectId: _zod.z.string(),
  version: _zod.z.string()
}));
const BareNote = exports.BareNote = _zod.z.object({
  eventId: _zod.z.string().nullable().optional(),
  note: _zod.z.string().nullable().optional(),
  timelineId: _zod.z.string(),
  created: _zod.z.number().nullable().optional(),
  createdBy: _zod.z.string().nullable().optional(),
  updated: _zod.z.number().nullable().optional(),
  updatedBy: _zod.z.string().nullable().optional()
});
const Note = exports.Note = BareNote.merge(_zod.z.object({
  noteId: _zod.z.string(),
  version: _zod.z.string()
}));
const BarePinnedEvent = exports.BarePinnedEvent = _zod.z.object({
  eventId: _zod.z.string(),
  timelineId: _zod.z.string(),
  created: _zod.z.number().nullable().optional(),
  createdBy: _zod.z.string().nullable().optional(),
  updated: _zod.z.number().nullable().optional(),
  updatedBy: _zod.z.string().nullable().optional()
});
const PinnedEvent = exports.PinnedEvent = BarePinnedEvent.merge(_zod.z.object({
  pinnedEventId: _zod.z.string(),
  version: _zod.z.string()
}));
const TimelineResponse = exports.TimelineResponse = SavedTimeline.merge(SavedTimelineWithSavedObjectId).merge(_zod.z.object({
  eventIdToNoteIds: _zod.z.array(Note).nullable().optional(),
  notes: _zod.z.array(Note).nullable().optional(),
  noteIds: _zod.z.array(_zod.z.string()).nullable().optional(),
  pinnedEventIds: _zod.z.array(_zod.z.string()).nullable().optional(),
  pinnedEventsSaveObject: _zod.z.array(PinnedEvent).nullable().optional()
}));
const TimelineSavedToReturnObject = exports.TimelineSavedToReturnObject = SavedTimeline.merge(_zod.z.object({
  savedObjectId: _zod.z.string(),
  version: _zod.z.string(),
  eventIdToNoteIds: _zod.z.array(Note).nullable().optional(),
  notes: _zod.z.array(Note).nullable().optional(),
  noteIds: _zod.z.array(_zod.z.string()).nullable().optional(),
  pinnedEventIds: _zod.z.array(_zod.z.string()).nullable().optional(),
  pinnedEventsSaveObject: _zod.z.array(PinnedEvent).nullable().optional()
}));
const SavedObjectResolveOutcome = exports.SavedObjectResolveOutcome = _zod.z.enum(['exactMatch', 'aliasMatch', 'conflict']);
const SavedObjectResolveOutcomeEnum = exports.SavedObjectResolveOutcomeEnum = SavedObjectResolveOutcome.enum;
const SavedObjectResolveAliasPurpose = exports.SavedObjectResolveAliasPurpose = _zod.z.enum(['savedObjectConversion', 'savedObjectImport']);
const SavedObjectResolveAliasPurposeEnum = exports.SavedObjectResolveAliasPurposeEnum = SavedObjectResolveAliasPurpose.enum;
const ResolvedTimeline = exports.ResolvedTimeline = _zod.z.object({
  timeline: TimelineSavedToReturnObject,
  outcome: SavedObjectResolveOutcome,
  alias_target_id: _zod.z.string().optional(),
  alias_purpose: SavedObjectResolveAliasPurpose.optional()
});
const FavoriteTimelineResponse = exports.FavoriteTimelineResponse = _zod.z.object({
  savedObjectId: _zod.z.string(),
  version: _zod.z.string(),
  code: _zod.z.number().nullable().optional(),
  message: _zod.z.string().nullable().optional(),
  templateTimelineId: _zod.z.string().nullable().optional(),
  templateTimelineVersion: _zod.z.number().nullable().optional(),
  timelineType: TimelineType.optional(),
  favorite: _zod.z.array(FavoriteTimelineResult).optional()
});
const PersistTimelineResponse = exports.PersistTimelineResponse = _zod.z.object({
  data: _zod.z.object({
    persistTimeline: _zod.z.object({
      timeline: TimelineResponse
    })
  })
});
const BareNoteWithoutExternalRefs = exports.BareNoteWithoutExternalRefs = _zod.z.object({
  eventId: _zod.z.string().nullable().optional(),
  note: _zod.z.string().nullable().optional(),
  timelineId: _zod.z.string().nullable().optional(),
  created: _zod.z.number().nullable().optional(),
  createdBy: _zod.z.string().nullable().optional(),
  updated: _zod.z.number().nullable().optional(),
  updatedBy: _zod.z.string().nullable().optional()
});
const GlobalNote = exports.GlobalNote = _zod.z.object({
  noteId: _zod.z.string().optional(),
  version: _zod.z.string().optional(),
  note: _zod.z.string().optional(),
  timelineId: _zod.z.string().optional(),
  created: _zod.z.number().optional(),
  createdBy: _zod.z.string().optional(),
  updated: _zod.z.number().optional(),
  updatedBy: _zod.z.string().optional()
});

/**
 * The field to sort the timelines by.
 */

const SortFieldTimeline = exports.SortFieldTimeline = _zod.z.enum(['title', 'description', 'updated', 'created']);
const SortFieldTimelineEnum = exports.SortFieldTimelineEnum = SortFieldTimeline.enum;
const SortDirection = exports.SortDirection = _zod.z.enum(['asc', 'desc']);
const SortDirectionEnum = exports.SortDirectionEnum = SortDirection.enum;

/**
 * The status of the timeline. Valid values are `active`, `draft`, and `immutable`.
 */

const TimelineStatus = exports.TimelineStatus = _zod.z.enum(['active', 'draft', 'immutable']);
const TimelineStatusEnum = exports.TimelineStatusEnum = TimelineStatus.enum;
const ImportTimelines = exports.ImportTimelines = SavedTimeline.merge(_zod.z.object({
  savedObjectId: _zod.z.string().nullable(),
  version: _zod.z.string().nullable(),
  pinnedEventIds: _zod.z.array(_zod.z.string()).nullable(),
  eventNotes: _zod.z.array(BareNote).nullable(),
  globalNotes: _zod.z.array(BareNote).nullable()
}));
const ImportTimelineResult = exports.ImportTimelineResult = _zod.z.object({
  success: _zod.z.boolean().optional(),
  success_count: _zod.z.number().optional(),
  timelines_installed: _zod.z.number().optional(),
  timelines_updated: _zod.z.number().optional(),
  errors: _zod.z.array(_zod.z.object({
    id: _zod.z.string().optional(),
    error: _zod.z.object({
      message: _zod.z.string().optional(),
      status_code: _zod.z.number().optional()
    }).optional()
  })).optional()
});
const TimelineErrorResponse = exports.TimelineErrorResponse = _zod.z.union([_zod.z.object({
  message: _zod.z.string(),
  status_code: _zod.z.number()
}), _zod.z.object({
  message: _zod.z.string(),
  statusCode: _zod.z.number()
})]);