"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.extractThreatArray = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const extractThreatArray = rule => rule.threat.map(threat => {
  if (threat.technique && threat.technique.length) {
    return {
      ...threat,
      technique: trimTechniqueArray(threat.technique)
    };
  }
  return {
    ...threat,
    technique: undefined
  }; // If `technique` is an empty array, remove the field from the `threat` object
});
exports.extractThreatArray = extractThreatArray;
const trimTechniqueArray = techniqueArray => {
  return techniqueArray.map(technique => ({
    ...technique,
    subtechnique: technique.subtechnique && technique.subtechnique.length ? technique.subtechnique : undefined // If `subtechnique` is an empty array, remove the field from the `technique` object
  }));
};