"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LEGACY_ALERT_USER_CRITICALITY = exports.LEGACY_ALERT_HOST_CRITICALITY = exports.ALERT_USER_RISK_SCORE_CALCULATED_SCORE_NORM = exports.ALERT_USER_RISK_SCORE_CALCULATED_LEVEL = exports.ALERT_USER_CRITICALITY = exports.ALERT_THRESHOLD_RESULT_COUNT = exports.ALERT_THRESHOLD_RESULT = exports.ALERT_RULE_TIMESTAMP_OVERRIDE = exports.ALERT_RULE_TIMELINE_TITLE = exports.ALERT_RULE_TIMELINE_ID = exports.ALERT_RULE_THROTTLE = exports.ALERT_RULE_THREAT = exports.ALERT_RULE_SEVERITY_MAPPING = exports.ALERT_RULE_RISK_SCORE_MAPPING = exports.ALERT_RULE_META = exports.ALERT_RULE_MAX_SIGNALS = exports.ALERT_RULE_INDICES = exports.ALERT_RULE_IMMUTABLE = exports.ALERT_RULE_FALSE_POSITIVES = exports.ALERT_RULE_EXCEPTIONS_LIST = exports.ALERT_RULE_ACTIONS = exports.ALERT_ORIGINAL_TIME = exports.ALERT_ORIGINAL_EVENT_MODULE = exports.ALERT_ORIGINAL_EVENT_KIND = exports.ALERT_ORIGINAL_EVENT_CATEGORY = exports.ALERT_ORIGINAL_EVENT_ACTION = exports.ALERT_ORIGINAL_EVENT = exports.ALERT_NEW_TERMS_FIELDS = exports.ALERT_NEW_TERMS = exports.ALERT_HOST_RISK_SCORE_CALCULATED_SCORE_NORM = exports.ALERT_HOST_RISK_SCORE_CALCULATED_LEVEL = exports.ALERT_HOST_CRITICALITY = exports.ALERT_GROUP_INDEX = exports.ALERT_GROUP_ID = exports.ALERT_DEPTH = exports.ALERT_BUILDING_BLOCK_TYPE = exports.ALERT_ANCESTORS = void 0;
var _ruleDataUtils = require("@kbn/rule-data-utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ALERT_ANCESTORS = exports.ALERT_ANCESTORS = `${_ruleDataUtils.ALERT_NAMESPACE}.ancestors`;
const ALERT_BUILDING_BLOCK_TYPE = exports.ALERT_BUILDING_BLOCK_TYPE = `${_ruleDataUtils.ALERT_NAMESPACE}.building_block_type`;
const ALERT_DEPTH = exports.ALERT_DEPTH = `${_ruleDataUtils.ALERT_NAMESPACE}.depth`;
const ALERT_GROUP_ID = exports.ALERT_GROUP_ID = `${_ruleDataUtils.ALERT_NAMESPACE}.group.id`;
const ALERT_GROUP_INDEX = exports.ALERT_GROUP_INDEX = `${_ruleDataUtils.ALERT_NAMESPACE}.group.index`;
const ALERT_ORIGINAL_TIME = exports.ALERT_ORIGINAL_TIME = `${_ruleDataUtils.ALERT_NAMESPACE}.original_time`;
const ALERT_THRESHOLD_RESULT = exports.ALERT_THRESHOLD_RESULT = `${_ruleDataUtils.ALERT_NAMESPACE}.threshold_result`;
const ALERT_THRESHOLD_RESULT_COUNT = exports.ALERT_THRESHOLD_RESULT_COUNT = `${ALERT_THRESHOLD_RESULT}.count`;
const ALERT_NEW_TERMS = exports.ALERT_NEW_TERMS = `${_ruleDataUtils.ALERT_NAMESPACE}.new_terms`;
const ALERT_NEW_TERMS_FIELDS = exports.ALERT_NEW_TERMS_FIELDS = `${_ruleDataUtils.ALERT_RULE_PARAMETERS}.new_terms_fields`;
/**
 * @deprecated Use {@link ALERT_HOST_CRITICALITY}
 */
const LEGACY_ALERT_HOST_CRITICALITY = exports.LEGACY_ALERT_HOST_CRITICALITY = `${_ruleDataUtils.ALERT_NAMESPACE}.host.criticality_level`;
/**
 * @deprecated Use {@link ALERT_USER_CRITICALITY}
 */
const LEGACY_ALERT_USER_CRITICALITY = exports.LEGACY_ALERT_USER_CRITICALITY = `${_ruleDataUtils.ALERT_NAMESPACE}.user.criticality_level`;
const ALERT_HOST_CRITICALITY = exports.ALERT_HOST_CRITICALITY = `host.asset.criticality`;
const ALERT_USER_CRITICALITY = exports.ALERT_USER_CRITICALITY = `user.asset.criticality`;
const ALERT_HOST_RISK_SCORE_CALCULATED_LEVEL = exports.ALERT_HOST_RISK_SCORE_CALCULATED_LEVEL = `host.risk.calculated_level`;
const ALERT_HOST_RISK_SCORE_CALCULATED_SCORE_NORM = exports.ALERT_HOST_RISK_SCORE_CALCULATED_SCORE_NORM = `host.risk.calculated_score_norm`;
const ALERT_USER_RISK_SCORE_CALCULATED_LEVEL = exports.ALERT_USER_RISK_SCORE_CALCULATED_LEVEL = `user.risk.calculated_level`;
const ALERT_USER_RISK_SCORE_CALCULATED_SCORE_NORM = exports.ALERT_USER_RISK_SCORE_CALCULATED_SCORE_NORM = `user.risk.calculated_score_norm`;
const ALERT_ORIGINAL_EVENT = exports.ALERT_ORIGINAL_EVENT = `${_ruleDataUtils.ALERT_NAMESPACE}.original_event`;
const ALERT_ORIGINAL_EVENT_ACTION = exports.ALERT_ORIGINAL_EVENT_ACTION = `${ALERT_ORIGINAL_EVENT}.action`;
const ALERT_ORIGINAL_EVENT_CATEGORY = exports.ALERT_ORIGINAL_EVENT_CATEGORY = `${ALERT_ORIGINAL_EVENT}.category`;
const ALERT_ORIGINAL_EVENT_KIND = exports.ALERT_ORIGINAL_EVENT_KIND = `${ALERT_ORIGINAL_EVENT}.kind`;
const ALERT_ORIGINAL_EVENT_MODULE = exports.ALERT_ORIGINAL_EVENT_MODULE = `${ALERT_ORIGINAL_EVENT}.module`;
const ALERT_RULE_ACTIONS = exports.ALERT_RULE_ACTIONS = `${_ruleDataUtils.ALERT_RULE_NAMESPACE}.actions`;
const ALERT_RULE_EXCEPTIONS_LIST = exports.ALERT_RULE_EXCEPTIONS_LIST = `${_ruleDataUtils.ALERT_RULE_NAMESPACE}.exceptions_list`;
const ALERT_RULE_FALSE_POSITIVES = exports.ALERT_RULE_FALSE_POSITIVES = `${_ruleDataUtils.ALERT_RULE_NAMESPACE}.false_positives`;
const ALERT_RULE_IMMUTABLE = exports.ALERT_RULE_IMMUTABLE = `${_ruleDataUtils.ALERT_RULE_NAMESPACE}.immutable`;
const ALERT_RULE_MAX_SIGNALS = exports.ALERT_RULE_MAX_SIGNALS = `${_ruleDataUtils.ALERT_RULE_NAMESPACE}.max_signals`;
const ALERT_RULE_META = exports.ALERT_RULE_META = `${_ruleDataUtils.ALERT_RULE_NAMESPACE}.meta`;
const ALERT_RULE_RISK_SCORE_MAPPING = exports.ALERT_RULE_RISK_SCORE_MAPPING = `${_ruleDataUtils.ALERT_RULE_NAMESPACE}.risk_score_mapping`;
const ALERT_RULE_SEVERITY_MAPPING = exports.ALERT_RULE_SEVERITY_MAPPING = `${_ruleDataUtils.ALERT_RULE_NAMESPACE}.severity_mapping`;
const ALERT_RULE_THREAT = exports.ALERT_RULE_THREAT = `${_ruleDataUtils.ALERT_RULE_NAMESPACE}.threat`;
const ALERT_RULE_THROTTLE = exports.ALERT_RULE_THROTTLE = `${_ruleDataUtils.ALERT_RULE_NAMESPACE}.throttle`;
const ALERT_RULE_TIMELINE_ID = exports.ALERT_RULE_TIMELINE_ID = `${_ruleDataUtils.ALERT_RULE_NAMESPACE}.timeline_id`;
const ALERT_RULE_TIMELINE_TITLE = exports.ALERT_RULE_TIMELINE_TITLE = `${_ruleDataUtils.ALERT_RULE_NAMESPACE}.timeline_title`;
const ALERT_RULE_TIMESTAMP_OVERRIDE = exports.ALERT_RULE_TIMESTAMP_OVERRIDE = `${_ruleDataUtils.ALERT_RULE_NAMESPACE}.timestamp_override`;
const ALERT_RULE_INDICES = exports.ALERT_RULE_INDICES = `${_ruleDataUtils.ALERT_RULE_NAMESPACE}.indices`;