"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UpsertRuleMigrationResourcesResponse = exports.UpsertRuleMigrationResourcesRequestParams = exports.UpsertRuleMigrationResourcesRequestBody = exports.UpdateRuleMigrationResponse = exports.UpdateRuleMigrationRequestBody = exports.StopRuleMigrationResponse = exports.StopRuleMigrationRequestParams = exports.StartRuleMigrationResponse = exports.StartRuleMigrationRequestParams = exports.StartRuleMigrationRequestBody = exports.GetRuleMigrationStatsResponse = exports.GetRuleMigrationStatsRequestParams = exports.GetRuleMigrationResponse = exports.GetRuleMigrationResourcesResponse = exports.GetRuleMigrationResourcesRequestQuery = exports.GetRuleMigrationResourcesRequestParams = exports.GetRuleMigrationRequestParams = exports.GetAllStatsRuleMigrationResponse = exports.CreateRuleMigrationResponse = exports.CreateRuleMigrationRequestBody = void 0;
var _zod = require("@kbn/zod");
var _zodHelpers = require("@kbn/zod-helpers");
var _rule_migration = require("../../rule_migration.gen");
var _common = require("../../common.gen");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: SIEM Rules Migration API
 *   version: 1
 */

const CreateRuleMigrationRequestBody = exports.CreateRuleMigrationRequestBody = _zod.z.array(_rule_migration.OriginalRule);
const CreateRuleMigrationResponse = exports.CreateRuleMigrationResponse = _zod.z.object({
  /**
   * The migration id created.
   */
  migration_id: _common.NonEmptyString
});
const GetAllStatsRuleMigrationResponse = exports.GetAllStatsRuleMigrationResponse = _rule_migration.RuleMigrationAllTaskStats;
const GetRuleMigrationRequestParams = exports.GetRuleMigrationRequestParams = _zod.z.object({
  migration_id: _common.NonEmptyString
});
const GetRuleMigrationResponse = exports.GetRuleMigrationResponse = _zod.z.array(_rule_migration.RuleMigration);
const GetRuleMigrationResourcesRequestQuery = exports.GetRuleMigrationResourcesRequestQuery = _zod.z.object({
  type: _rule_migration.RuleMigrationResourceType.optional(),
  names: (0, _zodHelpers.ArrayFromString)(_zod.z.string()).optional()
});
const GetRuleMigrationResourcesRequestParams = exports.GetRuleMigrationResourcesRequestParams = _zod.z.object({
  migration_id: _common.NonEmptyString
});
const GetRuleMigrationResourcesResponse = exports.GetRuleMigrationResourcesResponse = _zod.z.array(_rule_migration.RuleMigrationResource);
const GetRuleMigrationStatsRequestParams = exports.GetRuleMigrationStatsRequestParams = _zod.z.object({
  migration_id: _common.NonEmptyString
});
const GetRuleMigrationStatsResponse = exports.GetRuleMigrationStatsResponse = _rule_migration.RuleMigrationTaskStats;
const StartRuleMigrationRequestParams = exports.StartRuleMigrationRequestParams = _zod.z.object({
  migration_id: _common.NonEmptyString
});
const StartRuleMigrationRequestBody = exports.StartRuleMigrationRequestBody = _zod.z.object({
  connector_id: _common.ConnectorId,
  langsmith_options: _common.LangSmithOptions.optional()
});
const StartRuleMigrationResponse = exports.StartRuleMigrationResponse = _zod.z.object({
  /**
   * Indicates the migration has been started. `false` means the migration does not need to be started.
   */
  started: _zod.z.boolean()
});
const StopRuleMigrationRequestParams = exports.StopRuleMigrationRequestParams = _zod.z.object({
  migration_id: _common.NonEmptyString
});
const StopRuleMigrationResponse = exports.StopRuleMigrationResponse = _zod.z.object({
  /**
   * Indicates the migration has been stopped.
   */
  stopped: _zod.z.boolean()
});
const UpdateRuleMigrationRequestBody = exports.UpdateRuleMigrationRequestBody = _zod.z.array(_zod.z.object({
  /**
   * The rule migration id
   */
  id: _common.NonEmptyString,
  /**
   * The migrated elastic rule attributes to update.
   */
  elastic_rule: _rule_migration.ElasticRulePartial.optional(),
  /**
   * The rule translation result.
   */
  translation_result: _rule_migration.RuleMigrationTranslationResult.optional(),
  /**
   * The comments for the migration including a summary from the LLM in markdown.
   */
  comments: _rule_migration.RuleMigrationComments.optional()
}));
const UpdateRuleMigrationResponse = exports.UpdateRuleMigrationResponse = _zod.z.object({
  /**
   * Indicates rules migrations have been updated.
   */
  updated: _zod.z.boolean()
});
const UpsertRuleMigrationResourcesRequestParams = exports.UpsertRuleMigrationResourcesRequestParams = _zod.z.object({
  migration_id: _common.NonEmptyString
});
const UpsertRuleMigrationResourcesRequestBody = exports.UpsertRuleMigrationResourcesRequestBody = _zod.z.array(_rule_migration.RuleMigrationResourceData.merge(_zod.z.object({
  /**
   * The rule resource migration id
   */
  id: _common.NonEmptyString
})));
const UpsertRuleMigrationResourcesResponse = exports.UpsertRuleMigrationResourcesResponse = _zod.z.object({
  /**
   * The request has been processed correctly.
   */
  acknowledged: _zod.z.boolean()
});