"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.identifyRuleResources = exports.getRuleResourceIdentifier = void 0;
var _splunk_identifier = require("./splunk_identifier");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getRuleResourceIdentifier = rule => {
  return ruleResourceIdentifiers[rule.vendor];
};
exports.getRuleResourceIdentifier = getRuleResourceIdentifier;
const identifyRuleResources = rule => {
  return getRuleResourceIdentifier(rule)(rule.query);
};
exports.identifyRuleResources = identifyRuleResources;
const ruleResourceIdentifiers = {
  splunk: _splunk_identifier.splResourceIdentifier
};