"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Timeline = void 0;
var _react = _interopRequireDefault(require("react"));
var _fp = require("lodash/fp");
var _kibana_react = require("../../../../common/lib/kibana/kibana_react");
var _timeline = require("../../../../../common/types/timeline");
var _wrapper = require("../../../../timelines/wrapper");
var _use_resolve_redirect = require("../../../../common/hooks/use_resolve_redirect");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Adding timeline to the Security Solution plugin
 */
const Timeline = exports.Timeline = /*#__PURE__*/_react.default.memo(() => {
  (0, _use_resolve_redirect.useResolveRedirect)();
  const {
    onAppLeave
  } = (0, _kibana_react.useKibana)().services;
  return /*#__PURE__*/_react.default.createElement(_wrapper.TimelineWrapper, {
    timelineId: _timeline.TimelineId.active,
    onAppLeave: onAppLeave ? onAppLeave : _fp.noop
  });
});
Timeline.displayName = 'Timeline';