"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFilteredLinks = exports.appLinks = void 0;
Object.defineProperty(exports, "solutionAppLinksSwitcher", {
  enumerable: true,
  get: function () {
    return _app_links.solutionAppLinksSwitcher;
  }
});
var _links = require("./attack_discovery/links");
var _links2 = require("./threat_intelligence/links");
var _links3 = require("./detections/links");
var _links4 = require("./rules/links");
var _links5 = require("./timelines/links");
var _links6 = require("./cases/links");
var _links7 = require("./management/links");
var _links8 = require("./explore/links");
var _links9 = require("./onboarding/links");
var _links10 = require("./cloud_security_posture/links");
var _links11 = require("./dashboards/links");
var _app_links = require("./app/solution_navigation/links/app_links");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

// TODO: remove after rollout https://github.com/elastic/kibana/issues/179572

const appLinks = exports.appLinks = Object.freeze([_links11.dashboardsLinks, _links3.links, _links.links, _links10.findingsLinks, _links6.links, _links5.links, _links2.indicatorsLinks, _links8.exploreLinks, _links4.links, _links9.onboardingLinks, _links7.links]);
const getFilteredLinks = async (core, plugins) => {
  const managementFilteredLinks = await (0, _links7.getManagementFilteredLinks)(core, plugins);
  return Object.freeze([_links11.dashboardsLinks, _links3.links, _links.links, _links10.findingsLinks, _links6.links, _links5.links, _links2.indicatorsLinks, _links8.exploreLinks, _links4.links, _links9.onboardingLinks, managementFilteredLinks]);
};
exports.getFilteredLinks = getFilteredLinks;