"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.STEP = exports.MIN_ALERTS = exports.MAX_ALERTS = exports.AlertsSettings = void 0;
var _eui = require("@elastic/eui");
var _elasticAssistant = require("@kbn/elastic-assistant");
var _react = _interopRequireWildcard(require("react"));
var i18n = _interopRequireWildcard(require("../translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const MAX_ALERTS = exports.MAX_ALERTS = 500;
const MIN_ALERTS = exports.MIN_ALERTS = 50;
const STEP = exports.STEP = 50;
const AlertsSettingsComponent = ({
  maxAlerts,
  setMaxAlerts
}) => {
  const onChangeAlertsRange = (0, _react.useCallback)(e => {
    setMaxAlerts(e.currentTarget.value);
  }, [setMaxAlerts]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiForm, {
    component: "form"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFormRow, {
    hasChildLabel: false,
    label: i18n.ALERTS
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    direction: "column",
    gutterSize: "none"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_elasticAssistant.AlertsRange, {
    maxAlerts: MAX_ALERTS,
    minAlerts: MIN_ALERTS,
    onChange: onChangeAlertsRange,
    step: STEP,
    value: maxAlerts
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  })), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: true
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    color: "subdued",
    size: "xs"
  }, /*#__PURE__*/_react.default.createElement("span", {
    "data-test-subj": "latestAndRiskiest"
  }, i18n.LATEST_AND_RISKIEST_OPEN_ALERTS(Number(maxAlerts))))), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: true
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    color: "subdued",
    size: "xs"
  }, /*#__PURE__*/_react.default.createElement("span", null, _elasticAssistant.YOUR_ANONYMIZATION_SETTINGS))), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: true
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    color: "subdued",
    size: "xs"
  }, /*#__PURE__*/_react.default.createElement("span", null, _elasticAssistant.SELECT_FEWER_ALERTS))))));
};
AlertsSettingsComponent.displayName = 'AlertsSettings';
const AlertsSettings = exports.AlertsSettings = /*#__PURE__*/_react.default.memo(AlertsSettingsComponent);