"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SETTINGS = exports.SEND_MORE_ALERTS = exports.SAVE = exports.RESET = exports.RECENT_ATTACK_DISCOVERY_IMPROVEMENTS = exports.LATEST_AND_RISKIEST_OPEN_ALERTS = exports.CONFIGURE_YOUR_SETTINGS_HERE = exports.CANCEL = exports.ATTACK_DISCOVERY_SENDS_MORE_ALERTS = exports.ALERTS = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ALERTS = exports.ALERTS = _i18n.i18n.translate('xpack.securitySolution.attackDiscovery.settingsModal.alertsLabel', {
  defaultMessage: 'Alerts'
});
const ATTACK_DISCOVERY_SENDS_MORE_ALERTS = exports.ATTACK_DISCOVERY_SENDS_MORE_ALERTS = _i18n.i18n.translate('xpack.securitySolution.attackDiscovery.settingsModal.attackDiscoverySendsMoreAlertsTourText', {
  defaultMessage: 'Attack discovery sends more alerts as context.'
});
const CANCEL = exports.CANCEL = _i18n.i18n.translate('xpack.securitySolution.attackDiscovery.settingsModal.cancelButton', {
  defaultMessage: 'Cancel'
});
const CONFIGURE_YOUR_SETTINGS_HERE = exports.CONFIGURE_YOUR_SETTINGS_HERE = _i18n.i18n.translate('xpack.securitySolution.attackDiscovery.settingsModal.configureYourSettingsHereTourText', {
  defaultMessage: 'Configure your settings here.'
});
const LATEST_AND_RISKIEST_OPEN_ALERTS = alertsCount => _i18n.i18n.translate('xpack.securitySolution.attackDiscovery.settingsModal.latestAndRiskiestOpenAlertsLabel', {
  defaultMessage: 'Send Attack discovery information about your {alertsCount} newest and riskiest open or acknowledged alerts.',
  values: {
    alertsCount
  }
});
exports.LATEST_AND_RISKIEST_OPEN_ALERTS = LATEST_AND_RISKIEST_OPEN_ALERTS;
const SAVE = exports.SAVE = _i18n.i18n.translate('xpack.securitySolution.attackDiscovery.settingsModal.saveButton', {
  defaultMessage: 'Save'
});
const SEND_MORE_ALERTS = exports.SEND_MORE_ALERTS = _i18n.i18n.translate('xpack.securitySolution.attackDiscovery.settingsModal.tourTitle', {
  defaultMessage: 'Send more alerts'
});
const SETTINGS = exports.SETTINGS = _i18n.i18n.translate('xpack.securitySolution.attackDiscovery.settingsModal.settingsLabel', {
  defaultMessage: 'Settings'
});
const RECENT_ATTACK_DISCOVERY_IMPROVEMENTS = exports.RECENT_ATTACK_DISCOVERY_IMPROVEMENTS = _i18n.i18n.translate('xpack.securitySolution.attackDiscovery.settingsModal.tourSubtitle', {
  defaultMessage: 'Recent Attack discovery improvements'
});
const RESET = exports.RESET = _i18n.i18n.translate('xpack.securitySolution.attackDiscovery.settingsModal.resetLabel', {
  defaultMessage: 'Reset'
});