"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LastTimesPopover = void 0;
var _eui = require("@elastic/eui");
var _react = require("@emotion/react");
var _react2 = _interopRequireWildcard(require("react"));
var _kibana = require("../../../../../common/lib/kibana");
var i18n = _interopRequireWildcard(require("./translations"));
var _generation_timing = require("./generation_timing");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const LastTimesPopoverComponent = ({
  connectorIntervals
}) => {
  const {
    euiTheme
  } = (0, _eui.useEuiTheme)();
  const {
    theme
  } = (0, _kibana.useKibana)().services;
  const isDarkMode = (0, _react2.useMemo)(() => theme.getTheme().darkMode === true, [theme]);
  return /*#__PURE__*/_react2.default.createElement(_eui.EuiFlexGroup, {
    css: (0, _react.css)`
        width: 300px;
      `,
    "data-test-subj": "lastTimesPopover",
    direction: "column",
    gutterSize: "none"
  }, /*#__PURE__*/_react2.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react2.default.createElement(_eui.EuiText, {
    color: isDarkMode ? 'subdued' : 'default',
    "data-test-subj": "averageTimeIsCalculated",
    size: "s"
  }, i18n.AVERAGE_TIME_IS_CALCULATED(connectorIntervals.length)), /*#__PURE__*/_react2.default.createElement(_eui.EuiSpacer, {
    size: "s"
  })), connectorIntervals.map((interval, index) => /*#__PURE__*/_react2.default.createElement(_eui.EuiFlexItem, {
    css: (0, _react.css)`
            margin-bottom: ${euiTheme.size.xs};
          `,
    grow: false,
    key: index
  }, /*#__PURE__*/_react2.default.createElement(_generation_timing.GenerationTiming, {
    interval: interval
  }))));
};
LastTimesPopoverComponent.displayName = 'LastTimesPopoverComponent';
const LastTimesPopover = exports.LastTimesPopover = /*#__PURE__*/_react2.default.memo(LastTimesPopoverComponent);