"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AxisTick = void 0;
var _eui = require("@elastic/eui");
var _react = require("@emotion/react");
var _react2 = _interopRequireDefault(require("react"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const DEFAULT_WIDTH = 12; // px

const AxisTickComponent = ({
  width = DEFAULT_WIDTH
}) => {
  const {
    euiTheme
  } = (0, _eui.useEuiTheme)();
  const TOP_CELL_HEIGHT = 3; // px
  const BOTTOM_CELL_HEIGHT = 2; // px

  return /*#__PURE__*/_react2.default.createElement(_eui.EuiFlexGroup, {
    "data-test-subj": "axisTick",
    direction: "column",
    gutterSize: "none"
  }, /*#__PURE__*/_react2.default.createElement(_eui.EuiFlexItem, {
    css: (0, _react.css)`
          border-bottom: 1px solid ${euiTheme.colors.lightShade};
          border-right: 1px solid ${euiTheme.colors.lightShade};
          height: ${TOP_CELL_HEIGHT}px;
          width: ${width}px;
        `,
    "data-test-subj": "topCell",
    grow: false
  }), /*#__PURE__*/_react2.default.createElement(_eui.EuiFlexItem, {
    css: (0, _react.css)`
          border-right: 1px solid ${euiTheme.colors.lightShade};
          height: ${BOTTOM_CELL_HEIGHT}px;
          width: ${width}px;
        `,
    "data-test-subj": "bottomCell",
    grow: false
  }));
};
AxisTickComponent.displayName = 'AxisTick';
const AxisTick = exports.AxisTick = /*#__PURE__*/_react2.default.memo(AxisTickComponent);