"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.showEmptyStates = void 0;
var _helpers = require("../../../../helpers");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const showEmptyStates = ({
  aiConnectorsCount,
  alertsContextCount,
  attackDiscoveriesCount,
  connectorId,
  failureReason,
  isLoading
}) => {
  const showWelcome = (0, _helpers.showWelcomePrompt)({
    aiConnectorsCount,
    isLoading
  });
  const showFailure = (0, _helpers.showFailurePrompt)({
    connectorId,
    failureReason,
    isLoading
  });
  const showNoAlerts = (0, _helpers.showNoAlertsPrompt)({
    alertsContextCount,
    connectorId,
    isLoading
  });
  const showEmpty = (0, _helpers.showEmptyPrompt)({
    aiConnectorsCount,
    attackDiscoveriesCount,
    isLoading
  });
  return showWelcome || showFailure || showNoAlerts || showEmpty;
};
exports.showEmptyStates = showEmptyStates;