"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LinkToApp = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _use_navigate_to_app_event_handler = require("../../hooks/endpoint/use_navigate_to_app_event_handler");
var _constants = require("../../../../common/constants");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * An `EuiLink` that will use Kibana's `.application.navigateToApp()` to redirect the user to the
 * a given app without causing a full browser refresh
 */
// eslint-disable-next-line react/display-name
const LinkToApp = exports.LinkToApp = /*#__PURE__*/(0, _react.memo)(({
  appId = _constants.APP_UI_ID,
  deepLinkId,
  appPath: path,
  appState: state,
  onClick,
  asButton,
  children,
  ...otherProps
}) => {
  const handleOnClick = (0, _use_navigate_to_app_event_handler.useNavigateToAppEventHandler)(appId, {
    deepLinkId,
    path,
    state,
    onClick
  });
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, asButton && asButton === true ? /*#__PURE__*/_react.default.createElement(_eui.EuiButton, (0, _extends2.default)({}, otherProps, {
    onClick: handleOnClick
  }), children) : /*#__PURE__*/_react.default.createElement(_eui.EuiLink, (0, _extends2.default)({}, otherProps, {
    onClick: handleOnClick
  }), children));
});