"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.telemetryEvents = void 0;
var _ai_assistant = require("./ai_assistant");
var _alerts_grouping = require("./alerts_grouping");
var _app = require("./app");
var _data_quality = require("./data_quality");
var _document_details = require("./document_details");
var _entity_analytics = require("./entity_analytics");
var _event_log = require("./event_log");
var _manual_rule_run = require("./manual_rule_run");
var _notes = require("./notes");
var _onboarding = require("./onboarding");
var _preview_rule = require("./preview_rule");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const telemetryEvents = exports.telemetryEvents = [..._ai_assistant.assistantTelemetryEvents, ..._alerts_grouping.alertsTelemetryEvents, ..._preview_rule.previewRuleTelemetryEvents, ..._entity_analytics.entityTelemetryEvents, ..._data_quality.dataQualityTelemetryEvents, ..._document_details.documentTelemetryEvents, ..._onboarding.onboardingHubTelemetryEvents, ..._manual_rule_run.manualRuleRunTelemetryEvents, ..._event_log.eventLogTelemetryEvents, ..._notes.notesTelemetryEvents, ..._app.appTelemetryEvents];