"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toggleTimelineLinkTo = exports.toggleSocTrendsLinkTo = exports.stopAutoReload = exports.startAutoReload = exports.setTimelineRangeDatePicker = exports.setSearchBarFilter = exports.setSavedQuery = exports.setRelativeRangeDatePicker = exports.setQuery = exports.setInspectionParameter = exports.setFullScreen = exports.setFilterQuery = exports.setDuration = exports.setAbsoluteRangeDatePicker = exports.removeLinkTo = exports.deleteOneQuery = exports.deleteAllQuery = exports.addLinkTo = void 0;
var _typescriptFsa = _interopRequireDefault(require("typescript-fsa"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const actionCreator = (0, _typescriptFsa.default)('x-pack/security_solution/local/inputs');
const setAbsoluteRangeDatePicker = exports.setAbsoluteRangeDatePicker = actionCreator('SET_ABSOLUTE_RANGE_DATE_PICKER');
const setTimelineRangeDatePicker = exports.setTimelineRangeDatePicker = actionCreator('SET_TIMELINE_RANGE_DATE_PICKER');
const setRelativeRangeDatePicker = exports.setRelativeRangeDatePicker = actionCreator('SET_RELATIVE_RANGE_DATE_PICKER');
const setDuration = exports.setDuration = actionCreator('SET_DURATION');
const startAutoReload = exports.startAutoReload = actionCreator('START_KQL_AUTO_RELOAD');
const stopAutoReload = exports.stopAutoReload = actionCreator('STOP_KQL_AUTO_RELOAD');
const setFullScreen = exports.setFullScreen = actionCreator('SET_FULL_SCREEN');
const setQuery = exports.setQuery = actionCreator('SET_QUERY');
const deleteOneQuery = exports.deleteOneQuery = actionCreator('DELETE_QUERY');
const setInspectionParameter = exports.setInspectionParameter = actionCreator('SET_INSPECTION_PARAMETER');
const deleteAllQuery = exports.deleteAllQuery = actionCreator('DELETE_ALL_QUERY');
const toggleTimelineLinkTo = exports.toggleTimelineLinkTo = actionCreator('TOGGLE_TIMELINE_LINK_TO');
const toggleSocTrendsLinkTo = exports.toggleSocTrendsLinkTo = actionCreator('TOGGLE_SOC_TRENDS_LINK_TO');
const removeLinkTo = exports.removeLinkTo = actionCreator('REMOVE_LINK_TO');
const addLinkTo = exports.addLinkTo = actionCreator('ADD_LINK_TO');
const setFilterQuery = exports.setFilterQuery = actionCreator('SET_FILTER_QUERY');
const setSavedQuery = exports.setSavedQuery = actionCreator('SET_SAVED_QUERY');
const setSearchBarFilter = exports.setSearchBarFilter = actionCreator('SET_SEARCH_BAR_FILTER');