"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MACHINE_LEARNING_SUPPRESSION_INCOMPLETE_LABEL = exports.MACHINE_LEARNING_SUPPRESSION_FIELDS_LOADING = exports.MACHINE_LEARNING_NO_SUPPRESSION_FIELDS = exports.ESQL_SUPPRESSION_FIELDS_LOADING = exports.ALERT_SUPPRESSION_SUPPRESS_BY_FIELD_LABEL = exports.ALERT_SUPPRESSION_SUPPRESS_BY_FIELD_HELP_TEXT = exports.ALERT_SUPPRESSION_NOT_SUPPORTED_FOR_EQL_SEQUENCE = exports.ALERT_SUPPRESSION_MISSING_FIELDS_SUPPRESS_OPTION = exports.ALERT_SUPPRESSION_MISSING_FIELDS_LABEL = exports.ALERT_SUPPRESSION_MISSING_FIELDS_DO_NOT_SUPPRESS_OPTION = exports.ALERT_SUPPRESSION_DURATION_PER_TIME_PERIOD_OPTION = exports.ALERT_SUPPRESSION_DURATION_PER_RULE_EXECUTION_OPTION = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ALERT_SUPPRESSION_SUPPRESS_BY_FIELD_LABEL = exports.ALERT_SUPPRESSION_SUPPRESS_BY_FIELD_LABEL = _i18n.i18n.translate('xpack.securitySolution.ruleManagement.ruleFields.alertSuppression.fieldsSelector.label', {
  defaultMessage: 'Suppress alerts by'
});
const ALERT_SUPPRESSION_SUPPRESS_BY_FIELD_HELP_TEXT = exports.ALERT_SUPPRESSION_SUPPRESS_BY_FIELD_HELP_TEXT = _i18n.i18n.translate('xpack.securitySolution.ruleManagement.ruleFields.alertSuppression.suppressByFields.helpText', {
  defaultMessage: 'Select field(s) to use for suppressing extra alerts'
});
const ALERT_SUPPRESSION_DURATION_PER_RULE_EXECUTION_OPTION = exports.ALERT_SUPPRESSION_DURATION_PER_RULE_EXECUTION_OPTION = _i18n.i18n.translate('xpack.securitySolution.ruleManagement.ruleFields.alertSuppression.suppressionDuration.perRuleExecutionOption', {
  defaultMessage: 'Per rule execution'
});
const ALERT_SUPPRESSION_DURATION_PER_TIME_PERIOD_OPTION = exports.ALERT_SUPPRESSION_DURATION_PER_TIME_PERIOD_OPTION = _i18n.i18n.translate('xpack.securitySolution.ruleManagement.ruleFields.alertSuppression.suppressionDuration.perTimePeriodOption', {
  defaultMessage: 'Per time period'
});
const ALERT_SUPPRESSION_MISSING_FIELDS_LABEL = exports.ALERT_SUPPRESSION_MISSING_FIELDS_LABEL = _i18n.i18n.translate('xpack.securitySolution.ruleManagement.ruleFields.alertSuppression.missingFields.label', {
  defaultMessage: 'If a suppression field is missing'
});
const ALERT_SUPPRESSION_MISSING_FIELDS_SUPPRESS_OPTION = exports.ALERT_SUPPRESSION_MISSING_FIELDS_SUPPRESS_OPTION = _i18n.i18n.translate('xpack.securitySolution.ruleManagement.ruleFields.alertSuppression.missingFields.suppressOption', {
  defaultMessage: 'Suppress and group alerts for events with missing fields'
});
const ALERT_SUPPRESSION_MISSING_FIELDS_DO_NOT_SUPPRESS_OPTION = exports.ALERT_SUPPRESSION_MISSING_FIELDS_DO_NOT_SUPPRESS_OPTION = _i18n.i18n.translate('xpack.securitySolution.ruleManagement.ruleFields.alertSuppression.missingFields.doNotSuppressOption', {
  defaultMessage: 'Do not suppress alerts for events with missing fields'
});
const ALERT_SUPPRESSION_NOT_SUPPORTED_FOR_EQL_SEQUENCE = exports.ALERT_SUPPRESSION_NOT_SUPPORTED_FOR_EQL_SEQUENCE = _i18n.i18n.translate('xpack.securitySolution.ruleManagement.ruleFields.alertSuppression.notSupportedForEqlSequence', {
  defaultMessage: 'Suppression is not supported for EQL sequence queries'
});
const MACHINE_LEARNING_SUPPRESSION_FIELDS_LOADING = exports.MACHINE_LEARNING_SUPPRESSION_FIELDS_LOADING = _i18n.i18n.translate('xpack.securitySolution.ruleManagement.ruleFields.alertSuppression.machineLearningSuppressionFieldsLoading', {
  defaultMessage: 'Machine Learning suppression fields are loading'
});
const MACHINE_LEARNING_NO_SUPPRESSION_FIELDS = exports.MACHINE_LEARNING_NO_SUPPRESSION_FIELDS = _i18n.i18n.translate('xpack.securitySolution.ruleManagement.ruleFields.alertSuppression.machineLearningNoSuppressionFields', {
  defaultMessage: 'Unable to load machine Learning suppression fields, start relevant Machine Learning jobs.'
});
const ESQL_SUPPRESSION_FIELDS_LOADING = exports.ESQL_SUPPRESSION_FIELDS_LOADING = _i18n.i18n.translate('xpack.securitySolution.ruleManagement.ruleFields.alertSuppression.esqlFieldsLoading', {
  defaultMessage: 'ES|QL suppression fields are loading'
});
const MACHINE_LEARNING_SUPPRESSION_INCOMPLETE_LABEL = exports.MACHINE_LEARNING_SUPPRESSION_INCOMPLETE_LABEL = _i18n.i18n.translate('xpack.securitySolution.ruleManagement.ruleFields.alertSuppression.machineLearningSuppressionIncomplete', {
  defaultMessage: 'This list of fields might be incomplete as some Machine Learning jobs are not running. Start all relevant jobs for a complete list.'
});