"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.enableSuppressionForFields = exports.THRESHOLD_SUPPRESSION_PER_RULE_EXECUTION_WARNING = exports.SUPPRESS_ALERTS = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
var _i18nReact = require("@kbn/i18n-react");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const enableSuppressionForFields = fields => /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
  id: "xpack.securitySolution.ruleManagement.ruleFields.thresholdAlertSuppression.enableForFields",
  defaultMessage: "Suppress alerts by selected fields: {fieldsString}",
  values: {
    fieldsString: /*#__PURE__*/_react.default.createElement("strong", null, fields.join(', '))
  }
});
exports.enableSuppressionForFields = enableSuppressionForFields;
const SUPPRESS_ALERTS = exports.SUPPRESS_ALERTS = _i18n.i18n.translate('xpack.securitySolution.ruleManagement.ruleFields.thresholdAlertSuppression.enable', {
  defaultMessage: 'Suppress alerts'
});
const THRESHOLD_SUPPRESSION_PER_RULE_EXECUTION_WARNING = exports.THRESHOLD_SUPPRESSION_PER_RULE_EXECUTION_WARNING = _i18n.i18n.translate('xpack.securitySolution.ruleManagement.ruleFields.thresholdAlertSuppression.perRuleExecutionWarning', {
  defaultMessage: 'Per rule execution option is not available for Threshold rule type'
});