"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PICK_INDEX_PATTERNS = exports.DATA_VIEW_NOT_FOUND_WARNING_LABEL = exports.DATA_VIEW_NOT_FOUND_WARNING_DESCRIPTION = exports.DATA_VIEW_ALERTS_ON_ALERTS_WARNING_LABEL = exports.DATA_VIEW_ALERTS_ON_ALERTS_WARNING_DESCRIPTION = exports.DATA_VIEWS_FETCH_ERROR = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const PICK_INDEX_PATTERNS = exports.PICK_INDEX_PATTERNS = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.stepDefineRule.pickDataView', {
  defaultMessage: 'Select a Data View'
});
const DATA_VIEW_NOT_FOUND_WARNING_LABEL = exports.DATA_VIEW_NOT_FOUND_WARNING_LABEL = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.stepDefineRule.dataViewNotFoundLabel', {
  defaultMessage: 'Selected data view not found'
});
const DATA_VIEW_NOT_FOUND_WARNING_DESCRIPTION = dataView => _i18n.i18n.translate('xpack.securitySolution.detectionEngine.stepDefineRule.dataViewNotFoundDescription', {
  values: {
    dataView
  },
  defaultMessage: 'Your data view of "id": "{dataView}" was not found. It could be that it has since been deleted.'
});
exports.DATA_VIEW_NOT_FOUND_WARNING_DESCRIPTION = DATA_VIEW_NOT_FOUND_WARNING_DESCRIPTION;
const DATA_VIEW_ALERTS_ON_ALERTS_WARNING_LABEL = exports.DATA_VIEW_ALERTS_ON_ALERTS_WARNING_LABEL = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.stepDefineRule.dataViewIncludesAlertsIndexLabel', {
  defaultMessage: 'Default Security data view'
});
const DATA_VIEW_ALERTS_ON_ALERTS_WARNING_DESCRIPTION = exports.DATA_VIEW_ALERTS_ON_ALERTS_WARNING_DESCRIPTION = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.stepDefineRule.dataViewIncludesAlertsIndexDescription', {
  defaultMessage: 'The default Security data view includes the alerts index. This could result in redundant alerts being generated from existing alerts.'
});
const DATA_VIEWS_FETCH_ERROR = exports.DATA_VIEWS_FETCH_ERROR = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.stepDefineRule.dataViewFetchError', {
  defaultMessage: 'Unable to retrieve available data views'
});