"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EqlOverviewLink = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _eui = require("@elastic/eui");
var _kibana = require("../../../../common/lib/kibana");
var _translations = require("./translations");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const InlineText = (0, _styledComponents.default)(_eui.EuiText)`
  display: inline-block;
`;
const EqlOverviewLink = () => {
  const overviewUrl = (0, _kibana.useKibana)().services.docLinks.links.query.eql;
  return /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
    external: true,
    href: overviewUrl,
    target: "_blank"
  }, /*#__PURE__*/_react.default.createElement(InlineText, {
    size: "xs"
  }, _translations.EQL_OVERVIEW_LINK_TEXT));
};
exports.EqlOverviewLink = EqlOverviewLink;