"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SAVE_WITH_ERRORS_MODAL_TITLE = exports.SAVE_WITH_ERRORS_MODAL_MESSAGE = exports.SAVE_WITH_ERRORS_CONFIRM_BUTTON = exports.SAVE_WITH_ERRORS_CANCEL_BUTTON = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const SAVE_WITH_ERRORS_MODAL_TITLE = exports.SAVE_WITH_ERRORS_MODAL_TITLE = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.createRule.saveWithErrorsModalTitle', {
  defaultMessage: 'This rule has validation errors'
});
const SAVE_WITH_ERRORS_CANCEL_BUTTON = exports.SAVE_WITH_ERRORS_CANCEL_BUTTON = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.createRule.saveWithErrorsCancelButton', {
  defaultMessage: 'Cancel'
});
const SAVE_WITH_ERRORS_CONFIRM_BUTTON = exports.SAVE_WITH_ERRORS_CONFIRM_BUTTON = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.createRule.saveWithErrorsConfirmButton', {
  defaultMessage: 'Confirm'
});
const SAVE_WITH_ERRORS_MODAL_MESSAGE = errorsCount => _i18n.i18n.translate('xpack.securitySolution.detectionEngine.createRule.saveWithErrorsModalMessage', {
  defaultMessage: 'This rule has {errorsCount} validation {errorsCount, plural, one {error} other {errors}} which can lead to failed rule executions, save anyway?',
  values: {
    errorsCount
  }
});
exports.SAVE_WITH_ERRORS_MODAL_MESSAGE = SAVE_WITH_ERRORS_MODAL_MESSAGE;