"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ExceptionsViewerPagination = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var i18n = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ExceptionsViewerPaginationComponent = ({
  pagination,
  onPaginationChange
}) => {
  var _Math$ceil;
  const handleItemsPerPageChange = (0, _react.useCallback)(pageSize => {
    onPaginationChange({
      pagination: {
        page: pagination.pageIndex,
        perPage: pageSize
      }
    });
  }, [onPaginationChange, pagination.pageIndex]);
  const handlePageIndexChange = (0, _react.useCallback)(pageIndex => {
    onPaginationChange({
      pagination: {
        page: pageIndex,
        perPage: pagination.pageSize
      }
    });
  }, [onPaginationChange, pagination.pageSize]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiTablePagination, {
    "aria-label": i18n.EXCEPTION_ITEMS_PAGINATION_ARIA_LABEL,
    pageCount: (_Math$ceil = Math.ceil(pagination.totalItemCount / pagination.pageSize)) !== null && _Math$ceil !== void 0 ? _Math$ceil : 0,
    activePage: pagination.pageIndex,
    onChangePage: handlePageIndexChange,
    itemsPerPage: pagination.pageSize,
    onChangeItemsPerPage: handleItemsPerPageChange,
    itemsPerPageOptions: pagination.pageSizeOptions,
    "data-test-subj": "allExceptionItemsPagination"
  });
};
ExceptionsViewerPaginationComponent.displayName = 'ExceptionsViewerPaginationComponent';
const ExceptionsViewerPagination = exports.ExceptionsViewerPagination = /*#__PURE__*/_react.default.memo(ExceptionsViewerPaginationComponent);
ExceptionsViewerPagination.displayName = 'ExceptionsViewerPagination';