"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ExceptionFlyoutHeader = void 0;
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _eui = require("@elastic/eui");
var _securitysolutionIoTsListTypes = require("@kbn/securitysolution-io-ts-list-types");
var i18n = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const FlyoutHeader = (0, _styledComponents.default)(_eui.EuiFlyoutHeader)`
  ${({
  theme
}) => (0, _styledComponents.css)`
    border-bottom: 1px solid ${theme.eui.euiColorLightShade};
  `}
`;
const ExceptionFlyoutHeader = exports.ExceptionFlyoutHeader = /*#__PURE__*/(0, _react.memo)(function ExceptionFlyoutHeader({
  isEdit = false,
  listType,
  titleId,
  dataTestSubjId
}) {
  const addTitle = (0, _react.useMemo)(() => {
    return listType === _securitysolutionIoTsListTypes.ExceptionListTypeEnum.ENDPOINT ? i18n.ADD_ENDPOINT_EXCEPTION : i18n.CREATE_RULE_EXCEPTION;
  }, [listType]);
  const editTitle = (0, _react.useMemo)(() => {
    return listType === _securitysolutionIoTsListTypes.ExceptionListTypeEnum.ENDPOINT ? i18n.EDIT_ENDPOINT_EXCEPTION_TITLE : i18n.EDIT_EXCEPTION_TITLE;
  }, [listType]);
  const title = isEdit ? editTitle : addTitle;
  return /*#__PURE__*/_react.default.createElement(FlyoutHeader, null, /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, null, /*#__PURE__*/_react.default.createElement("h2", {
    id: titleId,
    "data-test-subj": dataTestSubjId
  }, title)), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  }));
});