"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ComparisonSide = ComparisonSide;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _versions_picker = require("../versions_picker/versions_picker");
var _constants = require("../versions_picker/constants");
var _utils = require("./utils");
var _get_subfield_changes = require("./get_subfield_changes");
var _subfield_changes = require("./subfield_changes");
var _side_header = require("../components/side_header");
var _comparison_side_help_info = require("./comparison_side_help_info");
var i18n = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function ComparisonSide({
  fieldName,
  fieldThreeWayDiff,
  resolvedValue
}) {
  const [selectedVersions, setSelectedVersions] = (0, _react.useState)(_constants.SelectedVersions.CurrentFinal);
  const [oldVersionType, newVersionType] = selectedVersions.split('_');
  const oldFieldValue = (0, _utils.pickFieldValueForVersion)(oldVersionType, fieldThreeWayDiff, resolvedValue);
  const newFieldValue = (0, _utils.pickFieldValueForVersion)(newVersionType, fieldThreeWayDiff, resolvedValue);
  const subfieldChanges = (0, _get_subfield_changes.getSubfieldChanges)(fieldName, oldFieldValue, newFieldValue);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_side_header.SideHeader, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    direction: "row",
    alignItems: "center"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, {
    size: "xxs"
  }, /*#__PURE__*/_react.default.createElement("h3", null, i18n.TITLE, /*#__PURE__*/_react.default.createElement(_comparison_side_help_info.ComparisonSideHelpInfo, null))), /*#__PURE__*/_react.default.createElement(_versions_picker.VersionsPicker, {
    hasBaseVersion: fieldThreeWayDiff.has_base_version,
    selectedVersions: selectedVersions,
    onChange: setSelectedVersions
  }))), /*#__PURE__*/_react.default.createElement(_subfield_changes.SubfieldChanges, {
    fieldName: fieldName,
    subfieldChanges: subfieldChanges
  }));
}