"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSubfieldChangesForRuleSchedule = void 0;
var _utils = require("../utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getSubfieldChangesForRuleSchedule = (oldFieldValue, newFieldValue) => {
  const changes = [];
  if ((oldFieldValue === null || oldFieldValue === void 0 ? void 0 : oldFieldValue.interval) !== (newFieldValue === null || newFieldValue === void 0 ? void 0 : newFieldValue.interval)) {
    changes.push({
      subfieldName: 'interval',
      oldSubfieldValue: (0, _utils.stringifyToSortedJson)(oldFieldValue === null || oldFieldValue === void 0 ? void 0 : oldFieldValue.interval),
      newSubfieldValue: (0, _utils.stringifyToSortedJson)(newFieldValue === null || newFieldValue === void 0 ? void 0 : newFieldValue.interval)
    });
  }
  if ((oldFieldValue === null || oldFieldValue === void 0 ? void 0 : oldFieldValue.lookback) !== (newFieldValue === null || newFieldValue === void 0 ? void 0 : newFieldValue.lookback)) {
    changes.push({
      subfieldName: 'lookback',
      oldSubfieldValue: (0, _utils.stringifyToSortedJson)(oldFieldValue === null || oldFieldValue === void 0 ? void 0 : oldFieldValue.lookback),
      newSubfieldValue: (0, _utils.stringifyToSortedJson)(newFieldValue === null || newFieldValue === void 0 ? void 0 : newFieldValue.lookback)
    });
  }
  return changes;
};
exports.getSubfieldChangesForRuleSchedule = getSubfieldChangesForRuleSchedule;