"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SubfieldChanges = SubfieldChanges;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _subfield = require("./subfield");
var _no_changes = require("./no_changes");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function SubfieldChanges({
  fieldName,
  subfieldChanges
}) {
  if (subfieldChanges.length === 0) {
    return /*#__PURE__*/_react.default.createElement(_no_changes.NoChanges, null);
  }
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, subfieldChanges.map((change, index) => {
    const shouldShowSeparator = index !== subfieldChanges.length - 1;
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_subfield.Subfield, {
      key: change.subfieldName,
      fieldName: fieldName,
      subfieldName: change.subfieldName,
      oldSubfieldValue: change.oldSubfieldValue,
      newSubfieldValue: change.newSubfieldValue
    }), shouldShowSeparator ? /*#__PURE__*/_react.default.createElement(_eui.EuiHorizontalRule, {
      margin: "s",
      size: "full"
    }) : null);
  }));
}