"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FieldUpgradeConflictsResolver = FieldUpgradeConflictsResolver;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _css = require("@emotion/css");
var _split_accordion = require("../../../../../../common/components/split_accordion");
var _detection_engine = require("../../../../../../../common/api/detection_engine");
var _comparison_side = require("../comparison_side/comparison_side");
var _final_side = require("../final_side/final_side");
var _field_upgrade_conflicts_resolver_header = require("./field_upgrade_conflicts_resolver_header");
var _diffable_rule_context = require("../diffable_rule_context");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function FieldUpgradeConflictsResolver({
  fieldName,
  fieldUpgradeState,
  fieldThreeWayDiff
}) {
  const {
    euiTheme
  } = (0, _eui.useEuiTheme)();
  const hasConflict = fieldThreeWayDiff.conflict !== _detection_engine.ThreeWayDiffConflict.NONE;
  const {
    finalDiffableRule
  } = (0, _diffable_rule_context.useDiffableRuleContext)();
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_split_accordion.SplitAccordion, {
    header: /*#__PURE__*/_react.default.createElement(_field_upgrade_conflicts_resolver_header.FieldUpgradeConflictsResolverHeader, {
      fieldName: fieldName,
      fieldUpgradeState: fieldUpgradeState
    }),
    initialIsOpen: hasConflict,
    "data-test-subj": "ruleUpgradePerFieldDiff"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    gutterSize: "s",
    alignItems: "flexStart"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: 1
  }, /*#__PURE__*/_react.default.createElement(_comparison_side.ComparisonSide, {
    fieldName: fieldName,
    fieldThreeWayDiff: fieldThreeWayDiff,
    resolvedValue: finalDiffableRule[fieldName]
  })), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: 0,
    css: (0, _css.css)`
              align-self: stretch;
              border-right: ${euiTheme.border.thin};
            `
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: 1
  }, /*#__PURE__*/_react.default.createElement(_final_side.FinalSide, {
    fieldName: fieldName
  })))), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "s"
  }));
}