"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RuleUpgradeConflictsResolver = RuleUpgradeConflictsResolver;
var _react = _interopRequireDefault(require("react"));
var _field_upgrade_conflicts_resolver = require("./field_upgrade_conflicts_resolver");
var _fields = require("../../../../model/prebuilt_rule_upgrade/fields");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function RuleUpgradeConflictsResolver({
  ruleUpgradeState
}) {
  const fieldDiffEntries = Object.entries(ruleUpgradeState.diff.fields);
  const fields = fieldDiffEntries.filter(([fieldName]) => {
    return (0, _fields.isNonUpgradeableFieldName)(fieldName) === false;
  });
  return fields.map(([fieldName, fieldDiff]) => /*#__PURE__*/_react.default.createElement(_field_upgrade_conflicts_resolver.FieldUpgradeConflictsResolver, {
    key: fieldName,
    fieldName: fieldName,
    fieldUpgradeState: ruleUpgradeState.fieldsUpgradeState[fieldName],
    fieldThreeWayDiff: fieldDiff
  }));
}