"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NUM_OF_FIELDS_WITH_UPDATES = exports.NUM_OF_CONFLICTS = void 0;
exports.RuleUpgradeHelper = RuleUpgradeHelper;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _i18nReact = require("@kbn/i18n-react");
var _kibana_react = require("../../../../../../common/lib/kibana/kibana_react");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const NUM_OF_FIELDS_WITH_UPDATES = count => /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
  id: "xpack.securitySolution.detectionEngine.rules.upgradeRules.diffTab.fieldsWithUpdates",
  defaultMessage: "Upgrade has {count} {count, plural, one {field} other {fields}}",
  values: {
    count: /*#__PURE__*/_react.default.createElement("strong", null, count)
  }
});
exports.NUM_OF_FIELDS_WITH_UPDATES = NUM_OF_FIELDS_WITH_UPDATES;
const NUM_OF_CONFLICTS = count => /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
  id: "xpack.securitySolution.detectionEngine.rules.upgradeRules.diffTab.numOfConflicts",
  defaultMessage: "{count} {count, plural, one {conflict} other {conflicts}}",
  values: {
    count: /*#__PURE__*/_react.default.createElement("strong", null, count)
  }
});
exports.NUM_OF_CONFLICTS = NUM_OF_CONFLICTS;
const UPGRADE_RULES_DOCS_LINK = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.rules.upgradeRules.updateYourRulesDocsLink', {
  defaultMessage: 'update your rules'
});
function RuleUpgradeHelper() {
  const {
    docLinks: {
      links: {
        securitySolution: {
          manageDetectionRules
        }
      }
    }
  } = (0, _kibana_react.useKibana)().services;
  const manageDetectionRulesSnoozeSection = `${manageDetectionRules}#edit-rules-settings`;
  return /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "xpack.securitySolution.detectionEngine.rules.upgradeRules.ruleUpgradeHelper",
    defaultMessage: "Understand how to\xA0{docsLink}.",
    values: {
      docsLink: /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
        href: manageDetectionRulesSnoozeSection,
        target: "_blank"
      }, UPGRADE_RULES_DOCS_LINK)
    }
  });
}