"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CustomQueryRuleFieldEdit = CustomQueryRuleFieldEdit;
var _react = _interopRequireDefault(require("react"));
var _kql_query = require("./fields/kql_query");
var _data_source = require("./fields/data_source");
var _alert_suppression = require("./fields/alert_suppression");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function CustomQueryRuleFieldEdit({
  fieldName
}) {
  switch (fieldName) {
    case 'kql_query':
      return /*#__PURE__*/_react.default.createElement(_kql_query.KqlQueryEditForm, null);
    case 'data_source':
      return /*#__PURE__*/_react.default.createElement(_data_source.DataSourceEditForm, null);
    case 'alert_suppression':
      return /*#__PURE__*/_react.default.createElement(_alert_suppression.AlertSuppressionEditForm, null);
    default:
      return null;
    // Will be replaced with `assertUnreachable(fieldName)` once all fields are implemented
  }
}