"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AlertSuppressionEditForm = AlertSuppressionEditForm;
var _react = _interopRequireDefault(require("react"));
var _alert_suppression_edit = require("../../../../../../../rule_creation/components/alert_suppression_edit");
var _types = require("../../../../../../../../detections/pages/detection_engine/rules/types");
var _constants = require("../../../../../../../../../common/detection_engine/constants");
var _rule_field_edit_form_wrapper = require("../rule_field_edit_form_wrapper");
var _suppression_edit_adapter = require("./suppression_edit_adapter");
var _form_schema = require("./form_schema");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function AlertSuppressionEditForm() {
  return /*#__PURE__*/_react.default.createElement(_rule_field_edit_form_wrapper.RuleFieldEditFormWrapper, {
    component: _suppression_edit_adapter.AlertSuppressionEditAdapter,
    ruleFieldFormSchema: _form_schema.alertSuppressionFormSchema,
    deserializer: deserializer,
    serializer: serializer
  });
}
function deserializer(defaultValue) {
  var _alertSuppression$gro, _alertSuppression$dur, _alertSuppression$mis;
  const alertSuppression = defaultValue.alert_suppression;
  return {
    [_alert_suppression_edit.ALERT_SUPPRESSION_FIELDS_FIELD_NAME]: (_alertSuppression$gro = alertSuppression === null || alertSuppression === void 0 ? void 0 : alertSuppression.group_by) !== null && _alertSuppression$gro !== void 0 ? _alertSuppression$gro : [],
    [_alert_suppression_edit.ALERT_SUPPRESSION_DURATION_TYPE_FIELD_NAME]: alertSuppression !== null && alertSuppression !== void 0 && alertSuppression.duration ? _types.AlertSuppressionDurationType.PerTimePeriod : _types.AlertSuppressionDurationType.PerRuleExecution,
    [_alert_suppression_edit.ALERT_SUPPRESSION_DURATION_FIELD_NAME]: (_alertSuppression$dur = alertSuppression === null || alertSuppression === void 0 ? void 0 : alertSuppression.duration) !== null && _alertSuppression$dur !== void 0 ? _alertSuppression$dur : _alert_suppression_edit.ALERT_SUPPRESSION_DEFAULT_DURATION,
    [_alert_suppression_edit.ALERT_SUPPRESSION_MISSING_FIELDS_FIELD_NAME]: (_alertSuppression$mis = alertSuppression === null || alertSuppression === void 0 ? void 0 : alertSuppression.missing_fields_strategy) !== null && _alertSuppression$mis !== void 0 ? _alertSuppression$mis : _constants.DEFAULT_SUPPRESSION_MISSING_FIELDS_STRATEGY
  };
}
function serializer(formData) {
  const alertSuppressionFormData = formData;
  if (alertSuppressionFormData[_alert_suppression_edit.ALERT_SUPPRESSION_FIELDS_FIELD_NAME].length === 0) {
    return {};
  }
  return {
    alert_suppression: {
      group_by: alertSuppressionFormData[_alert_suppression_edit.ALERT_SUPPRESSION_FIELDS_FIELD_NAME],
      duration: alertSuppressionFormData[_alert_suppression_edit.ALERT_SUPPRESSION_DURATION_TYPE_FIELD_NAME] === _types.AlertSuppressionDurationType.PerTimePeriod ? alertSuppressionFormData[_alert_suppression_edit.ALERT_SUPPRESSION_DURATION_FIELD_NAME] : undefined,
      missing_fields_strategy: alertSuppressionFormData[_alert_suppression_edit.ALERT_SUPPRESSION_MISSING_FIELDS_FIELD_NAME] || _constants.DEFAULT_SUPPRESSION_MISSING_FIELDS_STRATEGY
    }
  };
}