"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BuildingBlockEdit = BuildingBlockEdit;
exports.buildingBlockDeserializer = buildingBlockDeserializer;
exports.buildingBlockSchema = void 0;
exports.buildingBlockSerializer = buildingBlockSerializer;
var _react = _interopRequireDefault(require("react"));
var _shared_imports = require("../../../../../../../shared_imports");
var _schema = require("../../../../../../rule_creation_ui/components/step_about_rule/schema");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const buildingBlockSchema = exports.buildingBlockSchema = {
  isBuildingBlock: _schema.schema.isBuildingBlock
};
function BuildingBlockEdit() {
  return /*#__PURE__*/_react.default.createElement(_shared_imports.UseField, {
    path: "isBuildingBlock",
    component: _shared_imports.Field
  });
}
function buildingBlockDeserializer(defaultValue) {
  return {
    isBuildingBlock: defaultValue.building_block
  };
}
function buildingBlockSerializer(formData) {
  return {
    building_block: formData.isBuildingBlock ? {
      type: 'default'
    } : undefined
  };
}