"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DataSourceTypeSelectorField = DataSourceTypeSelectorField;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _prebuilt_rules = require("../../../../../../../../../common/api/detection_engine/prebuilt_rules");
var i18n = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function DataSourceTypeSelectorField({
  field,
  resetForm
}) {
  const dataViewIndexPatternToggleButtonOptions = (0, _react.useMemo)(() => [{
    id: _prebuilt_rules.DataSourceType.index_patterns,
    label: i18n.INDEX_PATTERNS,
    iconType: field.value === _prebuilt_rules.DataSourceType.index_patterns ? 'checkInCircleFilled' : 'empty',
    'data-test-subj': `rule-index-toggle-${_prebuilt_rules.DataSourceType.index_patterns}`
  }, {
    id: _prebuilt_rules.DataSourceType.data_view,
    label: i18n.DATA_VIEW,
    iconType: field.value === _prebuilt_rules.DataSourceType.data_view ? 'checkInCircleFilled' : 'empty',
    'data-test-subj': `rule-index-toggle-${_prebuilt_rules.DataSourceType.data_view}`
  }], [field.value]);
  const handleDataSourceChange = (0, _react.useCallback)(optionId => {
    field.setValue(optionId);
    resetForm({
      resetValues: false
    });
  }, [field, resetForm]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiButtonGroup, {
    isFullWidth: true,
    legend: "Rule index pattern or data view selector",
    "data-test-subj": "dataSourceTypeButtonGroup",
    idSelected: field.value,
    onChange: handleDataSourceChange,
    options: dataViewIndexPatternToggleButtonOptions,
    color: "primary"
  });
}