"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FalsePositivesEdit = FalsePositivesEdit;
exports.falsePositivesDeserializer = falsePositivesDeserializer;
exports.falsePositivesSchema = void 0;
exports.falsePositivesSerializer = falsePositivesSerializer;
var _react = _interopRequireDefault(require("react"));
var _lodash = require("lodash");
var i18n = _interopRequireWildcard(require("../../../../../../rule_creation_ui/components/step_about_rule/translations"));
var _shared_imports = require("../../../../../../../shared_imports");
var _schema = require("../../../../../../rule_creation_ui/components/step_about_rule/schema");
var _add_item_form = require("../../../../../../rule_creation_ui/components/add_item_form");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const falsePositivesSchema = exports.falsePositivesSchema = {
  falsePositives: _schema.schema.falsePositives
};
const componentProps = {
  addText: i18n.ADD_FALSE_POSITIVE
};
function FalsePositivesEdit() {
  return /*#__PURE__*/_react.default.createElement(_shared_imports.UseField, {
    path: "falsePositives",
    component: _add_item_form.AddItem,
    componentProps: componentProps
  });
}
function falsePositivesDeserializer(defaultValue) {
  return {
    falsePositives: defaultValue.false_positives
  };
}
function falsePositivesSerializer(formData) {
  const falsePositives = formData.falsePositives;
  return {
    /* Remove empty items from the falsePositives array */
    false_positives: falsePositives.filter(item => !(0, _lodash.isEmpty)(item))
  };
}