"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MaxSignalsEdit = MaxSignalsEdit;
exports.maxSignalsDeserializer = maxSignalsDeserializer;
exports.maxSignalsSchema = void 0;
exports.maxSignalsSerializer = maxSignalsSerializer;
var _react = _interopRequireDefault(require("react"));
var _shared_imports = require("../../../../../../../shared_imports");
var _schema = require("../../../../../../rule_creation_ui/components/step_about_rule/schema");
var _constants = require("../../../../../../../../common/constants");
var _max_signals = require("../../../../../../rule_creation_ui/components/max_signals");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const maxSignalsSchema = exports.maxSignalsSchema = {
  maxSignals: _schema.schema.maxSignals
};
const componentProps = {
  placeholder: _constants.DEFAULT_MAX_SIGNALS
};
function MaxSignalsEdit() {
  return /*#__PURE__*/_react.default.createElement(_shared_imports.UseField, {
    path: "maxSignals",
    component: _max_signals.MaxSignals,
    componentProps: componentProps
  });
}
function maxSignalsDeserializer(defaultValue) {
  return {
    maxSignals: defaultValue.max_signals
  };
}
function maxSignalsSerializer(formData) {
  return {
    max_signals: Number.isSafeInteger(formData.maxSignals) ? formData.maxSignals : _constants.DEFAULT_MAX_SIGNALS
  };
}