"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RuleScheduleEdit = RuleScheduleEdit;
exports.ruleScheduleDeserializer = ruleScheduleDeserializer;
exports.ruleScheduleSchema = void 0;
exports.ruleScheduleSerializer = ruleScheduleSerializer;
var _react = _interopRequireDefault(require("react"));
var _common = require("@kbn/alerting-plugin/common");
var _shared_imports = require("../../../../../../../shared_imports");
var _schema = require("../../../../../../rule_creation_ui/components/step_schedule_rule/schema");
var _schedule_item_form = require("../../../../../../rule_creation/components/schedule_item_form");
var _helpers = require("../../../../../../../detections/pages/detection_engine/rules/helpers");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ruleScheduleSchema = exports.ruleScheduleSchema = {
  interval: _schema.schema.interval,
  from: _schema.schema.from
};
const componentProps = {
  minimumValue: 1
};
function RuleScheduleEdit() {
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_shared_imports.UseField, {
    path: "interval",
    component: _schedule_item_form.ScheduleItem,
    componentProps: componentProps
  }), /*#__PURE__*/_react.default.createElement(_shared_imports.UseField, {
    path: "from",
    component: _schedule_item_form.ScheduleItem,
    componentProps: componentProps
  }));
}
function ruleScheduleDeserializer(defaultValue) {
  const lookbackSeconds = (0, _common.parseDuration)(defaultValue.rule_schedule.lookback) / 1000;
  const lookbackHumanized = (0, _helpers.secondsToDurationString)(lookbackSeconds);
  return {
    interval: defaultValue.rule_schedule.interval,
    from: lookbackHumanized
  };
}
function ruleScheduleSerializer(formData) {
  return {
    rule_schedule: {
      interval: formData.interval,
      lookback: formData.from
    }
  };
}