"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TimelineTemplateEdit = TimelineTemplateEdit;
exports.timelineTemplateDeserializer = timelineTemplateDeserializer;
exports.timelineTemplateSchema = void 0;
exports.timelineTemplateSerializer = timelineTemplateSerializer;
var _react = _interopRequireDefault(require("react"));
var _shared_imports = require("../../../../../../../shared_imports");
var _schema = require("../../../../../../rule_creation_ui/components/step_define_rule/schema");
var _pick_timeline = require("../../../../../../rule_creation/components/pick_timeline");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const timelineTemplateSchema = exports.timelineTemplateSchema = {
  timeline: _schema.schema.timeline
};
function TimelineTemplateEdit() {
  return /*#__PURE__*/_react.default.createElement(_shared_imports.UseField, {
    path: "timeline",
    component: _pick_timeline.PickTimeline
  });
}
function timelineTemplateDeserializer(defaultValue) {
  var _defaultValue$timelin, _defaultValue$timelin2, _defaultValue$timelin3, _defaultValue$timelin4;
  return {
    timeline: {
      id: (_defaultValue$timelin = (_defaultValue$timelin2 = defaultValue.timeline_template) === null || _defaultValue$timelin2 === void 0 ? void 0 : _defaultValue$timelin2.timeline_id) !== null && _defaultValue$timelin !== void 0 ? _defaultValue$timelin : null,
      title: (_defaultValue$timelin3 = (_defaultValue$timelin4 = defaultValue.timeline_template) === null || _defaultValue$timelin4 === void 0 ? void 0 : _defaultValue$timelin4.timeline_title) !== null && _defaultValue$timelin3 !== void 0 ? _defaultValue$timelin3 : null
    }
  };
}
function timelineTemplateSerializer(formData) {
  if (!formData.timeline.id) {
    return {
      timeline_template: undefined
    };
  }
  return {
    timeline_template: {
      timeline_id: formData.timeline.id,
      timeline_title: formData.timeline.title
    }
  };
}