"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FinalEdit = FinalEdit;
var _react = _interopRequireDefault(require("react"));
var _utility_types = require("../../../../../../../common/utility_types");
var _diffable_rule_context = require("../diffable_rule_context");
var _common_rule_field_edit = require("./common_rule_field_edit");
var _custom_query_rule_field_edit = require("./custom_query_rule_field_edit");
var _saved_query_rule_field_edit = require("./saved_query_rule_field_edit");
var _threat_match_rule_field_edit = require("./threat_match_rule_field_edit");
var _threshold_rule_field_edit = require("./threshold_rule_field_edit");
var _new_terms_rule_field_edit = require("./new_terms_rule_field_edit");
var _fields = require("../../../../model/prebuilt_rule_upgrade/fields");
var _final_side_context = require("../final_side/final_side_context");
var _eql_rule_field_edit = require("./eql_rule_field_edit");
var _esql_rule_field_edit = require("./esql_rule_field_edit");
var _machine_learning_rule_field_edit = require("./machine_learning_rule_field_edit");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function FinalEdit() {
  const {
    finalDiffableRule
  } = (0, _diffable_rule_context.useDiffableRuleContext)();
  const {
    type
  } = finalDiffableRule;
  const {
    fieldName
  } = (0, _final_side_context.useFinalSideContext)();
  if ((0, _fields.isCommonFieldName)(fieldName)) {
    return /*#__PURE__*/_react.default.createElement(_common_rule_field_edit.CommonRuleFieldEdit, {
      fieldName: fieldName
    });
  }
  switch (type) {
    case 'query':
      return /*#__PURE__*/_react.default.createElement(_custom_query_rule_field_edit.CustomQueryRuleFieldEdit, {
        fieldName: fieldName
      });
    case 'saved_query':
      return /*#__PURE__*/_react.default.createElement(_saved_query_rule_field_edit.SavedQueryRuleFieldEdit, {
        fieldName: fieldName
      });
    case 'eql':
      return /*#__PURE__*/_react.default.createElement(_eql_rule_field_edit.EqlRuleFieldEdit, {
        fieldName: fieldName
      });
    case 'esql':
      return /*#__PURE__*/_react.default.createElement(_esql_rule_field_edit.EsqlRuleFieldEdit, {
        fieldName: fieldName
      });
    case 'threat_match':
      return /*#__PURE__*/_react.default.createElement(_threat_match_rule_field_edit.ThreatMatchRuleFieldEdit, {
        fieldName: fieldName
      });
    case 'threshold':
      return /*#__PURE__*/_react.default.createElement(_threshold_rule_field_edit.ThresholdRuleFieldEdit, {
        fieldName: fieldName
      });
    case 'machine_learning':
      return /*#__PURE__*/_react.default.createElement(_machine_learning_rule_field_edit.MachineLearningRuleFieldEdit, {
        fieldName: fieldName
      });
    case 'new_terms':
      return /*#__PURE__*/_react.default.createElement(_new_terms_rule_field_edit.NewTermsRuleFieldEdit, {
        fieldName: fieldName
      });
    default:
      return (0, _utility_types.assertUnreachable)(type);
  }
}