"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EqlRuleFieldReadOnly = EqlRuleFieldReadOnly;
var _react = _interopRequireDefault(require("react"));
var _data_source = require("./fields/data_source/data_source");
var _eql_query = require("./fields/eql_query/eql_query");
var _type = require("./fields/type/type");
var _alert_suppression = require("./fields/alert_suppression/alert_suppression");
var _utility_types = require("../../../../../../../common/utility_types");
var _event_category_override = require("./fields/event_category_override/event_category_override");
var _timestamp_field = require("./fields/timestamp_field/timestamp_field");
var _tiebreaker_field = require("./fields/tiebreaker_field/tiebreaker_field");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function EqlRuleFieldReadOnly({
  fieldName,
  finalDiffableRule
}) {
  switch (fieldName) {
    case 'alert_suppression':
      return /*#__PURE__*/_react.default.createElement(_alert_suppression.AlertSuppressionReadOnly, {
        alertSuppression: finalDiffableRule.alert_suppression,
        ruleType: finalDiffableRule.type
      });
    case 'data_source':
      return /*#__PURE__*/_react.default.createElement(_data_source.DataSourceReadOnly, {
        dataSource: finalDiffableRule.data_source
      });
    case 'eql_query':
      return /*#__PURE__*/_react.default.createElement(_eql_query.EqlQueryReadOnly, {
        eqlQuery: finalDiffableRule.eql_query,
        dataSource: finalDiffableRule.data_source
      });
    case 'event_category_override':
      return /*#__PURE__*/_react.default.createElement(_event_category_override.EventCategoryOverrideReadOnly, {
        eventCategoryOverride: finalDiffableRule.event_category_override
      });
    case 'tiebreaker_field':
      return /*#__PURE__*/_react.default.createElement(_tiebreaker_field.TiebreakerFieldReadOnly, {
        tiebreakerField: finalDiffableRule.tiebreaker_field
      });
    case 'timestamp_field':
      return /*#__PURE__*/_react.default.createElement(_timestamp_field.TimestampFieldReadOnly, {
        timestampField: finalDiffableRule.timestamp_field
      });
    case 'type':
      return /*#__PURE__*/_react.default.createElement(_type.TypeReadOnly, {
        type: finalDiffableRule.type
      });
    default:
      return (0, _utility_types.assertUnreachable)(fieldName);
  }
}