"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DataSourceReadOnly = DataSourceReadOnly;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _detection_engine = require("../../../../../../../../../common/api/detection_engine");
var _rule_definition_section = require("../../../../rule_definition_section");
var ruleDetailsI18n = _interopRequireWildcard(require("../../../../translations"));
var _utility_types = require("../../../../../../../../../common/utility_types");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function DataSourceReadOnly({
  dataSource
}) {
  if (!dataSource) {
    return null;
  }
  if (dataSource.type === _detection_engine.DataSourceType.index_patterns) {
    return /*#__PURE__*/_react.default.createElement(_eui.EuiDescriptionList, {
      listItems: [{
        title: ruleDetailsI18n.INDEX_FIELD_LABEL,
        description: /*#__PURE__*/_react.default.createElement(_rule_definition_section.Index, {
          index: dataSource.index_patterns
        })
      }]
    });
  }
  if (dataSource.type === _detection_engine.DataSourceType.data_view) {
    return /*#__PURE__*/_react.default.createElement(_eui.EuiDescriptionList, {
      listItems: [{
        title: ruleDetailsI18n.DATA_VIEW_ID_FIELD_LABEL,
        description: /*#__PURE__*/_react.default.createElement(_rule_definition_section.DataViewId, {
          dataViewId: dataSource.data_view_id
        })
      }, {
        title: ruleDetailsI18n.DATA_VIEW_INDEX_PATTERN_FIELD_LABEL,
        description: /*#__PURE__*/_react.default.createElement(_rule_definition_section.DataViewIndexPattern, {
          dataViewId: dataSource.data_view_id
        })
      }]
    });
  }
  return (0, _utility_types.assertUnreachable)(dataSource);
}