"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RiskScoreMappingReadOnly = void 0;
var _react = _interopRequireDefault(require("react"));
var _zodHelpers = require("@kbn/zod-helpers");
var _eui = require("@elastic/eui");
var ruleDetailsI18n = _interopRequireWildcard(require("../../../../translations"));
var _rule_about_section = require("../../../../rule_about_section");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const RiskScoreMappingReadOnly = ({
  riskScoreMapping
}) => {
  const listItems = riskScoreMapping.filter(riskScoreMappingItem => riskScoreMappingItem.field !== '').map((riskScoreMappingItem, index) => ({
    title: index === 0 ? ruleDetailsI18n.RISK_SCORE_MAPPING_FIELD_LABEL : '',
    description: /*#__PURE__*/_react.default.createElement(_rule_about_section.RiskScoreMappingItem, {
      riskScoreMappingItem: (0, _zodHelpers.requiredOptional)(riskScoreMappingItem)
    })
  }));
  return /*#__PURE__*/_react.default.createElement(_eui.EuiDescriptionList, {
    listItems: listItems
  });
};
exports.RiskScoreMappingReadOnly = RiskScoreMappingReadOnly;