"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RuleScheduleReadOnly = RuleScheduleReadOnly;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _common = require("@kbn/alerting-plugin/common");
var i18n = _interopRequireWildcard(require("../../../../translations"));
var _rule_schedule_section = require("../../../../rule_schedule_section");
var _helpers = require("../../../../../../../../detections/pages/detection_engine/rules/helpers");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function RuleScheduleReadOnly({
  ruleSchedule
}) {
  const lookbackSeconds = (0, _common.parseDuration)(ruleSchedule.lookback) / 1000;
  const lookbackHumanized = (0, _helpers.secondsToDurationString)(lookbackSeconds);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiDescriptionList, {
    listItems: [{
      title: i18n.INTERVAL_FIELD_LABEL,
      description: /*#__PURE__*/_react.default.createElement(_rule_schedule_section.AccessibleTimeValue, {
        timeValue: ruleSchedule.interval
      })
    }, {
      title: i18n.FROM_FIELD_LABEL,
      description: /*#__PURE__*/_react.default.createElement(_rule_schedule_section.AccessibleTimeValue, {
        timeValue: lookbackHumanized
      })
    }]
  });
}