"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FinalSide = FinalSide;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _side_header = require("../components/side_header");
var _final_side_help_info = require("./final_side_help_info");
var i18n = _interopRequireWildcard(require("./translations"));
var _final_readonly = require("../final_readonly/final_readonly");
var _final_edit = require("../final_edit/final_edit");
var _constants = require("./constants");
var _utility_types = require("../../../../../../../common/utility_types");
var _final_side_context = require("./final_side_context");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function FinalSide({
  fieldName
}) {
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_side_header.SideHeader, null, /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, {
    size: "xxs"
  }, /*#__PURE__*/_react.default.createElement("h3", null, i18n.FINAL_UPDATE, /*#__PURE__*/_react.default.createElement(_final_side_help_info.FinalSideHelpInfo, null)))), /*#__PURE__*/_react.default.createElement(_final_side_context.FinalSideContextProvider, {
    fieldName: fieldName
  }, /*#__PURE__*/_react.default.createElement(FinalSideContent, null)));
}
function FinalSideContent() {
  const {
    mode
  } = (0, _final_side_context.useFinalSideContext)();
  switch (mode) {
    case _constants.FinalSideMode.READONLY:
      return /*#__PURE__*/_react.default.createElement(_final_readonly.FinalReadOnly, null);
    case _constants.FinalSideMode.EDIT:
      return /*#__PURE__*/_react.default.createElement(_final_edit.FinalEdit, null);
    default:
      return (0, _utility_types.assertUnreachable)(mode);
  }
}