"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RuleUpgradeConflictsResolverTab = RuleUpgradeConflictsResolverTab;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _rule_upgrade_info_bar = require("./components/rule_upgrade_info_bar");
var _rule_upgrade_conflicts_resolver = require("./components/rule_upgrade_conflicts_resolver");
var _diffable_rule_context = require("./diffable_rule_context");
var _rule_upgrade_callout = require("./components/rule_upgrade_callout");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function RuleUpgradeConflictsResolverTab({
  ruleUpgradeState,
  setRuleFieldResolvedValue
}) {
  return /*#__PURE__*/_react.default.createElement(_diffable_rule_context.DiffableRuleContextProvider, {
    finalDiffableRule: ruleUpgradeState.finalRule,
    setRuleFieldResolvedValue: setRuleFieldResolvedValue
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "s"
  }), /*#__PURE__*/_react.default.createElement(_rule_upgrade_info_bar.RuleUpgradeInfoBar, {
    ruleUpgradeState: ruleUpgradeState
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "s"
  }), /*#__PURE__*/_react.default.createElement(_rule_upgrade_callout.RuleUpgradeCallout, {
    ruleUpgradeState: ruleUpgradeState
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "s"
  }), /*#__PURE__*/_react.default.createElement(_rule_upgrade_conflicts_resolver.RuleUpgradeConflictsResolver, {
    ruleUpgradeState: ruleUpgradeState
  }));
}