"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useDefaultIndexPattern = useDefaultIndexPattern;
var _kibana_react = require("../../../common/lib/kibana/kibana_react");
var _constants = require("../../../../common/constants");
var _use_is_prebuilt_rules_customization_enabled = require("./use_is_prebuilt_rules_customization_enabled");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Gets the default index pattern for cases when rule has neither index patterns or data view.
 * First checks the config value. If it's not present falls back to the hardcoded default value.
 */
function useDefaultIndexPattern() {
  const {
    services
  } = (0, _kibana_react.useKibana)();
  const isPrebuiltRulesCustomizationEnabled = (0, _use_is_prebuilt_rules_customization_enabled.useIsPrebuiltRulesCustomizationEnabled)();
  return isPrebuiltRulesCustomizationEnabled ? services.settings.client.get(_constants.DEFAULT_INDEX_KEY, _constants.DEFAULT_INDEX_PATTERN) : [];
}