"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BulkManualRuleRunLimitErrorModal = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _constants = require("../../../../../../common/constants");
var i18n = _interopRequireWildcard(require("../../../../../detections/pages/detection_engine/rules/translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const BulkManualRuleRunLimitErrorModalComponent = ({
  onClose
}) => {
  // if the amount of selected rules is more than the limit, modal window the appropriate error will be displayed
  return /*#__PURE__*/_react.default.createElement(_eui.EuiModal, {
    onClose: onClose
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiModalHeader, null, /*#__PURE__*/_react.default.createElement(_eui.EuiModalHeaderTitle, null, i18n.BULK_MANUAL_RULE_RUN_LIMIT_ERROR_TITLE)), /*#__PURE__*/_react.default.createElement(_eui.EuiModalBody, null, i18n.BULK_MANUAL_RULE_RUN_LIMIT_ERROR_MESSAGE(_constants.MAX_MANUAL_RULE_RUN_BULK_SIZE)), /*#__PURE__*/_react.default.createElement(_eui.EuiModalFooter, null, /*#__PURE__*/_react.default.createElement(_eui.EuiButton, {
    onClick: onClose,
    fill: true
  }, i18n.BULK_MANUAL_RULE_RUN_LIMIT_ERROR_CLOSE_BUTTON)));
};
const BulkManualRuleRunLimitErrorModal = exports.BulkManualRuleRunLimitErrorModal = /*#__PURE__*/_react.default.memo(BulkManualRuleRunLimitErrorModalComponent);
BulkManualRuleRunLimitErrorModal.displayName = 'BulkManualRuleRunLimitErrorModal';