"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UPDATE_SELECTED_RULES = exports.UPDATE_FLYOUT_PER_FIELD_TOOLTIP_DESCRIPTION = exports.UPDATE_FLYOUT_JSON_VIEW_TOOLTIP_DESCRIPTION = exports.UPDATE_ERROR = exports.UPDATE_BUTTON_LABEL = exports.UPDATE_ALL = exports.SEARCH_PLACEHOLDER = exports.BULK_UPDATE_SELECTED_RULES_BUTTON_TOOLTIP_CONFLICTS = exports.BULK_UPDATE_BUTTON_TOOLTIP_NO_PERMISSIONS = exports.BULK_UPDATE_ALL_RULES_BUTTON_TOOLTIP_CONFLICTS = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const UPDATE_ALL = exports.UPDATE_ALL = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.rules.upgradeRules.upgradeAll', {
  defaultMessage: 'Update all'
});
const UPDATE_SELECTED_RULES = numberOfSelectedRules => {
  return _i18n.i18n.translate('xpack.securitySolution.detectionEngine.rules.upgradeRules.upgradeSelected', {
    defaultMessage: 'Update {numberOfSelectedRules} selected rule(s)',
    values: {
      numberOfSelectedRules
    }
  });
};
exports.UPDATE_SELECTED_RULES = UPDATE_SELECTED_RULES;
const BULK_UPDATE_BUTTON_TOOLTIP_NO_PERMISSIONS = exports.BULK_UPDATE_BUTTON_TOOLTIP_NO_PERMISSIONS = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.rules.upgradeRules.bulkButtons.noPermissions', {
  defaultMessage: "You don't have permissions to update rules"
});
const BULK_UPDATE_ALL_RULES_BUTTON_TOOLTIP_CONFLICTS = exports.BULK_UPDATE_ALL_RULES_BUTTON_TOOLTIP_CONFLICTS = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.rules.upgradeRules.bulkButtons.allRules.conflicts', {
  defaultMessage: 'All rules have conflicts. Update them individually.'
});
const BULK_UPDATE_SELECTED_RULES_BUTTON_TOOLTIP_CONFLICTS = exports.BULK_UPDATE_SELECTED_RULES_BUTTON_TOOLTIP_CONFLICTS = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.rules.upgradeRules.bulkButtons.selectedRules.conflicts', {
  defaultMessage: 'All selected rules have conflicts. Update them individually.'
});
const SEARCH_PLACEHOLDER = exports.SEARCH_PLACEHOLDER = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.rules.upgradeRules.searchBarPlaceholder', {
  defaultMessage: 'Search by rule name'
});
const UPDATE_BUTTON_LABEL = exports.UPDATE_BUTTON_LABEL = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.updateButtonLabel', {
  defaultMessage: 'Update'
});
const UPDATE_ERROR = exports.UPDATE_ERROR = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.updateError', {
  defaultMessage: 'Update error'
});
const UPDATE_FLYOUT_PER_FIELD_TOOLTIP_DESCRIPTION = exports.UPDATE_FLYOUT_PER_FIELD_TOOLTIP_DESCRIPTION = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.perFieldTooltip', {
  defaultMessage: 'View changes field by field.'
});
const UPDATE_FLYOUT_JSON_VIEW_TOOLTIP_DESCRIPTION = exports.UPDATE_FLYOUT_JSON_VIEW_TOOLTIP_DESCRIPTION = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.jsonViewTooltip', {
  defaultMessage: 'View the latest rule changes in JSON format.'
});