"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useUpgradeConflictsModal = exports.useMlJobUpgradeModal = void 0;
var _use_installed_security_jobs = require("../../../../../common/components/ml/hooks/use_installed_security_jobs");
var _use_bool_state = require("../../../../../common/hooks/use_bool_state");
var _affected_job_ids = require("../../../../../../common/machine_learning/affected_job_ids");
var _use_async_confirmation = require("../rules_table/use_async_confirmation");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const useMlJobUpgradeModal = () => {
  const [isVisible, showModal, hideModal] = (0, _use_bool_state.useBoolState)(false);
  const {
    loading: loadingJobs,
    jobs
  } = (0, _use_installed_security_jobs.useInstalledSecurityJobs)();
  const legacyJobsInstalled = jobs.filter(job => _affected_job_ids.affectedJobIds.includes(job.id));
  const [confirmLegacyMLJobs, handleConfirm, handleCancel] = (0, _use_async_confirmation.useAsyncConfirmation)({
    onInit: showModal,
    onFinish: hideModal
  });
  return {
    isVisible,
    legacyJobsInstalled,
    confirmLegacyMLJobs,
    handleConfirm,
    handleCancel,
    loadingJobs
  };
};
exports.useMlJobUpgradeModal = useMlJobUpgradeModal;
const useUpgradeConflictsModal = () => {
  const [isVisible, showModal, hideModal] = (0, _use_bool_state.useBoolState)(false);
  const [confirmConflictsUpgrade, handleConfirm, handleCancel] = (0, _use_async_confirmation.useAsyncConfirmation)({
    onInit: showModal,
    onFinish: hideModal
  });
  return {
    isVisible,
    confirmConflictsUpgrade,
    handleConfirm,
    handleCancel
  };
};
exports.useUpgradeConflictsModal = useUpgradeConflictsModal;