"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useRulePreviewFlyout = useRulePreviewFlyout;
var _react = _interopRequireWildcard(require("react"));
var _invariant = require("../../../../../common/utils/invariant");
var _rule_details_flyout = require("../../../rule_management/components/rule_details/rule_details_flyout");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function useRulePreviewFlyout({
  rules,
  extraTabsFactory,
  ruleActionsFactory,
  flyoutProps
}) {
  const [rule, setRuleForPreview] = (0, _react.useState)();
  const closeRulePreview = (0, _react.useCallback)(() => setRuleForPreview(undefined), []);
  const ruleActions = (0, _react.useMemo)(() => rule && ruleActionsFactory(rule, closeRulePreview), [rule, ruleActionsFactory, closeRulePreview]);
  const extraTabs = (0, _react.useMemo)(() => rule && extraTabsFactory ? extraTabsFactory(rule) : [], [rule, extraTabsFactory]);
  return {
    rulePreviewFlyout: rule && /*#__PURE__*/_react.default.createElement(_rule_details_flyout.RuleDetailsFlyout, {
      rule: rule,
      size: "l",
      id: flyoutProps.id,
      dataTestSubj: flyoutProps.dataTestSubj,
      closeFlyout: closeRulePreview,
      ruleActions: ruleActions,
      extraTabs: extraTabs
    }),
    openRulePreview: (0, _react.useCallback)(ruleId => {
      const ruleToShowInFlyout = rules.find(x => x.id === ruleId);
      (0, _invariant.invariant)(ruleToShowInFlyout, `Rule with id ${ruleId} not found`);
      setRuleForPreview(ruleToShowInFlyout);
    }, [rules, setRuleForPreview]),
    closeRulePreview
  };
}