"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EntitySourceFilter = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
var _multiselect_filter = require("../../../../common/components/multiselect_filter");
var _types = require("../types");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const EntitySourceFilter = ({
  selectedItems,
  onChange
}) => {
  return /*#__PURE__*/_react.default.createElement(_multiselect_filter.MultiselectFilter, {
    title: _i18n.i18n.translate('xpack.securitySolution.entityAnalytics.entityStore.entitySource.filterTitle', {
      defaultMessage: 'Source'
    }),
    items: Object.values(_types.EntitySourceTag),
    selectedItems: selectedItems,
    onSelectionChange: onChange,
    width: 190
  });
};
exports.EntitySourceFilter = EntitySourceFilter;