"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sourceFieldToText = exports.isUserEntity = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18nReact = require("@kbn/i18n-react");
var _constants = require("../../../../common/constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const isUserEntity = record => !!(record !== null && record !== void 0 && record.user);
exports.isUserEntity = isUserEntity;
const sourceFieldToText = source => {
  if (source.match(`^${_constants.RISK_SCORE_INDEX_PATTERN}`)) {
    return /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "xpack.securitySolution.entityAnalytics.entityStore.helpers.sourceField.riskDescription",
      defaultMessage: "Risk"
    });
  }
  if (source.match(`^${_constants.ASSET_CRITICALITY_INDEX_PATTERN}`)) {
    return /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "xpack.securitySolution.entityAnalytics.entityStore.helpers.sourceField.criticalityDescription",
      defaultMessage: "Asset Criticality"
    });
  }
  return /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "xpack.securitySolution.entityAnalytics.entityStore.helpers.sourceField.eventDescription",
    defaultMessage: "Events"
  });
};
exports.sourceFieldToText = sourceFieldToText;