"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InsightDistributionBar = void 0;
var _react = _interopRequireWildcard(require("react"));
var _css = require("@emotion/css");
var _eui = require("@elastic/eui");
var _securitySolutionDistributionBar = require("@kbn/security-solution-distribution-bar");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

// Displays a distribution bar with a count badge
const InsightDistributionBar = ({
  title,
  stats,
  count,
  direction = 'row',
  'data-test-subj': dataTestSubj
}) => {
  const {
    euiTheme
  } = (0, _eui.useEuiTheme)();
  const xsFontSize = (0, _eui.useEuiFontSize)('xs').fontSize;
  const barComponent = (0, _react.useMemo)(() => /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    gutterSize: "xs",
    responsive: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_securitySolutionDistributionBar.DistributionBar, {
    stats: stats,
    hideLastTooltip: true,
    "data-test-subj": `${dataTestSubj}-distribution-bar`
  })), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false,
    "data-test-subj": `${dataTestSubj}-badge`
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiBadge, {
    color: "hollow"
  }, count))), [stats, count, dataTestSubj]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    direction: direction,
    "data-test-subj": dataTestSubj,
    responsive: false,
    gutterSize: "s"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    css: (0, _css.css)`
            font-size: ${xsFontSize};
            font-weight: ${euiTheme.font.weight.bold};
            min-width: 115px;
          `
  }, title)), direction === 'column' ? /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    css: (0, _css.css)`
            margin-top: -${euiTheme.size.base};
          `
  }, barComponent) : /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, barComponent));
};
exports.InsightDistributionBar = InsightDistributionBar;
InsightDistributionBar.displayName = 'InsightDistributionBar';