"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PanelHeader = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _translations = require("../../../detection_engine/rule_details_ui/pages/rule_details/translations");
var _rule_info = require("../../../detections/components/rules/rule_info");
var _test_ids = require("./test_ids");
var _use_rule_details_link = require("../../document_details/shared/hooks/use_rule_details_link");
var _flyout_header = require("../../shared/components/flyout_header");
var _flyout_title = require("../../shared/components/flyout_title");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Title component that shows basic information of a rule. This is displayed above rule overview body
 */
const PanelHeader = ({
  rule,
  isSuppressed
}) => {
  const href = (0, _use_rule_details_link.useRuleDetailsLink)({
    ruleId: rule.id
  });
  return /*#__PURE__*/_react.default.createElement(_flyout_header.FlyoutHeader, {
    "data-test-subj": _test_ids.RULE_TITLE_TEST_ID
  }, href ? /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
    href: href,
    target: '_blank',
    external: false,
    "data-test-subj": _test_ids.NAVIGATE_TO_RULE_DETAILS_PAGE_TEST_ID
  }, /*#__PURE__*/_react.default.createElement(_flyout_title.FlyoutTitle, {
    title: rule.name,
    iconType: 'warning',
    isLink: true
  })) : /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, null, /*#__PURE__*/_react.default.createElement("h6", null, rule.name)), isSuppressed && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "s"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiBadge, {
    "data-test-subj": _test_ids.RULE_TITLE_SUPPRESSED_TEST_ID,
    title: ""
  }, _translations.DELETED_RULE)), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "s"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    gutterSize: "xs",
    direction: "column"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    "data-test-subj": _test_ids.RULE_CREATED_BY_TEST_ID
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "xs"
  }, /*#__PURE__*/_react.default.createElement(_rule_info.CreatedBy, {
    createdBy: rule === null || rule === void 0 ? void 0 : rule.created_by,
    createdAt: rule === null || rule === void 0 ? void 0 : rule.created_at
  }))), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    "data-test-subj": _test_ids.RULE_UPDATED_BY_TEST_ID
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "xs"
  }, /*#__PURE__*/_react.default.createElement(_rule_info.UpdatedBy, {
    updatedBy: rule === null || rule === void 0 ? void 0 : rule.updated_by,
    updatedAt: rule === null || rule === void 0 ? void 0 : rule.updated_at
  })))));
};
exports.PanelHeader = PanelHeader;
PanelHeader.displayName = 'PanelHeader';