"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HelpCommand = void 0;
var _i18n = require("@kbn/i18n");
var _react = _interopRequireWildcard(require("react"));
var _use_with_custom_help_component = require("../../hooks/state_selectors/use_with_custom_help_component");
var _command_list = require("../command_list");
var _use_with_command_list = require("../../hooks/state_selectors/use_with_command_list");
var _help_output = require("../help_output");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const HelpCommand = exports.HelpCommand = /*#__PURE__*/(0, _react.memo)(props => {
  const commands = (0, _use_with_command_list.useWithCommandList)();
  const CustomHelpComponent = (0, _use_with_custom_help_component.useWithCustomHelpComponent)();
  (0, _react.useEffect)(() => {
    if (!CustomHelpComponent) {
      props.setStatus('success');
    }
  }, [CustomHelpComponent, props]);
  return CustomHelpComponent ? /*#__PURE__*/_react.default.createElement(CustomHelpComponent, props) : /*#__PURE__*/_react.default.createElement(_help_output.HelpOutput, {
    command: props.command,
    title: _i18n.i18n.translate('xpack.securitySolution.console.builtInCommands.help.helpTitle', {
      defaultMessage: 'Available commands'
    })
  }, /*#__PURE__*/_react.default.createElement(_command_list.CommandList, {
    commands: commands
  }));
});
HelpCommand.displayName = 'HelpCommand';