"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConsoleText = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ConsoleText = exports.ConsoleText = /*#__PURE__*/(0, _react.memo)(({
  size = 's',
  color,
  children,
  'data-test-subj': dataTestSubj,
  className
}) => {
  const {
    euiTheme
  } = (0, _eui.useEuiTheme)();
  return (
    /*#__PURE__*/
    // className of `font-family-code` below is defined globally in `Console` styles
    _react.default.createElement(_eui.EuiText, {
      size: size,
      "data-test-subj": dataTestSubj,
      className: `font-family-code ${className !== null && className !== void 0 ? className : ''}`
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiTextColor, {
      color: color !== null && color !== void 0 ? color : euiTheme.colors.text
    }, children))
  );
});
ConsoleText.displayName = 'ConsoleText';