"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EndpointDetailsFlyoutHeader = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _back_to_endpoint_details_flyout_subheader = require("./back_to_endpoint_details_flyout_subheader");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const EndpointDetailsFlyoutHeader = exports.EndpointDetailsFlyoutHeader = /*#__PURE__*/(0, _react.memo)(({
  children,
  endpointId,
  hasBorder = false,
  hostname,
  isHostInfoLoading
}) => {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlyoutHeader, {
    hasBorder: hasBorder
  }, endpointId && /*#__PURE__*/_react.default.createElement(_back_to_endpoint_details_flyout_subheader.BackToEndpointDetailsFlyoutSubHeader, {
    endpointId: endpointId
  }), isHostInfoLoading ? /*#__PURE__*/_react.default.createElement(_eui.EuiSkeletonText, {
    lines: 1
  }) : /*#__PURE__*/_react.default.createElement(_eui.EuiToolTip, {
    content: hostname,
    anchorClassName: "eui-textTruncate"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, {
    size: "s"
  }, /*#__PURE__*/_react.default.createElement("h2", {
    style: {
      overflow: 'hidden',
      textOverflow: 'ellipsis'
    },
    "data-test-subj": "endpointDetailsFlyoutTitle"
  }, hostname))), children);
});
EndpointDetailsFlyoutHeader.displayName = 'EndpointDetailsFlyoutHeader';