"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HostIsolationExceptionsApiClient = void 0;
var _securitysolutionListConstants = require("@kbn/securitysolution-list-constants");
var _exceptions_list_api_client = require("../../services/exceptions_list/exceptions_list_api_client");
var _constants = require("./constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Host isolation exceptions Api client class using ExceptionsListApiClient as base class
 * It follow the Singleton pattern.
 * Please, use the getInstance method instead of creating a new instance when using this implementation.
 */
class HostIsolationExceptionsApiClient extends _exceptions_list_api_client.ExceptionsListApiClient {
  constructor(http) {
    super(http, _securitysolutionListConstants.ENDPOINT_ARTIFACT_LISTS.hostIsolationExceptions.id, _constants.HOST_ISOLATION_EXCEPTIONS_LIST_DEFINITION);
  }
  static getInstance(http) {
    return super.getInstance(http, _securitysolutionListConstants.ENDPOINT_ARTIFACT_LISTS.hostIsolationExceptions.id, _constants.HOST_ISOLATION_EXCEPTIONS_LIST_DEFINITION);
  }
}
exports.HostIsolationExceptionsApiClient = HostIsolationExceptionsApiClient;