"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.bodyConfig = void 0;
var _i18n = require("@kbn/i18n");
var _integrations = require("./cards/integrations");
var _dashboards = require("./cards/dashboards");
var _rules = require("./cards/rules");
var _alerts = require("./cards/alerts");
var _assistant = require("./cards/assistant");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const bodyConfig = exports.bodyConfig = [{
  title: _i18n.i18n.translate('xpack.securitySolution.onboarding.dataGroup.title', {
    defaultMessage: 'Ingest your data'
  }),
  cards: [_integrations.integrationsCardConfig, _dashboards.dashboardsCardConfig]
}, {
  title: _i18n.i18n.translate('xpack.securitySolution.onboarding.alertsGroup.title', {
    defaultMessage: 'Configure rules and alerts'
  }),
  cards: [_rules.rulesCardConfig, _alerts.alertsCardConfig]
}, {
  title: _i18n.i18n.translate('xpack.securitySolution.onboarding.discoverGroup.title', {
    defaultMessage: 'Discover Elastic AI'
  }),
  // TODO: Add attackDiscoveryCardConfig when it is ready (https://github.com/elastic/kibana/issues/189487)
  cards: [_assistant.assistantCardConfig]
}];