"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.AssistantCard = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _css = require("@emotion/css");
var _constants = require("../../../../constants");
var i18n = _interopRequireWildcard(require("./translations"));
var _card_content_panel = require("../common/card_content_panel");
var _connector_cards = require("./connectors/connector_cards");
var _card_callout = require("../common/card_callout");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AssistantCard = ({
  isCardComplete,
  setExpandedCardId,
  checkCompleteMetadata,
  checkComplete,
  isCardAvailable
}) => {
  const isIntegrationsCardComplete = (0, _react.useMemo)(() => isCardComplete(_constants.OnboardingCardId.integrations), [isCardComplete]);
  const isIntegrationsCardAvailable = (0, _react.useMemo)(() => isCardAvailable(_constants.OnboardingCardId.integrations), [isCardAvailable]);
  const expandIntegrationsCard = (0, _react.useCallback)(() => {
    setExpandedCardId(_constants.OnboardingCardId.integrations, {
      scroll: true
    });
  }, [setExpandedCardId]);
  const connectors = checkCompleteMetadata === null || checkCompleteMetadata === void 0 ? void 0 : checkCompleteMetadata.connectors;
  return /*#__PURE__*/_react.default.createElement(_card_content_panel.OnboardingCardContentPanel, {
    style: {
      paddingTop: 0
    }
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    direction: "column"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "s",
    color: "subdued"
  }, i18n.ASSISTANT_CARD_DESCRIPTION)), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, isIntegrationsCardAvailable && !isIntegrationsCardComplete ? /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    className: (0, _css.css)`
                width: 45%;
              `
  }, /*#__PURE__*/_react.default.createElement(_card_callout.CardCallOut, {
    color: "primary",
    icon: "iInCircle",
    text: i18n.ASSISTANT_CARD_CALLOUT_INTEGRATIONS_TEXT,
    action: /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
      onClick: expandIntegrationsCard
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
      direction: "row",
      gutterSize: "xs",
      alignItems: "center"
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, i18n.ASSISTANT_CARD_CALLOUT_INTEGRATIONS_BUTTON), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
      grow: false
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
      type: "arrowRight",
      color: "primary",
      size: "s"
    }))))
  })) : /*#__PURE__*/_react.default.createElement(_connector_cards.ConnectorCards, {
    connectors: connectors,
    onConnectorSaved: checkComplete
  }))));
};

// eslint-disable-next-line import/no-default-export
exports.AssistantCard = AssistantCard;
var _default = exports.default = AssistantCard;