"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.checkAssistantCardComplete = void 0;
var _constants = require("@kbn/triggers-actions-ui-plugin/public/common/constants");
var _i18n = require("@kbn/i18n");
var _constants2 = require("./constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const checkAssistantCardComplete = async ({
  http
}) => {
  const allConnectors = await (0, _constants.loadAllActions)({
    http
  });
  const aiConnectors = allConnectors.reduce((acc, connector) => {
    if (!connector.isMissingSecrets && _constants2.AllowedActionTypeIds.includes(connector.actionTypeId)) {
      acc.push(connector);
    }
    return acc;
  }, []);
  const completeBadgeText = _i18n.i18n.translate('xpack.securitySolution.onboarding.assistantCard.badge.completeText', {
    defaultMessage: '{count} AI {count, plural, one {connector} other {connectors}} added',
    values: {
      count: aiConnectors.length
    }
  });
  return {
    isComplete: aiConnectors.length > 0,
    completeBadgeText,
    metadata: {
      connectors: aiConnectors
    }
  };
};
exports.checkAssistantCardComplete = checkAssistantCardComplete;