"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConnectorCards = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _css = require("@emotion/css");
var _kibana = require("../../../../../../common/lib/kibana");
var _create_connector_popover = require("./create_connector_popover");
var _connector_setup = require("./connector_setup");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ConnectorCards = exports.ConnectorCards = /*#__PURE__*/_react.default.memo(({
  connectors,
  onConnectorSaved
}) => {
  const {
    triggersActionsUi: {
      actionTypeRegistry
    }
  } = (0, _kibana.useKibana)().services;
  if (!connectors) return /*#__PURE__*/_react.default.createElement(_eui.EuiLoadingSpinner, null);
  if (connectors.length > 0) {
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
      wrap: true,
      className: (0, _css.css)`
              max-height: 290px;
              overflow-y: auto;
            `
    }, connectors.map(connector => /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
      key: connector.id,
      grow: false,
      className: (0, _css.css)`
                  width: 30%;
                `
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiPanel, {
      hasShadow: false,
      hasBorder: true,
      paddingSize: "m"
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
      direction: "row",
      gutterSize: "s",
      wrap: true
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
      className: (0, _css.css)`
                        min-width: 100%;
                      `
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
      size: "s"
    }, connector.name)), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
      grow: false
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiBadge, {
      color: "hollow"
    }, actionTypeRegistry.get(connector.actionTypeId).actionTypeTitle))))))), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, null), /*#__PURE__*/_react.default.createElement(_create_connector_popover.CreateConnectorPopover, {
      onConnectorSaved: onConnectorSaved
    }));
  }
  return /*#__PURE__*/_react.default.createElement(_connector_setup.ConnectorSetup, {
    onConnectorSaved: onConnectorSaved
  });
});
ConnectorCards.displayName = 'ConnectorCards';