"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CreateConnectorPopover = void 0;
var _react = _interopRequireWildcard(require("react"));
var _css = require("@emotion/css");
var _eui = require("@elastic/eui");
var _connector_setup = require("./connector_setup");
var i18n = _interopRequireWildcard(require("../translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const CreateConnectorPopover = exports.CreateConnectorPopover = /*#__PURE__*/_react.default.memo(({
  onConnectorSaved
}) => {
  const [isOpen, setIsPopoverOpen] = (0, _react.useState)(false);
  const closePopover = (0, _react.useCallback)(() => setIsPopoverOpen(false), []);
  const onButtonClick = (0, _react.useCallback)(() => setIsPopoverOpen(isPopoverOpen => !isPopoverOpen), []);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiPopover, {
    className: (0, _css.css)`
          width: fit-content;
        `,
    button: /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
      size: "s"
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
      "data-test-subj": "createConnectorPopoverButton",
      onClick: onButtonClick
    }, i18n.ASSISTANT_CARD_CREATE_NEW_CONNECTOR_POPOVER)),
    isOpen: isOpen,
    closePopover: closePopover,
    "data-test-subj": "createConnectorPopover"
  }, /*#__PURE__*/_react.default.createElement(_connector_setup.ConnectorSetup, {
    onConnectorSaved: onConnectorSaved,
    onClose: closePopover,
    compressed: true
  }));
});
CreateConnectorPopover.displayName = 'CreateConnectorPopover';