"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useFilteredActionTypes = void 0;
var _react = require("react");
var _use_load_action_types = require("@kbn/elastic-assistant/impl/connectorland/use_load_action_types");
var _constants = require("../../constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const useFilteredActionTypes = (http, toasts) => {
  const {
    data
  } = (0, _use_load_action_types.useLoadActionTypes)({
    http,
    toasts
  });
  return (0, _react.useMemo)(() => data === null || data === void 0 ? void 0 : data.filter(({
    id
  }) => _constants.AllowedActionTypeIds.includes(id)), [data]);
};
exports.useFilteredActionTypes = useFilteredActionTypes;