"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OnboardingCardContentImagePanel = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _card_content_panel = require("./card_content_panel");
var _card_content_image_panel = require("./card_content_image_panel.styles");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const OnboardingCardContentImagePanel = exports.OnboardingCardContentImagePanel = /*#__PURE__*/_react.default.memo(({
  children,
  imageSrc,
  imageAlt
}) => {
  const styles = (0, _card_content_image_panel.useCardContentImagePanelStyles)();
  return /*#__PURE__*/_react.default.createElement(_card_content_panel.OnboardingCardContentPanel, {
    className: styles
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    direction: "row",
    justifyContent: "spaceBetween",
    gutterSize: "none"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, children), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    className: "cardSpacer",
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "xl"
  })), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    className: "cardImage",
    grow: false
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: imageSrc,
    alt: imageAlt
  }))));
});
OnboardingCardContentImagePanel.displayName = 'OnboardingCardContentImagePanel';