"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCardContentImagePanelStyles = void 0;
var _css = require("@emotion/css");
var _eui = require("@elastic/eui");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const useCardContentImagePanelStyles = () => {
  const {
    euiTheme
  } = (0, _eui.useEuiTheme)();
  const shadowStyles = (0, _eui.useEuiShadow)('m');
  return (0, _css.css)`
    padding-top: 8px;
    .cardSpacer {
      width: 8%;
    }
    .cardImage {
      width: 50%;
      img {
        width: 100%;
        border-radius: ${euiTheme.size.s};
        ${shadowStyles}
      }
    }
  `;
};
exports.useCardContentImagePanelStyles = useCardContentImagePanelStyles;