"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OnboardingCardContentPanel = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _react2 = require("@emotion/react");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const OnboardingCardContentPanel = exports.OnboardingCardContentPanel = /*#__PURE__*/_react.default.memo(({
  children,
  ...panelProps
}) => {
  const {
    euiTheme,
    colorMode
  } = (0, _eui.useEuiTheme)();
  const isDarkMode = colorMode === _eui.COLOR_MODES_STANDARD.dark;
  return /*#__PURE__*/_react.default.createElement(_eui.EuiPanel, {
    paddingSize: "m",
    hasShadow: false,
    hasBorder: false,
    css: (0, _react2.css)`
          background-color: ${isDarkMode ? euiTheme.colors.lightestShade : ''};
          padding-top: 0;
        `
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiPanel, (0, _extends2.default)({}, panelProps, {
    hasShadow: false,
    paddingSize: "l"
  }), children));
});
OnboardingCardContentPanel.displayName = 'OnboardingCardContentWrapper';