"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ManageIntegrationsCallout = void 0;
var _react = _interopRequireWildcard(require("react"));
var _i18nReact = require("@kbn/i18n-react");
var _eui = require("@elastic/eui");
var _links = require("../../../../../../common/components/links");
var _card_callout = require("../../common/card_callout");
var _use_add_integrations_url = require("../../../../../../common/hooks/use_add_integrations_url");
var _telemetry = require("../../../../../common/lib/telemetry");
var _constants = require("../constants");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ManageIntegrationsCallout = exports.ManageIntegrationsCallout = /*#__PURE__*/_react.default.memo(({
  installedIntegrationsCount
}) => {
  const {
    href: integrationUrl,
    onClick: onAddIntegrationClicked
  } = (0, _use_add_integrations_url.useAddIntegrationsUrl)();
  const onClick = (0, _react.useCallback)(e => {
    e.preventDefault();
    (0, _telemetry.trackOnboardingLinkClick)(_constants.TELEMETRY_MANAGE_INTEGRATIONS);
    onAddIntegrationClicked(e);
  }, [onAddIntegrationClicked]);
  if (!installedIntegrationsCount) {
    return null;
  }
  return /*#__PURE__*/_react.default.createElement(_card_callout.CardCallOut, {
    color: "primary",
    text: /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      "data-test-subj": "integrationsCompleteText",
      id: "xpack.securitySolution.onboarding.integrationsCard.callout.completeLabel",
      defaultMessage: `
      {desc} {link} {icon}
    `,
      values: {
        desc: /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
          "data-test-subj": "integrationsCompleteText",
          id: "xpack.securitySolution.onboarding.integrationsCard.callout.completeText",
          defaultMessage: "{count} {count, plural, one {integration has} other {integrations have}} been added",
          values: {
            count: installedIntegrationsCount
          }
        }),
        link: /*#__PURE__*/_react.default.createElement(_links.LinkAnchor, {
          onClick: onClick,
          href: integrationUrl,
          "data-test-subj": "manageIntegrationsLink"
        }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
          id: "xpack.securitySolution.onboarding.integrationsCard.button.completeLink",
          defaultMessage: "Manage integrations"
        })),
        icon: /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
          type: "arrowRight",
          size: "s"
        })
      }
    })
  });
});
ManageIntegrationsCallout.displayName = 'ManageIntegrationsCallout';