"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.IntegrationsCard = void 0;
var _react = _interopRequireDefault(require("react"));
var _card_content_panel = require("../common/card_content_panel");
var _integration_card_grid_tabs = require("./integration_card_grid_tabs");
var _centered_loading_spinner = require("../../../../../common/components/centered_loading_spinner");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const IntegrationsCard = exports.IntegrationsCard = /*#__PURE__*/_react.default.memo(({
  checkCompleteMetadata
}) => {
  if (!checkCompleteMetadata) {
    return /*#__PURE__*/_react.default.createElement(_centered_loading_spinner.CenteredLoadingSpinner, {
      "data-test-subj": "loadingInstalledIntegrations"
    });
  }
  const {
    installedIntegrationsCount,
    isAgentRequired
  } = checkCompleteMetadata;
  return /*#__PURE__*/_react.default.createElement(_card_content_panel.OnboardingCardContentPanel, null, /*#__PURE__*/_react.default.createElement(_integration_card_grid_tabs.IntegrationsCardGridTabs, {
    isAgentRequired: isAgentRequired,
    installedIntegrationsCount: installedIntegrationsCount
  }));
});
IntegrationsCard.displayName = 'IntegrationsCard';

// eslint-disable-next-line import/no-default-export
var _default = exports.default = IntegrationsCard;