"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.RulesCard = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _securitySolutionNavigation = require("@kbn/security-solution-navigation");
var _links = require("../../../../../common/components/links");
var _constants = require("../../../../constants");
var _card_content_image_panel = require("../common/card_content_image_panel");
var _card_callout = require("../common/card_callout");
var _rules = _interopRequireDefault(require("./images/rules.png"));
var i18n = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const RulesCard = ({
  isCardComplete,
  setExpandedCardId,
  isCardAvailable
}) => {
  const isIntegrationsCardComplete = (0, _react.useMemo)(() => isCardComplete(_constants.OnboardingCardId.integrations), [isCardComplete]);
  const isIntegrationsCardAvailable = (0, _react.useMemo)(() => isCardAvailable(_constants.OnboardingCardId.integrations), [isCardAvailable]);
  const expandIntegrationsCard = (0, _react.useCallback)(() => {
    setExpandedCardId(_constants.OnboardingCardId.integrations, {
      scroll: true
    });
  }, [setExpandedCardId]);
  return /*#__PURE__*/_react.default.createElement(_card_content_image_panel.OnboardingCardContentImagePanel, {
    imageSrc: _rules.default,
    imageAlt: i18n.RULES_CARD_TITLE
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    direction: "column",
    gutterSize: "xl",
    justifyContent: "flexStart",
    alignItems: "flexStart"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    "data-test-subj": "rulesCardDescription",
    size: "s",
    color: "subdued"
  }, i18n.RULES_CARD_DESCRIPTION), isIntegrationsCardAvailable && !isIntegrationsCardComplete && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  }), /*#__PURE__*/_react.default.createElement(_card_callout.CardCallOut, {
    color: "primary",
    icon: "iInCircle",
    text: i18n.RULES_CARD_CALLOUT_INTEGRATIONS_TEXT,
    action: /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
      onClick: expandIntegrationsCard
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
      direction: "row",
      gutterSize: "xs",
      alignItems: "center"
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, i18n.RULES_CARD_CALLOUT_INTEGRATIONS_BUTTON), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
      grow: false
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
      type: "arrowRight",
      color: "primary",
      size: "s"
    }))))
  }))), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    "data-test-subj": "rulesCardButton",
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_links.SecuritySolutionLinkButton, {
    deepLinkId: _securitySolutionNavigation.SecurityPageName.rules,
    fill: true,
    isDisabled: isIntegrationsCardAvailable && !isIntegrationsCardComplete
  }, i18n.RULES_CARD_ADD_RULES_BUTTON))));
};

// eslint-disable-next-line import/no-default-export
exports.RulesCard = RulesCard;
var _default = exports.default = RulesCard;