"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OnboardingCardPanel = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _classnames = _interopRequireDefault(require("classnames"));
var _translations = require("./translations");
var _onboarding_card_panel = require("./onboarding_card_panel.styles");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const OnboardingCardPanel = exports.OnboardingCardPanel = /*#__PURE__*/_react.default.memo(({
  id,
  title,
  icon,
  isExpanded,
  isComplete,
  onToggleExpanded,
  checkCompleteResult,
  children
}) => {
  var _checkCompleteResult$, _checkCompleteResult$2;
  const styles = (0, _onboarding_card_panel.useCardPanelStyles)();
  const cardPanelClassName = (0, _classnames.default)(styles, {
    'onboardingCardPanel-expanded': isExpanded,
    'onboardingCardPanel-completed': isComplete
  });
  return /*#__PURE__*/_react.default.createElement(_eui.EuiPanel, {
    id: id,
    color: "plain",
    grow: false,
    hasShadow: isExpanded,
    borderRadius: "m",
    paddingSize: "none",
    hasBorder: !isExpanded,
    className: cardPanelClassName
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    gutterSize: "m",
    alignItems: "center",
    onClick: onToggleExpanded,
    className: "onboardingCardHeader"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: "onboardingCardIcon"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
    type: icon,
    size: "l"
  }))), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, {
    size: "xxs",
    className: "onboardingCardHeaderTitle"
  }, /*#__PURE__*/_react.default.createElement("h3", null, title))), (_checkCompleteResult$ = checkCompleteResult === null || checkCompleteResult === void 0 ? void 0 : (_checkCompleteResult$2 = checkCompleteResult.additionalBadges) === null || _checkCompleteResult$2 === void 0 ? void 0 : _checkCompleteResult$2.map((additionalBadge, index) => /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false,
    key: index
  }, additionalBadge))) !== null && _checkCompleteResult$ !== void 0 ? _checkCompleteResult$ : null, isComplete && /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiBadge, {
    className: "onboardingCardHeaderCompleteBadge"
  }, (checkCompleteResult === null || checkCompleteResult === void 0 ? void 0 : checkCompleteResult.completeBadgeText) || _translations.CARD_COMPLETE_BADGE)), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiButtonIcon, {
    color: "primary",
    size: "xs",
    iconType: isExpanded ? 'arrowUp' : 'arrowDown',
    "aria-label": (0, _translations.EXPAND_CARD_BUTTON_LABEL)(title),
    "aria-expanded": isExpanded
  }))), /*#__PURE__*/_react.default.createElement("div", {
    className: "onboardingCardContentWrapper"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "onboardingCardContent"
  }, children)));
});
OnboardingCardPanel.displayName = 'OnboardingCardPanel';