"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.footerItems = void 0;
var _i18n = require("@kbn/i18n");
var _documentation = _interopRequireDefault(require("./images/documentation.png"));
var _forum = _interopRequireDefault(require("./images/forum.png"));
var _demo = _interopRequireDefault(require("./images/demo.png"));
var _labs = _interopRequireDefault(require("./images/labs.png"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const footerItems = exports.footerItems = [{
  icon: _documentation.default,
  key: 'documentation',
  title: _i18n.i18n.translate('xpack.securitySolution.onboarding.footer.documentation.title', {
    defaultMessage: 'Browse documentation'
  }),
  description: _i18n.i18n.translate('xpack.securitySolution.onboarding.footer.documentation.description', {
    defaultMessage: 'In-depth guides on all Elastic features'
  }),
  link: {
    title: _i18n.i18n.translate('xpack.securitySolution.onboarding.footer.documentation.link.title', {
      defaultMessage: 'Start reading'
    }),
    href: 'https://docs.elastic.co/integrations/elastic-security-intro'
  }
}, {
  icon: _forum.default,
  key: 'forum',
  title: _i18n.i18n.translate('xpack.securitySolution.onboarding.footer.forum.title', {
    defaultMessage: 'Explore forum'
  }),
  description: _i18n.i18n.translate('xpack.securitySolution.onboarding.footer.forum.description', {
    defaultMessage: 'Exchange thoughts about Elastic'
  }),
  link: {
    title: _i18n.i18n.translate('xpack.securitySolution.onboarding.footer.forum.link.title', {
      defaultMessage: 'Discuss Forum'
    }),
    href: 'https://discuss.elastic.co/c/security/83'
  }
}, {
  icon: _demo.default,
  key: 'demo',
  title: _i18n.i18n.translate('xpack.securitySolution.onboarding.footer.demo.title', {
    defaultMessage: 'View demo project'
  }),
  description: _i18n.i18n.translate('xpack.securitySolution.onboarding.footer.demo.description', {
    defaultMessage: 'Discover Elastic using sample data'
  }),
  link: {
    title: _i18n.i18n.translate('xpack.securitySolution.onboarding.footer.demo.link.title', {
      defaultMessage: 'Explore demo'
    }),
    href: 'https://www.elastic.co/demo-gallery?solutions=security&features=null'
  }
}, {
  icon: _labs.default,
  key: 'labs',
  title: _i18n.i18n.translate('xpack.securitySolution.onboarding.footer.labs.title', {
    defaultMessage: 'Elastic Security Labs'
  }),
  description: _i18n.i18n.translate('xpack.securitySolution.onboarding.footer.labs.description', {
    defaultMessage: 'Insights from security researchers'
  }),
  link: {
    title: _i18n.i18n.translate('xpack.securitySolution.onboarding.footer.labs.link.title', {
      defaultMessage: 'Learn more'
    }),
    href: 'https://www.elastic.co/security-labs'
  }
}];