"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OnboardingFooter = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _onboarding_footer = require("./onboarding_footer.styles");
var _footer_items = require("./footer_items");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const OnboardingFooter = exports.OnboardingFooter = /*#__PURE__*/_react.default.memo(() => {
  const styles = (0, _onboarding_footer.useFooterStyles)();
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    alignItems: "center",
    justifyContent: "spaceBetween",
    className: styles
  }, _footer_items.footerItems.map(item => /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    key: `footer-${item.key}`
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: item.icon,
    alt: item.title,
    height: "64",
    width: "64"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, {
    size: "xxs",
    className: "itemTitle"
  }, /*#__PURE__*/_react.default.createElement("h3", null, item.title)), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "xs"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "xs"
  }, item.description), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "xs"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
    href: item.link.href,
    target: "_blank"
  }, item.link.title)))));
});
OnboardingFooter.displayName = 'OnboardingFooter';