"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LinkCard = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _classnames = _interopRequireDefault(require("classnames"));
var _link_card = require("./link_card.styles");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const LinkCard = exports.LinkCard = /*#__PURE__*/_react.default.memo(({
  icon,
  title,
  description,
  onClick,
  href,
  target,
  linkText
}) => {
  const cardStyles = (0, _link_card.useCardStyles)();
  const cardClassName = (0, _classnames.default)(cardStyles, 'headerCard');
  return /*#__PURE__*/_react.default.createElement(_eui.EuiCard, {
    className: cardClassName,
    onClick: onClick,
    href: href,
    target: target,
    "data-test-subj": "data-ingestion-header-card",
    layout: "horizontal",
    icon: /*#__PURE__*/_react.default.createElement(_eui.EuiImage, {
      "data-test-subj": "data-ingestion-header-card-icon",
      src: icon,
      alt: title,
      size: 64
    }),
    title: /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, {
      size: "xxs",
      className: "headerCardTitle"
    }, /*#__PURE__*/_react.default.createElement("h3", null, title)),
    description: /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
      size: "xs"
    }, description)
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "s"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "xs",
    className: "headerCardLink"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
    href: href,
    onClick: onClick,
    target: target
  }, linkText)));
});
LinkCard.displayName = 'LinkCard';