"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DemoCard = void 0;
var _react = _interopRequireDefault(require("react"));
var _link_card = require("../common/link_card");
var _demo_card = _interopRequireDefault(require("./images/demo_card.png"));
var _demo_card_dark = _interopRequireDefault(require("./images/demo_card_dark.png"));
var i18n = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const DemoCard = exports.DemoCard = /*#__PURE__*/_react.default.memo(({
  isDarkMode
}) => {
  return /*#__PURE__*/_react.default.createElement(_link_card.LinkCard, {
    icon: isDarkMode ? _demo_card_dark.default : _demo_card.default,
    title: i18n.ONBOARDING_HEADER_DEMO_TITLE,
    description: i18n.ONBOARDING_HEADER_DEMO_DESCRIPTION,
    href: "https://demo.elastic.co/app/security/get_started",
    target: "_blank",
    linkText: i18n.ONBOARDING_HEADER_DEMO_LINK_TITLE
  });
});
DemoCard.displayName = 'DemoCard';