"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VideoCard = void 0;
var _react = _interopRequireWildcard(require("react"));
var _video_modal = require("./video_modal");
var i18n = _interopRequireWildcard(require("./translations"));
var _video_card = _interopRequireDefault(require("./images/video_card.png"));
var _video_card_dark = _interopRequireDefault(require("./images/video_card_dark.png"));
var _link_card = require("../common/link_card");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const VideoCard = exports.VideoCard = /*#__PURE__*/_react.default.memo(({
  isDarkMode
}) => {
  const [isModalVisible, setIsModalVisible] = (0, _react.useState)(false);
  const closeVideoModal = (0, _react.useCallback)(() => {
    setIsModalVisible(false);
  }, []);
  const showVideoModal = (0, _react.useCallback)(() => {
    setIsModalVisible(true);
  }, []);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_link_card.LinkCard, {
    onClick: showVideoModal,
    icon: isDarkMode ? _video_card_dark.default : _video_card.default,
    title: i18n.ONBOARDING_HEADER_VIDEO_TITLE,
    description: i18n.ONBOARDING_HEADER_VIDEO_DESCRIPTION,
    linkText: i18n.ONBOARDING_HEADER_VIDEO_LINK_TITLE
  }), isModalVisible && /*#__PURE__*/_react.default.createElement(_video_modal.OnboardingHeaderVideoModal, {
    onClose: closeVideoModal
  }));
});
VideoCard.displayName = 'VideoCard';