"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OnboardingHeaderVideoModal = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _css = require("@emotion/css");
var _constants = require("../../../../../common/constants");
var i18n = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

// Not ideal, but we could not find any other way to remove the padding from the modal body
const modalStyles = (0, _css.css)`
  .euiModalBody__overflow {
    overflow: hidden;
    padding: 0px;
    mask-image: none;
  }
`;
const OnboardingHeaderVideoModal = exports.OnboardingHeaderVideoModal = /*#__PURE__*/_react.default.memo(({
  onClose
}) => {
  const modalTitle = (0, _eui.useGeneratedHtmlId)();
  return /*#__PURE__*/_react.default.createElement(_eui.EuiModal, {
    "data-test-subj": "data-ingestion-hub-video-modal",
    "aria-labelledby": modalTitle,
    maxWidth: 550,
    onClose: onClose,
    className: modalStyles
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiModalBody, null, /*#__PURE__*/_react.default.createElement("iframe", {
    allowFullScreen: true,
    height: "309px",
    width: "100%",
    referrerPolicy: "no-referrer",
    sandbox: "allow-scripts allow-same-origin",
    src: _constants.ONBOARDING_VIDEO_SOURCE,
    title: i18n.ONBOARDING_HEADER_VIDEO_MODAL_VIDEO_TITLE
  })), /*#__PURE__*/_react.default.createElement(_eui.EuiModalFooter, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    justifyContent: "center",
    direction: "column",
    alignItems: "center"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiModalHeaderTitle, {
    size: "s",
    id: modalTitle
  }, i18n.ONBOARDING_HEADER_VIDEO_MODAL_TITLE)), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "s",
    textAlign: "center"
  }, i18n.ONBOARDING_HEADER_VIDEO_MODAL_DESCRIPTION)), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiButton, {
    "data-test-subj": "video-modal-button",
    color: "primary",
    onClick: onClose
  }, i18n.ONBOARDING_HEADER_VIDEO_MODAL_BUTTON_CLOSE)))));
});
OnboardingHeaderVideoModal.displayName = 'DataIngestionHubVideoModal';