"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VIEW_CASES = exports.VIEW_ALL_CASES = exports.USER_TOOLTIP = exports.USER_ALERTS_USERNAME_COLUMN = exports.USER_ALERTS_SECTION_TITLE = exports.UPDATING = exports.UPDATED = exports.STATUS_OPEN = exports.STATUS_MEDIUM_LABEL = exports.STATUS_LOW_LABEL = exports.STATUS_IN_PROGRESS = exports.STATUS_HIGH_LABEL = exports.STATUS_CRITICAL_LABEL = exports.STATUS_CLOSED = exports.STATUS_ACKNOWLEDGED = exports.RULE_ALERTS_SECTION_TITLE = exports.RULE_ALERTS_COLUMN_SEVERITY = exports.RULE_ALERTS_COLUMN_RULE_NAME = exports.RULE_ALERTS_COLUMN_LAST_ALERT = exports.RULE_ALERTS_COLUMN_ALERT_COUNT = exports.OPEN_USER_DETAIL_TOOLTIP = exports.OPEN_RULE_DETAIL_TOOLTIP = exports.OPEN_IN_ALERTS_TITLE_USERNAME = exports.OPEN_IN_ALERTS_TITLE_STATUS = exports.OPEN_IN_ALERTS_TITLE_SEVERITY = exports.OPEN_IN_ALERTS_TITLE_RULENAME = exports.OPEN_IN_ALERTS_TITLE_HOSTNAME = exports.OPEN_HOST_DETAIL_TOOLTIP = exports.OPEN_CASE_DETAIL_TOOLTIP = exports.OPEN_ALL_ALERTS_BUTTON = exports.NO_CASES_FOUND = exports.NO_ALERTS_FOUND = exports.INVESTIGATE_IN_TIMELINE = exports.HOST_TOOLTIP = exports.HOST_ALERTS_SECTION_TITLE = exports.HOST_ALERTS_HOSTNAME_COLUMN = exports.ERROR_MESSAGE_CASES = exports.CASES_TABLE_SECTION_TOOLTIP = exports.CASES_TABLE_SECTION_TITLE = exports.CASES_TABLE_COLUMN_TIME = exports.CASES_TABLE_COLUMN_STATUS = exports.CASES_TABLE_COLUMN_NAME = exports.CASES_TABLE_COLUMN_CREATED_BY = exports.CASES_BY_STATUS_SECTION_TOOLTIP = exports.CASES_BY_STATUS_SECTION_TITLE = exports.CASES = exports.ALERTS_TEXT = exports.ALERTS_BY_SEVERITY_TEXT = exports.ALERTS = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const STATUS_CRITICAL_LABEL = exports.STATUS_CRITICAL_LABEL = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.alertsByStatus.donut.criticalLabel', {
  defaultMessage: 'Critical'
});
const STATUS_HIGH_LABEL = exports.STATUS_HIGH_LABEL = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.alertsByStatus.donut.highLabel', {
  defaultMessage: 'High'
});
const STATUS_MEDIUM_LABEL = exports.STATUS_MEDIUM_LABEL = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.alertsByStatus.donut.mediumLabel', {
  defaultMessage: 'Medium'
});
const STATUS_LOW_LABEL = exports.STATUS_LOW_LABEL = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.alertsByStatus.donut.lowLabel', {
  defaultMessage: 'Low'
});
const STATUS_ACKNOWLEDGED = exports.STATUS_ACKNOWLEDGED = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.alertsByStatus.status.acknowledged', {
  defaultMessage: 'Acknowledged'
});
const STATUS_OPEN = exports.STATUS_OPEN = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.status.open', {
  defaultMessage: 'Open'
});
const STATUS_CLOSED = exports.STATUS_CLOSED = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.status.closed', {
  defaultMessage: 'Closed'
});
const STATUS_IN_PROGRESS = exports.STATUS_IN_PROGRESS = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.status.inProgress', {
  defaultMessage: 'In progress'
});
const ALERTS = totalAlerts => _i18n.i18n.translate('xpack.securitySolution.detectionResponse.alertsByStatus.totalAlerts', {
  values: {
    totalAlerts
  },
  defaultMessage: 'total {totalAlerts, plural, =1 {alert} other {alerts}}'
});
exports.ALERTS = ALERTS;
const ALERTS_TEXT = exports.ALERTS_TEXT = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.alerts', {
  defaultMessage: 'Alerts'
});
const ALERTS_BY_SEVERITY_TEXT = exports.ALERTS_BY_SEVERITY_TEXT = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.alertsBySeverity', {
  defaultMessage: 'Alerts by Severity'
});
const UPDATING = exports.UPDATING = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.updating', {
  defaultMessage: 'Updating...'
});
const UPDATED = exports.UPDATED = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.updated', {
  defaultMessage: 'Updated'
});
const CASES = totalCases => _i18n.i18n.translate('xpack.securitySolution.detectionResponse.casesByStatus.totalCases', {
  values: {
    totalCases
  },
  defaultMessage: 'total {totalCases, plural, =1 {case} other {cases}}'
});
exports.CASES = CASES;
const CASES_BY_STATUS_SECTION_TITLE = exports.CASES_BY_STATUS_SECTION_TITLE = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.casesByStatusSectionTitle', {
  defaultMessage: 'Cases'
});
const CASES_BY_STATUS_SECTION_TOOLTIP = exports.CASES_BY_STATUS_SECTION_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.casesByStatusSectionTooltip', {
  defaultMessage: 'The cases table is not filterable via the SIEM global KQL search.'
});
const VIEW_CASES = exports.VIEW_CASES = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.viewCases', {
  defaultMessage: 'View cases'
});
const RULE_ALERTS_SECTION_TITLE = exports.RULE_ALERTS_SECTION_TITLE = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.ruleAlertsSectionTitle', {
  defaultMessage: 'Open alerts by rule'
});
const HOST_ALERTS_SECTION_TITLE = exports.HOST_ALERTS_SECTION_TITLE = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.hostAlertsSectionTitle', {
  defaultMessage: 'Hosts by alert severity'
});
const USER_ALERTS_SECTION_TITLE = exports.USER_ALERTS_SECTION_TITLE = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.userAlertsSectionTitle', {
  defaultMessage: 'Users by alert severity'
});
const CASES_TABLE_SECTION_TITLE = exports.CASES_TABLE_SECTION_TITLE = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.caseSectionTitle', {
  defaultMessage: 'Recently created cases'
});
const CASES_TABLE_SECTION_TOOLTIP = exports.CASES_TABLE_SECTION_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.caseSectionTooltip', {
  defaultMessage: 'The recently created cases table is not filterable via the SIEM global KQL search.'
});
const NO_ALERTS_FOUND = exports.NO_ALERTS_FOUND = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.noRuleAlerts', {
  defaultMessage: 'No alerts to display'
});
const NO_CASES_FOUND = exports.NO_CASES_FOUND = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.noRecentCases', {
  defaultMessage: 'No cases to display'
});
const RULE_ALERTS_COLUMN_RULE_NAME = exports.RULE_ALERTS_COLUMN_RULE_NAME = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.ruleAlertsColumnRuleName', {
  defaultMessage: 'Rule name'
});
const RULE_ALERTS_COLUMN_LAST_ALERT = exports.RULE_ALERTS_COLUMN_LAST_ALERT = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.ruleAlertsColumnLastAlert', {
  defaultMessage: 'Last alert'
});
const RULE_ALERTS_COLUMN_ALERT_COUNT = exports.RULE_ALERTS_COLUMN_ALERT_COUNT = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.ruleAlertsColumnAlertCount', {
  defaultMessage: 'Alert count'
});
const RULE_ALERTS_COLUMN_SEVERITY = exports.RULE_ALERTS_COLUMN_SEVERITY = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.ruleAlertsColumnSeverity', {
  defaultMessage: 'Severity'
});
const OPEN_RULE_DETAIL_TOOLTIP = exports.OPEN_RULE_DETAIL_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.openRuleDetailTooltip', {
  defaultMessage: 'Open rule detail'
});
const OPEN_CASE_DETAIL_TOOLTIP = exports.OPEN_CASE_DETAIL_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.openCaseDetailTooltip', {
  defaultMessage: 'Open case detail'
});
const OPEN_HOST_DETAIL_TOOLTIP = exports.OPEN_HOST_DETAIL_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.openHostDetailTooltip', {
  defaultMessage: 'Open host detail'
});
const OPEN_USER_DETAIL_TOOLTIP = exports.OPEN_USER_DETAIL_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.openUserDetailTooltip', {
  defaultMessage: 'Open user detail'
});
const OPEN_ALL_ALERTS_BUTTON = exports.OPEN_ALL_ALERTS_BUTTON = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.openAllAlertsButton', {
  defaultMessage: 'View all open alerts'
});
const VIEW_ALL_CASES = exports.VIEW_ALL_CASES = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.viewAllCases', {
  defaultMessage: 'View all cases'
});
const HOST_ALERTS_HOSTNAME_COLUMN = exports.HOST_ALERTS_HOSTNAME_COLUMN = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.hostAlertsHostName', {
  defaultMessage: 'Host name'
});
const USER_ALERTS_USERNAME_COLUMN = exports.USER_ALERTS_USERNAME_COLUMN = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.userAlertsUserName', {
  defaultMessage: 'User name'
});
const CASES_TABLE_COLUMN_NAME = exports.CASES_TABLE_COLUMN_NAME = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.caseColumnName', {
  defaultMessage: 'Name'
});
const CASES_TABLE_COLUMN_TIME = exports.CASES_TABLE_COLUMN_TIME = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.caseColumnTime', {
  defaultMessage: 'Time'
});
const CASES_TABLE_COLUMN_CREATED_BY = exports.CASES_TABLE_COLUMN_CREATED_BY = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.caseColumnCreatedBy', {
  defaultMessage: 'Created by'
});
const CASES_TABLE_COLUMN_STATUS = exports.CASES_TABLE_COLUMN_STATUS = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.caseColumnStatus', {
  defaultMessage: 'Status'
});
const ERROR_MESSAGE_CASES = exports.ERROR_MESSAGE_CASES = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.errorMessage', {
  defaultMessage: 'Error fetching case data'
});
const HOST_TOOLTIP = exports.HOST_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.hostSectionTooltip', {
  defaultMessage: 'Maximum of 100 hosts. Please consult Alerts page for further information.'
});
const USER_TOOLTIP = exports.USER_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.userSectionTooltip', {
  defaultMessage: 'Maximum of 100 users. Please consult Alerts page for further information.'
});
const INVESTIGATE_IN_TIMELINE = exports.INVESTIGATE_IN_TIMELINE = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.investigateInTimeline', {
  defaultMessage: 'Investigate in Timeline'
});
const OPEN_IN_ALERTS_TITLE_SEVERITY = exports.OPEN_IN_ALERTS_TITLE_SEVERITY = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.openInAlertsSeverity', {
  defaultMessage: 'Severity'
});
const OPEN_IN_ALERTS_TITLE_STATUS = exports.OPEN_IN_ALERTS_TITLE_STATUS = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.openInAlertsStatus', {
  defaultMessage: 'Status'
});
const OPEN_IN_ALERTS_TITLE_RULENAME = exports.OPEN_IN_ALERTS_TITLE_RULENAME = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.openInAlertsRuleName', {
  defaultMessage: 'Rule name'
});
const OPEN_IN_ALERTS_TITLE_HOSTNAME = exports.OPEN_IN_ALERTS_TITLE_HOSTNAME = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.openInAlertsHostName', {
  defaultMessage: 'Host name'
});
const OPEN_IN_ALERTS_TITLE_USERNAME = exports.OPEN_IN_ALERTS_TITLE_USERNAME = _i18n.i18n.translate('xpack.securitySolution.detectionResponse.openInAlertsUserName', {
  defaultMessage: 'Username'
});