"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UPDATE_SECURITY_DATA_VIEW = exports.UPDATE_INDEX_PATTERNS = exports.UPDATE_DATA_VIEW = exports.TOGGLE_TO_NEW_SOURCERER = exports.SUCCESS_TOAST_TITLE = exports.SIEM_SECURITY_DATA_VIEW_LABEL = exports.SELECT_DATA_VIEW = exports.SECURITY_DEFAULT_DATA_VIEW_LABEL = exports.SAVE_INDEX_PATTERNS = exports.RELOAD_PAGE_TITLE = exports.PICK_INDEX_PATTERNS = exports.NO_DATA = exports.MODIFIED_BADGE_TITLE = exports.INDEX_PATTERNS_RESET = exports.INDEX_PATTERNS_LABEL = exports.INDEX_PATTERNS_DESCRIPTIONS = exports.INDEX_PATTERNS_CLOSE = exports.INDEX_PATTERNS_CHOOSE_DATA_VIEW_LABEL = exports.INDEX_PATTERNS_ADVANCED_OPTIONS_TITLE = exports.INACTIVE_PATTERNS = exports.FAILURE_TOAST_TITLE = exports.DISABLED_SOURCERER = exports.DEPRECATED_BADGE_TITLE = exports.DATA_VIEW = exports.CONTINUE_WITHOUT_ADDING = exports.CALL_OUT_TITLE = exports.CALL_OUT_TIMELINE_TITLE = exports.CALL_OUT_MISSING_PATTERNS_TITLE = exports.CALL_OUT_MISSING_PATTERNS_TEMPLATE_TITLE = exports.CALL_OUT_DEPRECATED_TITLE = exports.CALL_OUT_DEPRECATED_TEMPLATE_TITLE = exports.ALERTS_CHECKBOX_LABEL = exports.ALERTS_BADGE_TITLE = exports.ADD_INDEX_PATTERN = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const CALL_OUT_TITLE = exports.CALL_OUT_TITLE = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.callOutTitle', {
  defaultMessage: 'Data view cannot be modified on this page'
});
const CALL_OUT_DEPRECATED_TITLE = exports.CALL_OUT_DEPRECATED_TITLE = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.callOutDeprecxatedTitle', {
  defaultMessage: 'This timeline uses a legacy data view selector'
});
const CALL_OUT_DEPRECATED_TEMPLATE_TITLE = exports.CALL_OUT_DEPRECATED_TEMPLATE_TITLE = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.callOutDeprecxatedTemplateTitle', {
  defaultMessage: 'This timeline template uses a legacy data view selector'
});
const CALL_OUT_MISSING_PATTERNS_TITLE = exports.CALL_OUT_MISSING_PATTERNS_TITLE = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.callOutMissingPatternsTitle', {
  defaultMessage: 'This timeline is out of date with the Security Data View'
});
const CALL_OUT_MISSING_PATTERNS_TEMPLATE_TITLE = exports.CALL_OUT_MISSING_PATTERNS_TEMPLATE_TITLE = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.callOutMissingPatternsTemplateTitle', {
  defaultMessage: 'This timeline template is out of date with the Security Data View'
});
const CALL_OUT_TIMELINE_TITLE = exports.CALL_OUT_TIMELINE_TITLE = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.callOutTimelineTitle', {
  defaultMessage: 'Data view cannot be modified when show only detection alerts is selected'
});
const TOGGLE_TO_NEW_SOURCERER = exports.TOGGLE_TO_NEW_SOURCERER = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.toggleToNewSourcerer.link', {
  defaultMessage: 'here'
});
const DATA_VIEW = exports.DATA_VIEW = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.dataViewLabel', {
  defaultMessage: 'Data view'
});
const UPDATE_DATA_VIEW = exports.UPDATE_DATA_VIEW = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.updateDataView', {
  defaultMessage: 'Would you like to add this index pattern to Security Data View? Otherwise, we can recreate the data view without the missing index patterns.'
});
const UPDATE_SECURITY_DATA_VIEW = exports.UPDATE_SECURITY_DATA_VIEW = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.updateSecurityDataView', {
  defaultMessage: 'Update Security Data View'
});
const CONTINUE_WITHOUT_ADDING = exports.CONTINUE_WITHOUT_ADDING = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.continue', {
  defaultMessage: 'Continue without adding'
});
const ADD_INDEX_PATTERN = exports.ADD_INDEX_PATTERN = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.add', {
  defaultMessage: 'Add index pattern'
});
const MODIFIED_BADGE_TITLE = exports.MODIFIED_BADGE_TITLE = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.modifiedBadgeTitle', {
  defaultMessage: 'Modified'
});
const ALERTS_BADGE_TITLE = exports.ALERTS_BADGE_TITLE = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.alertsBadgeTitle', {
  defaultMessage: 'Alerts'
});
const DEPRECATED_BADGE_TITLE = exports.DEPRECATED_BADGE_TITLE = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.updateAvailableBadgeTitle', {
  defaultMessage: 'Update available'
});
const SECURITY_DEFAULT_DATA_VIEW_LABEL = exports.SECURITY_DEFAULT_DATA_VIEW_LABEL = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.securityDefaultDataViewLabel', {
  defaultMessage: 'Security Default Data View'
});
const SIEM_SECURITY_DATA_VIEW_LABEL = exports.SIEM_SECURITY_DATA_VIEW_LABEL = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.securityDataViewLabel', {
  defaultMessage: 'Security Data View'
});
const SELECT_DATA_VIEW = exports.SELECT_DATA_VIEW = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.selectDataView', {
  defaultMessage: 'Data view selection'
});
const SAVE_INDEX_PATTERNS = exports.SAVE_INDEX_PATTERNS = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.save', {
  defaultMessage: 'Save'
});
const INDEX_PATTERNS_CHOOSE_DATA_VIEW_LABEL = exports.INDEX_PATTERNS_CHOOSE_DATA_VIEW_LABEL = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.chooseDataViewLabel', {
  defaultMessage: 'Choose data view'
});
const INDEX_PATTERNS_ADVANCED_OPTIONS_TITLE = exports.INDEX_PATTERNS_ADVANCED_OPTIONS_TITLE = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.advancedOptionsTitle', {
  defaultMessage: 'Advanced options'
});
const INDEX_PATTERNS_LABEL = exports.INDEX_PATTERNS_LABEL = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.indexPatternsLabel', {
  defaultMessage: 'Index patterns'
});
const INDEX_PATTERNS_DESCRIPTIONS = exports.INDEX_PATTERNS_DESCRIPTIONS = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.descriptionsLabel', {
  defaultMessage: 'These are the index patterns currently selected. Filtering out index patterns from your data view can help improve overall performance.'
});
const DISABLED_SOURCERER = exports.DISABLED_SOURCERER = _i18n.i18n.translate('xpack.securitySolution.sourcerer.disabled', {
  defaultMessage: 'The updates to the Data view require a page reload to take effect.'
});
const UPDATE_INDEX_PATTERNS = exports.UPDATE_INDEX_PATTERNS = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.update', {
  defaultMessage: 'Update and recreate data view'
});
const INDEX_PATTERNS_RESET = exports.INDEX_PATTERNS_RESET = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.resetButton', {
  defaultMessage: 'Reset'
});
const INDEX_PATTERNS_CLOSE = exports.INDEX_PATTERNS_CLOSE = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.closeButton', {
  defaultMessage: 'Close'
});
const INACTIVE_PATTERNS = exports.INACTIVE_PATTERNS = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.inactive', {
  defaultMessage: 'Inactive index patterns'
});
const NO_DATA = exports.NO_DATA = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.noData', {
  defaultMessage: "The index pattern on this timeline doesn't match any data streams, indices, or index aliases."
});
const PICK_INDEX_PATTERNS = exports.PICK_INDEX_PATTERNS = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.pickIndexPatternsCombo', {
  defaultMessage: 'Pick index patterns'
});
const ALERTS_CHECKBOX_LABEL = exports.ALERTS_CHECKBOX_LABEL = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.onlyDetectionAlertsLabel', {
  defaultMessage: 'Show only detection alerts'
});
const SUCCESS_TOAST_TITLE = exports.SUCCESS_TOAST_TITLE = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.successToastTitle', {
  defaultMessage: 'One or more settings require you to reload the page to take effect'
});
const RELOAD_PAGE_TITLE = exports.RELOAD_PAGE_TITLE = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.reloadPageTitle', {
  defaultMessage: 'Reload page'
});
const FAILURE_TOAST_TITLE = exports.FAILURE_TOAST_TITLE = _i18n.i18n.translate('xpack.securitySolution.indexPatterns.failureToastTitle', {
  defaultMessage: 'Unable to update data view'
});