"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sortPackagesBySecurityCategory = sortPackagesBySecurityCategory;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Sorts packages in place
 */
function sortPackagesBySecurityCategory(packages) {
  packages.sort((a, b) => {
    var _a$categories, _b$categories, _a$categories2, _b$categories2;
    if ((_a$categories = a.categories) !== null && _a$categories !== void 0 && _a$categories.includes('security') && !((_b$categories = b.categories) !== null && _b$categories !== void 0 && _b$categories.includes('security'))) {
      return -1;
    }
    if (!((_a$categories2 = a.categories) !== null && _a$categories2 !== void 0 && _a$categories2.includes('security')) && (_b$categories2 = b.categories) !== null && _b$categories2 !== void 0 && _b$categories2.includes('security')) {
      return 1;
    }
    return 0;
  });
}