"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getNumberOfSuppressedAlerts = void 0;
var _ruleDataUtils = require("@kbn/rule-data-utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getNumberOfSuppressedAlerts = (createdAlerts, suppressedAlerts) => {
  return createdAlerts.reduce((acc, alert) => acc + ((alert === null || alert === void 0 ? void 0 : alert[_ruleDataUtils.ALERT_SUPPRESSION_DOCS_COUNT]) || 0), 0) + suppressedAlerts.reduce((acc, alert) => acc + ((alert === null || alert === void 0 ? void 0 : alert[_ruleDataUtils.ALERT_SUPPRESSION_DOCS_COUNT]) || 0) + 1, 0);
};
exports.getNumberOfSuppressedAlerts = getNumberOfSuppressedAlerts;