"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.deleteEntityIndexComponentTemplate = exports.createEntityIndexComponentTemplate = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getComponentTemplateName = definitionId => `${definitionId}-latest@platform`;
const createEntityIndexComponentTemplate = ({
  unitedDefinition,
  esClient
}) => {
  const {
    entityManagerDefinition,
    indexMappings
  } = unitedDefinition;
  const name = getComponentTemplateName(entityManagerDefinition.id);
  return esClient.cluster.putComponentTemplate({
    name,
    body: {
      template: {
        settings: {
          hidden: true
        },
        mappings: indexMappings
      }
    }
  });
};
exports.createEntityIndexComponentTemplate = createEntityIndexComponentTemplate;
const deleteEntityIndexComponentTemplate = ({
  unitedDefinition,
  esClient
}) => {
  const {
    entityManagerDefinition
  } = unitedDefinition;
  const name = getComponentTemplateName(entityManagerDefinition.id);
  return esClient.cluster.deleteComponentTemplate({
    name
  }, {
    ignore: [404]
  });
};
exports.deleteEntityIndexComponentTemplate = deleteEntityIndexComponentTemplate;