"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.deleteEntityIndex = exports.createEntityIndex = void 0;
var _utils = require("../utils");
var _create_or_update_index = require("../../utils/create_or_update_index");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const createEntityIndex = async ({
  entityType,
  esClient,
  namespace,
  logger
}) => {
  await (0, _create_or_update_index.createOrUpdateIndex)({
    esClient,
    logger,
    options: {
      index: (0, _utils.getEntitiesIndexName)(entityType, namespace)
    }
  });
};
exports.createEntityIndex = createEntityIndex;
const deleteEntityIndex = ({
  entityType,
  esClient,
  namespace
}) => esClient.indices.delete({
  index: (0, _utils.getEntitiesIndexName)(entityType, namespace)
}, {
  ignore: [404]
});
exports.deleteEntityIndex = deleteEntityIndex;