"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.retentionDefinitionToIngestProcessorSteps = void 0;
var _field_retention_definition = require("../../field_retention_definition");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Converts a field retention definition to the ingest processor steps
 * required to apply the field retention policy.
 */
const retentionDefinitionToIngestProcessorSteps = (fieldRetentionDefinition, options) => {
  return fieldRetentionDefinition.fields.map(field => (0, _field_retention_definition.fieldOperatorToIngestProcessor)(field, options));
};
exports.retentionDefinitionToIngestProcessorSteps = retentionDefinitionToIngestProcessorSteps;