"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getEntityEngineStatsRoute = void 0;
var _utils = require("@kbn/lists-plugin/server/routes/utils");
var _securitysolutionEsUtils = require("@kbn/securitysolution-es-utils");
var _zodHelpers = require("@kbn/zod-helpers");
var _stats = require("../../../../../common/api/entity_analytics/entity_store/engine/stats.gen");
var _constants = require("../../../../../common/constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getEntityEngineStatsRoute = (router, logger) => {
  router.versioned.post({
    access: 'public',
    path: '/api/entity_store/engines/{entityType}/stats',
    security: {
      authz: {
        requiredPrivileges: ['securitySolution', `${_constants.APP_ID}-entity-analytics`]
      }
    }
  }).addVersion({
    version: _constants.API_VERSIONS.public.v1,
    validate: {
      request: {
        params: (0, _zodHelpers.buildRouteValidationWithZod)(_stats.GetEntityEngineStatsRequestParams)
      }
    }
  }, async (context, request, response) => {
    const siemResponse = (0, _utils.buildSiemResponse)(response);
    try {
      // TODO
      throw new Error('Not implemented');

      // return response.ok({ body });
    } catch (e) {
      logger.error('Error in GetEntityEngineStats:', e);
      const error = (0, _securitysolutionEsUtils.transformError)(e);
      return siemResponse.error({
        statusCode: error.statusCode,
        body: error.message
      });
    }
  });
};
exports.getEntityEngineStatsRoute = getEntityEngineStatsRoute;