"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCommonUnitedFieldDefinitions = void 0;
var _utils = require("../../utils");
var _definition_utils = require("../definition_utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getCommonUnitedFieldDefinitions = ({
  entityType,
  fieldHistoryLength
}) => {
  const identityField = (0, _utils.getIdentityFieldForEntityType)(entityType);
  return [(0, _definition_utils.oldestValue)({
    sourceField: '_index',
    field: 'entity.source'
  }), (0, _definition_utils.newestValue)({
    field: 'asset.criticality'
  }), (0, _definition_utils.newestValue)({
    field: `${entityType}.risk.calculated_level`
  }), (0, _definition_utils.newestValue)({
    field: `${entityType}.risk.calculated_score`,
    mapping: {
      type: 'float'
    }
  }), (0, _definition_utils.newestValue)({
    field: `${entityType}.risk.calculated_score_norm`,
    mapping: {
      type: 'float'
    }
  }), {
    field: identityField
  }];
};
exports.getCommonUnitedFieldDefinitions = getCommonUnitedFieldDefinitions;