"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getHostUnitedDefinition = exports.HOST_DEFINITION_VERSION = void 0;
var _definition_utils = require("../definition_utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const HOST_DEFINITION_VERSION = exports.HOST_DEFINITION_VERSION = '1.0.0';
const getHostUnitedDefinition = fieldHistoryLength => {
  const collect = (0, _definition_utils.collectValuesWithLength)(fieldHistoryLength);
  return {
    entityType: 'host',
    version: HOST_DEFINITION_VERSION,
    fields: [collect({
      field: 'host.domain'
    }), collect({
      field: 'host.hostname'
    }), collect({
      field: 'host.id'
    }), collect({
      field: 'host.os.name',
      mapping: {
        type: 'keyword',
        fields: {
          text: {
            type: 'match_only_text'
          }
        }
      }
    }), collect({
      field: 'host.os.type'
    }), collect({
      field: 'host.ip',
      mapping: {
        type: 'ip'
      }
    }), collect({
      field: 'host.mac'
    }), collect({
      field: 'host.type'
    }), collect({
      field: 'host.architecture'
    })]
  };
};
exports.getHostUnitedDefinition = getHostUnitedDefinition;