"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getUserUnitedDefinition = exports.USER_DEFINITION_VERSION = void 0;
var _definition_utils = require("../definition_utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const USER_DEFINITION_VERSION = exports.USER_DEFINITION_VERSION = '1.0.0';
const getUserUnitedDefinition = fieldHistoryLength => {
  const collect = (0, _definition_utils.collectValuesWithLength)(fieldHistoryLength);
  return {
    entityType: 'user',
    version: USER_DEFINITION_VERSION,
    fields: [collect({
      field: 'user.domain'
    }), collect({
      field: 'user.email'
    }), collect({
      field: 'user.full_name',
      mapping: {
        type: 'keyword',
        fields: {
          text: {
            type: 'match_only_text'
          }
        }
      }
    }), collect({
      field: 'user.hash'
    }), collect({
      field: 'user.id'
    }), collect({
      field: 'user.roles'
    })]
  };
};
exports.getUserUnitedDefinition = getUserUnitedDefinition;