"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.registerSiemRuleMigrationsRoutes = void 0;
var _create = require("./create");
var _update = require("./update");
var _get = require("./get");
var _start = require("./start");
var _stats = require("./stats");
var _stop = require("./stop");
var _stats_all = require("./stats_all");
var _upsert = require("./resources/upsert");
var _get2 = require("./resources/get");
var _retry = require("./retry");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const registerSiemRuleMigrationsRoutes = (router, logger) => {
  (0, _create.registerSiemRuleMigrationsCreateRoute)(router, logger);
  (0, _update.registerSiemRuleMigrationsUpdateRoute)(router, logger);
  (0, _stats_all.registerSiemRuleMigrationsStatsAllRoute)(router, logger);
  (0, _get.registerSiemRuleMigrationsGetRoute)(router, logger);
  (0, _start.registerSiemRuleMigrationsStartRoute)(router, logger);
  (0, _retry.registerSiemRuleMigrationsRetryRoute)(router, logger);
  (0, _stats.registerSiemRuleMigrationsStatsRoute)(router, logger);
  (0, _stop.registerSiemRuleMigrationsStopRoute)(router, logger);
  (0, _upsert.registerSiemRuleMigrationsResourceUpsertRoute)(router, logger);
  (0, _get2.registerSiemRuleMigrationsResourceGetRoute)(router, logger);
};
exports.registerSiemRuleMigrationsRoutes = registerSiemRuleMigrationsRoutes;