"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RuleMigrationsDataBaseClient = void 0;
var _assert = _interopRequireDefault(require("assert"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class RuleMigrationsDataBaseClient {
  constructor(getIndexName, username, esClient, logger) {
    this.getIndexName = getIndexName;
    this.username = username;
    this.esClient = esClient;
    this.logger = logger;
  }
  processResponseHits(response, override) {
    return this.processHits(response.hits.hits, override);
  }
  processHits(hits = [], override = {}) {
    return hits.map(({
      _id,
      _source
    }) => {
      (0, _assert.default)(_id, 'document should have _id');
      (0, _assert.default)(_source, 'document should have _source');
      return {
        ..._source,
        ...override,
        id: _id
      };
    });
  }
  getTotalHits(response) {
    var _response$hits$total$, _response$hits$total;
    return typeof response.hits.total === 'number' ? response.hits.total : (_response$hits$total$ = (_response$hits$total = response.hits.total) === null || _response$hits$total === void 0 ? void 0 : _response$hits$total.value) !== null && _response$hits$total$ !== void 0 ? _response$hits$total$ : 0;
  }
}
exports.RuleMigrationsDataBaseClient = RuleMigrationsDataBaseClient;