"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getEsqlKnowledgeBase = void 0;
var _server = require("@kbn/inference-plugin/server");
var _rxjs = require("rxjs");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getEsqlKnowledgeBase = ({
  inferenceClient: client,
  connectorId,
  logger
}) => async input => {
  const {
    content
  } = await (0, _rxjs.lastValueFrom)((0, _server.naturalLanguageToEsql)({
    client,
    connectorId,
    input,
    logger: {
      debug: source => {
        logger.debug(typeof source === 'function' ? source() : source);
      }
    }
  }));
  return content;
};
exports.getEsqlKnowledgeBase = getEsqlKnowledgeBase;