"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SiemMigrationsService = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _rxjs = require("rxjs");
var _siem_rule_migrations_service = require("./rules/siem_rule_migrations_service");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class SiemMigrationsService {
  constructor(config, logger, kibanaVersion) {
    (0, _defineProperty2.default)(this, "pluginStop$", void 0);
    (0, _defineProperty2.default)(this, "rules", void 0);
    this.config = config;
    this.pluginStop$ = new _rxjs.ReplaySubject(1);
    this.rules = new _siem_rule_migrations_service.SiemRuleMigrationsService(logger, kibanaVersion);
  }
  setup(params) {
    if (this.config.experimentalFeatures.siemMigrationsEnabled) {
      this.rules.setup({
        ...params,
        pluginStop$: this.pluginStop$
      });
    }
  }
  createRulesClient(params) {
    return this.rules.createClient(params);
  }
  stop() {
    this.rules.stop();
    this.pluginStop$.next();
    this.pluginStop$.complete();
  }
}
exports.SiemMigrationsService = SiemMigrationsService;