"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UPGRADE_PRODUCT_MESSAGE = exports.TIER_REQUIRED = exports.IntegrationsAssistant = exports.CONTACT_ADMINISTRATOR = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _use_product_type_by_pli = require("../../hooks/use_product_type_by_pli");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const UPGRADE_PRODUCT_MESSAGE = requiredProductType => _i18n.i18n.translate('xpack.securitySolutionServerless.upselling.integrationAssistant.upgradeProductMessage', {
  defaultMessage: 'To turn on the Integration Assistant feature, you must upgrade the product tier to {requiredProductType}',
  values: {
    requiredProductType
  }
});
exports.UPGRADE_PRODUCT_MESSAGE = UPGRADE_PRODUCT_MESSAGE;
const TIER_REQUIRED = requiredProductType => _i18n.i18n.translate('xpack.securitySolutionServerless.upselling.integrationAssistant.tierRequired', {
  defaultMessage: '{requiredProductType} tier required',
  values: {
    requiredProductType
  }
});
exports.TIER_REQUIRED = TIER_REQUIRED;
const CONTACT_ADMINISTRATOR = exports.CONTACT_ADMINISTRATOR = _i18n.i18n.translate('xpack.securitySolutionServerless.upselling.integrationAssistant.contactAdministrator', {
  defaultMessage: 'Contact your administrator for assistance.'
});
const IntegrationsAssistant = exports.IntegrationsAssistant = /*#__PURE__*/_react.default.memo(({
  requiredPLI
}) => {
  const requiredProductType = (0, _use_product_type_by_pli.useProductTypeByPLI)(requiredPLI);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiCard, {
    "data-test-subj": 'EnterpriseLicenseRequiredCard',
    betaBadgeProps: {
      label: requiredProductType
    },
    isDisabled: true,
    icon: /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
      size: "xl",
      type: "lock"
    }),
    title: /*#__PURE__*/_react.default.createElement("h3", null, /*#__PURE__*/_react.default.createElement("strong", null, TIER_REQUIRED(requiredProductType))),
    description: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    className: "lockedCardDescription",
    direction: "column",
    justifyContent: "center"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "s"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiText, null, /*#__PURE__*/_react.default.createElement("h4", null, /*#__PURE__*/_react.default.createElement(_eui.EuiTextColor, {
    color: "subdued"
  }, UPGRADE_PRODUCT_MESSAGE(requiredProductType))))), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiText, null, CONTACT_ADMINISTRATOR)))));
});
IntegrationsAssistant.displayName = 'IntegrationsAssistant';