"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CreateEndpointListItemResponse = exports.CreateEndpointListItemRequestBody = void 0;
var _zod = require("@kbn/zod");
var _exception_list_common = require("@kbn/securitysolution-exceptions-common/api/model/exception_list_common.gen");
var _exception_list_item_entry = require("@kbn/securitysolution-exceptions-common/api/model/exception_list_item_entry.gen");
var _endpoint_list_common = require("../model/endpoint_list_common.gen");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Create endpoint list item API endpoint
 *   version: 2023-10-31
 */

const CreateEndpointListItemRequestBody = exports.CreateEndpointListItemRequestBody = _zod.z.object({
  item_id: _exception_list_common.ExceptionListItemHumanId.optional(),
  type: _exception_list_common.ExceptionListItemType,
  name: _exception_list_common.ExceptionListItemName,
  description: _exception_list_common.ExceptionListItemDescription,
  entries: _exception_list_item_entry.ExceptionListItemEntryArray,
  os_types: _exception_list_common.ExceptionListItemOsTypeArray.optional().default([]),
  tags: _exception_list_common.ExceptionListItemTags.optional().default([]),
  meta: _exception_list_common.ExceptionListItemMeta.optional(),
  comments: _exception_list_common.ExceptionListItemCommentArray.optional().default([])
});
const CreateEndpointListItemResponse = exports.CreateEndpointListItemResponse = _endpoint_list_common.EndpointListItem;