"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RuleId = exports.CreateRuleExceptionListItemsResponse = exports.CreateRuleExceptionListItemsRequestParams = exports.CreateRuleExceptionListItemsRequestBody = exports.CreateRuleExceptionListItemProps = exports.CreateRuleExceptionListItemCommentArray = exports.CreateRuleExceptionListItemComment = void 0;
var _zod = require("@kbn/zod");
var _primitives = require("@kbn/openapi-common/schemas/primitives.gen");
var _exception_list_common = require("../model/exception_list_common.gen");
var _exception_list_item_entry = require("../model/exception_list_item_entry.gen");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Create rule exception list items API endpoint
 *   version: 2023-10-31
 */

const RuleId = exports.RuleId = _primitives.UUID;
const CreateRuleExceptionListItemComment = exports.CreateRuleExceptionListItemComment = _zod.z.object({
  comment: _primitives.NonEmptyString
});
const CreateRuleExceptionListItemCommentArray = exports.CreateRuleExceptionListItemCommentArray = _zod.z.array(CreateRuleExceptionListItemComment);
const CreateRuleExceptionListItemProps = exports.CreateRuleExceptionListItemProps = _zod.z.object({
  item_id: _exception_list_common.ExceptionListItemHumanId.optional(),
  type: _exception_list_common.ExceptionListItemType,
  name: _exception_list_common.ExceptionListItemName,
  description: _exception_list_common.ExceptionListItemDescription,
  entries: _exception_list_item_entry.ExceptionListItemEntryArray,
  namespace_type: _exception_list_common.ExceptionNamespaceType.optional().default('single'),
  os_types: _exception_list_common.ExceptionListItemOsTypeArray.optional().default([]),
  tags: _exception_list_common.ExceptionListItemTags.optional().default([]),
  meta: _exception_list_common.ExceptionListItemMeta.optional(),
  expire_time: _zod.z.string().datetime().optional(),
  comments: CreateRuleExceptionListItemCommentArray.optional().default([])
});
const CreateRuleExceptionListItemsRequestParams = exports.CreateRuleExceptionListItemsRequestParams = _zod.z.object({
  /**
   * Detection rule's identifier
   */
  id: RuleId
});
const CreateRuleExceptionListItemsRequestBody = exports.CreateRuleExceptionListItemsRequestBody = _zod.z.object({
  items: _zod.z.array(CreateRuleExceptionListItemProps)
});
const CreateRuleExceptionListItemsResponse = exports.CreateRuleExceptionListItemsResponse = _zod.z.array(_exception_list_common.ExceptionListItem);