"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UpdateExceptionListItemResponse = exports.UpdateExceptionListItemRequestBody = exports.UpdateExceptionListItemCommentArray = exports.UpdateExceptionListItemComment = void 0;
var _zod = require("@kbn/zod");
var _primitives = require("@kbn/openapi-common/schemas/primitives.gen");
var _exception_list_common = require("../model/exception_list_common.gen");
var _exception_list_item_entry = require("../model/exception_list_item_entry.gen");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Update exception list item API endpoint
 *   version: 2023-10-31
 */

const UpdateExceptionListItemComment = exports.UpdateExceptionListItemComment = _zod.z.object({
  id: _primitives.NonEmptyString.optional(),
  comment: _primitives.NonEmptyString
});
const UpdateExceptionListItemCommentArray = exports.UpdateExceptionListItemCommentArray = _zod.z.array(UpdateExceptionListItemComment);
const UpdateExceptionListItemRequestBody = exports.UpdateExceptionListItemRequestBody = _zod.z.object({
  /**
   * Either `id` or `item_id` must be specified
   */
  id: _exception_list_common.ExceptionListItemId.optional(),
  /**
   * Either `id` or `item_id` must be specified
   */
  item_id: _exception_list_common.ExceptionListItemHumanId.optional(),
  list_id: _exception_list_common.ExceptionListHumanId.optional(),
  type: _exception_list_common.ExceptionListItemType,
  name: _exception_list_common.ExceptionListItemName,
  description: _exception_list_common.ExceptionListItemDescription,
  entries: _exception_list_item_entry.ExceptionListItemEntryArray,
  namespace_type: _exception_list_common.ExceptionNamespaceType.optional().default('single'),
  os_types: _exception_list_common.ExceptionListItemOsTypeArray.optional().default([]),
  tags: _exception_list_common.ExceptionListItemTags.optional(),
  meta: _exception_list_common.ExceptionListItemMeta.optional(),
  expire_time: _zod.z.string().datetime().optional(),
  comments: UpdateExceptionListItemCommentArray.optional().default([]),
  _version: _zod.z.string().optional()
});
const UpdateExceptionListItemResponse = exports.UpdateExceptionListItemResponse = _exception_list_common.ExceptionListItem;