"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RuleActionSummary = exports.RuleActionNotifyWhen = exports.RuleActionFrequency = void 0;
var t = _interopRequireWildcard(require("io-ts"));
var _throttle = require("../throttle");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

/**
 * Action summary indicates whether we will send a summary notification about all the generate alerts or notification per individual alert
 */

const RuleActionSummary = exports.RuleActionSummary = t.boolean;

/**
 * The condition for throttling the notification: `onActionGroupChange`, `onActiveAlert`,  or `onThrottleInterval`
 */

const RuleActionNotifyWhen = exports.RuleActionNotifyWhen = t.union([t.literal('onActionGroupChange'), t.literal('onActiveAlert'), t.literal('onThrottleInterval')]);

/**
 * The action frequency defines when the action runs (for example, only on rule execution or at specific time intervals).
 */

const RuleActionFrequency = exports.RuleActionFrequency = t.type({
  summary: RuleActionSummary,
  notifyWhen: RuleActionNotifyWhen,
  throttle: t.union([_throttle.RuleActionThrottle, t.null])
});