"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.listItemSchema = exports.listItemArraySchema = void 0;
var t = _interopRequireWildcard(require("io-ts"));
var _underscore_version = require("../../common/underscore_version");
var _deserializer = require("../../common/deserializer");
var _meta = require("../../common/meta");
var _timestamp = require("../../common/timestamp");
var _serializer = require("../../common/serializer");
var _created_at = require("../../common/created_at");
var _created_by = require("../../common/created_by");
var _id = require("../../common/id");
var _tie_breaker_id = require("../../common/tie_breaker_id");
var _type = require("../../common/type");
var _updated_at = require("../../common/updated_at");
var _updated_by = require("../../common/updated_by");
var _list_id = require("../../common/list_id");
var _value = require("../../common/value");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const listItemSchema = exports.listItemSchema = t.exact(t.type({
  _version: _underscore_version._versionOrUndefined,
  '@timestamp': _timestamp.timestampOrUndefined,
  created_at: _created_at.created_at,
  created_by: _created_by.created_by,
  deserializer: _deserializer.deserializerOrUndefined,
  id: _id.id,
  list_id: _list_id.list_id,
  meta: _meta.metaOrUndefined,
  serializer: _serializer.serializerOrUndefined,
  tie_breaker_id: _tie_breaker_id.tie_breaker_id,
  type: _type.type,
  updated_at: _updated_at.updated_at,
  updated_by: _updated_by.updated_by,
  value: _value.value
}));
const listItemArraySchema = exports.listItemArraySchema = t.array(listItemSchema);