"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Client = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _coreHttpCommon = require("@kbn/core-http-common");
var _securitysolutionUtils = require("@kbn/securitysolution-utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Lists API client for quickstart
 *   version: Bundle (no version)
 */

class Client {
  constructor(options) {
    (0, _defineProperty2.default)(this, "kbnClient", void 0);
    (0, _defineProperty2.default)(this, "log", void 0);
    this.kbnClient = options.kbnClient;
    this.log = options.log;
  }
  async createList(props) {
    this.log.info(`${new Date().toISOString()} Calling API CreateList`);
    return this.kbnClient.request({
      path: '/api/lists',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'POST',
      body: props.body
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async createListIndex() {
    this.log.info(`${new Date().toISOString()} Calling API CreateListIndex`);
    return this.kbnClient.request({
      path: '/api/lists/index',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'POST'
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async createListItem(props) {
    this.log.info(`${new Date().toISOString()} Calling API CreateListItem`);
    return this.kbnClient.request({
      path: '/api/lists/items',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'POST',
      body: props.body
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async deleteList(props) {
    this.log.info(`${new Date().toISOString()} Calling API DeleteList`);
    return this.kbnClient.request({
      path: '/api/lists',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'DELETE',
      query: props.query
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async deleteListIndex() {
    this.log.info(`${new Date().toISOString()} Calling API DeleteListIndex`);
    return this.kbnClient.request({
      path: '/api/lists/index',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'DELETE'
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async deleteListItem(props) {
    this.log.info(`${new Date().toISOString()} Calling API DeleteListItem`);
    return this.kbnClient.request({
      path: '/api/lists/items',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'DELETE',
      query: props.query
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  /**
   * Exports list item values from the specified list
   */
  async exportListItems(props) {
    this.log.info(`${new Date().toISOString()} Calling API ExportListItems`);
    return this.kbnClient.request({
      path: '/api/lists/items/_export',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'POST',
      query: props.query
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async findListItems(props) {
    this.log.info(`${new Date().toISOString()} Calling API FindListItems`);
    return this.kbnClient.request({
      path: '/api/lists/items/_find',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'GET',
      query: props.query
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async findLists(props) {
    this.log.info(`${new Date().toISOString()} Calling API FindLists`);
    return this.kbnClient.request({
      path: '/api/lists/_find',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'GET',
      query: props.query
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  /**
    * Imports a list of items from a `.txt` or `.csv` file. The maximum file size is 9 million bytes.
  You can import items to a new or existing list.
     */
  async importListItems(props) {
    this.log.info(`${new Date().toISOString()} Calling API ImportListItems`);
    return this.kbnClient.request({
      path: '/api/lists/items/_import',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'POST',
      body: props.attachment,
      query: props.query
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async patchList(props) {
    this.log.info(`${new Date().toISOString()} Calling API PatchList`);
    return this.kbnClient.request({
      path: '/api/lists',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'PATCH',
      body: props.body
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async patchListItem(props) {
    this.log.info(`${new Date().toISOString()} Calling API PatchListItem`);
    return this.kbnClient.request({
      path: '/api/lists/items',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'PATCH',
      body: props.body
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async readList(props) {
    this.log.info(`${new Date().toISOString()} Calling API ReadList`);
    return this.kbnClient.request({
      path: '/api/lists',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'GET',
      query: props.query
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async readListIndex() {
    this.log.info(`${new Date().toISOString()} Calling API ReadListIndex`);
    return this.kbnClient.request({
      path: '/api/lists/index',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'GET'
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async readListItem(props) {
    this.log.info(`${new Date().toISOString()} Calling API ReadListItem`);
    return this.kbnClient.request({
      path: '/api/lists/items',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'GET',
      query: props.query
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async readListPrivileges() {
    this.log.info(`${new Date().toISOString()} Calling API ReadListPrivileges`);
    return this.kbnClient.request({
      path: '/api/lists/privileges',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'GET'
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async updateList(props) {
    this.log.info(`${new Date().toISOString()} Calling API UpdateList`);
    return this.kbnClient.request({
      path: '/api/lists',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'PUT',
      body: props.body
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
  async updateListItem(props) {
    this.log.info(`${new Date().toISOString()} Calling API UpdateListItem`);
    return this.kbnClient.request({
      path: '/api/lists/items',
      headers: {
        [_coreHttpCommon.ELASTIC_HTTP_VERSION_HEADER]: '2023-10-31'
      },
      method: 'PUT',
      body: props.body
    }).catch(_securitysolutionUtils.catchAxiosErrorFormatAndThrow);
  }
}
exports.Client = Client;