"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isAggregatingQuery = exports.computeIsESQLQueryAggregating = void 0;
var _esqlAst = require("@kbn/esql-ast");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const isAggregatingQuery = ast => {
  return ast.some(astItem => astItem.type === 'command' && astItem.name === 'stats');
};

/**
 * compute if esqlQuery is aggregating/grouping, i.e. using STATS...BY command
 * @param esqlQuery
 * @returns boolean
 */
exports.isAggregatingQuery = isAggregatingQuery;
const computeIsESQLQueryAggregating = esqlQuery => {
  const {
    ast
  } = (0, _esqlAst.getAstAndSyntaxErrors)(esqlQuery);
  return isAggregatingQuery(ast);
};
exports.computeIsESQLQueryAggregating = computeIsESQLQueryAggregating;