"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCreateApiKey = void 0;
var _reactQuery = require("@tanstack/react-query");
var _routes = require("../../../../common/routes");
var _use_kibana = require("../use_kibana");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const useCreateApiKey = () => {
  const {
    http
  } = (0, _use_kibana.useKibanaServices)();
  return (0, _reactQuery.useMutation)({
    mutationFn: async input => {
      const result = await http.post(_routes.CREATE_API_KEY_PATH, {
        body: JSON.stringify(input)
      });
      return result;
    }
  });
};
exports.useCreateApiKey = useCreateApiKey;