"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSLOSummarySettingsTemplate = void 0;
var _constants = require("../../../common/constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getSLOSummarySettingsTemplate = name => ({
  name,
  template: {
    settings: {
      auto_expand_replicas: '0-1',
      hidden: true
    }
  },
  _meta: {
    description: 'SLO summary settings template',
    version: _constants.SLO_RESOURCES_VERSION,
    managed: true,
    managed_by: 'observability'
  }
});
exports.getSLOSummarySettingsTemplate = getSLOSummarySettingsTemplate;