"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.observableIntoEventSourceStream = observableIntoEventSourceStream;
var _rxjs = require("rxjs");
var _stream = require("stream");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

function observableIntoEventSourceStream(source$) {
  const withSerializedEvents$ = source$.pipe((0, _rxjs.map)(event => {
    const {
      type,
      ...rest
    } = event;
    return `event: ${type}\ndata: ${JSON.stringify(rest)}\n\n`;
  }));
  const stream = new _stream.PassThrough();
  withSerializedEvents$.subscribe({
    next: line => {
      stream.write(line);
    },
    complete: () => {
      stream.end();
    },
    error: error => {
      stream.write(`event: error\ndata: ${JSON.stringify(error)}\n\n`);
      stream.end();
    }
  });
  return stream;
}