"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextEmbeddingResponseSchema = exports.TextEmbeddingParamsSchema = exports.StreamingResponseSchema = exports.SparseEmbeddingResponseSchema = exports.SparseEmbeddingParamsSchema = exports.SecretsSchema = exports.RerankResponseSchema = exports.RerankParamsSchema = exports.ConfigSchema = exports.ChatCompleteResponseSchema = exports.ChatCompleteParamsSchema = void 0;
var _configSchema = require("@kbn/config-schema");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ConfigSchema = exports.ConfigSchema = _configSchema.schema.object({
  provider: _configSchema.schema.string(),
  taskType: _configSchema.schema.string(),
  inferenceId: _configSchema.schema.string(),
  providerConfig: _configSchema.schema.object({}, {
    unknowns: 'allow',
    defaultValue: {}
  }),
  taskTypeConfig: _configSchema.schema.object({}, {
    unknowns: 'allow',
    defaultValue: {}
  })
});
const SecretsSchema = exports.SecretsSchema = _configSchema.schema.object({
  providerSecrets: _configSchema.schema.object({}, {
    unknowns: 'allow',
    defaultValue: {}
  })
});
const ChatCompleteParamsSchema = exports.ChatCompleteParamsSchema = _configSchema.schema.object({
  input: _configSchema.schema.string()
});
const ChatCompleteResponseSchema = exports.ChatCompleteResponseSchema = _configSchema.schema.arrayOf(_configSchema.schema.object({
  result: _configSchema.schema.string()
}), {
  defaultValue: []
});
const RerankParamsSchema = exports.RerankParamsSchema = _configSchema.schema.object({
  input: _configSchema.schema.arrayOf(_configSchema.schema.string(), {
    defaultValue: []
  }),
  query: _configSchema.schema.string()
});
const RerankResponseSchema = exports.RerankResponseSchema = _configSchema.schema.arrayOf(_configSchema.schema.object({
  text: _configSchema.schema.maybe(_configSchema.schema.string()),
  index: _configSchema.schema.number(),
  score: _configSchema.schema.number()
}), {
  defaultValue: []
});
const SparseEmbeddingParamsSchema = exports.SparseEmbeddingParamsSchema = _configSchema.schema.object({
  input: _configSchema.schema.string()
});
const SparseEmbeddingResponseSchema = exports.SparseEmbeddingResponseSchema = _configSchema.schema.arrayOf(_configSchema.schema.object({}, {
  unknowns: 'allow'
}), {
  defaultValue: []
});
const TextEmbeddingParamsSchema = exports.TextEmbeddingParamsSchema = _configSchema.schema.object({
  input: _configSchema.schema.string(),
  inputType: _configSchema.schema.string()
});
const TextEmbeddingResponseSchema = exports.TextEmbeddingResponseSchema = _configSchema.schema.arrayOf(_configSchema.schema.object({
  embedding: _configSchema.schema.arrayOf(_configSchema.schema.any(), {
    defaultValue: []
  })
}), {
  defaultValue: []
});
const StreamingResponseSchema = exports.StreamingResponseSchema = _configSchema.schema.stream();