"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _public = require("@kbn/triggers-actions-ui-plugin/public");
var _hook_form_lib = require("@kbn/es-ui-shared-plugin/static/forms/hook_form_lib");
var _dashboard_link = _interopRequireDefault(require("./dashboard_link"));
var _translations = require("./translations");
var _constants = require("./constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const GeminiConnectorFields = ({
  readOnly,
  isEdit
}) => {
  const [{
    id,
    name
  }] = (0, _hook_form_lib.useFormData)();
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_public.SimpleConnectorForm, {
    isEdit: isEdit,
    readOnly: readOnly,
    configFormSchema: _constants.geminiConfig,
    secretsFormSchema: _constants.geminiSecrets
  }), isEdit && /*#__PURE__*/_react.default.createElement(_dashboard_link.default, {
    connectorId: id,
    connectorName: name,
    selectedProvider: _translations.gemini
  }));
};

// eslint-disable-next-line import/no-default-export
exports.default = GeminiConnectorFields;
module.exports = exports.default;