"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _public = require("@kbn/triggers-actions-ui-plugin/public");
var _translations = require("./translations");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const configFormSchema = [{
  id: 'organisation',
  label: _translations.ORGANISATION_LABEL,
  isRequired: false,
  helpText: _translations.ORGANISATION_HELP_TEXT
}, {
  id: 'url',
  label: _translations.URL_LABEL,
  isUrlField: true
}];
const secretsFormSchema = [{
  id: 'apiKey',
  label: _translations.API_KEY_LABEL,
  isPasswordField: true
}];
const TheHiveConnectorFields = ({
  readOnly,
  isEdit
}) => {
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_public.SimpleConnectorForm, {
    isEdit: isEdit,
    readOnly: readOnly,
    configFormSchema: configFormSchema,
    secretsFormSchema: secretsFormSchema
  }));
};

// eslint-disable-next-line import/no-default-export
exports.default = TheHiveConnectorFields;
module.exports = exports.default;