"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TheHiveParamsAlertFields = void 0;
var _react = _interopRequireWildcard(require("react"));
var _public = require("@kbn/triggers-actions-ui-plugin/public");
var _eui = require("@elastic/eui");
var _constants = require("./constants");
var translations = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const TheHiveParamsAlertFields = ({
  actionParams,
  editAction,
  index,
  errors,
  messageVariables
}) => {
  var _alert$severity, _alert$tlp, _alert$tags$map, _alert$tags, _alert$title, _alert$description, _alert$type, _alert$source, _alert$sourceRef;
  const alert = (0, _react.useMemo)(() => {
    var _ref;
    return (_ref = actionParams.subActionParams) !== null && _ref !== void 0 ? _ref : {
      tlp: 2,
      severity: 2,
      tags: []
    };
  }, [actionParams.subActionParams]);
  const [severity, setSeverity] = (0, _react.useState)((_alert$severity = alert.severity) !== null && _alert$severity !== void 0 ? _alert$severity : _constants.severityOptions[1].value);
  const [tlp, setTlp] = (0, _react.useState)((_alert$tlp = alert.tlp) !== null && _alert$tlp !== void 0 ? _alert$tlp : _constants.tlpOptions[2].value);
  const [selectedOptions, setSelected] = (0, _react.useState)((_alert$tags$map = (_alert$tags = alert.tags) === null || _alert$tags === void 0 ? void 0 : _alert$tags.map(tag => ({
    label: tag
  }))) !== null && _alert$tags$map !== void 0 ? _alert$tags$map : []);
  const onCreateOption = searchValue => {
    var _alert$tags2;
    setSelected([...selectedOptions, {
      label: searchValue
    }]);
    editAction('subActionParams', {
      ...alert,
      tags: [...((_alert$tags2 = alert.tags) !== null && _alert$tags2 !== void 0 ? _alert$tags2 : []), searchValue]
    }, index);
  };
  const onChange = selectedOptionList => {
    setSelected(selectedOptionList);
    editAction('subActionParams', {
      ...alert,
      tags: selectedOptionList.map(option => option.label)
    }, index);
  };
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_public.TextFieldWithMessageVariables, {
    index: index,
    editAction: (key, value) => {
      editAction('subActionParams', {
        ...alert,
        [key]: value
      }, index);
    },
    messageVariables: messageVariables,
    paramsProperty: 'title',
    inputTargetValue: (_alert$title = alert.title) !== null && _alert$title !== void 0 ? _alert$title : undefined,
    wrapField: true,
    formRowProps: {
      label: translations.TITLE_LABEL,
      fullWidth: true,
      helpText: '',
      isInvalid: errors['createAlertParam.title'] !== undefined && Number(errors['createAlertParam.title'].length) > 0 && alert.title !== undefined,
      error: errors['createAlertParam.title']
    },
    errors: errors['createAlertParam.title']
  }), /*#__PURE__*/_react.default.createElement(_public.TextAreaWithMessageVariables, {
    index: index,
    label: translations.DESCRIPTION_LABEL,
    editAction: (key, value) => {
      editAction('subActionParams', {
        ...alert,
        [key]: value
      }, index);
    },
    messageVariables: messageVariables,
    paramsProperty: 'description',
    inputTargetValue: (_alert$description = alert.description) !== null && _alert$description !== void 0 ? _alert$description : undefined,
    errors: errors['createAlertParam.description']
  }), /*#__PURE__*/_react.default.createElement(_public.TextFieldWithMessageVariables, {
    index: index,
    editAction: (key, value) => {
      editAction('subActionParams', {
        ...alert,
        [key]: value
      }, index);
    },
    paramsProperty: 'type',
    inputTargetValue: (_alert$type = alert.type) !== null && _alert$type !== void 0 ? _alert$type : undefined,
    wrapField: true,
    formRowProps: {
      label: translations.TYPE_LABEL,
      fullWidth: true,
      helpText: '',
      isInvalid: errors['createAlertParam.type'] !== undefined && Number(errors['createAlertParam.type'].length) > 0 && alert.type !== undefined,
      error: errors['createAlertParam.type']
    },
    errors: errors['createAlertParam.type']
  }), /*#__PURE__*/_react.default.createElement(_public.TextFieldWithMessageVariables, {
    index: index,
    editAction: (key, value) => {
      editAction('subActionParams', {
        ...alert,
        [key]: value
      }, index);
    },
    paramsProperty: 'source',
    inputTargetValue: (_alert$source = alert.source) !== null && _alert$source !== void 0 ? _alert$source : undefined,
    wrapField: true,
    formRowProps: {
      label: translations.SOURCE_LABEL,
      fullWidth: true,
      helpText: '',
      isInvalid: errors['createAlertParam.source'] !== undefined && Number(errors['createAlertParam.source'].length) > 0 && alert.source !== undefined,
      error: errors['createAlertParam.source']
    },
    errors: errors['createAlertParam.source']
  }), /*#__PURE__*/_react.default.createElement(_public.TextFieldWithMessageVariables, {
    index: index,
    editAction: (key, value) => {
      editAction('subActionParams', {
        ...alert,
        [key]: value
      }, index);
    },
    messageVariables: messageVariables,
    paramsProperty: 'sourceRef',
    inputTargetValue: (_alert$sourceRef = alert.sourceRef) !== null && _alert$sourceRef !== void 0 ? _alert$sourceRef : undefined,
    wrapField: true,
    formRowProps: {
      label: translations.SOURCE_REF_LABEL,
      fullWidth: true,
      helpText: '',
      isInvalid: errors['createAlertParam.sourceRef'] !== undefined && Number(errors['createAlertParam.sourceRef'].length) > 0 && alert.sourceRef !== undefined,
      error: errors['createAlertParam.sourceRef']
    },
    errors: errors['createAlertParam.sourceRef']
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiFormRow, {
    fullWidth: true,
    label: translations.SEVERITY_LABEL
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiSelect, {
    fullWidth: true,
    "data-test-subj": "severitySelectInput",
    value: severity,
    options: _constants.severityOptions,
    onChange: e => {
      editAction('subActionParams', {
        ...alert,
        severity: parseInt(e.target.value, 10)
      }, index);
      setSeverity(parseInt(e.target.value, 10));
    }
  })), /*#__PURE__*/_react.default.createElement(_eui.EuiFormRow, {
    fullWidth: true,
    label: translations.TLP_LABEL
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiSelect, {
    fullWidth: true,
    "data-test-subj": "tlpSelectInput",
    value: tlp,
    options: _constants.tlpOptions,
    onChange: e => {
      editAction('subActionParams', {
        ...alert,
        tlp: parseInt(e.target.value, 10)
      }, index);
      setTlp(parseInt(e.target.value, 10));
    }
  })), /*#__PURE__*/_react.default.createElement(_eui.EuiFormRow, {
    fullWidth: true,
    label: translations.TAGS_LABEL
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiComboBox, {
    "data-test-subj": "tagsInput",
    fullWidth: true,
    selectedOptions: selectedOptions,
    onCreateOption: onCreateOption,
    onChange: onChange,
    noSuggestions: true
  })));
};
exports.TheHiveParamsAlertFields = TheHiveParamsAlertFields;