"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.URL_LABEL = exports.TYPE_REQUIRED = exports.TYPE_LABEL = exports.TLP_LABEL = exports.TITLE_REQUIRED = exports.TITLE_LABEL = exports.TAGS_LABEL = exports.SOURCE_REQUIRED = exports.SOURCE_REF_REQUIRED = exports.SOURCE_REF_LABEL = exports.SOURCE_LABEL = exports.SEVERITY_LABEL = exports.ORGANISATION_LABEL = exports.ORGANISATION_HELP_TEXT = exports.EVENT_ACTION_LABEL = exports.DESCRIPTION_REQUIRED = exports.DESCRIPTION_LABEL = exports.COMMENTS_LABEL = exports.API_KEY_LABEL = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const URL_LABEL = exports.URL_LABEL = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.urlFieldLabel', {
  defaultMessage: 'URL'
});
const ORGANISATION_LABEL = exports.ORGANISATION_LABEL = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.organisationFieldLabel', {
  defaultMessage: 'Organisation'
});
const ORGANISATION_HELP_TEXT = exports.ORGANISATION_HELP_TEXT = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.organisationFieldHelpText', {
  defaultMessage: 'By default, it uses the default organisation of the API key owner.'
});
const API_KEY_LABEL = exports.API_KEY_LABEL = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.apiKeyFieldLabel', {
  defaultMessage: 'API key'
});
const EVENT_ACTION_LABEL = exports.EVENT_ACTION_LABEL = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.eventActionSelectFieldLabel', {
  defaultMessage: 'Event action'
});
const TITLE_LABEL = exports.TITLE_LABEL = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.titleFieldLabel', {
  defaultMessage: 'Title'
});
const DESCRIPTION_LABEL = exports.DESCRIPTION_LABEL = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.descriptionFieldLabel', {
  defaultMessage: 'Description'
});
const TLP_LABEL = exports.TLP_LABEL = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.tlpSelectFieldLabel', {
  defaultMessage: 'TLP'
});
const SEVERITY_LABEL = exports.SEVERITY_LABEL = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.severitySelectFieldLabel', {
  defaultMessage: 'Severity'
});
const TAGS_LABEL = exports.TAGS_LABEL = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.TagsMultiSelectFieldLabel', {
  defaultMessage: 'Tags'
});
const COMMENTS_LABEL = exports.COMMENTS_LABEL = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.commentsTextAreaFieldLabel', {
  defaultMessage: 'Additional comments'
});
const TYPE_LABEL = exports.TYPE_LABEL = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.typeFieldLabel', {
  defaultMessage: 'Type'
});
const SOURCE_LABEL = exports.SOURCE_LABEL = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.sourceFieldLabel', {
  defaultMessage: 'Source'
});
const SOURCE_REF_LABEL = exports.SOURCE_REF_LABEL = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.sourceRefFieldLabel', {
  defaultMessage: 'Source reference'
});
const TITLE_REQUIRED = exports.TITLE_REQUIRED = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.requiredTitleText', {
  defaultMessage: 'Title is required.'
});
const DESCRIPTION_REQUIRED = exports.DESCRIPTION_REQUIRED = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.requiredDescriptionText', {
  defaultMessage: 'Description is required.'
});
const TYPE_REQUIRED = exports.TYPE_REQUIRED = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.requiredTypeText', {
  defaultMessage: 'Type is required.'
});
const SOURCE_REQUIRED = exports.SOURCE_REQUIRED = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.requiredSourceText', {
  defaultMessage: 'Source is required.'
});
const SOURCE_REF_REQUIRED = exports.SOURCE_REF_REQUIRED = _i18n.i18n.translate('xpack.stackConnectors.components.thehive.requiredSourceRefText', {
  defaultMessage: 'Source reference is required.'
});