"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SyntheticsMonitorStatusAlertStateCodec = exports.SyntheticsCommonStateCodec = exports.StaleAlertStatusMetaDataCodec = exports.AlertStatusMetaDataCodec = exports.AlertStatusCodec = exports.AlertPendingStatusMetaDataCodec = void 0;
var t = _interopRequireWildcard(require("io-ts"));
var _synthetics_overview_status = require("../monitor_management/synthetics_overview_status");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const SyntheticsCommonStateCodec = exports.SyntheticsCommonStateCodec = t.intersection([t.partial({
  firstTriggeredAt: t.string,
  lastTriggeredAt: t.string,
  lastResolvedAt: t.string,
  meta: t.record(t.string, t.unknown),
  idWithLocation: t.string
}), t.type({
  firstCheckedAt: t.string,
  lastCheckedAt: t.string,
  isTriggered: t.boolean
})]);
const SyntheticsMonitorStatusAlertStateCodec = exports.SyntheticsMonitorStatusAlertStateCodec = t.type({});
const AlertStatusMetaDataCodec = exports.AlertStatusMetaDataCodec = t.interface({
  monitorQueryId: t.string,
  configId: t.string,
  status: t.string,
  locationId: t.string,
  timestamp: t.string,
  ping: _synthetics_overview_status.OverviewPingCodec,
  checks: t.type({
    downWithinXChecks: t.number,
    down: t.number
  })
});
const StaleAlertStatusMetaDataCodec = exports.StaleAlertStatusMetaDataCodec = t.intersection([AlertStatusMetaDataCodec, t.partial({
  isDeleted: t.boolean,
  isLocationRemoved: t.boolean
})]);
const AlertPendingStatusMetaDataCodec = exports.AlertPendingStatusMetaDataCodec = t.intersection([t.interface({
  monitorQueryId: t.string,
  configId: t.string,
  status: t.string,
  locationId: t.string
}), t.partial({
  timestamp: t.string,
  ping: _synthetics_overview_status.OverviewPingCodec
})]);
const AlertStatusCodec = exports.AlertStatusCodec = t.interface({
  upConfigs: t.record(t.string, AlertStatusMetaDataCodec),
  downConfigs: t.record(t.string, AlertStatusMetaDataCodec),
  pendingConfigs: t.record(t.string, AlertPendingStatusMetaDataCodec),
  enabledMonitorQueryIds: t.array(t.string),
  staleDownConfigs: t.record(t.string, StaleAlertStatusMetaDataCodec)
});