"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SyntheticsEmbeddableContext = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _history = require("history");
var _sharedUxRouter = require("@kbn/shared-ux-router");
var _synthetics_shared_context = require("../synthetics/contexts/synthetics_shared_context");
var _synthetics_embeddable_context = require("../synthetics/contexts/synthetics_embeddable_context");
var _render_app = require("../synthetics/render_app");
var _contexts = require("../synthetics/contexts");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const SyntheticsEmbeddableContext = ({
  reload$,
  children,
  reduxStore
}) => {
  const props = (0, _render_app.getSyntheticsAppProps)();
  return /*#__PURE__*/_react.default.createElement(_synthetics_shared_context.SyntheticsSharedContext, (0, _extends2.default)({}, props, {
    reload$: reload$,
    reduxStore: reduxStore
  }), /*#__PURE__*/_react.default.createElement(_synthetics_embeddable_context.SyntheticsEmbeddableStateContextProvider, null, /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Router, {
    history: (0, _history.createBrowserHistory)()
  }, /*#__PURE__*/_react.default.createElement(_contexts.SyntheticsSettingsContextProvider, props, children))));
};
exports.SyntheticsEmbeddableContext = SyntheticsEmbeddableContext;