"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ADD_SYNTHETICS_MONITORS_OVERVIEW_ACTION_ID = void 0;
exports.createMonitorsOverviewPanelAction = createMonitorsOverviewPanelAction;
var _i18n = require("@kbn/i18n");
var _presentationContainers = require("@kbn/presentation-containers");
var _public = require("@kbn/ui-actions-plugin/public");
var _common = require("@kbn/observability-shared-plugin/common");
var _constants = require("../constants");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; } /*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */
const ADD_SYNTHETICS_MONITORS_OVERVIEW_ACTION_ID = exports.ADD_SYNTHETICS_MONITORS_OVERVIEW_ACTION_ID = 'CREATE_SYNTHETICS_MONITORS_OVERVIEW_EMBEDDABLE';
function createMonitorsOverviewPanelAction(getStartServices) {
  return {
    id: ADD_SYNTHETICS_MONITORS_OVERVIEW_ACTION_ID,
    grouping: _common.COMMON_OBSERVABILITY_GROUPING,
    order: 5,
    getIconType: () => 'play',
    isCompatible: async ({
      embeddable
    }) => {
      return (0, _presentationContainers.apiIsPresentationContainer)(embeddable);
    },
    execute: async ({
      embeddable
    }) => {
      if (!(0, _presentationContainers.apiIsPresentationContainer)(embeddable)) throw new _public.IncompatibleActionError();
      const [coreStart, pluginStart] = await getStartServices();
      const {
        openMonitorConfiguration
      } = await Promise.resolve().then(() => _interopRequireWildcard(require('../common/monitors_open_configuration')));
      const initialState = await openMonitorConfiguration({
        coreStart,
        pluginStart,
        title: _i18n.i18n.translate('xpack.synthetics.editSyntheticsOverviewEmbeddableTitle.overview.title', {
          defaultMessage: 'Create monitors overview'
        })
      });
      try {
        embeddable.addNewPanel({
          panelType: _constants.SYNTHETICS_MONITORS_EMBEDDABLE,
          initialState
        });
      } catch (e) {
        return Promise.reject();
      }
    },
    getDisplayName: () => _i18n.i18n.translate('xpack.synthetics.syntheticsEmbeddable.monitors.ariaLabel', {
      defaultMessage: 'Monitors overview'
    })
  };
}