"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.registerSyntheticsUiActions = void 0;
var _src = require("@kbn/ui-actions-browser/src");
var _create_stats_overview_panel_action = require("./create_stats_overview_panel_action");
var _create_monitors_overview_panel_action = require("./create_monitors_overview_panel_action");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const registerSyntheticsUiActions = async (core, pluginsSetup) => {
  const {
    uiActions,
    cloud,
    serverless
  } = pluginsSetup;

  // Initialize actions
  const addStatsOverviewPanelAction = (0, _create_stats_overview_panel_action.createStatusOverviewPanelAction)(core.getStartServices);
  const addMonitorsOverviewPanelAction = (0, _create_monitors_overview_panel_action.createMonitorsOverviewPanelAction)(core.getStartServices);

  // Assign triggers
  // Only register these actions in stateful kibana, and the serverless observability project
  if (Boolean(serverless && (cloud === null || cloud === void 0 ? void 0 : cloud.serverless.projectType) === 'observability' || !serverless)) {
    uiActions.addTriggerAction(_src.ADD_PANEL_TRIGGER, addStatsOverviewPanelAction);
    uiActions.addTriggerAction(_src.ADD_PANEL_TRIGGER, addMonitorsOverviewPanelAction);
  }
};
exports.registerSyntheticsUiActions = registerSyntheticsUiActions;