"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AddToDashboard = void 0;
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _react = _interopRequireWildcard(require("react"));
var _public = require("@kbn/presentation-util-plugin/public");
var _public2 = require("@kbn/kibana-react-plugin/public");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const SavedObjectSaveModalDashboard = (0, _public.withSuspense)(_public.LazySavedObjectSaveModalDashboard);
const AddToDashboard = ({
  type,
  asButton = false
}) => {
  const [isPopoverOpen, setIsPopoverOpen] = _react.default.useState(false);
  const [isDashboardAttachmentReady, setDashboardAttachmentReady] = _react.default.useState(false);
  const closePopover = () => {
    setIsPopoverOpen(false);
  };
  const {
    embeddable
  } = (0, _public2.useKibana)().services;
  const handleAttachToDashboardSave = (0, _react.useCallback)(({
    dashboardId,
    newTitle,
    newDescription
  }) => {
    const stateTransfer = embeddable.getStateTransfer();
    const embeddableInput = {};
    const state = {
      input: embeddableInput,
      type
    };
    const path = dashboardId === 'new' ? '#/create' : `#/view/${dashboardId}`;
    stateTransfer.navigateToWithEmbeddablePackage('dashboards', {
      state,
      path
    });
  }, [embeddable, type]);
  const isSyntheticsApp = window.location.pathname.includes('/app/synthetics');
  if (!isSyntheticsApp) {
    return null;
  }
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, asButton ? /*#__PURE__*/_react.default.createElement(_eui.EuiButtonEmpty, {
    size: "xs",
    color: "primary",
    "data-test-subj": "syntheticsEmbeddablePanelWrapperButton",
    iconType: "dashboardApp",
    onClick: () => setDashboardAttachmentReady(true)
  }, _i18n.i18n.translate('xpack.synthetics.embeddablePanelWrapper.shareButtonLabel', {
    defaultMessage: 'Add to dashboard'
  })) : /*#__PURE__*/_react.default.createElement(_eui.EuiPopover, {
    button: /*#__PURE__*/_react.default.createElement(_eui.EuiButtonIcon, {
      color: "text",
      "data-test-subj": "syntheticsEmbeddablePanelWrapperButton",
      iconType: "boxesHorizontal",
      onClick: () => setIsPopoverOpen(!isPopoverOpen),
      "aria-label": _i18n.i18n.translate('xpack.synthetics.embeddablePanelWrapper.shareButtonAriaLabel', {
        defaultMessage: 'Add to dashboard'
      })
    }),
    isOpen: isPopoverOpen,
    closePopover: closePopover
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiContextMenuPanel, {
    size: "s",
    items: [/*#__PURE__*/_react.default.createElement(_eui.EuiContextMenuItem, {
      key: "share",
      icon: "dashboardApp",
      onClick: () => {
        setDashboardAttachmentReady(true);
        closePopover();
      }
    }, _i18n.i18n.translate('xpack.synthetics.embeddablePanelWrapper.shareContextMenuItemLabel', {
      defaultMessage: 'Add to dashboard'
    }))]
  })), isDashboardAttachmentReady ? /*#__PURE__*/_react.default.createElement(SavedObjectSaveModalDashboard, {
    objectType: _i18n.i18n.translate('xpack.synthetics.item.actions.addToDashboard.objectTypeLabel', {
      defaultMessage: 'Status Overview'
    }),
    documentInfo: {
      title: _i18n.i18n.translate('xpack.synthetics.item.actions.addToDashboard.attachmentTitle', {
        defaultMessage: 'Status Overview'
      })
    },
    canSaveByReference: false,
    onClose: () => {
      setDashboardAttachmentReady(false);
    },
    onSave: handleAttachToDashboardSave
  }) : null);
};
exports.AddToDashboard = AddToDashboard;