"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PanelWithTitle = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const PanelWithTitle = ({
  title,
  hasBorder = true,
  hasShadow = false,
  children,
  titleLeftAlign,
  margin,
  ...props
}) => {
  const {
    euiTheme
  } = (0, _eui.useEuiTheme)();
  return /*#__PURE__*/_react.default.createElement(_eui.EuiPanel, (0, _extends2.default)({
    hasBorder: hasBorder,
    hasShadow: hasShadow
  }, props), title && /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, {
    size: "xs"
  }, /*#__PURE__*/_react.default.createElement("h3", {
    css: {
      margin: margin !== null && margin !== void 0 ? margin : euiTheme.size.s,
      marginBottom: 0,
      ...(titleLeftAlign ? {
        marginLeft: 0
      } : {})
    }
  }, title)), children);
};
exports.PanelWithTitle = PanelWithTitle;