"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MonitorStatusLegend = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var labels = _interopRequireWildcard(require("./labels"));
var _monitor_status_data = require("./monitor_status_data");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const MonitorStatusLegend = ({
  brushable
}) => {
  const {
    euiTheme
  } = (0, _eui.useEuiTheme)();
  const LegendItem = (0, _react.useMemo)(() => {
    return ({
      color,
      label,
      iconType = 'dot'
    }) => /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
      css: {
        display: 'flex',
        flexDirection: 'row',
        gap: 2
      },
      grow: false
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
      type: iconType,
      color: color
    }), /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
      size: "xs"
    }, label));
  }, []);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    wrap: true,
    responsive: false
  }, /*#__PURE__*/_react.default.createElement(LegendItem, {
    color: _monitor_status_data.SUCCESS_VIZ_COLOR,
    label: labels.COMPLETE_LABEL
  }), /*#__PURE__*/_react.default.createElement(LegendItem, {
    color: _monitor_status_data.DANGER_VIZ_COLOR,
    label: labels.FAILED_LABEL
  }), /*#__PURE__*/_react.default.createElement(LegendItem, {
    color: (0, _monitor_status_data.getSkippedVizColor)(euiTheme),
    label: labels.SKIPPED_LABEL
  }), brushable ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    "aria-hidden": true,
    grow: true
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "xs",
    color: euiTheme.colors.subduedText
  }, labels.BRUSH_AREA_MESSAGE))) : null);
};
exports.MonitorStatusLegend = MonitorStatusLegend;