"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LocationsStatus = void 0;
var _react = _interopRequireDefault(require("react"));
var _location_status_badges = require("../../common/components/location_status_badges");
var _use_status_by_location = require("../../../hooks/use_status_by_location");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const LocationsStatus = ({
  configId,
  monitorLocations
}) => {
  const {
    locations,
    loading
  } = (0, _use_status_by_location.useStatusByLocation)({
    configId,
    monitorLocations
  });
  return /*#__PURE__*/_react.default.createElement(_location_status_badges.LocationStatusBadges, {
    configId: configId,
    locations: locations,
    loading: loading
  });
};
exports.LocationsStatus = LocationsStatus;