"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCanUsePublicLocById = void 0;
var _reactRedux = require("react-redux");
var _public = require("@kbn/kibana-react-plugin/public");
var _state = require("../../../state");
var _overview_status = require("../../../state/overview_status");
var _hooks = require("../../../hooks");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const useCanUsePublicLocById = configId => {
  var _allLocations$filter$, _useKibana$services$a, _useKibana$services, _useKibana$services$a2;
  const {
    allConfigs
  } = (0, _reactRedux.useSelector)(_overview_status.selectOverviewStatus);
  const {
    isServiceAllowed
  } = (0, _hooks.useEnablement)();
  const {
    locations: allLocations
  } = (0, _reactRedux.useSelector)(_state.selectServiceLocationsState);
  const listIds = (_allLocations$filter$ = allLocations === null || allLocations === void 0 ? void 0 : allLocations.filter(loc => loc.isServiceManaged).map(loc => loc.id)) !== null && _allLocations$filter$ !== void 0 ? _allLocations$filter$ : [];
  const hasManagedLocation = allConfigs === null || allConfigs === void 0 ? void 0 : allConfigs.filter(mon => mon.configId === configId && listIds.includes(mon.locationId));
  const canUsePublicLocations = (_useKibana$services$a = (_useKibana$services = (0, _public.useKibana)().services) === null || _useKibana$services === void 0 ? void 0 : (_useKibana$services$a2 = _useKibana$services.application) === null || _useKibana$services$a2 === void 0 ? void 0 : _useKibana$services$a2.capabilities.uptime.elasticManagedLocationsEnabled) !== null && _useKibana$services$a !== void 0 ? _useKibana$services$a : true;
  if (!isServiceAllowed) {
    return false;
  }
  return hasManagedLocation ? !!canUsePublicLocations : true;
};
exports.useCanUsePublicLocById = useCanUsePublicLocById;