"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getIndicesData = exports.getIlmPolicies = exports.getDslPolicies = void 0;
var _api_service = require("../../../../../utils/api_service");
var _constants = require("../../../../../../common/constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getIlmPolicies = async () => {
  return await _api_service.apiService.get('/api/index_lifecycle_management/policies');
};
exports.getIlmPolicies = getIlmPolicies;
const getDslPolicies = async () => {
  return _api_service.apiService.get('/api/index_management/data_streams', {
    includeStats: true
  }, undefined, {
    headers: {
      'X-Elastic-Internal-Origin': 'Kibana'
    }
  });
};
exports.getDslPolicies = getDslPolicies;
const getIndicesData = async () => {
  return await _api_service.apiService.get(_constants.SYNTHETICS_API_URLS.INDEX_SIZE);
};
exports.getIndicesData = getIndicesData;