"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SyntheticsSharedContext = void 0;
var _react = _interopRequireDefault(require("react"));
var _public = require("@kbn/kibana-react-plugin/public");
var _common = require("@kbn/kibana-react-plugin/common");
var _reactRedux = require("react-redux");
var _sharedUxLinkRedirectApp = require("@kbn/shared-ux-link-redirect-app");
var _synthetics_refresh_context = require("./synthetics_refresh_context");
var _synthetics_data_view_context = require("./synthetics_data_view_context");
var _state = require("../state");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const SyntheticsSharedContext = ({
  reduxStore,
  coreStart,
  setupPlugins,
  startPlugins,
  children,
  darkMode,
  reload$
}) => {
  return /*#__PURE__*/_react.default.createElement(_public.KibanaContextProvider, {
    services: {
      ...coreStart,
      ...setupPlugins,
      storage: _state.storage,
      data: startPlugins.data,
      inspector: startPlugins.inspector,
      triggersActionsUi: startPlugins.triggersActionsUi,
      observability: startPlugins.observability,
      observabilityShared: startPlugins.observabilityShared,
      observabilityAIAssistant: startPlugins.observabilityAIAssistant,
      exploratoryView: startPlugins.exploratoryView,
      cases: startPlugins.cases,
      spaces: startPlugins.spaces,
      fleet: startPlugins.fleet,
      share: startPlugins.share,
      unifiedSearch: startPlugins.unifiedSearch,
      embeddable: startPlugins.embeddable,
      slo: startPlugins.slo,
      serverless: startPlugins.serverless
    }
  }, /*#__PURE__*/_react.default.createElement(_common.EuiThemeProvider, {
    darkMode: darkMode
  }, /*#__PURE__*/_react.default.createElement(_reactRedux.Provider, {
    store: reduxStore !== null && reduxStore !== void 0 ? reduxStore : _state.store
  }, /*#__PURE__*/_react.default.createElement(_synthetics_refresh_context.SyntheticsRefreshContextProvider, {
    reload$: reload$
  }, /*#__PURE__*/_react.default.createElement(_synthetics_data_view_context.SyntheticsDataViewContextProvider, {
    dataViews: startPlugins.dataViews
  }, /*#__PURE__*/_react.default.createElement(_sharedUxLinkRedirectApp.RedirectAppLinks, {
    coreStart: {
      application: coreStart.application
    },
    style: {
      height: '100%'
    }
  }, children))))));
};
exports.SyntheticsSharedContext = SyntheticsSharedContext;