"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.taskModelVersions = void 0;
var _task = require("../schemas/task");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const taskModelVersions = exports.taskModelVersions = {
  '1': {
    changes: [{
      type: 'mappings_deprecation',
      deprecatedMappings: ['numSkippedRuns', 'interval']
    }],
    schemas: {
      forwardCompatibility: _task.taskSchemaV1.extends({}, {
        unknowns: 'ignore'
      }),
      create: _task.taskSchemaV1
    }
  },
  '2': {
    changes: [{
      type: 'mappings_addition',
      addedMappings: {
        partition: {
          type: 'integer'
        }
      }
    }],
    schemas: {
      forwardCompatibility: _task.taskSchemaV2.extends({}, {
        unknowns: 'ignore'
      }),
      create: _task.taskSchemaV2
    }
  }
};