"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EnterpriseGuard = void 0;
var _react = _interopRequireWildcard(require("react"));
var _paywall = require("../components/paywall");
var _use_security_context = require("../hooks/use_security_context");
var _security_solution_plugin_template_wrapper = require("./security_solution_plugin_template_wrapper");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const EnterpriseGuard = exports.EnterpriseGuard = /*#__PURE__*/(0, _react.memo)(({
  children
}) => {
  const {
    licenseService
  } = (0, _use_security_context.useSecurityContext)();
  if (licenseService.isEnterprise()) {
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, children);
  }
  return /*#__PURE__*/_react.default.createElement(_security_solution_plugin_template_wrapper.SecuritySolutionPluginTemplateWrapper, {
    isEmptyState: true,
    emptyPageBody: /*#__PURE__*/_react.default.createElement(_paywall.Paywall, null)
  });
});