"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TestProviders = void 0;
var _uiTheme = require("@kbn/ui-theme");
var _i18nReact = require("@kbn/i18n-react");
var _react = _interopRequireDefault(require("react"));
var _reactRedux = require("react-redux");
var _styledComponents = require("styled-components");
var _toolkit = require("@reduxjs/toolkit");
var _kibana_react = require("./kibana_react.mock");
var _reducer = require("../store/timeline/reducer");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const state = {
  timelineById: {
    test: {}
  }
};
window.scrollTo = jest.fn();
const MockKibanaContextProvider = (0, _kibana_react.createKibanaContextProviderMock)();

/** A utility for wrapping children in the providers required to run most tests */
const TestProvidersComponent = ({
  children,
  store = (0, _toolkit.configureStore)({
    preloadedState: state,
    reducer: _reducer.timelineReducer
  })
}) => /*#__PURE__*/_react.default.createElement(_i18nReact.I18nProvider, null, /*#__PURE__*/_react.default.createElement(MockKibanaContextProvider, null, /*#__PURE__*/_react.default.createElement(_reactRedux.Provider, {
  store: store
}, /*#__PURE__*/_react.default.createElement(_styledComponents.ThemeProvider, {
  theme: () => ({
    eui: _uiTheme.euiDarkVars,
    darkMode: true
  })
}, children))));
const TestProviders = exports.TestProviders = /*#__PURE__*/_react.default.memo(TestProvidersComponent);