"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RulesSettingsFlappingTitle = exports.RulesSettingsFlappingFormSection = exports.RulesSettingsFlappingDescription = void 0;
var _react = _interopRequireWildcard(require("react"));
var _i18nReact = require("@kbn/i18n-react");
var _eui = require("@elastic/eui");
var _rule_settings_flapping_inputs = require("@kbn/alerts-ui-shared/src/rule_settings/rule_settings_flapping_inputs");
var _rule_settings_flapping_message = require("@kbn/alerts-ui-shared/src/rule_settings/rule_settings_flapping_message");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const RulesSettingsFlappingTitle = () => {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, {
    size: "xs"
  }, /*#__PURE__*/_react.default.createElement("h5", null, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "xpack.triggersActionsUI.rulesSettings.flapping.alertFlappingDetection",
    defaultMessage: "Alert flapping detection"
  })));
};
exports.RulesSettingsFlappingTitle = RulesSettingsFlappingTitle;
const RulesSettingsFlappingDescription = () => {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    color: "subdued",
    size: "s"
  }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "xpack.triggersActionsUI.rulesSettings.flapping.alertFlappingDetectionDescription",
    defaultMessage: "Modify the frequency that an alert can go between active and recovered over a period of rule runs."
  }));
};
exports.RulesSettingsFlappingDescription = RulesSettingsFlappingDescription;
const RulesSettingsFlappingFormSection = exports.RulesSettingsFlappingFormSection = /*#__PURE__*/(0, _react.memo)(props => {
  const {
    flappingSettings,
    compressed = false,
    onChange,
    canWrite
  } = props;
  const {
    lookBackWindow,
    statusChangeThreshold
  } = flappingSettings;
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    direction: "column"
  }, compressed && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    direction: "column",
    gutterSize: "s"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(RulesSettingsFlappingTitle, null)), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(RulesSettingsFlappingDescription, null)), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "s"
  })))), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_rule_settings_flapping_inputs.RuleSettingsFlappingInputs, {
    lookBackWindow: lookBackWindow,
    statusChangeThreshold: statusChangeThreshold,
    isDisabled: !canWrite,
    onLookBackWindowChange: value => onChange('lookBackWindow', value),
    onStatusChangeThresholdChange: value => onChange('statusChangeThreshold', value)
  })), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiPanel, {
    borderRadius: "none",
    color: "subdued"
  }, /*#__PURE__*/_react.default.createElement(_rule_settings_flapping_message.RuleSettingsFlappingMessage, {
    lookBackWindow: lookBackWindow,
    statusChangeThreshold: statusChangeThreshold,
    isUsingRuleSpecificFlapping: false
  }))));
});