"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AlertCounts = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _ruleDataUtils = require("@kbn/rule-data-utils");
var _constants = require("./constants");
var _alert_item = require("./alert_item");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AlertCounts = ({
  activeAlertCount,
  recoveredAlertCount,
  handleClick
}) => {
  const {
    euiTheme
  } = (0, _eui.useEuiTheme)();
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    gutterSize: "l",
    responsive: false
  }, /*#__PURE__*/_react.default.createElement(_alert_item.AlertItem, {
    label: _constants.ALERTS_LABEL,
    count: activeAlertCount + recoveredAlertCount,
    color: _constants.ALL_ALERT_COLOR,
    "data-test-subj": _constants.TOTAL_ALERT_COUNT_DATA_TEST_SUBJ,
    handleClick: handleClick
  }), /*#__PURE__*/_react.default.createElement(_alert_item.AlertItem, {
    label: _constants.ACTIVE_NOW_LABEL,
    count: activeAlertCount,
    color: activeAlertCount > 0 ? euiTheme.colors.dangerText : euiTheme.colors.successText,
    alertType: _ruleDataUtils.ALERT_STATUS_ACTIVE,
    handleClick: handleClick,
    showWarningIcon: true,
    "data-test-subj": _constants.ACTIVE_ALERT_COUNT_DATA_TEST_SUBJ
  }));
};
exports.AlertCounts = AlertCounts;