"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.DefaultAlertActions = void 0;
var _react = _interopRequireDefault(require("react"));
var _view_rule_details_alert_action = require("./view_rule_details_alert_action");
var _view_alert_details_alert_action = require("./view_alert_details_alert_action");
var _mute_alert_action = require("./mute_alert_action");
var _mark_as_untracked_alert_action = require("./mark_as_untracked_alert_action");
var _use_load_rule_types_query = require("../../../hooks/use_load_rule_types_query");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Common alerts table row actions
 */
const DefaultAlertActions = props => {
  const {
    authorizedToCreateAnyRules
  } = (0, _use_load_rule_types_query.useLoadRuleTypesQuery)({
    filteredRuleTypes: []
  });
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_view_rule_details_alert_action.ViewRuleDetailsAlertAction, props), /*#__PURE__*/_react.default.createElement(_view_alert_details_alert_action.ViewAlertDetailsAlertAction, props), authorizedToCreateAnyRules && /*#__PURE__*/_react.default.createElement(_mark_as_untracked_alert_action.MarkAsUntrackedAlertAction, props), authorizedToCreateAnyRules && /*#__PURE__*/_react.default.createElement(_mute_alert_action.MuteAlertAction, props));
};

// eslint-disable-next-line import/no-default-export
exports.default = exports.DefaultAlertActions = DefaultAlertActions;