"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DrilldownManager = void 0;
var React = _interopRequireWildcard(require("react"));
var _context = require("../context");
var _flyout_frame = require("../../components/flyout_frame");
var _drilldown_manager_content = require("./drilldown_manager_content");
var _drilldown_manager_title = require("../drilldown_manager_title");
var _drilldown_manager_footer = require("../drilldown_manager_footer");
var _hello_bar = require("../hello_bar");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const DrilldownManager = ({}) => {
  const drilldowns = (0, _context.useDrilldownManager)();
  const route = drilldowns.useRoute();
  const handleBack = route.length < 2 ? undefined : () => drilldowns.setRoute(route.slice(0, route.length - 1));
  return /*#__PURE__*/React.createElement(_flyout_frame.FlyoutFrame, {
    title: /*#__PURE__*/React.createElement(_drilldown_manager_title.RenderDrilldownManagerTitle, null),
    banner: /*#__PURE__*/React.createElement(_hello_bar.HelloBar, null),
    footer: /*#__PURE__*/React.createElement(_drilldown_manager_footer.RenderDrilldownManagerFooter, null),
    onClose: drilldowns.close,
    onBack: handleBack
  }, /*#__PURE__*/React.createElement(_drilldown_manager_content.DrilldownManagerContent, null));
};
exports.DrilldownManager = DrilldownManager;