"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FormDrilldownWizard = void 0;
var _react = _interopRequireDefault(require("react"));
var _action_factory_picker = require("../action_factory_picker");
var _context = require("../context");
var _create_drilldown_form = require("./create_drilldown_form");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const FormDrilldownWizard = ({}) => {
  const drilldowns = (0, _context.useDrilldownManager)();
  const actionFactory = drilldowns.useActionFactory();
  const drilldownState = drilldowns.getDrilldownState();
  let content = null;
  if (!actionFactory) content = null;
  if (drilldownState) content = /*#__PURE__*/_react.default.createElement(_create_drilldown_form.CreateDrilldownForm, {
    state: drilldownState
  });
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_action_factory_picker.ActionFactoryPicker, null), content);
};
exports.FormDrilldownWizard = FormDrilldownWizard;