"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _esQuery = require("@kbn/es-query");
var _react2 = require("@emotion/react");
var _filter_badge_group = require("./filter_badge_group");
var _filter_badge = require("./filter_badge.styles");
var _i18n = require("./i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

function FilterBadge({
  filter,
  dataViews,
  valueLabel,
  hideAlias,
  filterLabelStatus,
  readOnly,
  ...rest
}) {
  const {
    euiTheme
  } = (0, _eui.useEuiTheme)();
  if (!dataViews.length) {
    return null;
  }
  const prefixText = filter.meta.negate ? ` ${_i18n.strings.getNotLabel()}` : '';
  const prefix = filter.meta.negate && !filter.meta.disabled ? /*#__PURE__*/_react.default.createElement(_eui.EuiTextColor, {
    color: "danger"
  }, prefixText) : prefixText;
  const filterLabelValue = /*#__PURE__*/_react.default.createElement("span", {
    className: "globalFilterLabel__value"
  }, valueLabel);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiBadge, (0, _extends2.default)({
    className: (0, _filter_badge.badgePaddingCss)(euiTheme),
    color: "hollow",
    iconType: readOnly ? 'cross' : undefined,
    iconSide: "right"
  }, rest), /*#__PURE__*/_react.default.createElement("span", {
    css: (0, _react2.css)`
          white-space: normal;
          overflow-wrap: break-word;
        `
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiTextBlockTruncate, {
    lines: 10
  }, filter.meta.alias && !hideAlias ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("span", {
    className: (0, _filter_badge.marginLeftLabelCss)(euiTheme)
  }, prefix, filter.meta.alias, filterLabelStatus && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, ": ", filterLabelValue))) : /*#__PURE__*/_react.default.createElement("div", null, (0, _esQuery.isCombinedFilter)(filter) && prefix, /*#__PURE__*/_react.default.createElement(_filter_badge_group.FilterBadgeGroup, {
    filters: [filter],
    dataViews: dataViews,
    filterLabelStatus: valueLabel
  })))));
}

// React.lazy support
// eslint-disable-next-line import/no-default-export
var _default = exports.default = FilterBadge;
module.exports = exports.default;