"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.render = void 0;
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _rxjs = require("rxjs");
var _history = require("history");
var _sharedUxRouter = require("@kbn/shared-ux-router");
var _public = require("@kbn/kibana-react-plugin/public");
var _mocks = require("@kbn/core/public/mocks");
var _reactKibanaContextRender = require("@kbn/react-kibana-context-render");
var _url_params_context = require("../../../../context/url_params_context/url_params_context");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const core = _mocks.coreMock.createStart();
jest.spyOn(core.uiSettings, 'get').mockImplementation(_key => true);
jest.spyOn(core.uiSettings, 'get$').mockImplementation(_key => (0, _rxjs.of)(true));
const render = (component, options) => {
  var _options$customHistor;
  const history = (_options$customHistor = options === null || options === void 0 ? void 0 : options.customHistory) !== null && _options$customHistor !== void 0 ? _options$customHistor : (0, _history.createMemoryHistory)();
  history.location.key = 'TestKeyForTesting';
  return (0, _react2.render)( /*#__PURE__*/_react.default.createElement(_reactKibanaContextRender.KibanaRenderContextProvider, core, /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Router, {
    history: history
  }, /*#__PURE__*/_react.default.createElement(_public.KibanaContextProvider, {
    services: core
  }, /*#__PURE__*/_react.default.createElement(_url_params_context.UrlParamsProvider, null, component)))));
};
exports.render = render;