"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.plugin = exports.config = void 0;
var _config = require("./config");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const config = exports.config = {
  exposeToBrowser: {
    readOnly: true
  },
  schema: _config.configSchema
};
const plugin = async initializerContext => ({
  setup(core, plugins) {
    const {
      readOnly
    } = initializerContext.config.get();
    if (readOnly) {
      plugins.visualizations.registerReadOnlyVisType('metric');
    }
    return {};
  },
  start() {}
});
exports.plugin = plugin;