"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isVisualizeSavedObjectState = exports.isVisualizeRuntimeState = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const isVisualizeSavedObjectState = state => {
  return typeof state !== 'undefined' && state.savedObjectId !== undefined && !!state.savedObjectId && !('savedVis' in state) && !('serializedVis' in state);
};
exports.isVisualizeSavedObjectState = isVisualizeSavedObjectState;
const isVisualizeRuntimeState = state => {
  return !isVisualizeSavedObjectState(state) && !('savedVis' in state) && state.serializedVis !== undefined;
};
exports.isVisualizeRuntimeState = isVisualizeRuntimeState;