"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useAppContext = exports.AppContextProvider = void 0;
var _react = _interopRequireWildcard(require("react"));
var _constants = require("../../common/constants");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AppContext = /*#__PURE__*/(0, _react.createContext)(null);
const generateDocLinks = ({
  links
}) => {
  const putWatchApiUrl = `${links.apis.putWatch}`;
  const executeWatchApiUrl = `${links.apis.executeWatchActionModes}`;
  const watcherGettingStartedUrl = `${links.watcher.ui}`;
  const watchActionsConfigurationMap = {
    [_constants.ACTION_TYPES.SLACK]: `${links.watcher.slackAction}`,
    [_constants.ACTION_TYPES.PAGERDUTY]: `${links.watcher.pagerDutyAction}`,
    [_constants.ACTION_TYPES.JIRA]: `${links.watcher.jiraAction}`
  };
  return {
    putWatchApiUrl,
    executeWatchApiUrl,
    watcherGettingStartedUrl,
    watchActionsConfigurationMap
  };
};
const AppContextProvider = ({
  children,
  value
}) => {
  const {
    docLinks,
    ...rest
  } = value;
  return /*#__PURE__*/_react.default.createElement(AppContext.Provider, {
    value: Object.freeze({
      ...rest,
      links: generateDocLinks(docLinks)
    })
  }, children);
};
exports.AppContextProvider = AppContextProvider;
const useAppContext = () => {
  const ctx = (0, _react.useContext)(AppContext);
  if (!ctx) {
    throw new Error('"useAppContext" can only be called inside of AppContext.Provider!');
  }
  return ctx;
};
exports.useAppContext = useAppContext;