/*! Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one or more contributor license agreements.
 * Licensed under the Elastic License 2.0; you may not use this file except in compliance with the Elastic License 2.0. */
(window.logsShared_bundle_jsonpfunction=window.logsShared_bundle_jsonpfunction||[]).push([[1],{118:function(e,t,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=s(165),o=s(134),r=s(166);s(135);const i=new WeakMap;function a(e,t,s){let n=i.get(e);return n?t in n||(n[t]=s()):(n={[t]:s()},i.set(e,n)),n[t]}const c={},d=e=>"string"==typeof e?{type:e}:"function"==typeof e?"resolve"in e?{type:e.type}:{type:e.name}:e;class StateNode{constructor(e,t){if(this.config=e,this.key=void 0,this.id=void 0,this.type=void 0,this.path=void 0,this.states=void 0,this.history=void 0,this.entry=void 0,this.exit=void 0,this.parent=void 0,this.machine=void 0,this.meta=void 0,this.output=void 0,this.order=-1,this.description=void 0,this.tags=[],this.transitions=void 0,this.always=void 0,this.parent=t._parent,this.key=t._key,this.machine=t._machine,this.path=this.parent?this.parent.path.concat(this.key):[],this.id=this.config.id||[this.machine.id,...this.path].join(o.STATE_DELIMITER),this.type=this.config.type||(this.config.states&&Object.keys(this.config.states).length?"compound":this.config.history?"history":"atomic"),this.description=this.config.description,this.order=this.machine.idMap.size,this.machine.idMap.set(this.id,this),this.states=this.config.states?o.mapValues(this.config.states,((e,t)=>new StateNode(e,{_parent:this,_key:t,_machine:this.machine}))):c,"compound"===this.type&&!this.config.initial)throw new Error(`No initial state specified for compound state node "#${this.id}". Try adding { initial: "${Object.keys(this.states)[0]}" } to the state config.`);this.history=!0===this.config.history?"shallow":this.config.history||!1,this.entry=o.toArray(this.config.entry).slice(),this.exit=o.toArray(this.config.exit).slice(),this.meta=this.config.meta,this.output="final"!==this.type&&this.parent?void 0:this.config.output,this.tags=o.toArray(e.tags).slice()}_initialize(){this.transitions=o.formatTransitions(this),this.config.always&&(this.always=o.toTransitionConfigArray(this.config.always).map((e=>o.formatTransition(this,o.NULL_EVENT,e)))),Object.keys(this.states).forEach((e=>{this.states[e]._initialize()}))}get definition(){return{id:this.id,key:this.key,version:this.machine.version,type:this.type,initial:this.initial?{target:this.initial.target,source:this,actions:this.initial.actions.map(d),eventType:null,reenter:!1,toJSON:()=>({target:this.initial.target.map((e=>`#${e.id}`)),source:`#${this.id}`,actions:this.initial.actions.map(d),eventType:null})}:void 0,history:this.history,states:o.mapValues(this.states,(e=>e.definition)),on:this.on,transitions:[...this.transitions.values()].flat().map((e=>({...e,actions:e.actions.map(d)}))),entry:this.entry.map(d),exit:this.exit.map(d),meta:this.meta,order:this.order||-1,output:this.output,invoke:this.invoke,description:this.description,tags:this.tags}}toJSON(){return this.definition}get invoke(){return a(this,"invoke",(()=>o.toArray(this.config.invoke).map(((e,t)=>{var s;const{src:n,systemId:r}=e,i=null!==(s=e.id)&&void 0!==s?s:o.createInvokeId(this.id,t),a="string"==typeof n?n:`xstate.invoke.${o.createInvokeId(this.id,t)}`;return{...e,src:a,id:i,systemId:r,toJSON(){const{onDone:t,onError:s,...n}=e;return{...n,type:"xstate.invoke",src:a,id:i}}}}))))}get on(){return a(this,"on",(()=>[...this.transitions].flatMap((([e,t])=>t.map((t=>[e,t])))).reduce(((e,[t,s])=>(e[t]=e[t]||[],e[t].push(s),e)),{})))}get after(){return a(this,"delayedTransitions",(()=>o.getDelayedTransitions(this)))}get initial(){return a(this,"initial",(()=>o.formatInitialTransition(this,this.config.initial)))}next(e,t){const s=t.type,n=[];let r;const i=a(this,`candidates-${s}`,(()=>o.getCandidates(this,s)));for(const a of i){const{guard:i}=a,c=e.context;let d=!1;try{d=!i||o.evaluateGuard(i,c,t,e)}catch(e){const t="string"==typeof i?i:"object"==typeof i?i.type:void 0;throw new Error(`Unable to evaluate guard ${t?`'${t}' `:""}in transition for event '${s}' in state node '${this.id}':\n${e.message}`)}if(d){n.push(...a.actions),r=a;break}}return r?[r]:void 0}get events(){return a(this,"events",(()=>{const{states:e}=this,t=new Set(this.ownEvents);if(e)for(const s of Object.keys(e)){const n=e[s];if(n.states)for(const e of n.events)t.add(`${e}`)}return Array.from(t)}))}get ownEvents(){const e=new Set([...this.transitions.keys()].filter((e=>this.transitions.get(e).some((e=>!(!e.target&&!e.actions.length&&!e.reenter))))));return Array.from(e)}}class StateMachine{constructor(e,t){var s,n,o,r;this.config=e,this.version=void 0,this.schemas=void 0,this.implementations=void 0,this.__xstatenode=!0,this.idMap=new Map,this.root=void 0,this.id=void 0,this.states=void 0,this.events=void 0,this.id=e.id||"(machine)",this.implementations={actors:null!==(s=null==t?void 0:t.actors)&&void 0!==s?s:{},actions:null!==(n=null==t?void 0:t.actions)&&void 0!==n?n:{},delays:null!==(o=null==t?void 0:t.delays)&&void 0!==o?o:{},guards:null!==(r=null==t?void 0:t.guards)&&void 0!==r?r:{}},this.version=this.config.version,this.schemas=this.config.schemas,this.transition=this.transition.bind(this),this.getInitialSnapshot=this.getInitialSnapshot.bind(this),this.getPersistedSnapshot=this.getPersistedSnapshot.bind(this),this.restoreSnapshot=this.restoreSnapshot.bind(this),this.start=this.start.bind(this),this.root=new StateNode(e,{_key:this.id,_machine:this}),this.root._initialize(),this.states=this.root.states,this.events=this.root.events}provide(e){const{actions:t,guards:s,actors:n,delays:o}=this.implementations;return new StateMachine(this.config,{actions:{...t,...e.actions},guards:{...s,...e.guards},actors:{...n,...e.actors},delays:{...o,...e.delays}})}resolveState(e){const t=o.resolveStateValue(this.root,e.value),s=o.getAllStateNodes(o.getStateNodes(this.root,t));return o.createMachineSnapshot({_nodes:[...s],context:e.context||{},children:{},status:o.isInFinalState(s,this.root)?"done":e.status||"active",output:e.output,error:e.error,historyValue:e.historyValue},this)}transition(e,t,s){return o.macrostep(e,t,s).snapshot}microstep(e,t,s){return o.macrostep(e,t,s).microstates}getTransitionData(e,t){return o.transitionNode(this.root,e.value,e,t)||[]}getPreInitialState(e,t,s){const{context:n}=this.config,i=o.createMachineSnapshot({context:"function"!=typeof n&&n?n:{},_nodes:[this.root],children:{},status:"active"},this);if("function"==typeof n){const a=({spawn:e,event:t,self:s})=>n({spawn:e,input:t.input,self:s});return o.resolveActionsAndContext(i,t,e,[r.assign(a)],s)}return i}getInitialSnapshot(e,t){const s=o.createInitEvent(t),n=[],r=this.getPreInitialState(e,s,n),i=o.microstep([{target:[...o.getInitialStateNodes(this.root)],source:this.root,reenter:!0,actions:[],eventType:null,toJSON:null}],r,e,s,!0,n),{snapshot:a}=o.macrostep(i,s,e,n);return a}start(e){Object.values(e.children).forEach((e=>{"active"===e.getSnapshot().status&&e.start()}))}getStateNodeById(e){const t=o.toStatePath(e),s=t.slice(1),n=o.isStateId(t[0])?t[0].slice(1):t[0],r=this.idMap.get(n);if(!r)throw new Error(`Child state node '#${n}' does not exist on machine '${this.id}'`);return o.getStateNodeByPath(r,s)}get definition(){return this.root.definition}toJSON(){return this.definition}getPersistedSnapshot(e,t){return o.getPersistedSnapshot(e,t)}restoreSnapshot(e,t){const s={},n=e.children;Object.keys(n).forEach((e=>{const r=n[e],i=r.snapshot,a=r.src,c="string"==typeof a?o.resolveReferencedActor(this,a):a;if(!c)return;const d=o.createActor(c,{id:e,parent:t.self,syncSnapshot:r.syncSnapshot,snapshot:i,src:a,systemId:r.systemId});s[e]=d}));const r=o.createMachineSnapshot({...e,children:s,_nodes:Array.from(o.getAllStateNodes(o.getStateNodes(this.root,e.value)))},this);let i=new Set;return function e(t,s){if(!i.has(t)){i.add(t);for(let n in t){const r=t[n];if(r&&"object"==typeof r){if("xstate$$type"in r&&r.xstate$$type===o.$$ACTOR_TYPE){t[n]=s[r.id];continue}e(r,s)}}}}(r.context,s),r}}function u(e,t){return new StateMachine(e,t)}function l(e){const t=o.createActor(e);return{self:t,defer:()=>{},id:"",logger:()=>{},sessionId:"",stopChild:()=>{},system:t.system,emit:()=>{}}}const p={timeout:1/0};t.createEmptyActor=n.createEmptyActor,t.fromCallback=n.fromCallback,t.fromEventObservable=n.fromEventObservable,t.fromObservable=n.fromObservable,t.fromPromise=n.fromPromise,t.fromTransition=n.fromTransition,t.Actor=o.Actor,t.__unsafe_getAllOwnEventDescriptors=o.getAllOwnEventDescriptors,t.and=o.and,t.cancel=o.cancel,t.createActor=o.createActor,t.getStateNodes=o.getStateNodes,t.interpret=o.interpret,t.isMachineSnapshot=o.isMachineSnapshot,t.matchesState=o.matchesState,t.not=o.not,t.or=o.or,t.pathToStateValue=o.pathToStateValue,t.raise=o.raise,t.spawnChild=o.spawnChild,t.stateIn=o.stateIn,t.stop=o.stop,t.stopChild=o.stopChild,t.toObserver=o.toObserver,t.SpecialTargets=r.SpecialTargets,t.assign=r.assign,t.emit=r.emit,t.enqueueActions=r.enqueueActions,t.forwardTo=r.forwardTo,t.log=r.log,t.sendParent=r.sendParent,t.sendTo=r.sendTo,t.SimulatedClock=class SimulatedClock{constructor(){this.timeouts=new Map,this._now=0,this._id=0,this._flushing=!1,this._flushingInvalidated=!1}now(){return this._now}getId(){return this._id++}setTimeout(e,t){this._flushingInvalidated=this._flushing;const s=this.getId();return this.timeouts.set(s,{start:this.now(),timeout:t,fn:e}),s}clearTimeout(e){this._flushingInvalidated=this._flushing,this.timeouts.delete(e)}set(e){if(this._now>e)throw new Error("Unable to travel back in time");this._now=e,this.flushTimeouts()}flushTimeouts(){if(this._flushing)return void(this._flushingInvalidated=!0);this._flushing=!0;const e=[...this.timeouts].sort((([e,t],[s,n])=>{const o=t.start+t.timeout;return n.start+n.timeout>o?-1:1}));for(const[t,s]of e){if(this._flushingInvalidated)return this._flushingInvalidated=!1,this._flushing=!1,void this.flushTimeouts();this.now()-s.start>=s.timeout&&(this.timeouts.delete(t),s.fn.call(null))}this._flushing=!1}increment(e){this._now+=e,this.flushTimeouts()}},t.StateMachine=StateMachine,t.StateNode=StateNode,t.assertEvent=function(e,t){const s=o.toArray(t);if(!s.includes(e.type)){const t=1===s.length?`type "${s[0]}"`:`one of types "${s.join('", "')}"`;throw new Error(`Expected event ${JSON.stringify(e)} to have ${t}`)}},t.createMachine=u,t.getInitialSnapshot=function(e,...[t]){const s=l(e);return e.getInitialSnapshot(s,t)},t.getNextSnapshot=function(e,t,s){const n=l(e);return n.self._snapshot=t,e.transition(t,s,n)},t.setup=function({schemas:e,actors:t,actions:s,guards:n,delays:o}){return{createMachine:r=>u({...r,schemas:e},{actors:t,actions:s,guards:n,delays:o})}},t.toPromise=function(e){return new Promise(((t,s)=>{e.subscribe({complete:()=>{t(e.getSnapshot().output)},error:s})}))},t.waitFor=function(e,t,s){const n={...p,...s};return new Promise(((s,o)=>{const{signal:r}=n;if(null!=r&&r.aborted)return void o(r.reason);let i=!1;const a=n.timeout===1/0?void 0:setTimeout((()=>{c(),o(new Error(`Timeout of ${n.timeout} ms exceeded`))}),n.timeout),c=()=>{var e;clearTimeout(a),i=!0,null===(e=l)||void 0===e||e.unsubscribe(),u&&r.removeEventListener("abort",u)};function d(e){t(e)&&(c(),s(e))}let u,l;d(e.getSnapshot()),i||(r&&(u=()=>{c(),o(r.reason)},r.addEventListener("abort",u)),l=e.subscribe({next:d,error:e=>{c(),o(e)},complete:()=>{c(),o(new Error("Actor terminated without satisfying predicate"))}}),i&&l.unsubscribe())}))}},119:function(e,t,s){"use strict";s.d(t,"a",(function(){return n}));const n=({href:e,onClick:t})=>({href:e,onClick:e=>{e.defaultPrevented||!(e=>!!(e.metaKey||e.altKey||e.ctrlKey||e.shiftKey))(e)&&(e=>0===e.button)(e)&&(e.preventDefault(),t())}})},127:function(e,t,s){"use strict";var n;Object.defineProperty(t,"__esModule",{value:!0}),t.getParsedType=t.ZodParsedType=t.objectUtil=t.util=void 0,function(e){e.assertEqual=e=>e,e.assertIs=function(e){},e.assertNever=function(e){throw new Error},e.arrayToEnum=e=>{const t={};for(const s of e)t[s]=s;return t},e.getValidEnumValues=t=>{const s=e.objectKeys(t).filter((e=>"number"!=typeof t[t[e]])),n={};for(const e of s)n[e]=t[e];return e.objectValues(n)},e.objectValues=t=>e.objectKeys(t).map((function(e){return t[e]})),e.objectKeys="function"==typeof Object.keys?e=>Object.keys(e):e=>{const t=[];for(const s in e)Object.prototype.hasOwnProperty.call(e,s)&&t.push(s);return t},e.find=(e,t)=>{for(const s of e)if(t(s))return s},e.isInteger="function"==typeof Number.isInteger?e=>Number.isInteger(e):e=>"number"==typeof e&&isFinite(e)&&Math.floor(e)===e,e.joinValues=function(e,t=" | "){return e.map((e=>"string"==typeof e?`'${e}'`:e)).join(t)},e.jsonStringifyReplacer=(e,t)=>"bigint"==typeof t?t.toString():t}(n=t.util||(t.util={})),(t.objectUtil||(t.objectUtil={})).mergeShapes=(e,t)=>({...e,...t}),t.ZodParsedType=n.arrayToEnum(["string","nan","number","integer","float","boolean","date","bigint","symbol","function","undefined","null","array","object","unknown","promise","void","never","map","set"]),t.getParsedType=e=>{switch(typeof e){case"undefined":return t.ZodParsedType.undefined;case"string":return t.ZodParsedType.string;case"number":return isNaN(e)?t.ZodParsedType.nan:t.ZodParsedType.number;case"boolean":return t.ZodParsedType.boolean;case"function":return t.ZodParsedType.function;case"bigint":return t.ZodParsedType.bigint;case"symbol":return t.ZodParsedType.symbol;case"object":return Array.isArray(e)?t.ZodParsedType.array:null===e?t.ZodParsedType.null:e.then&&"function"==typeof e.then&&e.catch&&"function"==typeof e.catch?t.ZodParsedType.promise:"undefined"!=typeof Map&&e instanceof Map?t.ZodParsedType.map:"undefined"!=typeof Set&&e instanceof Set?t.ZodParsedType.set:"undefined"!=typeof Date&&e instanceof Date?t.ZodParsedType.date:t.ZodParsedType.object;default:return t.ZodParsedType.unknown}}},130:function(e,t,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=s(48),o=s(1),r=n.__importDefault(s(131));t.default=function(e,t){void 0===t&&(t=[]);var s=r.default(e,t,{loading:!0}),n=s[0],i=s[1];return o.useEffect((function(){i()}),[i]),n}},131:function(e,t,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=s(48),o=s(1),r=n.__importDefault(s(62));t.default=function(e,t,s){void 0===t&&(t=[]),void 0===s&&(s={loading:!1});var i=o.useRef(0),a=r.default(),c=o.useState(s),d=c[0],u=c[1],l=o.useCallback((function(){for(var t=[],s=0;s<arguments.length;s++)t[s]=arguments[s];var o=++i.current;return u((function(e){return n.__assign(n.__assign({},e),{loading:!0})})),e.apply(void 0,t).then((function(e){return a()&&o===i.current&&u({value:e,loading:!1}),e}),(function(e){return a()&&o===i.current&&u({error:e,loading:!1}),e}))}),t);return[d,l]}},132:function(e,t,s){"use strict";var n=s(133);class Mailbox{constructor(e){this._process=e,this._active=!1,this._current=null,this._last=null}start(){this._active=!0,this.flush()}clear(){this._current&&(this._current.next=null,this._last=this._current)}enqueue(e){const t={value:e,next:null};if(this._current)return this._last.next=t,void(this._last=t);this._current=t,this._last=t,this._active&&this.flush()}flush(){for(;this._current;){const e=this._current;this._process(e.value),this._current=e.next}this._last=null}}const o="",r="xstate.init",i="xstate.stop";function a(e,t){return{type:`xstate.done.state.${e}`,output:t}}function c(e,t){return{type:`xstate.error.actor.${e}`,error:t,actorId:e}}function d(e){return{type:r,input:e}}function u(e){setTimeout((()=>{throw e}))}const l="function"==typeof Symbol&&Symbol.observable||"@@observable";function p(e,t){const s=f(e),n=f(t);return"string"==typeof n?"string"==typeof s&&n===s:"string"==typeof s?s in n:Object.keys(s).every((e=>e in n&&p(s[e],n[e])))}function h(e){if(_(e))return e;let t=[],s="";for(let n=0;n<e.length;n++){switch(e.charCodeAt(n)){case 92:s+=e[n+1],n++;continue;case 46:t.push(s),s="";continue}s+=e[n]}return t.push(s),t}function f(e){return Ie(e)?e.value:"string"!=typeof e?e:m(h(e))}function m(e){if(1===e.length)return e[0];const t={};let s=t;for(let t=0;t<e.length-1;t++)if(t===e.length-2)s[e[t]]=e[t+1];else{const n=s;s={},n[e[t]]=s}return t}function g(e){return _(e)?e:[e]}function y(e){return void 0===e?[]:g(e)}function v(e,t,s,n){return"function"==typeof e?e({context:t,event:s,self:n}):e}function _(e){return Array.isArray(e)}function b(e){return g(e).map((e=>void 0===e||"string"==typeof e?{target:e}:e))}function x(e){if(void 0!==e&&e!==o)return y(e)}function w(e,t,s){var n,o,r;const i="object"==typeof e,a=i?e:void 0;return{next:null===(n=i?e.next:e)||void 0===n?void 0:n.bind(a),error:null===(o=i?e.error:t)||void 0===o?void 0:o.bind(a),complete:null===(r=i?e.complete:s)||void 0===r?void 0:r.bind(a)}}function S(e,t){const s=t.match(/^xstate\.invoke\.(\d+)\.(.*)/);if(!s)return e.implementations.actors[t];const[,n,o]=s,r=e.getStateNodeById(o).config.invoke;return(Array.isArray(r)?r[n]:r).src}function Z(e,t){return`${e.sessionId}.${t}`}let T=0;let I=function(e){return e[e.NotStarted=0]="NotStarted",e[e.Running=1]="Running",e[e.Stopped=2]="Stopped",e}({});const C={clock:{setTimeout:(e,t)=>setTimeout(e,t),clearTimeout:e=>clearTimeout(e)},logger:console.log.bind(console),devTools:!1};class Actor{constructor(e,t){var s,n,o,r;this.logic=e,this._snapshot=void 0,this.clock=void 0,this.options=void 0,this.id=void 0,this.mailbox=new Mailbox(this._process.bind(this)),this.observers=new Set,this.eventListeners=new Map,this.logger=void 0,this._processingStatus=I.NotStarted,this._parent=void 0,this._syncSnapshot=void 0,this.ref=void 0,this._actorScope=void 0,this._systemId=void 0,this.sessionId=void 0,this.system=void 0,this._doneEvent=void 0,this.src=void 0,this._deferred=[];const i={...C,...t},{clock:a,logger:c,parent:d,syncSnapshot:u,id:l,systemId:p,inspect:h}=i;this.system=d?d.system:function(e,t){var s;const n=new Map,o=new Map,r=new WeakMap,i=new Set,a={},{clock:c,logger:d}=t,u={schedule:(e,t,s,n,o=Math.random().toString(36).slice(2))=>{const r={source:e,target:t,event:s,delay:n,id:o,startedAt:Date.now()},i=Z(e,o);l._snapshot._scheduledEvents[i]=r;const d=c.setTimeout((()=>{delete a[i],delete l._snapshot._scheduledEvents[i],l._relay(e,t,s)}),n);a[i]=d},cancel:(e,t)=>{const s=Z(e,t),n=a[s];delete a[s],delete l._snapshot._scheduledEvents[s],void 0!==n&&c.clearTimeout(n)},cancelAll:e=>{for(const t in l._snapshot._scheduledEvents){const s=l._snapshot._scheduledEvents[t];s.source===e&&u.cancel(e,s.id)}}},l={_snapshot:{_scheduledEvents:null!==(s=(null==t?void 0:t.snapshot)&&t.snapshot.scheduler)&&void 0!==s?s:{}},_bookId:()=>"x:"+T++,_register:(e,t)=>(n.set(e,t),e),_unregister:e=>{n.delete(e.sessionId);const t=r.get(e);void 0!==t&&(o.delete(t),r.delete(e))},get:e=>o.get(e),_set:(e,t)=>{const s=o.get(e);if(s&&s!==t)throw new Error(`Actor with system ID '${e}' already exists.`);o.set(e,t),r.set(t,e)},inspect:e=>{const t=w(e);return i.add(t),{unsubscribe(){i.delete(t)}}},_sendInspectionEvent:t=>{if(!i.size)return;const s={...t,rootId:e.sessionId};i.forEach((e=>{var t;return null===(t=e.next)||void 0===t?void 0:t.call(e,s)}))},_relay:(e,t,s)=>{l._sendInspectionEvent({type:"@xstate.event",sourceRef:e,actorRef:t,event:s}),t._send(s)},scheduler:u,getSnapshot:()=>({_scheduledEvents:{...l._snapshot._scheduledEvents}}),start:()=>{const e=l._snapshot._scheduledEvents;l._snapshot._scheduledEvents={};for(const t in e){const{source:s,target:n,event:o,delay:r,id:i}=e[t];u.schedule(s,n,o,r,i)}},_clock:c,_logger:d};return l}(this,{clock:a,logger:c}),h&&!d&&this.system.inspect(w(h)),this.sessionId=this.system._bookId(),this.id=null!=l?l:this.sessionId,this.logger=null!==(s=null==t?void 0:t.logger)&&void 0!==s?s:this.system._logger,this.clock=null!==(n=null==t?void 0:t.clock)&&void 0!==n?n:this.system._clock,this._parent=d,this._syncSnapshot=u,this.options=i,this.src=null!==(o=i.src)&&void 0!==o?o:e,this.ref=this,this._actorScope={self:this,id:this.id,sessionId:this.sessionId,logger:this.logger,defer:e=>{this._deferred.push(e)},system:this.system,stopChild:e=>{if(e._parent!==this)throw new Error(`Cannot stop child actor ${e.id} of ${this.id} because it is not a child`);e._stop()},emit:e=>{const t=this.eventListeners.get(e.type),s=this.eventListeners.get("*");if(!t&&!s)return;const n=new Set([...t?t.values():[],...s?s.values():[]]);for(const t of Array.from(n))t(e)}},this.send=this.send.bind(this),this.system._sendInspectionEvent({type:"@xstate.actor",actorRef:this}),p&&(this._systemId=p,this.system._set(p,this)),this._initState(null!==(r=null==t?void 0:t.snapshot)&&void 0!==r?r:null==t?void 0:t.state),p&&"active"!==this._snapshot.status&&this.system._unregister(this)}_initState(e){try{var t;this._snapshot=e?this.logic.restoreSnapshot?this.logic.restoreSnapshot(e,this._actorScope):e:this.logic.getInitialSnapshot(this._actorScope,null===(t=this.options)||void 0===t?void 0:t.input)}catch(e){this._snapshot={status:"error",output:void 0,error:e}}}update(e,t){let s;for(this._snapshot=e;s=this._deferred.shift();)try{s()}catch(t){this._deferred.length=0,this._snapshot={...e,status:"error",error:t}}switch(this._snapshot.status){case"active":for(const t of this.observers)try{var n;null===(n=t.next)||void 0===n||n.call(t,e)}catch(e){u(e)}break;case"done":for(const t of this.observers)try{var o;null===(o=t.next)||void 0===o||o.call(t,e)}catch(e){u(e)}this._stopProcedure(),this._complete(),this._doneEvent={type:`xstate.done.actor.${r=this.id}`,output:this._snapshot.output,actorId:r},this._parent&&this.system._relay(this,this._parent,this._doneEvent);break;case"error":this._error(this._snapshot.error)}var r;this.system._sendInspectionEvent({type:"@xstate.snapshot",actorRef:this,event:t,snapshot:e})}subscribe(e,t,s){const n=w(e,t,s);if(this._processingStatus!==I.Stopped)this.observers.add(n);else switch(this._snapshot.status){case"done":try{var o;null===(o=n.complete)||void 0===o||o.call(n)}catch(e){u(e)}break;case"error":{const e=this._snapshot.error;if(n.error)try{n.error(e)}catch(e){u(e)}else u(e);break}}return{unsubscribe:()=>{this.observers.delete(n)}}}on(e,t){let s=this.eventListeners.get(e);s||(s=new Set,this.eventListeners.set(e,s));const n=t.bind(void 0);return s.add(n),{unsubscribe:()=>{s.delete(n)}}}start(){if(this._processingStatus===I.Running)return this;this._syncSnapshot&&this.subscribe({next:e=>{"active"===e.status&&this.system._relay(this,this._parent,{type:`xstate.snapshot.${this.id}`,snapshot:e})},error:()=>{}}),this.system._register(this.sessionId,this),this._systemId&&this.system._set(this._systemId,this),this._processingStatus=I.Running;const e=d(this.options.input);switch(this.system._sendInspectionEvent({type:"@xstate.event",sourceRef:this._parent,actorRef:this,event:e}),this._snapshot.status){case"done":return this.update(this._snapshot,e),this;case"error":return this._error(this._snapshot.error),this}if(this._parent||this.system.start(),this.logic.start)try{this.logic.start(this._snapshot,this._actorScope)}catch(e){return this._snapshot={...this._snapshot,status:"error",error:e},this._error(e),this}return this.update(this._snapshot,e),this.options.devTools&&this.attachDevTools(),this.mailbox.start(),this}_process(e){let t,s;try{t=this.logic.transition(this._snapshot,e,this._actorScope)}catch(e){s={err:e}}if(s){const{err:e}=s;return this._snapshot={...this._snapshot,status:"error",error:e},void this._error(e)}this.update(t,e),e.type===i&&(this._stopProcedure(),this._complete())}_stop(){return this._processingStatus===I.Stopped?this:(this.mailbox.clear(),this._processingStatus===I.NotStarted?(this._processingStatus=I.Stopped,this):(this.mailbox.enqueue({type:i}),this))}stop(){if(this._parent)throw new Error("A non-root actor cannot be stopped directly.");return this._stop()}_complete(){for(const t of this.observers)try{var e;null===(e=t.complete)||void 0===e||e.call(t)}catch(e){u(e)}this.observers.clear()}_reportError(e){if(!this.observers.size)return void(this._parent||u(e));let t=!1;for(const s of this.observers){const n=s.error;t||(t=!n);try{null==n||n(e)}catch(e){u(e)}}this.observers.clear(),t&&u(e)}_error(e){this._stopProcedure(),this._reportError(e),this._parent&&this.system._relay(this,this._parent,c(this.id,e))}_stopProcedure(){return this._processingStatus!==I.Running||(this.system.scheduler.cancelAll(this),this.mailbox.clear(),this.mailbox=new Mailbox(this._process.bind(this)),this._processingStatus=I.Stopped,this.system._unregister(this)),this}_send(e){this._processingStatus!==I.Stopped&&this.mailbox.enqueue(e)}send(e){this.system._relay(void 0,this,e)}attachDevTools(){const{devTools:e}=this.options;e&&("function"==typeof e?e:n.devToolsAdapter)(this)}toJSON(){return{xstate$$type:1,id:this.id}}getPersistedSnapshot(e){return this.logic.getPersistedSnapshot(this._snapshot,e)}[l](){return this}getSnapshot(){return this._snapshot}}function k(e,...[t]){return new Actor(e,t)}const O=k;function j(e,t,s,n,{sendId:o}){return[t,"function"==typeof o?o(s,n):o]}function E(e,t){e.defer((()=>{e.system.scheduler.cancel(e.self,t)}))}function P(e){function t(e,t){}return t.type="xstate.cancel",t.sendId=e,t.resolve=j,t.execute=E,t}function A(e,t,s,n,{id:o,systemId:r,src:i,input:a,syncSnapshot:c}){const d="string"==typeof i?S(t.machine,i):i,u="function"==typeof o?o(s):o;let l;return d&&(l=k(d,{id:u,src:i,parent:e.self,syncSnapshot:c,systemId:r,input:"function"==typeof a?a({context:t.context,event:s.event,self:e.self}):a})),[Ae(t,{children:{...t.children,[u]:l}}),{id:o,actorRef:l}]}function N(e,{id:t,actorRef:s}){s&&e.defer((()=>{s._processingStatus!==I.Stopped&&s.start()}))}function M(...[e,{id:t,systemId:s,input:n,syncSnapshot:o=!1}={}]){function r(e,t){}return r.type="snapshot.spawnChild",r.id=t,r.systemId=s,r.src=e,r.input=n,r.syncSnapshot=o,r.resolve=A,r.execute=N,r}function D(e,t,s,n,{actorRef:o}){const r="function"==typeof o?o(s,n):o,i="string"==typeof r?t.children[r]:r;let a=t.children;return i&&(a={...a},delete a[i.id]),[Ae(t,{children:a}),i]}function L(e,t){t&&(e.system._unregister(t),t._processingStatus===I.Running?e.defer((()=>{e.stopChild(t)})):e.stopChild(t))}function R(e){function t(e,t){}return t.type="xstate.stopChild",t.actorRef=e,t.resolve=D,t.execute=L,t}const $=R;function F(e,t,{stateValue:s}){if("string"==typeof s&&Q(s)){const t=e.machine.getStateNodeById(s);return e._nodes.some((e=>e===t))}return e.matches(s)}function V(e,{context:t,event:s},{guards:n}){return!B(n[0],t,s,e)}function z(e,{context:t,event:s},{guards:n}){return n.every((n=>B(n,t,s,e)))}function U(e,{context:t,event:s},{guards:n}){return n.some((n=>B(n,t,s,e)))}function B(e,t,s,n){const{machine:o}=n,r="function"==typeof e,i=r?e:o.implementations.guards["string"==typeof e?e:e.type];if(!r&&!i)throw new Error(`Guard '${"string"==typeof e?e:e.type}' is not implemented.'.`);if("function"!=typeof i)return B(i,t,s,n);const a={context:t,event:s},c=r||"string"==typeof e?void 0:"params"in e?"function"==typeof e.params?e.params({context:t,event:s}):e.params:void 0;return"check"in i?i.check(n,a,i):i(a,c)}const W=e=>"atomic"===e.type||"final"===e.type;function K(e){return Object.values(e.states).filter((e=>"history"!==e.type))}function q(e,t){const s=[];if(t===e)return s;let n=e.parent;for(;n&&n!==t;)s.push(n),n=n.parent;return s}function G(e){const t=new Set(e),s=Y(t);for(const e of t)if("compound"!==e.type||s.get(e)&&s.get(e).length){if("parallel"===e.type)for(const s of K(e))if("history"!==s.type&&!t.has(s)){const e=ne(s);for(const s of e)t.add(s)}}else ne(e).forEach((e=>t.add(e)));for(const e of t){let s=e.parent;for(;s;)t.add(s),s=s.parent}return t}function J(e,t){const s=t.get(e);if(!s)return{};if("compound"===e.type){const e=s[0];if(!e)return{};if(W(e))return e.key}const n={};for(const e of s)n[e.key]=J(e,t);return n}function Y(e){const t=new Map;for(const s of e)t.has(s)||t.set(s,[]),s.parent&&(t.has(s.parent)||t.set(s.parent,[]),t.get(s.parent).push(s));return t}function X(e,t){return J(e,Y(G(t)))}function H(e,t){return"compound"===t.type?K(t).some((t=>"final"===t.type&&e.has(t))):"parallel"===t.type?K(t).every((t=>H(e,t))):"final"===t.type}const Q=e=>"#"===e[0];function ee(e,t,s){var n;const o=x(s.target),r=null!==(n=s.reenter)&&void 0!==n&&n,i=function(e,t){if(void 0!==t)return t.map((t=>{if("string"!=typeof t)return t;if(Q(t))return e.machine.getStateNodeById(t);const s="."===t[0];if(s&&!e.parent)return ie(e,t.slice(1));const n=s?e.key+t:t;if(!e.parent)throw new Error(`Invalid target: "${t}" is not a valid target from the root node. Did you mean ".${t}"?`);try{return ie(e.parent,n)}catch(t){throw new Error(`Invalid transition definition for state node '${e.id}':\n${t.message}`)}}))}(e,o),a={...s,actions:y(s.actions),guard:s.guard,target:i,source:e,reenter:r,eventType:t,toJSON:()=>({...a,source:`#${e.id}`,target:i?i.map((e=>`#${e.id}`)):void 0})};return a}function te(e){const t=x(e.config.target);return t?{target:t.map((t=>"string"==typeof t?ie(e.parent,t):t))}:e.parent.initial}function se(e){return"history"===e.type}function ne(e){const t=oe(e);for(const s of t)for(const n of q(s,e))t.add(n);return t}function oe(e){const t=new Set;return function e(s){if(!t.has(s))if(t.add(s),"compound"===s.type)e(s.initial.target[0]);else if("parallel"===s.type)for(const t of K(s))e(t)}(e),t}function re(e,t){if(Q(t))return e.machine.getStateNodeById(t);if(!e.states)throw new Error(`Unable to retrieve child state '${t}' from '${e.id}'; no child states exist.`);const s=e.states[t];if(!s)throw new Error(`Child state '${t}' does not exist on '${e.id}'`);return s}function ie(e,t){if("string"==typeof t&&Q(t))try{return e.machine.getStateNodeById(t)}catch(e){}const s=h(t).slice();let n=e;for(;s.length;){const e=s.shift();if(!e.length)break;n=re(n,e)}return n}function ae(e,t){if("string"==typeof t){const s=e.states[t];if(!s)throw new Error(`State '${t}' does not exist on '${e.id}'`);return[e,s]}const s=Object.keys(t),n=s.map((t=>re(e,t))).filter(Boolean);return[e.machine.root,e].concat(n,s.reduce(((s,n)=>{const o=re(e,n);if(!o)return s;const r=ae(o,t[n]);return s.concat(r)}),[]))}function ce(e){return Object.keys(e.states).map((t=>e.states[t])).filter((e=>"history"===e.type))}function de(e,t){let s=e;for(;s.parent&&s.parent!==t;)s=s.parent;return s.parent===t}function ue(e,t){const s=new Set(e),n=new Set(t);for(const e of s)if(n.has(e))return!0;for(const e of n)if(s.has(e))return!0;return!1}function le(e,t,s){const n=new Set;for(const o of e){let e=!1;const r=new Set;for(const i of n)if(ue(fe([o],t,s),fe([i],t,s))){if(!de(o.source,i.source)){e=!0;break}r.add(i)}if(!e){for(const e of r)n.delete(e);n.add(o)}}return Array.from(n)}function pe(e,t){if(!e.target)return[];const s=new Set;for(const n of e.target)if(se(n))if(t[n.id])for(const e of t[n.id])s.add(e);else for(const e of pe(te(n),t))s.add(e);else s.add(n);return[...s]}function he(e,t){const s=pe(e,t);if(!s)return;if(!e.reenter&&s.every((t=>t===e.source||de(t,e.source))))return e.source;return function(e){const[t,...s]=e;for(const e of q(t,void 0))if(s.every((t=>de(t,e))))return e}(s.concat(e.source))||(e.reenter?void 0:e.source.machine.root)}function fe(e,t,s){const n=new Set;for(const r of e){var o;if(null!==(o=r.target)&&void 0!==o&&o.length){const e=he(r,s);r.reenter&&r.source===e&&n.add(e);for(const s of t)de(s,e)&&n.add(s)}}return[...n]}function me(e,t,s,n,o,r){if(!e.length)return t;const i=new Set(t._nodes);let c=t.historyValue;const d=le(e,i,c);let u=t;o||([u,c]=function(e,t,s,n,o,r,i){let a=e;const c=fe(n,o,r);let d;c.sort(((e,t)=>t.order-e.order));for(const e of c)for(const t of ce(e)){var u;let s;s="deep"===t.history?t=>W(t)&&de(t,e):t=>t.parent===e,null!==(u=d)&&void 0!==u||(d={...r}),d[t.id]=Array.from(o).filter(s)}for(const e of c)a=we(a,t,s,[...e.exit,...e.invoke.map((e=>R(e.id)))],i),o.delete(e);return[a,d||r]}(u,n,s,d,i,c,r)),u=we(u,n,s,d.flatMap((e=>e.actions)),r),u=function(e,t,s,n,o,r,i,c){let d=e;const u=new Set,l=new Set;(function(e,t,s,n){for(const o of e){const e=he(o,t);for(const r of o.target||[])se(r)||o.source===r&&o.source===e&&!o.reenter||(n.add(r),s.add(r)),ye(r,t,s,n);const r=pe(o,t);for(const i of r){const r=q(i,e);"parallel"===(null==e?void 0:e.type)&&r.push(e),ve(n,t,s,r,!o.source.parent&&o.reenter?void 0:e)}}})(n,i,l,u),c&&l.add(e.machine.root);const p=new Set;for(const e of[...u].sort(((e,t)=>e.order-t.order))){o.add(e);const n=[];n.push(...e.entry);for(const t of e.invoke)n.push(M(t.src,{...t,syncSnapshot:!!t.onSnapshot}));if(l.has(e)){const t=e.initial.actions;n.push(...t)}if(d=we(d,t,s,n,r,e.invoke.map((e=>e.id))),"final"===e.type){const n=e.parent;let i="parallel"===(null==n?void 0:n.type)?n:null==n?void 0:n.parent,c=i||e;for("compound"===(null==n?void 0:n.type)&&r.push(a(n.id,void 0!==e.output?v(e.output,d.context,t,s.self):void 0));"parallel"===(null===(h=i)||void 0===h?void 0:h.type)&&!p.has(i)&&H(o,i);){var h;p.add(i),r.push(a(i.id)),c=i,i=i.parent}if(i)continue;d=Ae(d,{status:"done",output:ge(d,t,s,d.machine.root,c)})}}return d}(u,n,s,d,i,r,c,o);const l=[...i];"done"===u.status&&(u=we(u,n,s,l.sort(((e,t)=>t.order-e.order)).flatMap((e=>e.exit)),r));try{return c===t.historyValue&&function(e,t){if(e.length!==t.size)return!1;for(const s of e)if(!t.has(s))return!1;return!0}(t._nodes,i)?u:Ae(u,{_nodes:l,historyValue:c})}catch(e){throw e}}function ge(e,t,s,n,o){if(void 0===n.output)return;const r=a(o.id,void 0!==o.output&&o.parent?v(o.output,e.context,t,s.self):void 0);return v(n.output,e.context,r,s.self)}function ye(e,t,s,n){if(se(e))if(t[e.id]){const o=t[e.id];for(const e of o)n.add(e),ye(e,t,s,n);for(const r of o)_e(r,e.parent,n,t,s)}else{const r=te(e);for(const i of r.target){var o;n.add(i),r===(null===(o=e.parent)||void 0===o?void 0:o.initial)&&s.add(e.parent),ye(i,t,s,n)}for(const o of r.target)_e(o,e.parent,n,t,s)}else if("compound"===e.type){const[o]=e.initial.target;se(o)||(n.add(o),s.add(o)),ye(o,t,s,n),_e(o,e,n,t,s)}else if("parallel"===e.type)for(const o of K(e).filter((e=>!se(e))))[...n].some((e=>de(e,o)))||(se(o)||(n.add(o),s.add(o)),ye(o,t,s,n))}function ve(e,t,s,n,o){for(const r of n)if(o&&!de(r,o)||e.add(r),"parallel"===r.type)for(const n of K(r).filter((e=>!se(e))))[...e].some((e=>de(e,n)))||(e.add(n),ye(n,t,s,e))}function _e(e,t,s,n,o){ve(s,n,o,q(e,t))}let be=!1;function xe(e,t,s,n,o,r){const{machine:i}=e;let a=e;for(const c of n){const d="function"==typeof c,u=d?c:i.implementations.actions["string"==typeof c?c:c.type];if(!u)continue;const l={context:a.context,event:t,self:s.self,system:s.system},p=d||"string"==typeof c?void 0:"params"in c?"function"==typeof c.params?c.params({context:a.context,event:t}):c.params:void 0;function h(){s.system._sendInspectionEvent({type:"@xstate.action",actorRef:s.self,action:{type:"string"==typeof c?c:"object"==typeof c?c.type:c.name||"(anonymous)",params:p}});try{be=u,u(l,p)}finally{be=!1}}if(!("resolve"in u)){s.self._processingStatus===I.Running?h():s.defer((()=>{h()}));continue}const f=u,[m,g,y]=f.resolve(s,a,l,p,u,o);a=m,"retryResolve"in f&&(null==r||r.push([f,g])),"execute"in f&&(s.self._processingStatus===I.Running?f.execute(s,g):s.defer(f.execute.bind(null,s,g))),y&&(a=xe(a,t,s,y,o,r))}return a}function we(e,t,s,n,o,r){const i=r?[]:void 0,a=xe(e,t,s,n,{internalQueue:o,deferredActorIds:r},i);return null==i||i.forEach((([e,t])=>{e.retryResolve(s,a,t)})),a}function Se(e,t,s){return we(e,t,s,Object.values(e.children).map((e=>R(e))),[])}function Ze(e,t){return t.machine.getTransitionData(t,e)}function Te(e,t){const s=new Set,n=e._nodes.filter(W);for(const o of n)e:for(const n of[o].concat(q(o,void 0)))if(n.always)for(const o of n.always)if(void 0===o.guard||B(o.guard,e.context,t,e)){s.add(o);break e}return le(Array.from(s),new Set(e._nodes),e.historyValue)}function Ie(e){return!!e&&"object"==typeof e&&"machine"in e&&"value"in e}const Ce=function(e){return p(e,this.value)},ke=function(e){return this.tags.has(e)},Oe=function(e){const t=this.machine.getTransitionData(this,e);return!(null==t||!t.length)&&t.some((e=>void 0!==e.target||e.actions.length))},je=function(){const{_nodes:e,tags:t,machine:s,getMeta:n,toJSON:o,can:r,hasTag:i,matches:a,...c}=this;return{...c,tags:Array.from(t)}},Ee=function(){return this._nodes.reduce(((e,t)=>(void 0!==t.meta&&(e[t.id]=t.meta),e)),{})};function Pe(e,t){return{status:e.status,output:e.output,error:e.error,machine:t,context:e.context,_nodes:e._nodes,value:X(t.root,e._nodes),tags:new Set(e._nodes.flatMap((e=>e.tags))),children:e.children,historyValue:e.historyValue||{},matches:Ce,hasTag:ke,can:Oe,getMeta:Ee,toJSON:je}}function Ae(e,t={}){return Pe({...e,...t},e.machine)}function Ne(e){var t;let s;for(const t in e){const r=e[t];if(r&&"object"==typeof r)if("sessionId"in r&&"send"in r&&"ref"in r){var n;null!==(n=s)&&void 0!==n||(s=Array.isArray(e)?e.slice():{...e}),s[t]={xstate$$type:1,id:r.id}}else{const n=Ne(r);var o;n!==r&&(null!==(o=s)&&void 0!==o||(s=Array.isArray(e)?e.slice():{...e}),s[t]=n)}}return null!==(t=s)&&void 0!==t?t:e}function Me(e,t,s,n,{event:o,id:r,delay:i},{internalQueue:a}){const c=t.machine.implementations.delays;if("string"==typeof o)throw new Error(`Only event objects may be used with raise; use raise({ type: "${o}" }) instead`);const d="function"==typeof o?o(s,n):o;let u;if("string"==typeof i){const e=c&&c[i];u="function"==typeof e?e(s,n):e}else u="function"==typeof i?i(s,n):i;return"number"!=typeof u&&a.push(d),[t,{event:d,id:r,delay:u}]}function De(e,t){const{event:s,delay:n,id:o}=t;"number"!=typeof n||e.defer((()=>{const t=e.self;e.system.scheduler.schedule(t,t,s,n,o)}))}function Le(e,t){function s(e,t){}return s.type="xstate.raise",s.event=e,s.id=null==t?void 0:t.id,s.delay=null==t?void 0:t.delay,s.resolve=Me,s.execute=De,s}t.$$ACTOR_TYPE=1,t.Actor=Actor,t.NULL_EVENT="",t.ProcessingStatus=I,t.STATE_DELIMITER=".",t.XSTATE_ERROR="xstate.error",t.XSTATE_STOP=i,t.and=function(e){function t(e,t){return!1}return t.check=z,t.guards=e,t},t.cancel=P,t.cloneMachineSnapshot=Ae,t.createActor=k,t.createErrorActorEvent=c,t.createInitEvent=d,t.createInvokeId=function(e,t){return`${t}.${e}`},t.createMachineSnapshot=Pe,t.evaluateGuard=B,t.formatInitialTransition=function(e,t){const s="string"==typeof t?e.states[t]:t?e.states[t.target]:void 0;if(!s&&t)throw new Error(`Initial state node "${t}" not found on parent state node #${e.id}`);const n={source:e,actions:t&&"string"!=typeof t?y(t.actions):[],eventType:null,reenter:!1,target:s?[s]:[],toJSON:()=>({...n,source:`#${e.id}`,target:s?[`#${s.id}`]:[]})};return n},t.formatTransition=ee,t.formatTransitions=function(e){const t=new Map;if(e.config.on)for(const s of Object.keys(e.config.on)){if(""===s)throw new Error('Null events ("") cannot be specified as a transition key. Use `always: { ... }` instead.');const n=e.config.on[s];t.set(s,b(n).map((t=>ee(e,s,t))))}if(e.config.onDone){const s=`xstate.done.state.${e.id}`;t.set(s,b(e.config.onDone).map((t=>ee(e,s,t))))}for(const s of e.invoke){if(s.onDone){const n=`xstate.done.actor.${s.id}`;t.set(n,b(s.onDone).map((t=>ee(e,n,t))))}if(s.onError){const n=`xstate.error.actor.${s.id}`;t.set(n,b(s.onError).map((t=>ee(e,n,t))))}if(s.onSnapshot){const n=`xstate.snapshot.${s.id}`;t.set(n,b(s.onSnapshot).map((t=>ee(e,n,t))))}}for(const s of e.after){let e=t.get(s.eventType);e||(e=[],t.set(s.eventType,e)),e.push(s)}return t},t.getAllOwnEventDescriptors=function(e){return[...new Set([...e._nodes.flatMap((e=>e.ownEvents))])]},t.getAllStateNodes=G,t.getCandidates=function(e,t){return e.transitions.get(t)||[...e.transitions.keys()].filter((e=>{if("*"===e)return!0;if(!e.endsWith(".*"))return!1;const s=e.split("."),n=t.split(".");for(let e=0;e<s.length;e++){const t=s[e],o=n[e];if("*"===t)return e===s.length-1;if(t!==o)return!1}return!0})).sort(((e,t)=>t.length-e.length)).flatMap((t=>e.transitions.get(t)))},t.getDelayedTransitions=function(e){const t=e.config.after;return t?Object.keys(t).flatMap(((s,n)=>{const o=t[s],r="string"==typeof o?{target:o}:o,i=Number.isNaN(+s)?s:+s,a=(t=>{const s={type:`xstate.after.${t}.${e.id}`};const n=s.type;return e.entry.push(Le(s,{id:n,delay:t})),e.exit.push(P(n)),n})(i);return y(r).map((e=>({...e,event:a,delay:i})))})).map((t=>{const{delay:s}=t;return{...ee(e,t.event,t),delay:s}})):[]},t.getInitialStateNodes=oe,t.getPersistedSnapshot=function(e,t){const{_nodes:s,tags:n,machine:o,children:r,context:i,can:a,hasTag:c,matches:d,getMeta:u,toJSON:l,...p}=e,h={};for(const e in r){const s=r[e];h[e]={snapshot:s.getPersistedSnapshot(t),src:s.src,systemId:s._systemId,syncSnapshot:s._syncSnapshot}}return{...p,context:Ne(i),children:h}},t.getStateNodeByPath=ie,t.getStateNodes=ae,t.interpret=O,t.isInFinalState=H,t.isMachineSnapshot=Ie,t.isStateId=Q,t.macrostep=function(e,t,s,n=[]){let o=e;const a=[];function c(e,t,n){s.system._sendInspectionEvent({type:"@xstate.microstep",actorRef:s.self,event:t,snapshot:e,_transitions:n}),a.push(e)}if(t.type===i)return o=Ae(Se(o,t,s),{status:"stopped"}),c(o,t,[]),{snapshot:o,microstates:a};let d=t;if(d.type!==r){const t=d,r=function(e){return e.type.startsWith("xstate.error.actor")}(t),i=Ze(t,o);if(r&&!i.length)return o=Ae(e,{status:"error",error:t.error}),c(o,t,[]),{snapshot:o,microstates:a};o=me(i,e,s,d,!1,n),c(o,t,i)}let u=!0;for(;"active"===o.status;){let e=u?Te(o,d):[];const t=e.length?o:void 0;if(!e.length){if(!n.length)break;d=n.shift(),e=Ze(d,o)}o=me(e,o,s,d,!1,n),u=o!==t,c(o,d,e)}return"active"!==o.status&&Se(o,d,s),{snapshot:o,microstates:a}},t.mapValues=function(e,t){const s={},n=Object.keys(e);for(let o=0;o<n.length;o++){const r=n[o];s[r]=t(e[r],r,e,o)}return s},t.matchesState=p,t.microstep=me,t.not=function(e){function t(e,t){return!1}return t.check=V,t.guards=[e],t},t.or=function(e){function t(e,t){return!1}return t.check=U,t.guards=e,t},t.pathToStateValue=m,t.raise=Le,t.resolveActionsAndContext=we,t.resolveReferencedActor=S,t.resolveStateValue=function(e,t){return X(e,[...G(ae(e,t))])},t.spawnChild=M,t.stateIn=function(e){function t(e,t){return!1}return t.check=F,t.stateValue=e,t},t.stop=$,t.stopChild=R,t.toArray=y,t.toObserver=w,t.toStatePath=h,t.toTransitionConfigArray=b,t.transitionNode=function e(t,s,n,o){return"string"==typeof s?function(e,t,s,n){const o=re(e,t).next(s,n);return o&&o.length?o:e.next(s,n)}(t,s,n,o):1===Object.keys(s).length?function(t,s,n,o){const r=Object.keys(s),i=e(re(t,r[0]),s[r[0]],n,o);return i&&i.length?i:t.next(n,o)}(t,s,n,o):function(t,s,n,o){const r=[];for(const i of Object.keys(s)){const a=s[i];if(!a)continue;const c=e(re(t,i),a,n,o);c&&r.push(...c)}return r.length?r:t.next(n,o)}(t,s,n,o)}},133:function(e,t,s){"use strict";(function(e){function s(){return"undefined"!=typeof globalThis?globalThis:"undefined"!=typeof self?self:"undefined"!=typeof window?window:void 0!==e?e:void 0}function n(){const e=s();if(e.__xstate__)return e.__xstate__}Object.defineProperty(t,"__esModule",{value:!0}),t.devToolsAdapter=e=>{if("undefined"==typeof window)return;const t=n();t&&t.register(e)},t.getGlobal=s,t.registerService=function(e){if("undefined"==typeof window)return;const t=n();t&&t.register(e)}}).call(this,s(76))},134:function(e,t,s){"use strict";var n=s(135);class Mailbox{constructor(e){this._process=e,this._active=!1,this._current=null,this._last=null}start(){this._active=!0,this.flush()}clear(){this._current&&(this._current.next=null,this._last=this._current)}enqueue(e){const t={value:e,next:null};if(this._current)return this._last.next=t,void(this._last=t);this._current=t,this._last=t,this._active&&this.flush()}flush(){for(;this._current;){const e=this._current;this._process(e.value),this._current=e.next}this._last=null}}const o="",r="xstate.init",i="xstate.stop";function a(e,t){return{type:`xstate.done.state.${e}`,output:t}}function c(e,t){return{type:`xstate.error.actor.${e}`,error:t,actorId:e}}function d(e){return{type:r,input:e}}function u(e){setTimeout((()=>{throw e}))}const l="function"==typeof Symbol&&Symbol.observable||"@@observable";function p(e,t){const s=f(e),n=f(t);return"string"==typeof n?"string"==typeof s&&n===s:"string"==typeof s?s in n:Object.keys(s).every((e=>e in n&&p(s[e],n[e])))}function h(e){if(_(e))return e;let t=[],s="";for(let n=0;n<e.length;n++){switch(e.charCodeAt(n)){case 92:s+=e[n+1],n++;continue;case 46:t.push(s),s="";continue}s+=e[n]}return t.push(s),t}function f(e){return Ie(e)?e.value:"string"!=typeof e?e:m(h(e))}function m(e){if(1===e.length)return e[0];const t={};let s=t;for(let t=0;t<e.length-1;t++)if(t===e.length-2)s[e[t]]=e[t+1];else{const n=s;s={},n[e[t]]=s}return t}function g(e){return _(e)?e:[e]}function y(e){return void 0===e?[]:g(e)}function v(e,t,s,n){return"function"==typeof e?e({context:t,event:s,self:n}):e}function _(e){return Array.isArray(e)}function b(e){return g(e).map((e=>void 0===e||"string"==typeof e?{target:e}:e))}function x(e){if(void 0!==e&&e!==o)return y(e)}function w(e,t,s){var n,o,r;const i="object"==typeof e,a=i?e:void 0;return{next:null===(n=i?e.next:e)||void 0===n?void 0:n.bind(a),error:null===(o=i?e.error:t)||void 0===o?void 0:o.bind(a),complete:null===(r=i?e.complete:s)||void 0===r?void 0:r.bind(a)}}function S(e,t){const s=t.match(/^xstate\.invoke\.(\d+)\.(.*)/);if(!s)return e.implementations.actors[t];const[,n,o]=s,r=e.getStateNodeById(o).config.invoke;return(Array.isArray(r)?r[n]:r).src}function Z(e,t){return`${e.sessionId}.${t}`}let T=0;let I=function(e){return e[e.NotStarted=0]="NotStarted",e[e.Running=1]="Running",e[e.Stopped=2]="Stopped",e}({});const C={clock:{setTimeout:(e,t)=>setTimeout(e,t),clearTimeout:e=>clearTimeout(e)},logger:console.log.bind(console),devTools:!1};class Actor{constructor(e,t){var s,n,o,r;this.logic=e,this._snapshot=void 0,this.clock=void 0,this.options=void 0,this.id=void 0,this.mailbox=new Mailbox(this._process.bind(this)),this.observers=new Set,this.eventListeners=new Map,this.logger=void 0,this._processingStatus=I.NotStarted,this._parent=void 0,this._syncSnapshot=void 0,this.ref=void 0,this._actorScope=void 0,this._systemId=void 0,this.sessionId=void 0,this.system=void 0,this._doneEvent=void 0,this.src=void 0,this._deferred=[];const i={...C,...t},{clock:a,logger:c,parent:d,syncSnapshot:u,id:l,systemId:p,inspect:h}=i;this.system=d?d.system:function(e,t){var s;const n=new Map,o=new Map,r=new WeakMap,i=new Set,a={},{clock:c,logger:d}=t,u={schedule:(e,t,s,n,o=Math.random().toString(36).slice(2))=>{const r={source:e,target:t,event:s,delay:n,id:o,startedAt:Date.now()},i=Z(e,o);l._snapshot._scheduledEvents[i]=r;const d=c.setTimeout((()=>{delete a[i],delete l._snapshot._scheduledEvents[i],l._relay(e,t,s)}),n);a[i]=d},cancel:(e,t)=>{const s=Z(e,t),n=a[s];delete a[s],delete l._snapshot._scheduledEvents[s],void 0!==n&&c.clearTimeout(n)},cancelAll:e=>{for(const t in l._snapshot._scheduledEvents){const s=l._snapshot._scheduledEvents[t];s.source===e&&u.cancel(e,s.id)}}},l={_snapshot:{_scheduledEvents:null!==(s=(null==t?void 0:t.snapshot)&&t.snapshot.scheduler)&&void 0!==s?s:{}},_bookId:()=>"x:"+T++,_register:(e,t)=>(n.set(e,t),e),_unregister:e=>{n.delete(e.sessionId);const t=r.get(e);void 0!==t&&(o.delete(t),r.delete(e))},get:e=>o.get(e),_set:(e,t)=>{const s=o.get(e);if(s&&s!==t)throw new Error(`Actor with system ID '${e}' already exists.`);o.set(e,t),r.set(t,e)},inspect:e=>{const t=w(e);return i.add(t),{unsubscribe(){i.delete(t)}}},_sendInspectionEvent:t=>{if(!i.size)return;const s={...t,rootId:e.sessionId};i.forEach((e=>{var t;return null===(t=e.next)||void 0===t?void 0:t.call(e,s)}))},_relay:(e,t,s)=>{l._sendInspectionEvent({type:"@xstate.event",sourceRef:e,actorRef:t,event:s}),t._send(s)},scheduler:u,getSnapshot:()=>({_scheduledEvents:{...l._snapshot._scheduledEvents}}),start:()=>{const e=l._snapshot._scheduledEvents;l._snapshot._scheduledEvents={};for(const t in e){const{source:s,target:n,event:o,delay:r,id:i}=e[t];u.schedule(s,n,o,r,i)}},_clock:c,_logger:d};return l}(this,{clock:a,logger:c}),h&&!d&&this.system.inspect(w(h)),this.sessionId=this.system._bookId(),this.id=null!=l?l:this.sessionId,this.logger=null!==(s=null==t?void 0:t.logger)&&void 0!==s?s:this.system._logger,this.clock=null!==(n=null==t?void 0:t.clock)&&void 0!==n?n:this.system._clock,this._parent=d,this._syncSnapshot=u,this.options=i,this.src=null!==(o=i.src)&&void 0!==o?o:e,this.ref=this,this._actorScope={self:this,id:this.id,sessionId:this.sessionId,logger:this.logger,defer:e=>{this._deferred.push(e)},system:this.system,stopChild:e=>{if(e._parent!==this)throw new Error(`Cannot stop child actor ${e.id} of ${this.id} because it is not a child`);e._stop()},emit:e=>{const t=this.eventListeners.get(e.type),s=this.eventListeners.get("*");if(!t&&!s)return;const n=new Set([...t?t.values():[],...s?s.values():[]]);for(const t of Array.from(n))t(e)}},this.send=this.send.bind(this),this.system._sendInspectionEvent({type:"@xstate.actor",actorRef:this}),p&&(this._systemId=p,this.system._set(p,this)),this._initState(null!==(r=null==t?void 0:t.snapshot)&&void 0!==r?r:null==t?void 0:t.state),p&&"active"!==this._snapshot.status&&this.system._unregister(this)}_initState(e){try{var t;this._snapshot=e?this.logic.restoreSnapshot?this.logic.restoreSnapshot(e,this._actorScope):e:this.logic.getInitialSnapshot(this._actorScope,null===(t=this.options)||void 0===t?void 0:t.input)}catch(e){this._snapshot={status:"error",output:void 0,error:e}}}update(e,t){let s;for(this._snapshot=e;s=this._deferred.shift();)try{s()}catch(t){this._deferred.length=0,this._snapshot={...e,status:"error",error:t}}switch(this._snapshot.status){case"active":for(const t of this.observers)try{var n;null===(n=t.next)||void 0===n||n.call(t,e)}catch(e){u(e)}break;case"done":for(const t of this.observers)try{var o;null===(o=t.next)||void 0===o||o.call(t,e)}catch(e){u(e)}this._stopProcedure(),this._complete(),this._doneEvent={type:`xstate.done.actor.${r=this.id}`,output:this._snapshot.output,actorId:r},this._parent&&this.system._relay(this,this._parent,this._doneEvent);break;case"error":this._error(this._snapshot.error)}var r;this.system._sendInspectionEvent({type:"@xstate.snapshot",actorRef:this,event:t,snapshot:e})}subscribe(e,t,s){const n=w(e,t,s);if(this._processingStatus!==I.Stopped)this.observers.add(n);else switch(this._snapshot.status){case"done":try{var o;null===(o=n.complete)||void 0===o||o.call(n)}catch(e){u(e)}break;case"error":{const e=this._snapshot.error;if(n.error)try{n.error(e)}catch(e){u(e)}else u(e);break}}return{unsubscribe:()=>{this.observers.delete(n)}}}on(e,t){let s=this.eventListeners.get(e);s||(s=new Set,this.eventListeners.set(e,s));const n=t.bind(void 0);return s.add(n),{unsubscribe:()=>{s.delete(n)}}}start(){if(this._processingStatus===I.Running)return this;this._syncSnapshot&&this.subscribe({next:e=>{"active"===e.status&&this.system._relay(this,this._parent,{type:`xstate.snapshot.${this.id}`,snapshot:e})},error:()=>{}}),this.system._register(this.sessionId,this),this._systemId&&this.system._set(this._systemId,this),this._processingStatus=I.Running;const e=d(this.options.input);switch(this.system._sendInspectionEvent({type:"@xstate.event",sourceRef:this._parent,actorRef:this,event:e}),this._snapshot.status){case"done":return this.update(this._snapshot,e),this;case"error":return this._error(this._snapshot.error),this}if(this._parent||this.system.start(),this.logic.start)try{this.logic.start(this._snapshot,this._actorScope)}catch(e){return this._snapshot={...this._snapshot,status:"error",error:e},this._error(e),this}return this.update(this._snapshot,e),this.options.devTools&&this.attachDevTools(),this.mailbox.start(),this}_process(e){let t,s;try{t=this.logic.transition(this._snapshot,e,this._actorScope)}catch(e){s={err:e}}if(s){const{err:e}=s;return this._snapshot={...this._snapshot,status:"error",error:e},void this._error(e)}this.update(t,e),e.type===i&&(this._stopProcedure(),this._complete())}_stop(){return this._processingStatus===I.Stopped?this:(this.mailbox.clear(),this._processingStatus===I.NotStarted?(this._processingStatus=I.Stopped,this):(this.mailbox.enqueue({type:i}),this))}stop(){if(this._parent)throw new Error("A non-root actor cannot be stopped directly.");return this._stop()}_complete(){for(const t of this.observers)try{var e;null===(e=t.complete)||void 0===e||e.call(t)}catch(e){u(e)}this.observers.clear()}_reportError(e){if(!this.observers.size)return void(this._parent||u(e));let t=!1;for(const s of this.observers){const n=s.error;t||(t=!n);try{null==n||n(e)}catch(e){u(e)}}this.observers.clear(),t&&u(e)}_error(e){this._stopProcedure(),this._reportError(e),this._parent&&this.system._relay(this,this._parent,c(this.id,e))}_stopProcedure(){return this._processingStatus!==I.Running||(this.system.scheduler.cancelAll(this),this.mailbox.clear(),this.mailbox=new Mailbox(this._process.bind(this)),this._processingStatus=I.Stopped,this.system._unregister(this)),this}_send(e){this._processingStatus!==I.Stopped&&this.mailbox.enqueue(e)}send(e){this.system._relay(void 0,this,e)}attachDevTools(){const{devTools:e}=this.options;e&&("function"==typeof e?e:n.devToolsAdapter)(this)}toJSON(){return{xstate$$type:1,id:this.id}}getPersistedSnapshot(e){return this.logic.getPersistedSnapshot(this._snapshot,e)}[l](){return this}getSnapshot(){return this._snapshot}}function k(e,...[t]){return new Actor(e,t)}const O=k;function j(e,t,s,n,{sendId:o}){return[t,"function"==typeof o?o(s,n):o]}function E(e,t){e.defer((()=>{e.system.scheduler.cancel(e.self,t)}))}function P(e){function t(e,t){}return t.type="xstate.cancel",t.sendId=e,t.resolve=j,t.execute=E,t}function A(e,t,s,n,{id:o,systemId:r,src:i,input:a,syncSnapshot:c}){const d="string"==typeof i?S(t.machine,i):i,u="function"==typeof o?o(s):o;let l;return d&&(l=k(d,{id:u,src:i,parent:e.self,syncSnapshot:c,systemId:r,input:"function"==typeof a?a({context:t.context,event:s.event,self:e.self}):a})),[Ae(t,{children:{...t.children,[u]:l}}),{id:o,actorRef:l}]}function N(e,{id:t,actorRef:s}){s&&e.defer((()=>{s._processingStatus!==I.Stopped&&s.start()}))}function M(...[e,{id:t,systemId:s,input:n,syncSnapshot:o=!1}={}]){function r(e,t){}return r.type="snapshot.spawnChild",r.id=t,r.systemId=s,r.src=e,r.input=n,r.syncSnapshot=o,r.resolve=A,r.execute=N,r}function D(e,t,s,n,{actorRef:o}){const r="function"==typeof o?o(s,n):o,i="string"==typeof r?t.children[r]:r;let a=t.children;return i&&(a={...a},delete a[i.id]),[Ae(t,{children:a}),i]}function L(e,t){t&&(e.system._unregister(t),t._processingStatus===I.Running?e.defer((()=>{e.stopChild(t)})):e.stopChild(t))}function R(e){function t(e,t){}return t.type="xstate.stopChild",t.actorRef=e,t.resolve=D,t.execute=L,t}const $=R;function F(e,t,{stateValue:s}){if("string"==typeof s&&Q(s)){const t=e.machine.getStateNodeById(s);return e._nodes.some((e=>e===t))}return e.matches(s)}function V(e,{context:t,event:s},{guards:n}){return!B(n[0],t,s,e)}function z(e,{context:t,event:s},{guards:n}){return n.every((n=>B(n,t,s,e)))}function U(e,{context:t,event:s},{guards:n}){return n.some((n=>B(n,t,s,e)))}function B(e,t,s,n){const{machine:o}=n,r="function"==typeof e,i=r?e:o.implementations.guards["string"==typeof e?e:e.type];if(!r&&!i)throw new Error(`Guard '${"string"==typeof e?e:e.type}' is not implemented.'.`);if("function"!=typeof i)return B(i,t,s,n);const a={context:t,event:s},c=r||"string"==typeof e?void 0:"params"in e?"function"==typeof e.params?e.params({context:t,event:s}):e.params:void 0;return"check"in i?i.check(n,a,i):i(a,c)}const W=e=>"atomic"===e.type||"final"===e.type;function K(e){return Object.values(e.states).filter((e=>"history"!==e.type))}function q(e,t){const s=[];if(t===e)return s;let n=e.parent;for(;n&&n!==t;)s.push(n),n=n.parent;return s}function G(e){const t=new Set(e),s=Y(t);for(const e of t)if("compound"!==e.type||s.get(e)&&s.get(e).length){if("parallel"===e.type)for(const s of K(e))if("history"!==s.type&&!t.has(s)){const e=ne(s);for(const s of e)t.add(s)}}else ne(e).forEach((e=>t.add(e)));for(const e of t){let s=e.parent;for(;s;)t.add(s),s=s.parent}return t}function J(e,t){const s=t.get(e);if(!s)return{};if("compound"===e.type){const e=s[0];if(!e)return{};if(W(e))return e.key}const n={};for(const e of s)n[e.key]=J(e,t);return n}function Y(e){const t=new Map;for(const s of e)t.has(s)||t.set(s,[]),s.parent&&(t.has(s.parent)||t.set(s.parent,[]),t.get(s.parent).push(s));return t}function X(e,t){return J(e,Y(G(t)))}function H(e,t){return"compound"===t.type?K(t).some((t=>"final"===t.type&&e.has(t))):"parallel"===t.type?K(t).every((t=>H(e,t))):"final"===t.type}const Q=e=>"#"===e[0];function ee(e,t,s){var n;const o=x(s.target),r=null!==(n=s.reenter)&&void 0!==n&&n,i=function(e,t){if(void 0!==t)return t.map((t=>{if("string"!=typeof t)return t;if(Q(t))return e.machine.getStateNodeById(t);const s="."===t[0];if(s&&!e.parent)return ie(e,t.slice(1));const n=s?e.key+t:t;if(!e.parent)throw new Error(`Invalid target: "${t}" is not a valid target from the root node. Did you mean ".${t}"?`);try{return ie(e.parent,n)}catch(t){throw new Error(`Invalid transition definition for state node '${e.id}':\n${t.message}`)}}))}(e,o),a={...s,actions:y(s.actions),guard:s.guard,target:i,source:e,reenter:r,eventType:t,toJSON:()=>({...a,source:`#${e.id}`,target:i?i.map((e=>`#${e.id}`)):void 0})};return a}function te(e){const t=x(e.config.target);return t?{target:t.map((t=>"string"==typeof t?ie(e.parent,t):t))}:e.parent.initial}function se(e){return"history"===e.type}function ne(e){const t=oe(e);for(const s of t)for(const n of q(s,e))t.add(n);return t}function oe(e){const t=new Set;return function e(s){if(!t.has(s))if(t.add(s),"compound"===s.type)e(s.initial.target[0]);else if("parallel"===s.type)for(const t of K(s))e(t)}(e),t}function re(e,t){if(Q(t))return e.machine.getStateNodeById(t);if(!e.states)throw new Error(`Unable to retrieve child state '${t}' from '${e.id}'; no child states exist.`);const s=e.states[t];if(!s)throw new Error(`Child state '${t}' does not exist on '${e.id}'`);return s}function ie(e,t){if("string"==typeof t&&Q(t))try{return e.machine.getStateNodeById(t)}catch(e){}const s=h(t).slice();let n=e;for(;s.length;){const e=s.shift();if(!e.length)break;n=re(n,e)}return n}function ae(e,t){if("string"==typeof t){const s=e.states[t];if(!s)throw new Error(`State '${t}' does not exist on '${e.id}'`);return[e,s]}const s=Object.keys(t),n=s.map((t=>re(e,t))).filter(Boolean);return[e.machine.root,e].concat(n,s.reduce(((s,n)=>{const o=re(e,n);if(!o)return s;const r=ae(o,t[n]);return s.concat(r)}),[]))}function ce(e){return Object.keys(e.states).map((t=>e.states[t])).filter((e=>"history"===e.type))}function de(e,t){let s=e;for(;s.parent&&s.parent!==t;)s=s.parent;return s.parent===t}function ue(e,t){const s=new Set(e),n=new Set(t);for(const e of s)if(n.has(e))return!0;for(const e of n)if(s.has(e))return!0;return!1}function le(e,t,s){const n=new Set;for(const o of e){let e=!1;const r=new Set;for(const i of n)if(ue(fe([o],t,s),fe([i],t,s))){if(!de(o.source,i.source)){e=!0;break}r.add(i)}if(!e){for(const e of r)n.delete(e);n.add(o)}}return Array.from(n)}function pe(e,t){if(!e.target)return[];const s=new Set;for(const n of e.target)if(se(n))if(t[n.id])for(const e of t[n.id])s.add(e);else for(const e of pe(te(n),t))s.add(e);else s.add(n);return[...s]}function he(e,t){const s=pe(e,t);if(!s)return;if(!e.reenter&&s.every((t=>t===e.source||de(t,e.source))))return e.source;return function(e){const[t,...s]=e;for(const e of q(t,void 0))if(s.every((t=>de(t,e))))return e}(s.concat(e.source))||(e.reenter?void 0:e.source.machine.root)}function fe(e,t,s){const n=new Set;for(const r of e){var o;if(null!==(o=r.target)&&void 0!==o&&o.length){const e=he(r,s);r.reenter&&r.source===e&&n.add(e);for(const s of t)de(s,e)&&n.add(s)}}return[...n]}function me(e,t,s,n,o,r){if(!e.length)return t;const i=new Set(t._nodes);let c=t.historyValue;const d=le(e,i,c);let u=t;o||([u,c]=function(e,t,s,n,o,r,i){let a=e;const c=fe(n,o,r);let d;c.sort(((e,t)=>t.order-e.order));for(const e of c)for(const t of ce(e)){var u;let s;s="deep"===t.history?t=>W(t)&&de(t,e):t=>t.parent===e,null!==(u=d)&&void 0!==u||(d={...r}),d[t.id]=Array.from(o).filter(s)}for(const e of c)a=we(a,t,s,[...e.exit,...e.invoke.map((e=>R(e.id)))],i),o.delete(e);return[a,d||r]}(u,n,s,d,i,c,r)),u=we(u,n,s,d.flatMap((e=>e.actions)),r),u=function(e,t,s,n,o,r,i,c){let d=e;const u=new Set,l=new Set;(function(e,t,s,n){for(const o of e){const e=he(o,t);for(const r of o.target||[])se(r)||o.source===r&&o.source===e&&!o.reenter||(n.add(r),s.add(r)),ye(r,t,s,n);const r=pe(o,t);for(const i of r){const r=q(i,e);"parallel"===(null==e?void 0:e.type)&&r.push(e),ve(n,t,s,r,!o.source.parent&&o.reenter?void 0:e)}}})(n,i,l,u),c&&l.add(e.machine.root);const p=new Set;for(const e of[...u].sort(((e,t)=>e.order-t.order))){o.add(e);const n=[];n.push(...e.entry);for(const t of e.invoke)n.push(M(t.src,{...t,syncSnapshot:!!t.onSnapshot}));if(l.has(e)){const t=e.initial.actions;n.push(...t)}if(d=we(d,t,s,n,r,e.invoke.map((e=>e.id))),"final"===e.type){const n=e.parent;let i="parallel"===(null==n?void 0:n.type)?n:null==n?void 0:n.parent,c=i||e;for("compound"===(null==n?void 0:n.type)&&r.push(a(n.id,void 0!==e.output?v(e.output,d.context,t,s.self):void 0));"parallel"===(null===(h=i)||void 0===h?void 0:h.type)&&!p.has(i)&&H(o,i);){var h;p.add(i),r.push(a(i.id)),c=i,i=i.parent}if(i)continue;d=Ae(d,{status:"done",output:ge(d,t,s,d.machine.root,c)})}}return d}(u,n,s,d,i,r,c,o);const l=[...i];"done"===u.status&&(u=we(u,n,s,l.sort(((e,t)=>t.order-e.order)).flatMap((e=>e.exit)),r));try{return c===t.historyValue&&function(e,t){if(e.length!==t.size)return!1;for(const s of e)if(!t.has(s))return!1;return!0}(t._nodes,i)?u:Ae(u,{_nodes:l,historyValue:c})}catch(e){throw e}}function ge(e,t,s,n,o){if(void 0===n.output)return;const r=a(o.id,void 0!==o.output&&o.parent?v(o.output,e.context,t,s.self):void 0);return v(n.output,e.context,r,s.self)}function ye(e,t,s,n){if(se(e))if(t[e.id]){const o=t[e.id];for(const e of o)n.add(e),ye(e,t,s,n);for(const r of o)_e(r,e.parent,n,t,s)}else{const r=te(e);for(const i of r.target){var o;n.add(i),r===(null===(o=e.parent)||void 0===o?void 0:o.initial)&&s.add(e.parent),ye(i,t,s,n)}for(const o of r.target)_e(o,e.parent,n,t,s)}else if("compound"===e.type){const[o]=e.initial.target;se(o)||(n.add(o),s.add(o)),ye(o,t,s,n),_e(o,e,n,t,s)}else if("parallel"===e.type)for(const o of K(e).filter((e=>!se(e))))[...n].some((e=>de(e,o)))||(se(o)||(n.add(o),s.add(o)),ye(o,t,s,n))}function ve(e,t,s,n,o){for(const r of n)if(o&&!de(r,o)||e.add(r),"parallel"===r.type)for(const n of K(r).filter((e=>!se(e))))[...e].some((e=>de(e,n)))||(e.add(n),ye(n,t,s,e))}function _e(e,t,s,n,o){ve(s,n,o,q(e,t))}let be=!1;function xe(e,t,s,n,o,r){const{machine:i}=e;let a=e;for(const c of n){const d="function"==typeof c,u=d?c:i.implementations.actions["string"==typeof c?c:c.type];if(!u)continue;const l={context:a.context,event:t,self:s.self,system:s.system},p=d||"string"==typeof c?void 0:"params"in c?"function"==typeof c.params?c.params({context:a.context,event:t}):c.params:void 0;function h(){s.system._sendInspectionEvent({type:"@xstate.action",actorRef:s.self,action:{type:"string"==typeof c?c:"object"==typeof c?c.type:c.name||"(anonymous)",params:p}});try{be=u,u(l,p)}finally{be=!1}}if(!("resolve"in u)){s.self._processingStatus===I.Running?h():s.defer((()=>{h()}));continue}const f=u,[m,g,y]=f.resolve(s,a,l,p,u,o);a=m,"retryResolve"in f&&(null==r||r.push([f,g])),"execute"in f&&(s.self._processingStatus===I.Running?f.execute(s,g):s.defer(f.execute.bind(null,s,g))),y&&(a=xe(a,t,s,y,o,r))}return a}function we(e,t,s,n,o,r){const i=r?[]:void 0,a=xe(e,t,s,n,{internalQueue:o,deferredActorIds:r},i);return null==i||i.forEach((([e,t])=>{e.retryResolve(s,a,t)})),a}function Se(e,t,s){return we(e,t,s,Object.values(e.children).map((e=>R(e))),[])}function Ze(e,t){return t.machine.getTransitionData(t,e)}function Te(e,t){const s=new Set,n=e._nodes.filter(W);for(const o of n)e:for(const n of[o].concat(q(o,void 0)))if(n.always)for(const o of n.always)if(void 0===o.guard||B(o.guard,e.context,t,e)){s.add(o);break e}return le(Array.from(s),new Set(e._nodes),e.historyValue)}function Ie(e){return!!e&&"object"==typeof e&&"machine"in e&&"value"in e}const Ce=function(e){return p(e,this.value)},ke=function(e){return this.tags.has(e)},Oe=function(e){const t=this.machine.getTransitionData(this,e);return!(null==t||!t.length)&&t.some((e=>void 0!==e.target||e.actions.length))},je=function(){const{_nodes:e,tags:t,machine:s,getMeta:n,toJSON:o,can:r,hasTag:i,matches:a,...c}=this;return{...c,tags:Array.from(t)}},Ee=function(){return this._nodes.reduce(((e,t)=>(void 0!==t.meta&&(e[t.id]=t.meta),e)),{})};function Pe(e,t){return{status:e.status,output:e.output,error:e.error,machine:t,context:e.context,_nodes:e._nodes,value:X(t.root,e._nodes),tags:new Set(e._nodes.flatMap((e=>e.tags))),children:e.children,historyValue:e.historyValue||{},matches:Ce,hasTag:ke,can:Oe,getMeta:Ee,toJSON:je}}function Ae(e,t={}){return Pe({...e,...t},e.machine)}function Ne(e){var t;let s;for(const t in e){const r=e[t];if(r&&"object"==typeof r)if("sessionId"in r&&"send"in r&&"ref"in r){var n;null!==(n=s)&&void 0!==n||(s=Array.isArray(e)?e.slice():{...e}),s[t]={xstate$$type:1,id:r.id}}else{const n=Ne(r);var o;n!==r&&(null!==(o=s)&&void 0!==o||(s=Array.isArray(e)?e.slice():{...e}),s[t]=n)}}return null!==(t=s)&&void 0!==t?t:e}function Me(e,t,s,n,{event:o,id:r,delay:i},{internalQueue:a}){const c=t.machine.implementations.delays;if("string"==typeof o)throw new Error(`Only event objects may be used with raise; use raise({ type: "${o}" }) instead`);const d="function"==typeof o?o(s,n):o;let u;if("string"==typeof i){const e=c&&c[i];u="function"==typeof e?e(s,n):e}else u="function"==typeof i?i(s,n):i;return"number"!=typeof u&&a.push(d),[t,{event:d,id:r,delay:u}]}function De(e,t){const{event:s,delay:n,id:o}=t;"number"!=typeof n||e.defer((()=>{const t=e.self;e.system.scheduler.schedule(t,t,s,n,o)}))}function Le(e,t){function s(e,t){}return s.type="xstate.raise",s.event=e,s.id=null==t?void 0:t.id,s.delay=null==t?void 0:t.delay,s.resolve=Me,s.execute=De,s}t.$$ACTOR_TYPE=1,t.Actor=Actor,t.NULL_EVENT="",t.ProcessingStatus=I,t.STATE_DELIMITER=".",t.XSTATE_ERROR="xstate.error",t.XSTATE_STOP=i,t.and=function(e){function t(e,t){return!1}return t.check=z,t.guards=e,t},t.cancel=P,t.cloneMachineSnapshot=Ae,t.createActor=k,t.createErrorActorEvent=c,t.createInitEvent=d,t.createInvokeId=function(e,t){return`${t}.${e}`},t.createMachineSnapshot=Pe,t.evaluateGuard=B,t.formatInitialTransition=function(e,t){const s="string"==typeof t?e.states[t]:t?e.states[t.target]:void 0;if(!s&&t)throw new Error(`Initial state node "${t}" not found on parent state node #${e.id}`);const n={source:e,actions:t&&"string"!=typeof t?y(t.actions):[],eventType:null,reenter:!1,target:s?[s]:[],toJSON:()=>({...n,source:`#${e.id}`,target:s?[`#${s.id}`]:[]})};return n},t.formatTransition=ee,t.formatTransitions=function(e){const t=new Map;if(e.config.on)for(const s of Object.keys(e.config.on)){if(""===s)throw new Error('Null events ("") cannot be specified as a transition key. Use `always: { ... }` instead.');const n=e.config.on[s];t.set(s,b(n).map((t=>ee(e,s,t))))}if(e.config.onDone){const s=`xstate.done.state.${e.id}`;t.set(s,b(e.config.onDone).map((t=>ee(e,s,t))))}for(const s of e.invoke){if(s.onDone){const n=`xstate.done.actor.${s.id}`;t.set(n,b(s.onDone).map((t=>ee(e,n,t))))}if(s.onError){const n=`xstate.error.actor.${s.id}`;t.set(n,b(s.onError).map((t=>ee(e,n,t))))}if(s.onSnapshot){const n=`xstate.snapshot.${s.id}`;t.set(n,b(s.onSnapshot).map((t=>ee(e,n,t))))}}for(const s of e.after){let e=t.get(s.eventType);e||(e=[],t.set(s.eventType,e)),e.push(s)}return t},t.getAllOwnEventDescriptors=function(e){return[...new Set([...e._nodes.flatMap((e=>e.ownEvents))])]},t.getAllStateNodes=G,t.getCandidates=function(e,t){return e.transitions.get(t)||[...e.transitions.keys()].filter((e=>{if("*"===e)return!0;if(!e.endsWith(".*"))return!1;const s=e.split("."),n=t.split(".");for(let e=0;e<s.length;e++){const t=s[e],o=n[e];if("*"===t)return e===s.length-1;if(t!==o)return!1}return!0})).sort(((e,t)=>t.length-e.length)).flatMap((t=>e.transitions.get(t)))},t.getDelayedTransitions=function(e){const t=e.config.after;return t?Object.keys(t).flatMap(((s,n)=>{const o=t[s],r="string"==typeof o?{target:o}:o,i=Number.isNaN(+s)?s:+s,a=(t=>{const s={type:`xstate.after.${t}.${e.id}`};const n=s.type;return e.entry.push(Le(s,{id:n,delay:t})),e.exit.push(P(n)),n})(i);return y(r).map((e=>({...e,event:a,delay:i})))})).map((t=>{const{delay:s}=t;return{...ee(e,t.event,t),delay:s}})):[]},t.getInitialStateNodes=oe,t.getPersistedSnapshot=function(e,t){const{_nodes:s,tags:n,machine:o,children:r,context:i,can:a,hasTag:c,matches:d,getMeta:u,toJSON:l,...p}=e,h={};for(const e in r){const s=r[e];h[e]={snapshot:s.getPersistedSnapshot(t),src:s.src,systemId:s._systemId,syncSnapshot:s._syncSnapshot}}return{...p,context:Ne(i),children:h}},t.getStateNodeByPath=ie,t.getStateNodes=ae,t.interpret=O,t.isInFinalState=H,t.isMachineSnapshot=Ie,t.isStateId=Q,t.macrostep=function(e,t,s,n=[]){let o=e;const a=[];function c(e,t,n){s.system._sendInspectionEvent({type:"@xstate.microstep",actorRef:s.self,event:t,snapshot:e,_transitions:n}),a.push(e)}if(t.type===i)return o=Ae(Se(o,t,s),{status:"stopped"}),c(o,t,[]),{snapshot:o,microstates:a};let d=t;if(d.type!==r){const t=d,r=function(e){return e.type.startsWith("xstate.error.actor")}(t),i=Ze(t,o);if(r&&!i.length)return o=Ae(e,{status:"error",error:t.error}),c(o,t,[]),{snapshot:o,microstates:a};o=me(i,e,s,d,!1,n),c(o,t,i)}let u=!0;for(;"active"===o.status;){let e=u?Te(o,d):[];const t=e.length?o:void 0;if(!e.length){if(!n.length)break;d=n.shift(),e=Ze(d,o)}o=me(e,o,s,d,!1,n),u=o!==t,c(o,d,e)}return"active"!==o.status&&Se(o,d,s),{snapshot:o,microstates:a}},t.mapValues=function(e,t){const s={},n=Object.keys(e);for(let o=0;o<n.length;o++){const r=n[o];s[r]=t(e[r],r,e,o)}return s},t.matchesState=p,t.microstep=me,t.not=function(e){function t(e,t){return!1}return t.check=V,t.guards=[e],t},t.or=function(e){function t(e,t){return!1}return t.check=U,t.guards=e,t},t.pathToStateValue=m,t.raise=Le,t.resolveActionsAndContext=we,t.resolveReferencedActor=S,t.resolveStateValue=function(e,t){return X(e,[...G(ae(e,t))])},t.spawnChild=M,t.stateIn=function(e){function t(e,t){return!1}return t.check=F,t.stateValue=e,t},t.stop=$,t.stopChild=R,t.toArray=y,t.toObserver=w,t.toStatePath=h,t.toTransitionConfigArray=b,t.transitionNode=function e(t,s,n,o){return"string"==typeof s?function(e,t,s,n){const o=re(e,t).next(s,n);return o&&o.length?o:e.next(s,n)}(t,s,n,o):1===Object.keys(s).length?function(t,s,n,o){const r=Object.keys(s),i=e(re(t,r[0]),s[r[0]],n,o);return i&&i.length?i:t.next(n,o)}(t,s,n,o):function(t,s,n,o){const r=[];for(const i of Object.keys(s)){const a=s[i];if(!a)continue;const c=e(re(t,i),a,n,o);c&&r.push(...c)}return r.length?r:t.next(n,o)}(t,s,n,o)}},135:function(e,t,s){"use strict";(function(e){function s(){return"undefined"!=typeof globalThis?globalThis:"undefined"!=typeof self?self:"undefined"!=typeof window?window:void 0!==e?e:void 0}function n(){const e=s();if(e.__xstate__)return e.__xstate__}Object.defineProperty(t,"__esModule",{value:!0}),t.devToolsAdapter=e=>{if("undefined"==typeof window)return;const t=n();t&&t.register(e)},t.getGlobal=s,t.registerService=function(e){if("undefined"==typeof window)return;const t=n();t&&t.register(e)}}).call(this,s(76))},136:function(e,t,s){"use strict";var n=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(t,"__esModule",{value:!0}),t.getErrorMap=t.setErrorMap=t.defaultErrorMap=void 0;const o=n(s(143));t.defaultErrorMap=o.default;let r=o.default;t.setErrorMap=function(e){r=e},t.getErrorMap=function(){return r}},137:function(e,t,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ZodError=t.quotelessJson=t.ZodIssueCode=void 0;const n=s(127);t.ZodIssueCode=n.util.arrayToEnum(["invalid_type","invalid_literal","custom","invalid_union","invalid_union_discriminator","invalid_enum_value","unrecognized_keys","invalid_arguments","invalid_return_type","invalid_date","invalid_string","too_small","too_big","invalid_intersection_types","not_multiple_of","not_finite"]),t.quotelessJson=e=>JSON.stringify(e,null,2).replace(/"([^"]+)":/g,"$1:");class ZodError extends Error{constructor(e){super(),this.issues=[],this.addIssue=e=>{this.issues=[...this.issues,e]},this.addIssues=(e=[])=>{this.issues=[...this.issues,...e]};const t=new.target.prototype;Object.setPrototypeOf?Object.setPrototypeOf(this,t):this.__proto__=t,this.name="ZodError",this.issues=e}get errors(){return this.issues}format(e){const t=e||function(e){return e.message},s={_errors:[]},n=e=>{for(const o of e.issues)if("invalid_union"===o.code)o.unionErrors.map(n);else if("invalid_return_type"===o.code)n(o.returnTypeError);else if("invalid_arguments"===o.code)n(o.argumentsError);else if(0===o.path.length)s._errors.push(t(o));else{let e=s,n=0;for(;n<o.path.length;){const s=o.path[n];n===o.path.length-1?(e[s]=e[s]||{_errors:[]},e[s]._errors.push(t(o))):e[s]=e[s]||{_errors:[]},e=e[s],n++}}};return n(this),s}static assert(e){if(!(e instanceof ZodError))throw new Error(`Not a ZodError: ${e}`)}toString(){return this.message}get message(){return JSON.stringify(this.issues,n.util.jsonStringifyReplacer,2)}get isEmpty(){return 0===this.issues.length}flatten(e=e=>e.message){const t={},s=[];for(const n of this.issues)n.path.length>0?(t[n.path[0]]=t[n.path[0]]||[],t[n.path[0]].push(e(n))):s.push(e(n));return{formErrors:s,fieldErrors:t}}get formErrors(){return this.flatten()}}t.ZodError=ZodError,ZodError.create=e=>new ZodError(e)},139:function(e,t,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=s(1),o=s(60),r=s(161),i=s(49),a=s(164);function c(e){return e&&e.__esModule?e:{default:e}}function d(e){if(e&&e.__esModule)return e;var t=Object.create(null);return e&&Object.keys(e).forEach((function(s){if("default"!==s){var n=Object.getOwnPropertyDescriptor(e,s);Object.defineProperty(t,s,n.get?n:{enumerable:!0,get:function(){return e[s]}})}})),t.default=e,Object.freeze(t)}var u=d(n),l=c(o);const p=(e,t)=>{t(e);const s=e.getSnapshot().children;s&&Object.values(s).forEach((e=>{p(e,t)}))};function h(e){var t,s;const n=[];p(e,(e=>{n.push([e,e.getSnapshot()]),e.observers=new Set}));const o=null===(t=(s=e.system).getSnapshot)||void 0===t?void 0:t.call(s);e.stop(),e.system._snapshot=o,n.forEach((([e,t])=>{e._processingStatus=0,e._snapshot=t}))}function f(e,...[t]){let[[s,o],i]=n.useState((()=>{const s=r.createActor(e,t);return[e.config,s]}));if(e.config!==s){const s=r.createActor(e,{...t,snapshot:o.getPersistedSnapshot({__unsafeAllowInlineActors:!0})});i([e.config,s]),o=s}return l.default((()=>{o.logic.implementations=e.implementations})),o}function m(e,...[t,s]){const o=f(e,t);return n.useEffect((()=>{if(!s)return;let e=o.subscribe(r.toObserver(s));return()=>{e.unsubscribe()}}),[s]),n.useEffect((()=>(o.start(),()=>{h(o)})),[o]),o}function g(e,t){return e===t}function y(e,t,s=g){const o=n.useCallback((t=>{if(!e)return()=>{};const{unsubscribe:s}=e.subscribe(t);return s}),[e]),r=n.useCallback((()=>null==e?void 0:e.getSnapshot()),[e]);return i.useSyncExternalStoreWithSelector(o,r,r,t,s)}function v(e,t){return e===t?0!==e||0!==t||1/e==1/t:e!=e&&t!=t}function _(e,...[t]){const s=f(e,t),o=n.useCallback((()=>s.getSnapshot()),[s]),r=n.useCallback((e=>{const{unsubscribe:t}=s.subscribe(e);return t}),[s]),i=a.useSyncExternalStore(r,o,o);return n.useEffect((()=>(s.start(),()=>{h(s)})),[s]),[i,s.send,s]}t.createActorContext=function(e,t){const s=u.createContext(null),n=s.Provider;function o({children:s,logic:o=e,machine:r,options:i}){if(r)throw new Error('The "machine" prop has been deprecated. Please use "logic" instead.');const a=m(o,{...t,...i});return u.createElement(n,{value:a,children:s})}function r(){const e=u.useContext(s);if(!e)throw new Error(`You used a hook from "${o.displayName}" but it's not inside a <${o.displayName}> component.`);return e}return o.displayName="ActorProvider",{Provider:o,useActorRef:r,useSelector:function(e,t){return y(r(),e,t)}}},t.shallowEqual=function(e,t){if(v(e,t))return!0;if("object"!=typeof e||null===e||"object"!=typeof t||null===t)return!1;const s=Object.keys(e),n=Object.keys(t);if(s.length!==n.length)return!1;for(let n=0;n<s.length;n++)if(!Object.prototype.hasOwnProperty.call(t,s[n])||!v(e[s[n]],t[s[n]]))return!1;return!0},t.useActor=_,t.useActorRef=m,t.useMachine=function(e,...[t]){return _(e,t)},t.useSelector=y},140:function(e,t,s){"use strict";var n=s(141);s.o(n,"z")&&s.d(t,"z",(function(){return n.z})),s(145)},141:function(e,t,s){"use strict";var n=this&&this.__createBinding||(Object.create?function(e,t,s,n){void 0===n&&(n=s),Object.defineProperty(e,n,{enumerable:!0,get:function(){return t[s]}})}:function(e,t,s,n){void 0===n&&(n=s),e[n]=t[s]}),o=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),r=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var s in e)"default"!==s&&Object.prototype.hasOwnProperty.call(e,s)&&n(t,e,s);return o(t,e),t},i=this&&this.__exportStar||function(e,t){for(var s in e)"default"===s||Object.prototype.hasOwnProperty.call(t,s)||n(t,e,s)};Object.defineProperty(t,"__esModule",{value:!0}),t.z=void 0;const a=r(s(142));t.z=a,i(s(142),t),t.default=a},142:function(e,t,s){"use strict";var n=this&&this.__createBinding||(Object.create?function(e,t,s,n){void 0===n&&(n=s),Object.defineProperty(e,n,{enumerable:!0,get:function(){return t[s]}})}:function(e,t,s,n){void 0===n&&(n=s),e[n]=t[s]}),o=this&&this.__exportStar||function(e,t){for(var s in e)"default"===s||Object.prototype.hasOwnProperty.call(t,s)||n(t,e,s)};Object.defineProperty(t,"__esModule",{value:!0}),o(s(136),t),o(s(144),t),o(s(167),t),o(s(127),t),o(s(168),t),o(s(137),t)},143:function(e,t,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const n=s(127),o=s(137);t.default=(e,t)=>{let s;switch(e.code){case o.ZodIssueCode.invalid_type:s=e.received===n.ZodParsedType.undefined?"Required":`Expected ${e.expected}, received ${e.received}`;break;case o.ZodIssueCode.invalid_literal:s=`Invalid literal value, expected ${JSON.stringify(e.expected,n.util.jsonStringifyReplacer)}`;break;case o.ZodIssueCode.unrecognized_keys:s=`Unrecognized key(s) in object: ${n.util.joinValues(e.keys,", ")}`;break;case o.ZodIssueCode.invalid_union:s="Invalid input";break;case o.ZodIssueCode.invalid_union_discriminator:s=`Invalid discriminator value. Expected ${n.util.joinValues(e.options)}`;break;case o.ZodIssueCode.invalid_enum_value:s=`Invalid enum value. Expected ${n.util.joinValues(e.options)}, received '${e.received}'`;break;case o.ZodIssueCode.invalid_arguments:s="Invalid function arguments";break;case o.ZodIssueCode.invalid_return_type:s="Invalid function return type";break;case o.ZodIssueCode.invalid_date:s="Invalid date";break;case o.ZodIssueCode.invalid_string:"object"==typeof e.validation?"includes"in e.validation?(s=`Invalid input: must include "${e.validation.includes}"`,"number"==typeof e.validation.position&&(s=`${s} at one or more positions greater than or equal to ${e.validation.position}`)):"startsWith"in e.validation?s=`Invalid input: must start with "${e.validation.startsWith}"`:"endsWith"in e.validation?s=`Invalid input: must end with "${e.validation.endsWith}"`:n.util.assertNever(e.validation):s="regex"!==e.validation?`Invalid ${e.validation}`:"Invalid";break;case o.ZodIssueCode.too_small:s="array"===e.type?`Array must contain ${e.exact?"exactly":e.inclusive?"at least":"more than"} ${e.minimum} element(s)`:"string"===e.type?`String must contain ${e.exact?"exactly":e.inclusive?"at least":"over"} ${e.minimum} character(s)`:"number"===e.type?`Number must be ${e.exact?"exactly equal to ":e.inclusive?"greater than or equal to ":"greater than "}${e.minimum}`:"date"===e.type?`Date must be ${e.exact?"exactly equal to ":e.inclusive?"greater than or equal to ":"greater than "}${new Date(Number(e.minimum))}`:"Invalid input";break;case o.ZodIssueCode.too_big:s="array"===e.type?`Array must contain ${e.exact?"exactly":e.inclusive?"at most":"less than"} ${e.maximum} element(s)`:"string"===e.type?`String must contain ${e.exact?"exactly":e.inclusive?"at most":"under"} ${e.maximum} character(s)`:"number"===e.type?`Number must be ${e.exact?"exactly":e.inclusive?"less than or equal to":"less than"} ${e.maximum}`:"bigint"===e.type?`BigInt must be ${e.exact?"exactly":e.inclusive?"less than or equal to":"less than"} ${e.maximum}`:"date"===e.type?`Date must be ${e.exact?"exactly":e.inclusive?"smaller than or equal to":"smaller than"} ${new Date(Number(e.maximum))}`:"Invalid input";break;case o.ZodIssueCode.custom:s="Invalid input";break;case o.ZodIssueCode.invalid_intersection_types:s="Intersection results could not be merged";break;case o.ZodIssueCode.not_multiple_of:s=`Number must be a multiple of ${e.multipleOf}`;break;case o.ZodIssueCode.not_finite:s="Number must be finite";break;default:s=t.defaultError,n.util.assertNever(e)}return{message:s}}},144:function(e,t,s){"use strict";var n=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(t,"__esModule",{value:!0}),t.isAsync=t.isValid=t.isDirty=t.isAborted=t.OK=t.DIRTY=t.INVALID=t.ParseStatus=t.addIssueToContext=t.EMPTY_PATH=t.makeIssue=void 0;const o=s(136),r=n(s(143));t.makeIssue=e=>{const{data:t,path:s,errorMaps:n,issueData:o}=e,r=[...s,...o.path||[]],i={...o,path:r};if(void 0!==o.message)return{...o,path:r,message:o.message};let a="";const c=n.filter((e=>!!e)).slice().reverse();for(const e of c)a=e(i,{data:t,defaultError:a}).message;return{...o,path:r,message:a}},t.EMPTY_PATH=[],t.addIssueToContext=function(e,s){const n=(0,o.getErrorMap)(),i=(0,t.makeIssue)({issueData:s,data:e.data,path:e.path,errorMaps:[e.common.contextualErrorMap,e.schemaErrorMap,n,n===r.default?void 0:r.default].filter((e=>!!e))});e.common.issues.push(i)};class ParseStatus{constructor(){this.value="valid"}dirty(){"valid"===this.value&&(this.value="dirty")}abort(){"aborted"!==this.value&&(this.value="aborted")}static mergeArray(e,s){const n=[];for(const o of s){if("aborted"===o.status)return t.INVALID;"dirty"===o.status&&e.dirty(),n.push(o.value)}return{status:e.value,value:n}}static async mergeObjectAsync(e,t){const s=[];for(const e of t){const t=await e.key,n=await e.value;s.push({key:t,value:n})}return ParseStatus.mergeObjectSync(e,s)}static mergeObjectSync(e,s){const n={};for(const o of s){const{key:s,value:r}=o;if("aborted"===s.status)return t.INVALID;if("aborted"===r.status)return t.INVALID;"dirty"===s.status&&e.dirty(),"dirty"===r.status&&e.dirty(),"__proto__"===s.value||void 0===r.value&&!o.alwaysSet||(n[s.value]=r.value)}return{status:e.value,value:n}}}t.ParseStatus=ParseStatus,t.INVALID=Object.freeze({status:"aborted"}),t.DIRTY=e=>({status:"dirty",value:e}),t.OK=e=>({status:"valid",value:e}),t.isAborted=e=>"aborted"===e.status,t.isDirty=e=>"dirty"===e.status,t.isValid=e=>"valid"===e.status,t.isAsync=e=>"undefined"!=typeof Promise&&e instanceof Promise},145:function(e,t,s){"use strict";s(140)},161:function(e,t,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=s(162),o=s(132),r=s(163);s(133);const i=new WeakMap;function a(e,t,s){let n=i.get(e);return n?t in n||(n[t]=s()):(n={[t]:s()},i.set(e,n)),n[t]}const c={},d=e=>"string"==typeof e?{type:e}:"function"==typeof e?"resolve"in e?{type:e.type}:{type:e.name}:e;class StateNode{constructor(e,t){if(this.config=e,this.key=void 0,this.id=void 0,this.type=void 0,this.path=void 0,this.states=void 0,this.history=void 0,this.entry=void 0,this.exit=void 0,this.parent=void 0,this.machine=void 0,this.meta=void 0,this.output=void 0,this.order=-1,this.description=void 0,this.tags=[],this.transitions=void 0,this.always=void 0,this.parent=t._parent,this.key=t._key,this.machine=t._machine,this.path=this.parent?this.parent.path.concat(this.key):[],this.id=this.config.id||[this.machine.id,...this.path].join(o.STATE_DELIMITER),this.type=this.config.type||(this.config.states&&Object.keys(this.config.states).length?"compound":this.config.history?"history":"atomic"),this.description=this.config.description,this.order=this.machine.idMap.size,this.machine.idMap.set(this.id,this),this.states=this.config.states?o.mapValues(this.config.states,((e,t)=>new StateNode(e,{_parent:this,_key:t,_machine:this.machine}))):c,"compound"===this.type&&!this.config.initial)throw new Error(`No initial state specified for compound state node "#${this.id}". Try adding { initial: "${Object.keys(this.states)[0]}" } to the state config.`);this.history=!0===this.config.history?"shallow":this.config.history||!1,this.entry=o.toArray(this.config.entry).slice(),this.exit=o.toArray(this.config.exit).slice(),this.meta=this.config.meta,this.output="final"!==this.type&&this.parent?void 0:this.config.output,this.tags=o.toArray(e.tags).slice()}_initialize(){this.transitions=o.formatTransitions(this),this.config.always&&(this.always=o.toTransitionConfigArray(this.config.always).map((e=>o.formatTransition(this,o.NULL_EVENT,e)))),Object.keys(this.states).forEach((e=>{this.states[e]._initialize()}))}get definition(){return{id:this.id,key:this.key,version:this.machine.version,type:this.type,initial:this.initial?{target:this.initial.target,source:this,actions:this.initial.actions.map(d),eventType:null,reenter:!1,toJSON:()=>({target:this.initial.target.map((e=>`#${e.id}`)),source:`#${this.id}`,actions:this.initial.actions.map(d),eventType:null})}:void 0,history:this.history,states:o.mapValues(this.states,(e=>e.definition)),on:this.on,transitions:[...this.transitions.values()].flat().map((e=>({...e,actions:e.actions.map(d)}))),entry:this.entry.map(d),exit:this.exit.map(d),meta:this.meta,order:this.order||-1,output:this.output,invoke:this.invoke,description:this.description,tags:this.tags}}toJSON(){return this.definition}get invoke(){return a(this,"invoke",(()=>o.toArray(this.config.invoke).map(((e,t)=>{var s;const{src:n,systemId:r}=e,i=null!==(s=e.id)&&void 0!==s?s:o.createInvokeId(this.id,t),a="string"==typeof n?n:`xstate.invoke.${o.createInvokeId(this.id,t)}`;return{...e,src:a,id:i,systemId:r,toJSON(){const{onDone:t,onError:s,...n}=e;return{...n,type:"xstate.invoke",src:a,id:i}}}}))))}get on(){return a(this,"on",(()=>[...this.transitions].flatMap((([e,t])=>t.map((t=>[e,t])))).reduce(((e,[t,s])=>(e[t]=e[t]||[],e[t].push(s),e)),{})))}get after(){return a(this,"delayedTransitions",(()=>o.getDelayedTransitions(this)))}get initial(){return a(this,"initial",(()=>o.formatInitialTransition(this,this.config.initial)))}next(e,t){const s=t.type,n=[];let r;const i=a(this,`candidates-${s}`,(()=>o.getCandidates(this,s)));for(const a of i){const{guard:i}=a,c=e.context;let d=!1;try{d=!i||o.evaluateGuard(i,c,t,e)}catch(e){const t="string"==typeof i?i:"object"==typeof i?i.type:void 0;throw new Error(`Unable to evaluate guard ${t?`'${t}' `:""}in transition for event '${s}' in state node '${this.id}':\n${e.message}`)}if(d){n.push(...a.actions),r=a;break}}return r?[r]:void 0}get events(){return a(this,"events",(()=>{const{states:e}=this,t=new Set(this.ownEvents);if(e)for(const s of Object.keys(e)){const n=e[s];if(n.states)for(const e of n.events)t.add(`${e}`)}return Array.from(t)}))}get ownEvents(){const e=new Set([...this.transitions.keys()].filter((e=>this.transitions.get(e).some((e=>!(!e.target&&!e.actions.length&&!e.reenter))))));return Array.from(e)}}class StateMachine{constructor(e,t){var s,n,o,r;this.config=e,this.version=void 0,this.schemas=void 0,this.implementations=void 0,this.__xstatenode=!0,this.idMap=new Map,this.root=void 0,this.id=void 0,this.states=void 0,this.events=void 0,this.id=e.id||"(machine)",this.implementations={actors:null!==(s=null==t?void 0:t.actors)&&void 0!==s?s:{},actions:null!==(n=null==t?void 0:t.actions)&&void 0!==n?n:{},delays:null!==(o=null==t?void 0:t.delays)&&void 0!==o?o:{},guards:null!==(r=null==t?void 0:t.guards)&&void 0!==r?r:{}},this.version=this.config.version,this.schemas=this.config.schemas,this.transition=this.transition.bind(this),this.getInitialSnapshot=this.getInitialSnapshot.bind(this),this.getPersistedSnapshot=this.getPersistedSnapshot.bind(this),this.restoreSnapshot=this.restoreSnapshot.bind(this),this.start=this.start.bind(this),this.root=new StateNode(e,{_key:this.id,_machine:this}),this.root._initialize(),this.states=this.root.states,this.events=this.root.events}provide(e){const{actions:t,guards:s,actors:n,delays:o}=this.implementations;return new StateMachine(this.config,{actions:{...t,...e.actions},guards:{...s,...e.guards},actors:{...n,...e.actors},delays:{...o,...e.delays}})}resolveState(e){const t=o.resolveStateValue(this.root,e.value),s=o.getAllStateNodes(o.getStateNodes(this.root,t));return o.createMachineSnapshot({_nodes:[...s],context:e.context||{},children:{},status:o.isInFinalState(s,this.root)?"done":e.status||"active",output:e.output,error:e.error,historyValue:e.historyValue},this)}transition(e,t,s){return o.macrostep(e,t,s).snapshot}microstep(e,t,s){return o.macrostep(e,t,s).microstates}getTransitionData(e,t){return o.transitionNode(this.root,e.value,e,t)||[]}getPreInitialState(e,t,s){const{context:n}=this.config,i=o.createMachineSnapshot({context:"function"!=typeof n&&n?n:{},_nodes:[this.root],children:{},status:"active"},this);if("function"==typeof n){const a=({spawn:e,event:t,self:s})=>n({spawn:e,input:t.input,self:s});return o.resolveActionsAndContext(i,t,e,[r.assign(a)],s)}return i}getInitialSnapshot(e,t){const s=o.createInitEvent(t),n=[],r=this.getPreInitialState(e,s,n),i=o.microstep([{target:[...o.getInitialStateNodes(this.root)],source:this.root,reenter:!0,actions:[],eventType:null,toJSON:null}],r,e,s,!0,n),{snapshot:a}=o.macrostep(i,s,e,n);return a}start(e){Object.values(e.children).forEach((e=>{"active"===e.getSnapshot().status&&e.start()}))}getStateNodeById(e){const t=o.toStatePath(e),s=t.slice(1),n=o.isStateId(t[0])?t[0].slice(1):t[0],r=this.idMap.get(n);if(!r)throw new Error(`Child state node '#${n}' does not exist on machine '${this.id}'`);return o.getStateNodeByPath(r,s)}get definition(){return this.root.definition}toJSON(){return this.definition}getPersistedSnapshot(e,t){return o.getPersistedSnapshot(e,t)}restoreSnapshot(e,t){const s={},n=e.children;Object.keys(n).forEach((e=>{const r=n[e],i=r.snapshot,a=r.src,c="string"==typeof a?o.resolveReferencedActor(this,a):a;if(!c)return;const d=o.createActor(c,{id:e,parent:t.self,syncSnapshot:r.syncSnapshot,snapshot:i,src:a,systemId:r.systemId});s[e]=d}));const r=o.createMachineSnapshot({...e,children:s,_nodes:Array.from(o.getAllStateNodes(o.getStateNodes(this.root,e.value)))},this);let i=new Set;return function e(t,s){if(!i.has(t)){i.add(t);for(let n in t){const r=t[n];if(r&&"object"==typeof r){if("xstate$$type"in r&&r.xstate$$type===o.$$ACTOR_TYPE){t[n]=s[r.id];continue}e(r,s)}}}}(r.context,s),r}}function u(e,t){return new StateMachine(e,t)}function l(e){const t=o.createActor(e);return{self:t,defer:()=>{},id:"",logger:()=>{},sessionId:"",stopChild:()=>{},system:t.system,emit:()=>{}}}const p={timeout:1/0};t.createEmptyActor=n.createEmptyActor,t.fromCallback=n.fromCallback,t.fromEventObservable=n.fromEventObservable,t.fromObservable=n.fromObservable,t.fromPromise=n.fromPromise,t.fromTransition=n.fromTransition,t.Actor=o.Actor,t.__unsafe_getAllOwnEventDescriptors=o.getAllOwnEventDescriptors,t.and=o.and,t.cancel=o.cancel,t.createActor=o.createActor,t.getStateNodes=o.getStateNodes,t.interpret=o.interpret,t.isMachineSnapshot=o.isMachineSnapshot,t.matchesState=o.matchesState,t.not=o.not,t.or=o.or,t.pathToStateValue=o.pathToStateValue,t.raise=o.raise,t.spawnChild=o.spawnChild,t.stateIn=o.stateIn,t.stop=o.stop,t.stopChild=o.stopChild,t.toObserver=o.toObserver,t.SpecialTargets=r.SpecialTargets,t.assign=r.assign,t.emit=r.emit,t.enqueueActions=r.enqueueActions,t.forwardTo=r.forwardTo,t.log=r.log,t.sendParent=r.sendParent,t.sendTo=r.sendTo,t.SimulatedClock=class SimulatedClock{constructor(){this.timeouts=new Map,this._now=0,this._id=0,this._flushing=!1,this._flushingInvalidated=!1}now(){return this._now}getId(){return this._id++}setTimeout(e,t){this._flushingInvalidated=this._flushing;const s=this.getId();return this.timeouts.set(s,{start:this.now(),timeout:t,fn:e}),s}clearTimeout(e){this._flushingInvalidated=this._flushing,this.timeouts.delete(e)}set(e){if(this._now>e)throw new Error("Unable to travel back in time");this._now=e,this.flushTimeouts()}flushTimeouts(){if(this._flushing)return void(this._flushingInvalidated=!0);this._flushing=!0;const e=[...this.timeouts].sort((([e,t],[s,n])=>{const o=t.start+t.timeout;return n.start+n.timeout>o?-1:1}));for(const[t,s]of e){if(this._flushingInvalidated)return this._flushingInvalidated=!1,this._flushing=!1,void this.flushTimeouts();this.now()-s.start>=s.timeout&&(this.timeouts.delete(t),s.fn.call(null))}this._flushing=!1}increment(e){this._now+=e,this.flushTimeouts()}},t.StateMachine=StateMachine,t.StateNode=StateNode,t.assertEvent=function(e,t){const s=o.toArray(t);if(!s.includes(e.type)){const t=1===s.length?`type "${s[0]}"`:`one of types "${s.join('", "')}"`;throw new Error(`Expected event ${JSON.stringify(e)} to have ${t}`)}},t.createMachine=u,t.getInitialSnapshot=function(e,...[t]){const s=l(e);return e.getInitialSnapshot(s,t)},t.getNextSnapshot=function(e,t,s){const n=l(e);return n.self._snapshot=t,e.transition(t,s,n)},t.setup=function({schemas:e,actors:t,actions:s,guards:n,delays:o}){return{createMachine:r=>u({...r,schemas:e},{actors:t,actions:s,guards:n,delays:o})}},t.toPromise=function(e){return new Promise(((t,s)=>{e.subscribe({complete:()=>{t(e.getSnapshot().output)},error:s})}))},t.waitFor=function(e,t,s){const n={...p,...s};return new Promise(((s,o)=>{const{signal:r}=n;if(null!=r&&r.aborted)return void o(r.reason);let i=!1;const a=n.timeout===1/0?void 0:setTimeout((()=>{c(),o(new Error(`Timeout of ${n.timeout} ms exceeded`))}),n.timeout),c=()=>{var e;clearTimeout(a),i=!0,null===(e=l)||void 0===e||e.unsubscribe(),u&&r.removeEventListener("abort",u)};function d(e){t(e)&&(c(),s(e))}let u,l;d(e.getSnapshot()),i||(r&&(u=()=>{c(),o(r.reason)},r.addEventListener("abort",u)),l=e.subscribe({next:d,error:e=>{c(),o(e)},complete:()=>{c(),o(new Error("Actor terminated without satisfying predicate"))}}),i&&l.unsubscribe())}))}},162:function(e,t,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=s(132);function o(e,t){return{config:e,transition:(t,s,n)=>({...t,context:e(t.context,s,n)}),getInitialSnapshot:(e,s)=>({status:"active",output:void 0,error:void 0,context:"function"==typeof t?t({input:s}):t}),getPersistedSnapshot:e=>e,restoreSnapshot:e=>e}}s(133);const r=new WeakMap,i="xstate.observable.next",a="xstate.observable.error",c="xstate.observable.complete",d="xstate.promise.resolve",u="xstate.promise.reject",l=new WeakMap,p=o((e=>{}),void 0);t.createEmptyActor=function(){return n.createActor(p)},t.fromCallback=function(e){return{config:e,start:(t,s)=>{const{self:n,system:o,emit:i}=s,a={receivers:void 0,dispose:void 0};r.set(n,a),a.dispose=e({input:t.input,system:o,self:n,sendBack:e=>{"stopped"!==n.getSnapshot().status&&n._parent&&o._relay(n,n._parent,e)},receive:e=>{var t;null!==(t=a.receivers)&&void 0!==t||(a.receivers=new Set),a.receivers.add(e)},emit:i})},transition:(e,t,s)=>{var o;const i=r.get(s.self);var a;return t.type===n.XSTATE_STOP?(e={...e,status:"stopped",error:void 0},null===(a=i.dispose)||void 0===a||a.call(i),e):(null===(o=i.receivers)||void 0===o||o.forEach((e=>e(t))),e)},getInitialSnapshot:(e,t)=>({status:"active",output:void 0,error:void 0,input:t}),getPersistedSnapshot:e=>e,restoreSnapshot:e=>e}},t.fromEventObservable=function(e){return{config:e,transition:(e,t)=>{if("active"!==e.status)return e;switch(t.type){case a:return{...e,status:"error",error:t.data,input:void 0,_subscription:void 0};case c:return{...e,status:"done",input:void 0,_subscription:void 0};case n.XSTATE_STOP:return e._subscription.unsubscribe(),{...e,status:"stopped",input:void 0,_subscription:void 0};default:return e}},getInitialSnapshot:(e,t)=>({status:"active",output:void 0,error:void 0,context:void 0,input:t,_subscription:void 0}),start:(t,{self:s,system:n,emit:o})=>{"done"!==t.status&&(t._subscription=e({input:t.input,system:n,self:s,emit:o}).subscribe({next:e=>{s._parent&&n._relay(s,s._parent,e)},error:e=>{n._relay(s,s,{type:a,data:e})},complete:()=>{n._relay(s,s,{type:c})}}))},getPersistedSnapshot:({_subscription:e,...t})=>t,restoreSnapshot:e=>({...e,_subscription:void 0})}},t.fromObservable=function(e){return{config:e,transition:(e,t)=>{if("active"!==e.status)return e;switch(t.type){case i:return{...e,context:t.data};case a:return{...e,status:"error",error:t.data,input:void 0,_subscription:void 0};case c:return{...e,status:"done",input:void 0,_subscription:void 0};case n.XSTATE_STOP:return e._subscription.unsubscribe(),{...e,status:"stopped",input:void 0,_subscription:void 0};default:return e}},getInitialSnapshot:(e,t)=>({status:"active",output:void 0,error:void 0,context:void 0,input:t,_subscription:void 0}),start:(t,{self:s,system:n,emit:o})=>{"done"!==t.status&&(t._subscription=e({input:t.input,system:n,self:s,emit:o}).subscribe({next:e=>{n._relay(s,s,{type:i,data:e})},error:e=>{n._relay(s,s,{type:a,data:e})},complete:()=>{n._relay(s,s,{type:c})}}))},getPersistedSnapshot:({_subscription:e,...t})=>t,restoreSnapshot:e=>({...e,_subscription:void 0})}},t.fromPromise=function(e){return{config:e,transition:(e,t,s)=>{if("active"!==e.status)return e;switch(t.type){case d:{const s=t.data;return{...e,status:"done",output:s,input:void 0}}case u:return{...e,status:"error",error:t.data,input:void 0};case n.XSTATE_STOP:var o;return null===(o=l.get(s.self))||void 0===o||o.abort(),{...e,status:"stopped",input:void 0};default:return e}},start:(t,{self:s,system:n,emit:o})=>{if("active"!==t.status)return;const r=new AbortController;l.set(s,r),Promise.resolve(e({input:t.input,system:n,self:s,signal:r.signal,emit:o})).then((e=>{"active"===s.getSnapshot().status&&(l.delete(s),n._relay(s,s,{type:d,data:e}))}),(e=>{"active"===s.getSnapshot().status&&(l.delete(s),n._relay(s,s,{type:u,data:e}))}))},getInitialSnapshot:(e,t)=>({status:"active",output:void 0,error:void 0,input:t}),getPersistedSnapshot:e=>e,restoreSnapshot:e=>e}},t.fromTransition=o},163:function(e,t,s){"use strict";var n=s(132);function o(e,{machine:t,context:s},o,r){return(i,a)=>{const c=((i,a={})=>{const{systemId:c,input:d}=a;if("string"==typeof i){const u=n.resolveReferencedActor(t,i);if(!u)throw new Error(`Actor logic '${i}' not implemented in machine '${t.id}'`);const l=n.createActor(u,{id:a.id,parent:e.self,syncSnapshot:a.syncSnapshot,input:"function"==typeof d?d({context:s,event:o,self:e.self}):d,src:i,systemId:c});return r[l.id]=l,l}return n.createActor(i,{id:a.id,parent:e.self,syncSnapshot:a.syncSnapshot,input:a.input,src:i,systemId:c})})(i,a);return r[c.id]=c,e.defer((()=>{c._processingStatus!==n.ProcessingStatus.Stopped&&c.start()})),c}}function r(e,t,s,r,{assignment:i}){if(!t.context)throw new Error("Cannot assign to undefined `context`. Ensure that `context` is defined in the machine config.");const a={},c={context:t.context,event:s.event,spawn:o(e,t,s.event,a),self:e.self,system:e.system};let d={};if("function"==typeof i)d=i(c,r);else for(const e of Object.keys(i)){const t=i[e];d[e]="function"==typeof t?t(c,r):t}const u=Object.assign({},t.context,d);return[n.cloneMachineSnapshot(t,{context:u,children:Object.keys(a).length?{...t.children,...a}:t.children})]}function i(e){function t(e,t){}return t.type="xstate.assign",t.assignment=e,t.resolve=r,t}function a(e,t,s,n,{event:o}){return[t,{event:"function"==typeof o?o(s,n):o}]}function c(e,{event:t}){e.defer((()=>e.emit(t)))}function d(e){function t(e,t){}return t.type="xstate.emit",t.event=e,t.resolve=a,t.execute=c,t}let u=function(e){return e.Parent="#_parent",e.Internal="#_internal",e}({});function l(e,t,s,n,{to:o,event:r,id:i,delay:a},c){const d=t.machine.implementations.delays;if("string"==typeof r)throw new Error(`Only event objects may be used with sendTo; use sendTo({ type: "${r}" }) instead`);const l="function"==typeof r?r(s,n):r;let p;if("string"==typeof a){const e=d&&d[a];p="function"==typeof e?e(s,n):e}else p="function"==typeof a?a(s,n):a;const h="function"==typeof o?o(s,n):o;let f;if("string"==typeof h){if(h===u.Parent)f=e.self._parent;else if(h===u.Internal)f=e.self;else if(h.startsWith("#_"))f=t.children[h.slice(2)];else{var m;f=null!==(m=c.deferredActorIds)&&void 0!==m&&m.includes(h)?h:t.children[h]}if(!f)throw new Error(`Unable to send event to actor '${h}' from machine '${t.machine.id}'.`)}else f=h||e.self;return[t,{to:f,event:l,id:i,delay:p}]}function p(e,t,s){"string"==typeof s.to&&(s.to=t.children[s.to])}function h(e,t){e.defer((()=>{const{to:s,event:o,delay:r,id:i}=t;"number"!=typeof r?e.system._relay(e.self,s,o.type===n.XSTATE_ERROR?n.createErrorActorEvent(e.self.id,o.data):o):e.system.scheduler.schedule(e.self,s,o,r,i)}))}function f(e,t,s){function n(e,t){}return n.type="xsnapshot.sendTo",n.to=e,n.event=t,n.id=null==s?void 0:s.id,n.delay=null==s?void 0:s.delay,n.resolve=l,n.retryResolve=p,n.execute=h,n}function m(e,t){return f(u.Parent,e,t)}function g(e,t,s,o,{collect:r}){const a=[],c=function(e){a.push(e)};return c.assign=(...e)=>{a.push(i(...e))},c.cancel=(...e)=>{a.push(n.cancel(...e))},c.raise=(...e)=>{a.push(n.raise(...e))},c.sendTo=(...e)=>{a.push(f(...e))},c.sendParent=(...e)=>{a.push(m(...e))},c.spawnChild=(...e)=>{a.push(n.spawnChild(...e))},c.stopChild=(...e)=>{a.push(n.stopChild(...e))},c.emit=(...e)=>{a.push(d(...e))},r({context:s.context,event:s.event,enqueue:c,check:e=>n.evaluateGuard(e,t.context,s.event,t),self:e.self,system:e.system},o),[t,void 0,a]}function y(e,t,s,n,{value:o,label:r}){return[t,{value:"function"==typeof o?o(s,n):o,label:r}]}function v({logger:e},{value:t,label:s}){s?e(s,t):e(t)}t.SpecialTargets=u,t.assign=i,t.emit=d,t.enqueueActions=function(e){function t(e,t){}return t.type="xstate.enqueueActions",t.collect=e,t.resolve=g,t},t.forwardTo=function(e,t){return f(e,(({event:e})=>e),t)},t.log=function(e=({context:e,event:t})=>({context:e,event:t}),t){function s(e,t){}return s.type="xstate.log",s.value=e,s.label=t,s.resolve=y,s.execute=v,s},t.sendParent=m,t.sendTo=f},164:function(e,t,s){e.exports=s(37)(604)},165:function(e,t,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=s(134);function o(e,t){return{config:e,transition:(t,s,n)=>({...t,context:e(t.context,s,n)}),getInitialSnapshot:(e,s)=>({status:"active",output:void 0,error:void 0,context:"function"==typeof t?t({input:s}):t}),getPersistedSnapshot:e=>e,restoreSnapshot:e=>e}}s(135);const r=new WeakMap,i="xstate.observable.next",a="xstate.observable.error",c="xstate.observable.complete",d="xstate.promise.resolve",u="xstate.promise.reject",l=new WeakMap,p=o((e=>{}),void 0);t.createEmptyActor=function(){return n.createActor(p)},t.fromCallback=function(e){return{config:e,start:(t,s)=>{const{self:n,system:o,emit:i}=s,a={receivers:void 0,dispose:void 0};r.set(n,a),a.dispose=e({input:t.input,system:o,self:n,sendBack:e=>{"stopped"!==n.getSnapshot().status&&n._parent&&o._relay(n,n._parent,e)},receive:e=>{var t;null!==(t=a.receivers)&&void 0!==t||(a.receivers=new Set),a.receivers.add(e)},emit:i})},transition:(e,t,s)=>{var o;const i=r.get(s.self);var a;return t.type===n.XSTATE_STOP?(e={...e,status:"stopped",error:void 0},null===(a=i.dispose)||void 0===a||a.call(i),e):(null===(o=i.receivers)||void 0===o||o.forEach((e=>e(t))),e)},getInitialSnapshot:(e,t)=>({status:"active",output:void 0,error:void 0,input:t}),getPersistedSnapshot:e=>e,restoreSnapshot:e=>e}},t.fromEventObservable=function(e){return{config:e,transition:(e,t)=>{if("active"!==e.status)return e;switch(t.type){case a:return{...e,status:"error",error:t.data,input:void 0,_subscription:void 0};case c:return{...e,status:"done",input:void 0,_subscription:void 0};case n.XSTATE_STOP:return e._subscription.unsubscribe(),{...e,status:"stopped",input:void 0,_subscription:void 0};default:return e}},getInitialSnapshot:(e,t)=>({status:"active",output:void 0,error:void 0,context:void 0,input:t,_subscription:void 0}),start:(t,{self:s,system:n,emit:o})=>{"done"!==t.status&&(t._subscription=e({input:t.input,system:n,self:s,emit:o}).subscribe({next:e=>{s._parent&&n._relay(s,s._parent,e)},error:e=>{n._relay(s,s,{type:a,data:e})},complete:()=>{n._relay(s,s,{type:c})}}))},getPersistedSnapshot:({_subscription:e,...t})=>t,restoreSnapshot:e=>({...e,_subscription:void 0})}},t.fromObservable=function(e){return{config:e,transition:(e,t)=>{if("active"!==e.status)return e;switch(t.type){case i:return{...e,context:t.data};case a:return{...e,status:"error",error:t.data,input:void 0,_subscription:void 0};case c:return{...e,status:"done",input:void 0,_subscription:void 0};case n.XSTATE_STOP:return e._subscription.unsubscribe(),{...e,status:"stopped",input:void 0,_subscription:void 0};default:return e}},getInitialSnapshot:(e,t)=>({status:"active",output:void 0,error:void 0,context:void 0,input:t,_subscription:void 0}),start:(t,{self:s,system:n,emit:o})=>{"done"!==t.status&&(t._subscription=e({input:t.input,system:n,self:s,emit:o}).subscribe({next:e=>{n._relay(s,s,{type:i,data:e})},error:e=>{n._relay(s,s,{type:a,data:e})},complete:()=>{n._relay(s,s,{type:c})}}))},getPersistedSnapshot:({_subscription:e,...t})=>t,restoreSnapshot:e=>({...e,_subscription:void 0})}},t.fromPromise=function(e){return{config:e,transition:(e,t,s)=>{if("active"!==e.status)return e;switch(t.type){case d:{const s=t.data;return{...e,status:"done",output:s,input:void 0}}case u:return{...e,status:"error",error:t.data,input:void 0};case n.XSTATE_STOP:var o;return null===(o=l.get(s.self))||void 0===o||o.abort(),{...e,status:"stopped",input:void 0};default:return e}},start:(t,{self:s,system:n,emit:o})=>{if("active"!==t.status)return;const r=new AbortController;l.set(s,r),Promise.resolve(e({input:t.input,system:n,self:s,signal:r.signal,emit:o})).then((e=>{"active"===s.getSnapshot().status&&(l.delete(s),n._relay(s,s,{type:d,data:e}))}),(e=>{"active"===s.getSnapshot().status&&(l.delete(s),n._relay(s,s,{type:u,data:e}))}))},getInitialSnapshot:(e,t)=>({status:"active",output:void 0,error:void 0,input:t}),getPersistedSnapshot:e=>e,restoreSnapshot:e=>e}},t.fromTransition=o},166:function(e,t,s){"use strict";var n=s(134);function o(e,{machine:t,context:s},o,r){return(i,a)=>{const c=((i,a={})=>{const{systemId:c,input:d}=a;if("string"==typeof i){const u=n.resolveReferencedActor(t,i);if(!u)throw new Error(`Actor logic '${i}' not implemented in machine '${t.id}'`);const l=n.createActor(u,{id:a.id,parent:e.self,syncSnapshot:a.syncSnapshot,input:"function"==typeof d?d({context:s,event:o,self:e.self}):d,src:i,systemId:c});return r[l.id]=l,l}return n.createActor(i,{id:a.id,parent:e.self,syncSnapshot:a.syncSnapshot,input:a.input,src:i,systemId:c})})(i,a);return r[c.id]=c,e.defer((()=>{c._processingStatus!==n.ProcessingStatus.Stopped&&c.start()})),c}}function r(e,t,s,r,{assignment:i}){if(!t.context)throw new Error("Cannot assign to undefined `context`. Ensure that `context` is defined in the machine config.");const a={},c={context:t.context,event:s.event,spawn:o(e,t,s.event,a),self:e.self,system:e.system};let d={};if("function"==typeof i)d=i(c,r);else for(const e of Object.keys(i)){const t=i[e];d[e]="function"==typeof t?t(c,r):t}const u=Object.assign({},t.context,d);return[n.cloneMachineSnapshot(t,{context:u,children:Object.keys(a).length?{...t.children,...a}:t.children})]}function i(e){function t(e,t){}return t.type="xstate.assign",t.assignment=e,t.resolve=r,t}function a(e,t,s,n,{event:o}){return[t,{event:"function"==typeof o?o(s,n):o}]}function c(e,{event:t}){e.defer((()=>e.emit(t)))}function d(e){function t(e,t){}return t.type="xstate.emit",t.event=e,t.resolve=a,t.execute=c,t}let u=function(e){return e.Parent="#_parent",e.Internal="#_internal",e}({});function l(e,t,s,n,{to:o,event:r,id:i,delay:a},c){const d=t.machine.implementations.delays;if("string"==typeof r)throw new Error(`Only event objects may be used with sendTo; use sendTo({ type: "${r}" }) instead`);const l="function"==typeof r?r(s,n):r;let p;if("string"==typeof a){const e=d&&d[a];p="function"==typeof e?e(s,n):e}else p="function"==typeof a?a(s,n):a;const h="function"==typeof o?o(s,n):o;let f;if("string"==typeof h){if(h===u.Parent)f=e.self._parent;else if(h===u.Internal)f=e.self;else if(h.startsWith("#_"))f=t.children[h.slice(2)];else{var m;f=null!==(m=c.deferredActorIds)&&void 0!==m&&m.includes(h)?h:t.children[h]}if(!f)throw new Error(`Unable to send event to actor '${h}' from machine '${t.machine.id}'.`)}else f=h||e.self;return[t,{to:f,event:l,id:i,delay:p}]}function p(e,t,s){"string"==typeof s.to&&(s.to=t.children[s.to])}function h(e,t){e.defer((()=>{const{to:s,event:o,delay:r,id:i}=t;"number"!=typeof r?e.system._relay(e.self,s,o.type===n.XSTATE_ERROR?n.createErrorActorEvent(e.self.id,o.data):o):e.system.scheduler.schedule(e.self,s,o,r,i)}))}function f(e,t,s){function n(e,t){}return n.type="xsnapshot.sendTo",n.to=e,n.event=t,n.id=null==s?void 0:s.id,n.delay=null==s?void 0:s.delay,n.resolve=l,n.retryResolve=p,n.execute=h,n}function m(e,t){return f(u.Parent,e,t)}function g(e,t,s,o,{collect:r}){const a=[],c=function(e){a.push(e)};return c.assign=(...e)=>{a.push(i(...e))},c.cancel=(...e)=>{a.push(n.cancel(...e))},c.raise=(...e)=>{a.push(n.raise(...e))},c.sendTo=(...e)=>{a.push(f(...e))},c.sendParent=(...e)=>{a.push(m(...e))},c.spawnChild=(...e)=>{a.push(n.spawnChild(...e))},c.stopChild=(...e)=>{a.push(n.stopChild(...e))},c.emit=(...e)=>{a.push(d(...e))},r({context:s.context,event:s.event,enqueue:c,check:e=>n.evaluateGuard(e,t.context,s.event,t),self:e.self,system:e.system},o),[t,void 0,a]}function y(e,t,s,n,{value:o,label:r}){return[t,{value:"function"==typeof o?o(s,n):o,label:r}]}function v({logger:e},{value:t,label:s}){s?e(s,t):e(t)}t.SpecialTargets=u,t.assign=i,t.emit=d,t.enqueueActions=function(e){function t(e,t){}return t.type="xstate.enqueueActions",t.collect=e,t.resolve=g,t},t.forwardTo=function(e,t){return f(e,(({event:e})=>e),t)},t.log=function(e=({context:e,event:t})=>({context:e,event:t}),t){function s(e,t){}return s.type="xstate.log",s.value=e,s.label=t,s.resolve=y,s.execute=v,s},t.sendParent=m,t.sendTo=f},167:function(e,t,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0})},168:function(e,t,s){"use strict";var n,o,r=this&&this.__classPrivateFieldGet||function(e,t,s,n){if("a"===s&&!n)throw new TypeError("Private accessor was defined without a getter");if("function"==typeof t?e!==t||!n:!t.has(e))throw new TypeError("Cannot read private member from an object whose class did not declare it");return"m"===s?n:"a"===s?n.call(e):n?n.value:t.get(e)},i=this&&this.__classPrivateFieldSet||function(e,t,s,n,o){if("m"===n)throw new TypeError("Private method is not writable");if("a"===n&&!o)throw new TypeError("Private accessor was defined without a setter");if("function"==typeof t?e!==t||!o:!t.has(e))throw new TypeError("Cannot write private member to an object whose class did not declare it");return"a"===n?o.call(e,s):o?o.value=s:t.set(e,s),s};Object.defineProperty(t,"__esModule",{value:!0}),t.boolean=t.bigint=t.array=t.any=t.coerce=t.ZodFirstPartyTypeKind=t.late=t.ZodSchema=t.Schema=t.custom=t.ZodReadonly=t.ZodPipeline=t.ZodBranded=t.BRAND=t.ZodNaN=t.ZodCatch=t.ZodDefault=t.ZodNullable=t.ZodOptional=t.ZodTransformer=t.ZodEffects=t.ZodPromise=t.ZodNativeEnum=t.ZodEnum=t.ZodLiteral=t.ZodLazy=t.ZodFunction=t.ZodSet=t.ZodMap=t.ZodRecord=t.ZodTuple=t.ZodIntersection=t.ZodDiscriminatedUnion=t.ZodUnion=t.ZodObject=t.ZodArray=t.ZodVoid=t.ZodNever=t.ZodUnknown=t.ZodAny=t.ZodNull=t.ZodUndefined=t.ZodSymbol=t.ZodDate=t.ZodBoolean=t.ZodBigInt=t.ZodNumber=t.ZodString=t.datetimeRegex=t.ZodType=void 0,t.NEVER=t.void=t.unknown=t.union=t.undefined=t.tuple=t.transformer=t.symbol=t.string=t.strictObject=t.set=t.record=t.promise=t.preprocess=t.pipeline=t.ostring=t.optional=t.onumber=t.oboolean=t.object=t.number=t.nullable=t.null=t.never=t.nativeEnum=t.nan=t.map=t.literal=t.lazy=t.intersection=t.instanceof=t.function=t.enum=t.effect=t.discriminatedUnion=t.date=void 0;const a=s(136),c=s(169),d=s(144),u=s(127),l=s(137);class ParseInputLazyPath{constructor(e,t,s,n){this._cachedPath=[],this.parent=e,this.data=t,this._path=s,this._key=n}get path(){return this._cachedPath.length||(this._key instanceof Array?this._cachedPath.push(...this._path,...this._key):this._cachedPath.push(...this._path,this._key)),this._cachedPath}}const p=(e,t)=>{if((0,d.isValid)(t))return{success:!0,data:t.value};if(!e.common.issues.length)throw new Error("Validation failed but no issues detected.");return{success:!1,get error(){if(this._error)return this._error;const t=new l.ZodError(e.common.issues);return this._error=t,this._error}}};function h(e){if(!e)return{};const{errorMap:t,invalid_type_error:s,required_error:n,description:o}=e;if(t&&(s||n))throw new Error('Can\'t use "invalid_type_error" or "required_error" in conjunction with custom error map.');return t?{errorMap:t,description:o}:{errorMap:(t,o)=>{var r,i;const{message:a}=e;return"invalid_enum_value"===t.code?{message:null!=a?a:o.defaultError}:void 0===o.data?{message:null!==(r=null!=a?a:n)&&void 0!==r?r:o.defaultError}:"invalid_type"!==t.code?{message:o.defaultError}:{message:null!==(i=null!=a?a:s)&&void 0!==i?i:o.defaultError}},description:o}}class ZodType{constructor(e){this.spa=this.safeParseAsync,this._def=e,this.parse=this.parse.bind(this),this.safeParse=this.safeParse.bind(this),this.parseAsync=this.parseAsync.bind(this),this.safeParseAsync=this.safeParseAsync.bind(this),this.spa=this.spa.bind(this),this.refine=this.refine.bind(this),this.refinement=this.refinement.bind(this),this.superRefine=this.superRefine.bind(this),this.optional=this.optional.bind(this),this.nullable=this.nullable.bind(this),this.nullish=this.nullish.bind(this),this.array=this.array.bind(this),this.promise=this.promise.bind(this),this.or=this.or.bind(this),this.and=this.and.bind(this),this.transform=this.transform.bind(this),this.brand=this.brand.bind(this),this.default=this.default.bind(this),this.catch=this.catch.bind(this),this.describe=this.describe.bind(this),this.pipe=this.pipe.bind(this),this.readonly=this.readonly.bind(this),this.isNullable=this.isNullable.bind(this),this.isOptional=this.isOptional.bind(this)}get description(){return this._def.description}_getType(e){return(0,u.getParsedType)(e.data)}_getOrReturnCtx(e,t){return t||{common:e.parent.common,data:e.data,parsedType:(0,u.getParsedType)(e.data),schemaErrorMap:this._def.errorMap,path:e.path,parent:e.parent}}_processInputParams(e){return{status:new d.ParseStatus,ctx:{common:e.parent.common,data:e.data,parsedType:(0,u.getParsedType)(e.data),schemaErrorMap:this._def.errorMap,path:e.path,parent:e.parent}}}_parseSync(e){const t=this._parse(e);if((0,d.isAsync)(t))throw new Error("Synchronous parse encountered promise.");return t}_parseAsync(e){const t=this._parse(e);return Promise.resolve(t)}parse(e,t){const s=this.safeParse(e,t);if(s.success)return s.data;throw s.error}safeParse(e,t){var s;const n={common:{issues:[],async:null!==(s=null==t?void 0:t.async)&&void 0!==s&&s,contextualErrorMap:null==t?void 0:t.errorMap},path:(null==t?void 0:t.path)||[],schemaErrorMap:this._def.errorMap,parent:null,data:e,parsedType:(0,u.getParsedType)(e)},o=this._parseSync({data:e,path:n.path,parent:n});return p(n,o)}async parseAsync(e,t){const s=await this.safeParseAsync(e,t);if(s.success)return s.data;throw s.error}async safeParseAsync(e,t){const s={common:{issues:[],contextualErrorMap:null==t?void 0:t.errorMap,async:!0},path:(null==t?void 0:t.path)||[],schemaErrorMap:this._def.errorMap,parent:null,data:e,parsedType:(0,u.getParsedType)(e)},n=this._parse({data:e,path:s.path,parent:s}),o=await((0,d.isAsync)(n)?n:Promise.resolve(n));return p(s,o)}refine(e,t){const s=e=>"string"==typeof t||void 0===t?{message:t}:"function"==typeof t?t(e):t;return this._refinement(((t,n)=>{const o=e(t),r=()=>n.addIssue({code:l.ZodIssueCode.custom,...s(t)});return"undefined"!=typeof Promise&&o instanceof Promise?o.then((e=>!!e||(r(),!1))):!!o||(r(),!1)}))}refinement(e,t){return this._refinement(((s,n)=>!!e(s)||(n.addIssue("function"==typeof t?t(s,n):t),!1)))}_refinement(e){return new ZodEffects({schema:this,typeName:M.ZodEffects,effect:{type:"refinement",refinement:e}})}superRefine(e){return this._refinement(e)}optional(){return ZodOptional.create(this,this._def)}nullable(){return ZodNullable.create(this,this._def)}nullish(){return this.nullable().optional()}array(){return ZodArray.create(this,this._def)}promise(){return ZodPromise.create(this,this._def)}or(e){return ZodUnion.create([this,e],this._def)}and(e){return ZodIntersection.create(this,e,this._def)}transform(e){return new ZodEffects({...h(this._def),schema:this,typeName:M.ZodEffects,effect:{type:"transform",transform:e}})}default(e){const t="function"==typeof e?e:()=>e;return new ZodDefault({...h(this._def),innerType:this,defaultValue:t,typeName:M.ZodDefault})}brand(){return new ZodBranded({typeName:M.ZodBranded,type:this,...h(this._def)})}catch(e){const t="function"==typeof e?e:()=>e;return new ZodCatch({...h(this._def),innerType:this,catchValue:t,typeName:M.ZodCatch})}describe(e){return new(0,this.constructor)({...this._def,description:e})}pipe(e){return ZodPipeline.create(this,e)}readonly(){return ZodReadonly.create(this)}isOptional(){return this.safeParse(void 0).success}isNullable(){return this.safeParse(null).success}}t.ZodType=ZodType,t.Schema=ZodType,t.ZodSchema=ZodType;const f=/^c[^\s-]{8,}$/i,m=/^[0-9a-z]+$/,g=/^[0-9A-HJKMNP-TV-Z]{26}$/,y=/^[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}$/i,v=/^[a-z0-9_-]{21}$/i,_=/^[-+]?P(?!$)(?:(?:[-+]?\d+Y)|(?:[-+]?\d+[.,]\d+Y$))?(?:(?:[-+]?\d+M)|(?:[-+]?\d+[.,]\d+M$))?(?:(?:[-+]?\d+W)|(?:[-+]?\d+[.,]\d+W$))?(?:(?:[-+]?\d+D)|(?:[-+]?\d+[.,]\d+D$))?(?:T(?=[\d+-])(?:(?:[-+]?\d+H)|(?:[-+]?\d+[.,]\d+H$))?(?:(?:[-+]?\d+M)|(?:[-+]?\d+[.,]\d+M$))?(?:[-+]?\d+(?:[.,]\d+)?S)?)??$/,b=/^(?!\.)(?!.*\.\.)([A-Z0-9_'+\-\.]*)[A-Z0-9_+-]@([A-Z0-9][A-Z0-9\-]*\.)+[A-Z]{2,}$/i;let x;const w=/^(?:(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])\.){3}(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])$/,S=/^(([a-f0-9]{1,4}:){7}|::([a-f0-9]{1,4}:){0,6}|([a-f0-9]{1,4}:){1}:([a-f0-9]{1,4}:){0,5}|([a-f0-9]{1,4}:){2}:([a-f0-9]{1,4}:){0,4}|([a-f0-9]{1,4}:){3}:([a-f0-9]{1,4}:){0,3}|([a-f0-9]{1,4}:){4}:([a-f0-9]{1,4}:){0,2}|([a-f0-9]{1,4}:){5}:([a-f0-9]{1,4}:){0,1})([a-f0-9]{1,4}|(((25[0-5])|(2[0-4][0-9])|(1[0-9]{2})|([0-9]{1,2}))\.){3}((25[0-5])|(2[0-4][0-9])|(1[0-9]{2})|([0-9]{1,2})))$/,Z=/^([0-9a-zA-Z+/]{4})*(([0-9a-zA-Z+/]{2}==)|([0-9a-zA-Z+/]{3}=))?$/,T="((\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-((0[13578]|1[02])-(0[1-9]|[12]\\d|3[01])|(0[469]|11)-(0[1-9]|[12]\\d|30)|(02)-(0[1-9]|1\\d|2[0-8])))",I=new RegExp(`^${T}$`);function C(e){let t="([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d";return e.precision?t=`${t}\\.\\d{${e.precision}}`:null==e.precision&&(t=`${t}(\\.\\d+)?`),t}function k(e){let t=`${T}T${C(e)}`;const s=[];return s.push(e.local?"Z?":"Z"),e.offset&&s.push("([+-]\\d{2}:?\\d{2})"),t=`${t}(${s.join("|")})`,new RegExp(`^${t}$`)}t.datetimeRegex=k;class ZodString extends ZodType{_parse(e){if(this._def.coerce&&(e.data=String(e.data)),this._getType(e)!==u.ZodParsedType.string){const t=this._getOrReturnCtx(e);return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.string,received:t.parsedType}),d.INVALID}const t=new d.ParseStatus;let s;for(const r of this._def.checks)if("min"===r.kind)e.data.length<r.value&&(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.too_small,minimum:r.value,type:"string",inclusive:!0,exact:!1,message:r.message}),t.dirty());else if("max"===r.kind)e.data.length>r.value&&(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.too_big,maximum:r.value,type:"string",inclusive:!0,exact:!1,message:r.message}),t.dirty());else if("length"===r.kind){const n=e.data.length>r.value,o=e.data.length<r.value;(n||o)&&(s=this._getOrReturnCtx(e,s),n?(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.too_big,maximum:r.value,type:"string",inclusive:!0,exact:!0,message:r.message}):o&&(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.too_small,minimum:r.value,type:"string",inclusive:!0,exact:!0,message:r.message}),t.dirty())}else if("email"===r.kind)b.test(e.data)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{validation:"email",code:l.ZodIssueCode.invalid_string,message:r.message}),t.dirty());else if("emoji"===r.kind)x||(x=new RegExp("^(\\p{Extended_Pictographic}|\\p{Emoji_Component})+$","u")),x.test(e.data)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{validation:"emoji",code:l.ZodIssueCode.invalid_string,message:r.message}),t.dirty());else if("uuid"===r.kind)y.test(e.data)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{validation:"uuid",code:l.ZodIssueCode.invalid_string,message:r.message}),t.dirty());else if("nanoid"===r.kind)v.test(e.data)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{validation:"nanoid",code:l.ZodIssueCode.invalid_string,message:r.message}),t.dirty());else if("cuid"===r.kind)f.test(e.data)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{validation:"cuid",code:l.ZodIssueCode.invalid_string,message:r.message}),t.dirty());else if("cuid2"===r.kind)m.test(e.data)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{validation:"cuid2",code:l.ZodIssueCode.invalid_string,message:r.message}),t.dirty());else if("ulid"===r.kind)g.test(e.data)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{validation:"ulid",code:l.ZodIssueCode.invalid_string,message:r.message}),t.dirty());else if("url"===r.kind)try{new URL(e.data)}catch(n){s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{validation:"url",code:l.ZodIssueCode.invalid_string,message:r.message}),t.dirty()}else"regex"===r.kind?(r.regex.lastIndex=0,r.regex.test(e.data)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{validation:"regex",code:l.ZodIssueCode.invalid_string,message:r.message}),t.dirty())):"trim"===r.kind?e.data=e.data.trim():"includes"===r.kind?e.data.includes(r.value,r.position)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.invalid_string,validation:{includes:r.value,position:r.position},message:r.message}),t.dirty()):"toLowerCase"===r.kind?e.data=e.data.toLowerCase():"toUpperCase"===r.kind?e.data=e.data.toUpperCase():"startsWith"===r.kind?e.data.startsWith(r.value)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.invalid_string,validation:{startsWith:r.value},message:r.message}),t.dirty()):"endsWith"===r.kind?e.data.endsWith(r.value)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.invalid_string,validation:{endsWith:r.value},message:r.message}),t.dirty()):"datetime"===r.kind?k(r).test(e.data)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.invalid_string,validation:"datetime",message:r.message}),t.dirty()):"date"===r.kind?I.test(e.data)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.invalid_string,validation:"date",message:r.message}),t.dirty()):"time"===r.kind?new RegExp(`^${C(r)}$`).test(e.data)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.invalid_string,validation:"time",message:r.message}),t.dirty()):"duration"===r.kind?_.test(e.data)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{validation:"duration",code:l.ZodIssueCode.invalid_string,message:r.message}),t.dirty()):"ip"===r.kind?(n=e.data,("v4"!==(o=r.version)&&o||!w.test(n))&&("v6"!==o&&o||!S.test(n))&&(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{validation:"ip",code:l.ZodIssueCode.invalid_string,message:r.message}),t.dirty())):"base64"===r.kind?Z.test(e.data)||(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{validation:"base64",code:l.ZodIssueCode.invalid_string,message:r.message}),t.dirty()):u.util.assertNever(r);var n,o;return{status:t.value,value:e.data}}_regex(e,t,s){return this.refinement((t=>e.test(t)),{validation:t,code:l.ZodIssueCode.invalid_string,...c.errorUtil.errToObj(s)})}_addCheck(e){return new ZodString({...this._def,checks:[...this._def.checks,e]})}email(e){return this._addCheck({kind:"email",...c.errorUtil.errToObj(e)})}url(e){return this._addCheck({kind:"url",...c.errorUtil.errToObj(e)})}emoji(e){return this._addCheck({kind:"emoji",...c.errorUtil.errToObj(e)})}uuid(e){return this._addCheck({kind:"uuid",...c.errorUtil.errToObj(e)})}nanoid(e){return this._addCheck({kind:"nanoid",...c.errorUtil.errToObj(e)})}cuid(e){return this._addCheck({kind:"cuid",...c.errorUtil.errToObj(e)})}cuid2(e){return this._addCheck({kind:"cuid2",...c.errorUtil.errToObj(e)})}ulid(e){return this._addCheck({kind:"ulid",...c.errorUtil.errToObj(e)})}base64(e){return this._addCheck({kind:"base64",...c.errorUtil.errToObj(e)})}ip(e){return this._addCheck({kind:"ip",...c.errorUtil.errToObj(e)})}datetime(e){var t,s;return"string"==typeof e?this._addCheck({kind:"datetime",precision:null,offset:!1,local:!1,message:e}):this._addCheck({kind:"datetime",precision:void 0===(null==e?void 0:e.precision)?null:null==e?void 0:e.precision,offset:null!==(t=null==e?void 0:e.offset)&&void 0!==t&&t,local:null!==(s=null==e?void 0:e.local)&&void 0!==s&&s,...c.errorUtil.errToObj(null==e?void 0:e.message)})}date(e){return this._addCheck({kind:"date",message:e})}time(e){return"string"==typeof e?this._addCheck({kind:"time",precision:null,message:e}):this._addCheck({kind:"time",precision:void 0===(null==e?void 0:e.precision)?null:null==e?void 0:e.precision,...c.errorUtil.errToObj(null==e?void 0:e.message)})}duration(e){return this._addCheck({kind:"duration",...c.errorUtil.errToObj(e)})}regex(e,t){return this._addCheck({kind:"regex",regex:e,...c.errorUtil.errToObj(t)})}includes(e,t){return this._addCheck({kind:"includes",value:e,position:null==t?void 0:t.position,...c.errorUtil.errToObj(null==t?void 0:t.message)})}startsWith(e,t){return this._addCheck({kind:"startsWith",value:e,...c.errorUtil.errToObj(t)})}endsWith(e,t){return this._addCheck({kind:"endsWith",value:e,...c.errorUtil.errToObj(t)})}min(e,t){return this._addCheck({kind:"min",value:e,...c.errorUtil.errToObj(t)})}max(e,t){return this._addCheck({kind:"max",value:e,...c.errorUtil.errToObj(t)})}length(e,t){return this._addCheck({kind:"length",value:e,...c.errorUtil.errToObj(t)})}nonempty(e){return this.min(1,c.errorUtil.errToObj(e))}trim(){return new ZodString({...this._def,checks:[...this._def.checks,{kind:"trim"}]})}toLowerCase(){return new ZodString({...this._def,checks:[...this._def.checks,{kind:"toLowerCase"}]})}toUpperCase(){return new ZodString({...this._def,checks:[...this._def.checks,{kind:"toUpperCase"}]})}get isDatetime(){return!!this._def.checks.find((e=>"datetime"===e.kind))}get isDate(){return!!this._def.checks.find((e=>"date"===e.kind))}get isTime(){return!!this._def.checks.find((e=>"time"===e.kind))}get isDuration(){return!!this._def.checks.find((e=>"duration"===e.kind))}get isEmail(){return!!this._def.checks.find((e=>"email"===e.kind))}get isURL(){return!!this._def.checks.find((e=>"url"===e.kind))}get isEmoji(){return!!this._def.checks.find((e=>"emoji"===e.kind))}get isUUID(){return!!this._def.checks.find((e=>"uuid"===e.kind))}get isNANOID(){return!!this._def.checks.find((e=>"nanoid"===e.kind))}get isCUID(){return!!this._def.checks.find((e=>"cuid"===e.kind))}get isCUID2(){return!!this._def.checks.find((e=>"cuid2"===e.kind))}get isULID(){return!!this._def.checks.find((e=>"ulid"===e.kind))}get isIP(){return!!this._def.checks.find((e=>"ip"===e.kind))}get isBase64(){return!!this._def.checks.find((e=>"base64"===e.kind))}get minLength(){let e=null;for(const t of this._def.checks)"min"===t.kind&&(null===e||t.value>e)&&(e=t.value);return e}get maxLength(){let e=null;for(const t of this._def.checks)"max"===t.kind&&(null===e||t.value<e)&&(e=t.value);return e}}function O(e,t){const s=(e.toString().split(".")[1]||"").length,n=(t.toString().split(".")[1]||"").length,o=s>n?s:n;return parseInt(e.toFixed(o).replace(".",""))%parseInt(t.toFixed(o).replace(".",""))/Math.pow(10,o)}t.ZodString=ZodString,ZodString.create=e=>{var t;return new ZodString({checks:[],typeName:M.ZodString,coerce:null!==(t=null==e?void 0:e.coerce)&&void 0!==t&&t,...h(e)})};class ZodNumber extends ZodType{constructor(){super(...arguments),this.min=this.gte,this.max=this.lte,this.step=this.multipleOf}_parse(e){if(this._def.coerce&&(e.data=Number(e.data)),this._getType(e)!==u.ZodParsedType.number){const t=this._getOrReturnCtx(e);return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.number,received:t.parsedType}),d.INVALID}let t;const s=new d.ParseStatus;for(const n of this._def.checks)"int"===n.kind?u.util.isInteger(e.data)||(t=this._getOrReturnCtx(e,t),(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:"integer",received:"float",message:n.message}),s.dirty()):"min"===n.kind?(n.inclusive?e.data<n.value:e.data<=n.value)&&(t=this._getOrReturnCtx(e,t),(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.too_small,minimum:n.value,type:"number",inclusive:n.inclusive,exact:!1,message:n.message}),s.dirty()):"max"===n.kind?(n.inclusive?e.data>n.value:e.data>=n.value)&&(t=this._getOrReturnCtx(e,t),(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.too_big,maximum:n.value,type:"number",inclusive:n.inclusive,exact:!1,message:n.message}),s.dirty()):"multipleOf"===n.kind?0!==O(e.data,n.value)&&(t=this._getOrReturnCtx(e,t),(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.not_multiple_of,multipleOf:n.value,message:n.message}),s.dirty()):"finite"===n.kind?Number.isFinite(e.data)||(t=this._getOrReturnCtx(e,t),(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.not_finite,message:n.message}),s.dirty()):u.util.assertNever(n);return{status:s.value,value:e.data}}gte(e,t){return this.setLimit("min",e,!0,c.errorUtil.toString(t))}gt(e,t){return this.setLimit("min",e,!1,c.errorUtil.toString(t))}lte(e,t){return this.setLimit("max",e,!0,c.errorUtil.toString(t))}lt(e,t){return this.setLimit("max",e,!1,c.errorUtil.toString(t))}setLimit(e,t,s,n){return new ZodNumber({...this._def,checks:[...this._def.checks,{kind:e,value:t,inclusive:s,message:c.errorUtil.toString(n)}]})}_addCheck(e){return new ZodNumber({...this._def,checks:[...this._def.checks,e]})}int(e){return this._addCheck({kind:"int",message:c.errorUtil.toString(e)})}positive(e){return this._addCheck({kind:"min",value:0,inclusive:!1,message:c.errorUtil.toString(e)})}negative(e){return this._addCheck({kind:"max",value:0,inclusive:!1,message:c.errorUtil.toString(e)})}nonpositive(e){return this._addCheck({kind:"max",value:0,inclusive:!0,message:c.errorUtil.toString(e)})}nonnegative(e){return this._addCheck({kind:"min",value:0,inclusive:!0,message:c.errorUtil.toString(e)})}multipleOf(e,t){return this._addCheck({kind:"multipleOf",value:e,message:c.errorUtil.toString(t)})}finite(e){return this._addCheck({kind:"finite",message:c.errorUtil.toString(e)})}safe(e){return this._addCheck({kind:"min",inclusive:!0,value:Number.MIN_SAFE_INTEGER,message:c.errorUtil.toString(e)})._addCheck({kind:"max",inclusive:!0,value:Number.MAX_SAFE_INTEGER,message:c.errorUtil.toString(e)})}get minValue(){let e=null;for(const t of this._def.checks)"min"===t.kind&&(null===e||t.value>e)&&(e=t.value);return e}get maxValue(){let e=null;for(const t of this._def.checks)"max"===t.kind&&(null===e||t.value<e)&&(e=t.value);return e}get isInt(){return!!this._def.checks.find((e=>"int"===e.kind||"multipleOf"===e.kind&&u.util.isInteger(e.value)))}get isFinite(){let e=null,t=null;for(const s of this._def.checks){if("finite"===s.kind||"int"===s.kind||"multipleOf"===s.kind)return!0;"min"===s.kind?(null===t||s.value>t)&&(t=s.value):"max"===s.kind&&(null===e||s.value<e)&&(e=s.value)}return Number.isFinite(t)&&Number.isFinite(e)}}t.ZodNumber=ZodNumber,ZodNumber.create=e=>new ZodNumber({checks:[],typeName:M.ZodNumber,coerce:(null==e?void 0:e.coerce)||!1,...h(e)});class ZodBigInt extends ZodType{constructor(){super(...arguments),this.min=this.gte,this.max=this.lte}_parse(e){if(this._def.coerce&&(e.data=BigInt(e.data)),this._getType(e)!==u.ZodParsedType.bigint){const t=this._getOrReturnCtx(e);return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.bigint,received:t.parsedType}),d.INVALID}let t;const s=new d.ParseStatus;for(const n of this._def.checks)"min"===n.kind?(n.inclusive?e.data<n.value:e.data<=n.value)&&(t=this._getOrReturnCtx(e,t),(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.too_small,type:"bigint",minimum:n.value,inclusive:n.inclusive,message:n.message}),s.dirty()):"max"===n.kind?(n.inclusive?e.data>n.value:e.data>=n.value)&&(t=this._getOrReturnCtx(e,t),(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.too_big,type:"bigint",maximum:n.value,inclusive:n.inclusive,message:n.message}),s.dirty()):"multipleOf"===n.kind?e.data%n.value!==BigInt(0)&&(t=this._getOrReturnCtx(e,t),(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.not_multiple_of,multipleOf:n.value,message:n.message}),s.dirty()):u.util.assertNever(n);return{status:s.value,value:e.data}}gte(e,t){return this.setLimit("min",e,!0,c.errorUtil.toString(t))}gt(e,t){return this.setLimit("min",e,!1,c.errorUtil.toString(t))}lte(e,t){return this.setLimit("max",e,!0,c.errorUtil.toString(t))}lt(e,t){return this.setLimit("max",e,!1,c.errorUtil.toString(t))}setLimit(e,t,s,n){return new ZodBigInt({...this._def,checks:[...this._def.checks,{kind:e,value:t,inclusive:s,message:c.errorUtil.toString(n)}]})}_addCheck(e){return new ZodBigInt({...this._def,checks:[...this._def.checks,e]})}positive(e){return this._addCheck({kind:"min",value:BigInt(0),inclusive:!1,message:c.errorUtil.toString(e)})}negative(e){return this._addCheck({kind:"max",value:BigInt(0),inclusive:!1,message:c.errorUtil.toString(e)})}nonpositive(e){return this._addCheck({kind:"max",value:BigInt(0),inclusive:!0,message:c.errorUtil.toString(e)})}nonnegative(e){return this._addCheck({kind:"min",value:BigInt(0),inclusive:!0,message:c.errorUtil.toString(e)})}multipleOf(e,t){return this._addCheck({kind:"multipleOf",value:e,message:c.errorUtil.toString(t)})}get minValue(){let e=null;for(const t of this._def.checks)"min"===t.kind&&(null===e||t.value>e)&&(e=t.value);return e}get maxValue(){let e=null;for(const t of this._def.checks)"max"===t.kind&&(null===e||t.value<e)&&(e=t.value);return e}}t.ZodBigInt=ZodBigInt,ZodBigInt.create=e=>{var t;return new ZodBigInt({checks:[],typeName:M.ZodBigInt,coerce:null!==(t=null==e?void 0:e.coerce)&&void 0!==t&&t,...h(e)})};class ZodBoolean extends ZodType{_parse(e){if(this._def.coerce&&(e.data=Boolean(e.data)),this._getType(e)!==u.ZodParsedType.boolean){const t=this._getOrReturnCtx(e);return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.boolean,received:t.parsedType}),d.INVALID}return(0,d.OK)(e.data)}}t.ZodBoolean=ZodBoolean,ZodBoolean.create=e=>new ZodBoolean({typeName:M.ZodBoolean,coerce:(null==e?void 0:e.coerce)||!1,...h(e)});class ZodDate extends ZodType{_parse(e){if(this._def.coerce&&(e.data=new Date(e.data)),this._getType(e)!==u.ZodParsedType.date){const t=this._getOrReturnCtx(e);return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.date,received:t.parsedType}),d.INVALID}if(isNaN(e.data.getTime())){const t=this._getOrReturnCtx(e);return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_date}),d.INVALID}const t=new d.ParseStatus;let s;for(const n of this._def.checks)"min"===n.kind?e.data.getTime()<n.value&&(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.too_small,message:n.message,inclusive:!0,exact:!1,minimum:n.value,type:"date"}),t.dirty()):"max"===n.kind?e.data.getTime()>n.value&&(s=this._getOrReturnCtx(e,s),(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.too_big,message:n.message,inclusive:!0,exact:!1,maximum:n.value,type:"date"}),t.dirty()):u.util.assertNever(n);return{status:t.value,value:new Date(e.data.getTime())}}_addCheck(e){return new ZodDate({...this._def,checks:[...this._def.checks,e]})}min(e,t){return this._addCheck({kind:"min",value:e.getTime(),message:c.errorUtil.toString(t)})}max(e,t){return this._addCheck({kind:"max",value:e.getTime(),message:c.errorUtil.toString(t)})}get minDate(){let e=null;for(const t of this._def.checks)"min"===t.kind&&(null===e||t.value>e)&&(e=t.value);return null!=e?new Date(e):null}get maxDate(){let e=null;for(const t of this._def.checks)"max"===t.kind&&(null===e||t.value<e)&&(e=t.value);return null!=e?new Date(e):null}}t.ZodDate=ZodDate,ZodDate.create=e=>new ZodDate({checks:[],coerce:(null==e?void 0:e.coerce)||!1,typeName:M.ZodDate,...h(e)});class ZodSymbol extends ZodType{_parse(e){if(this._getType(e)!==u.ZodParsedType.symbol){const t=this._getOrReturnCtx(e);return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.symbol,received:t.parsedType}),d.INVALID}return(0,d.OK)(e.data)}}t.ZodSymbol=ZodSymbol,ZodSymbol.create=e=>new ZodSymbol({typeName:M.ZodSymbol,...h(e)});class ZodUndefined extends ZodType{_parse(e){if(this._getType(e)!==u.ZodParsedType.undefined){const t=this._getOrReturnCtx(e);return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.undefined,received:t.parsedType}),d.INVALID}return(0,d.OK)(e.data)}}t.ZodUndefined=ZodUndefined,ZodUndefined.create=e=>new ZodUndefined({typeName:M.ZodUndefined,...h(e)});class ZodNull extends ZodType{_parse(e){if(this._getType(e)!==u.ZodParsedType.null){const t=this._getOrReturnCtx(e);return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.null,received:t.parsedType}),d.INVALID}return(0,d.OK)(e.data)}}t.ZodNull=ZodNull,ZodNull.create=e=>new ZodNull({typeName:M.ZodNull,...h(e)});class ZodAny extends ZodType{constructor(){super(...arguments),this._any=!0}_parse(e){return(0,d.OK)(e.data)}}t.ZodAny=ZodAny,ZodAny.create=e=>new ZodAny({typeName:M.ZodAny,...h(e)});class ZodUnknown extends ZodType{constructor(){super(...arguments),this._unknown=!0}_parse(e){return(0,d.OK)(e.data)}}t.ZodUnknown=ZodUnknown,ZodUnknown.create=e=>new ZodUnknown({typeName:M.ZodUnknown,...h(e)});class ZodNever extends ZodType{_parse(e){const t=this._getOrReturnCtx(e);return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.never,received:t.parsedType}),d.INVALID}}t.ZodNever=ZodNever,ZodNever.create=e=>new ZodNever({typeName:M.ZodNever,...h(e)});class ZodVoid extends ZodType{_parse(e){if(this._getType(e)!==u.ZodParsedType.undefined){const t=this._getOrReturnCtx(e);return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.void,received:t.parsedType}),d.INVALID}return(0,d.OK)(e.data)}}t.ZodVoid=ZodVoid,ZodVoid.create=e=>new ZodVoid({typeName:M.ZodVoid,...h(e)});class ZodArray extends ZodType{_parse(e){const{ctx:t,status:s}=this._processInputParams(e),n=this._def;if(t.parsedType!==u.ZodParsedType.array)return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.array,received:t.parsedType}),d.INVALID;if(null!==n.exactLength){const e=t.data.length>n.exactLength.value,o=t.data.length<n.exactLength.value;(e||o)&&((0,d.addIssueToContext)(t,{code:e?l.ZodIssueCode.too_big:l.ZodIssueCode.too_small,minimum:o?n.exactLength.value:void 0,maximum:e?n.exactLength.value:void 0,type:"array",inclusive:!0,exact:!0,message:n.exactLength.message}),s.dirty())}if(null!==n.minLength&&t.data.length<n.minLength.value&&((0,d.addIssueToContext)(t,{code:l.ZodIssueCode.too_small,minimum:n.minLength.value,type:"array",inclusive:!0,exact:!1,message:n.minLength.message}),s.dirty()),null!==n.maxLength&&t.data.length>n.maxLength.value&&((0,d.addIssueToContext)(t,{code:l.ZodIssueCode.too_big,maximum:n.maxLength.value,type:"array",inclusive:!0,exact:!1,message:n.maxLength.message}),s.dirty()),t.common.async)return Promise.all([...t.data].map(((e,s)=>n.type._parseAsync(new ParseInputLazyPath(t,e,t.path,s))))).then((e=>d.ParseStatus.mergeArray(s,e)));const o=[...t.data].map(((e,s)=>n.type._parseSync(new ParseInputLazyPath(t,e,t.path,s))));return d.ParseStatus.mergeArray(s,o)}get element(){return this._def.type}min(e,t){return new ZodArray({...this._def,minLength:{value:e,message:c.errorUtil.toString(t)}})}max(e,t){return new ZodArray({...this._def,maxLength:{value:e,message:c.errorUtil.toString(t)}})}length(e,t){return new ZodArray({...this._def,exactLength:{value:e,message:c.errorUtil.toString(t)}})}nonempty(e){return this.min(1,e)}}function j(e){if(e instanceof ZodObject){const t={};for(const s in e.shape){const n=e.shape[s];t[s]=ZodOptional.create(j(n))}return new ZodObject({...e._def,shape:()=>t})}return e instanceof ZodArray?new ZodArray({...e._def,type:j(e.element)}):e instanceof ZodOptional?ZodOptional.create(j(e.unwrap())):e instanceof ZodNullable?ZodNullable.create(j(e.unwrap())):e instanceof ZodTuple?ZodTuple.create(e.items.map((e=>j(e)))):e}t.ZodArray=ZodArray,ZodArray.create=(e,t)=>new ZodArray({type:e,minLength:null,maxLength:null,exactLength:null,typeName:M.ZodArray,...h(t)});class ZodObject extends ZodType{constructor(){super(...arguments),this._cached=null,this.nonstrict=this.passthrough,this.augment=this.extend}_getCached(){if(null!==this._cached)return this._cached;const e=this._def.shape(),t=u.util.objectKeys(e);return this._cached={shape:e,keys:t}}_parse(e){if(this._getType(e)!==u.ZodParsedType.object){const t=this._getOrReturnCtx(e);return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.object,received:t.parsedType}),d.INVALID}const{status:t,ctx:s}=this._processInputParams(e),{shape:n,keys:o}=this._getCached(),r=[];if(!(this._def.catchall instanceof ZodNever&&"strip"===this._def.unknownKeys))for(const e in s.data)o.includes(e)||r.push(e);const i=[];for(const e of o){const t=n[e],o=s.data[e];i.push({key:{status:"valid",value:e},value:t._parse(new ParseInputLazyPath(s,o,s.path,e)),alwaysSet:e in s.data})}if(this._def.catchall instanceof ZodNever){const e=this._def.unknownKeys;if("passthrough"===e)for(const e of r)i.push({key:{status:"valid",value:e},value:{status:"valid",value:s.data[e]}});else if("strict"===e)r.length>0&&((0,d.addIssueToContext)(s,{code:l.ZodIssueCode.unrecognized_keys,keys:r}),t.dirty());else if("strip"!==e)throw new Error("Internal ZodObject error: invalid unknownKeys value.")}else{const e=this._def.catchall;for(const t of r){const n=s.data[t];i.push({key:{status:"valid",value:t},value:e._parse(new ParseInputLazyPath(s,n,s.path,t)),alwaysSet:t in s.data})}}return s.common.async?Promise.resolve().then((async()=>{const e=[];for(const t of i){const s=await t.key,n=await t.value;e.push({key:s,value:n,alwaysSet:t.alwaysSet})}return e})).then((e=>d.ParseStatus.mergeObjectSync(t,e))):d.ParseStatus.mergeObjectSync(t,i)}get shape(){return this._def.shape()}strict(e){return c.errorUtil.errToObj,new ZodObject({...this._def,unknownKeys:"strict",...void 0!==e?{errorMap:(t,s)=>{var n,o,r,i;const a=null!==(r=null===(o=(n=this._def).errorMap)||void 0===o?void 0:o.call(n,t,s).message)&&void 0!==r?r:s.defaultError;return"unrecognized_keys"===t.code?{message:null!==(i=c.errorUtil.errToObj(e).message)&&void 0!==i?i:a}:{message:a}}}:{}})}strip(){return new ZodObject({...this._def,unknownKeys:"strip"})}passthrough(){return new ZodObject({...this._def,unknownKeys:"passthrough"})}extend(e){return new ZodObject({...this._def,shape:()=>({...this._def.shape(),...e})})}merge(e){return new ZodObject({unknownKeys:e._def.unknownKeys,catchall:e._def.catchall,shape:()=>({...this._def.shape(),...e._def.shape()}),typeName:M.ZodObject})}setKey(e,t){return this.augment({[e]:t})}catchall(e){return new ZodObject({...this._def,catchall:e})}pick(e){const t={};return u.util.objectKeys(e).forEach((s=>{e[s]&&this.shape[s]&&(t[s]=this.shape[s])})),new ZodObject({...this._def,shape:()=>t})}omit(e){const t={};return u.util.objectKeys(this.shape).forEach((s=>{e[s]||(t[s]=this.shape[s])})),new ZodObject({...this._def,shape:()=>t})}deepPartial(){return j(this)}partial(e){const t={};return u.util.objectKeys(this.shape).forEach((s=>{const n=this.shape[s];e&&!e[s]?t[s]=n:t[s]=n.optional()})),new ZodObject({...this._def,shape:()=>t})}required(e){const t={};return u.util.objectKeys(this.shape).forEach((s=>{if(e&&!e[s])t[s]=this.shape[s];else{let e=this.shape[s];for(;e instanceof ZodOptional;)e=e._def.innerType;t[s]=e}})),new ZodObject({...this._def,shape:()=>t})}keyof(){return A(u.util.objectKeys(this.shape))}}t.ZodObject=ZodObject,ZodObject.create=(e,t)=>new ZodObject({shape:()=>e,unknownKeys:"strip",catchall:ZodNever.create(),typeName:M.ZodObject,...h(t)}),ZodObject.strictCreate=(e,t)=>new ZodObject({shape:()=>e,unknownKeys:"strict",catchall:ZodNever.create(),typeName:M.ZodObject,...h(t)}),ZodObject.lazycreate=(e,t)=>new ZodObject({shape:e,unknownKeys:"strip",catchall:ZodNever.create(),typeName:M.ZodObject,...h(t)});class ZodUnion extends ZodType{_parse(e){const{ctx:t}=this._processInputParams(e),s=this._def.options;if(t.common.async)return Promise.all(s.map((async e=>{const s={...t,common:{...t.common,issues:[]},parent:null};return{result:await e._parseAsync({data:t.data,path:t.path,parent:s}),ctx:s}}))).then((function(e){for(const t of e)if("valid"===t.result.status)return t.result;for(const s of e)if("dirty"===s.result.status)return t.common.issues.push(...s.ctx.common.issues),s.result;const s=e.map((e=>new l.ZodError(e.ctx.common.issues)));return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_union,unionErrors:s}),d.INVALID}));{let e;const n=[];for(const o of s){const s={...t,common:{...t.common,issues:[]},parent:null},r=o._parseSync({data:t.data,path:t.path,parent:s});if("valid"===r.status)return r;"dirty"!==r.status||e||(e={result:r,ctx:s}),s.common.issues.length&&n.push(s.common.issues)}if(e)return t.common.issues.push(...e.ctx.common.issues),e.result;const o=n.map((e=>new l.ZodError(e)));return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_union,unionErrors:o}),d.INVALID}}get options(){return this._def.options}}t.ZodUnion=ZodUnion,ZodUnion.create=(e,t)=>new ZodUnion({options:e,typeName:M.ZodUnion,...h(t)});const E=e=>e instanceof ZodLazy?E(e.schema):e instanceof ZodEffects?E(e.innerType()):e instanceof ZodLiteral?[e.value]:e instanceof ZodEnum?e.options:e instanceof ZodNativeEnum?u.util.objectValues(e.enum):e instanceof ZodDefault?E(e._def.innerType):e instanceof ZodUndefined?[void 0]:e instanceof ZodNull?[null]:e instanceof ZodOptional?[void 0,...E(e.unwrap())]:e instanceof ZodNullable?[null,...E(e.unwrap())]:e instanceof ZodBranded||e instanceof ZodReadonly?E(e.unwrap()):e instanceof ZodCatch?E(e._def.innerType):[];class ZodDiscriminatedUnion extends ZodType{_parse(e){const{ctx:t}=this._processInputParams(e);if(t.parsedType!==u.ZodParsedType.object)return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.object,received:t.parsedType}),d.INVALID;const s=this.discriminator,n=t.data[s],o=this.optionsMap.get(n);return o?t.common.async?o._parseAsync({data:t.data,path:t.path,parent:t}):o._parseSync({data:t.data,path:t.path,parent:t}):((0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_union_discriminator,options:Array.from(this.optionsMap.keys()),path:[s]}),d.INVALID)}get discriminator(){return this._def.discriminator}get options(){return this._def.options}get optionsMap(){return this._def.optionsMap}static create(e,t,s){const n=new Map;for(const s of t){const t=E(s.shape[e]);if(!t.length)throw new Error(`A discriminator value for key \`${e}\` could not be extracted from all schema options`);for(const o of t){if(n.has(o))throw new Error(`Discriminator property ${String(e)} has duplicate value ${String(o)}`);n.set(o,s)}}return new ZodDiscriminatedUnion({typeName:M.ZodDiscriminatedUnion,discriminator:e,options:t,optionsMap:n,...h(s)})}}function P(e,t){const s=(0,u.getParsedType)(e),n=(0,u.getParsedType)(t);if(e===t)return{valid:!0,data:e};if(s===u.ZodParsedType.object&&n===u.ZodParsedType.object){const s=u.util.objectKeys(t),n=u.util.objectKeys(e).filter((e=>-1!==s.indexOf(e))),o={...e,...t};for(const s of n){const n=P(e[s],t[s]);if(!n.valid)return{valid:!1};o[s]=n.data}return{valid:!0,data:o}}if(s===u.ZodParsedType.array&&n===u.ZodParsedType.array){if(e.length!==t.length)return{valid:!1};const s=[];for(let n=0;n<e.length;n++){const o=P(e[n],t[n]);if(!o.valid)return{valid:!1};s.push(o.data)}return{valid:!0,data:s}}return s===u.ZodParsedType.date&&n===u.ZodParsedType.date&&+e==+t?{valid:!0,data:e}:{valid:!1}}t.ZodDiscriminatedUnion=ZodDiscriminatedUnion;class ZodIntersection extends ZodType{_parse(e){const{status:t,ctx:s}=this._processInputParams(e),n=(e,n)=>{if((0,d.isAborted)(e)||(0,d.isAborted)(n))return d.INVALID;const o=P(e.value,n.value);return o.valid?(((0,d.isDirty)(e)||(0,d.isDirty)(n))&&t.dirty(),{status:t.value,value:o.data}):((0,d.addIssueToContext)(s,{code:l.ZodIssueCode.invalid_intersection_types}),d.INVALID)};return s.common.async?Promise.all([this._def.left._parseAsync({data:s.data,path:s.path,parent:s}),this._def.right._parseAsync({data:s.data,path:s.path,parent:s})]).then((([e,t])=>n(e,t))):n(this._def.left._parseSync({data:s.data,path:s.path,parent:s}),this._def.right._parseSync({data:s.data,path:s.path,parent:s}))}}t.ZodIntersection=ZodIntersection,ZodIntersection.create=(e,t,s)=>new ZodIntersection({left:e,right:t,typeName:M.ZodIntersection,...h(s)});class ZodTuple extends ZodType{_parse(e){const{status:t,ctx:s}=this._processInputParams(e);if(s.parsedType!==u.ZodParsedType.array)return(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.array,received:s.parsedType}),d.INVALID;if(s.data.length<this._def.items.length)return(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.too_small,minimum:this._def.items.length,inclusive:!0,exact:!1,type:"array"}),d.INVALID;!this._def.rest&&s.data.length>this._def.items.length&&((0,d.addIssueToContext)(s,{code:l.ZodIssueCode.too_big,maximum:this._def.items.length,inclusive:!0,exact:!1,type:"array"}),t.dirty());const n=[...s.data].map(((e,t)=>{const n=this._def.items[t]||this._def.rest;return n?n._parse(new ParseInputLazyPath(s,e,s.path,t)):null})).filter((e=>!!e));return s.common.async?Promise.all(n).then((e=>d.ParseStatus.mergeArray(t,e))):d.ParseStatus.mergeArray(t,n)}get items(){return this._def.items}rest(e){return new ZodTuple({...this._def,rest:e})}}t.ZodTuple=ZodTuple,ZodTuple.create=(e,t)=>{if(!Array.isArray(e))throw new Error("You must pass an array of schemas to z.tuple([ ... ])");return new ZodTuple({items:e,typeName:M.ZodTuple,rest:null,...h(t)})};class ZodRecord extends ZodType{get keySchema(){return this._def.keyType}get valueSchema(){return this._def.valueType}_parse(e){const{status:t,ctx:s}=this._processInputParams(e);if(s.parsedType!==u.ZodParsedType.object)return(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.object,received:s.parsedType}),d.INVALID;const n=[],o=this._def.keyType,r=this._def.valueType;for(const e in s.data)n.push({key:o._parse(new ParseInputLazyPath(s,e,s.path,e)),value:r._parse(new ParseInputLazyPath(s,s.data[e],s.path,e)),alwaysSet:e in s.data});return s.common.async?d.ParseStatus.mergeObjectAsync(t,n):d.ParseStatus.mergeObjectSync(t,n)}get element(){return this._def.valueType}static create(e,t,s){return new ZodRecord(t instanceof ZodType?{keyType:e,valueType:t,typeName:M.ZodRecord,...h(s)}:{keyType:ZodString.create(),valueType:e,typeName:M.ZodRecord,...h(t)})}}t.ZodRecord=ZodRecord;class ZodMap extends ZodType{get keySchema(){return this._def.keyType}get valueSchema(){return this._def.valueType}_parse(e){const{status:t,ctx:s}=this._processInputParams(e);if(s.parsedType!==u.ZodParsedType.map)return(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.map,received:s.parsedType}),d.INVALID;const n=this._def.keyType,o=this._def.valueType,r=[...s.data.entries()].map((([e,t],r)=>({key:n._parse(new ParseInputLazyPath(s,e,s.path,[r,"key"])),value:o._parse(new ParseInputLazyPath(s,t,s.path,[r,"value"]))})));if(s.common.async){const e=new Map;return Promise.resolve().then((async()=>{for(const s of r){const n=await s.key,o=await s.value;if("aborted"===n.status||"aborted"===o.status)return d.INVALID;"dirty"!==n.status&&"dirty"!==o.status||t.dirty(),e.set(n.value,o.value)}return{status:t.value,value:e}}))}{const e=new Map;for(const s of r){const n=s.key,o=s.value;if("aborted"===n.status||"aborted"===o.status)return d.INVALID;"dirty"!==n.status&&"dirty"!==o.status||t.dirty(),e.set(n.value,o.value)}return{status:t.value,value:e}}}}t.ZodMap=ZodMap,ZodMap.create=(e,t,s)=>new ZodMap({valueType:t,keyType:e,typeName:M.ZodMap,...h(s)});class ZodSet extends ZodType{_parse(e){const{status:t,ctx:s}=this._processInputParams(e);if(s.parsedType!==u.ZodParsedType.set)return(0,d.addIssueToContext)(s,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.set,received:s.parsedType}),d.INVALID;const n=this._def;null!==n.minSize&&s.data.size<n.minSize.value&&((0,d.addIssueToContext)(s,{code:l.ZodIssueCode.too_small,minimum:n.minSize.value,type:"set",inclusive:!0,exact:!1,message:n.minSize.message}),t.dirty()),null!==n.maxSize&&s.data.size>n.maxSize.value&&((0,d.addIssueToContext)(s,{code:l.ZodIssueCode.too_big,maximum:n.maxSize.value,type:"set",inclusive:!0,exact:!1,message:n.maxSize.message}),t.dirty());const o=this._def.valueType;function r(e){const s=new Set;for(const n of e){if("aborted"===n.status)return d.INVALID;"dirty"===n.status&&t.dirty(),s.add(n.value)}return{status:t.value,value:s}}const i=[...s.data.values()].map(((e,t)=>o._parse(new ParseInputLazyPath(s,e,s.path,t))));return s.common.async?Promise.all(i).then((e=>r(e))):r(i)}min(e,t){return new ZodSet({...this._def,minSize:{value:e,message:c.errorUtil.toString(t)}})}max(e,t){return new ZodSet({...this._def,maxSize:{value:e,message:c.errorUtil.toString(t)}})}size(e,t){return this.min(e,t).max(e,t)}nonempty(e){return this.min(1,e)}}t.ZodSet=ZodSet,ZodSet.create=(e,t)=>new ZodSet({valueType:e,minSize:null,maxSize:null,typeName:M.ZodSet,...h(t)});class ZodFunction extends ZodType{constructor(){super(...arguments),this.validate=this.implement}_parse(e){const{ctx:t}=this._processInputParams(e);if(t.parsedType!==u.ZodParsedType.function)return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.function,received:t.parsedType}),d.INVALID;function s(e,s){return(0,d.makeIssue)({data:e,path:t.path,errorMaps:[t.common.contextualErrorMap,t.schemaErrorMap,(0,a.getErrorMap)(),a.defaultErrorMap].filter((e=>!!e)),issueData:{code:l.ZodIssueCode.invalid_arguments,argumentsError:s}})}function n(e,s){return(0,d.makeIssue)({data:e,path:t.path,errorMaps:[t.common.contextualErrorMap,t.schemaErrorMap,(0,a.getErrorMap)(),a.defaultErrorMap].filter((e=>!!e)),issueData:{code:l.ZodIssueCode.invalid_return_type,returnTypeError:s}})}const o={errorMap:t.common.contextualErrorMap},r=t.data;if(this._def.returns instanceof ZodPromise){const e=this;return(0,d.OK)((async function(...t){const i=new l.ZodError([]),a=await e._def.args.parseAsync(t,o).catch((e=>{throw i.addIssue(s(t,e)),i})),c=await Reflect.apply(r,this,a);return await e._def.returns._def.type.parseAsync(c,o).catch((e=>{throw i.addIssue(n(c,e)),i}))}))}{const e=this;return(0,d.OK)((function(...t){const i=e._def.args.safeParse(t,o);if(!i.success)throw new l.ZodError([s(t,i.error)]);const a=Reflect.apply(r,this,i.data),c=e._def.returns.safeParse(a,o);if(!c.success)throw new l.ZodError([n(a,c.error)]);return c.data}))}}parameters(){return this._def.args}returnType(){return this._def.returns}args(...e){return new ZodFunction({...this._def,args:ZodTuple.create(e).rest(ZodUnknown.create())})}returns(e){return new ZodFunction({...this._def,returns:e})}implement(e){return this.parse(e)}strictImplement(e){return this.parse(e)}static create(e,t,s){return new ZodFunction({args:e||ZodTuple.create([]).rest(ZodUnknown.create()),returns:t||ZodUnknown.create(),typeName:M.ZodFunction,...h(s)})}}t.ZodFunction=ZodFunction;class ZodLazy extends ZodType{get schema(){return this._def.getter()}_parse(e){const{ctx:t}=this._processInputParams(e);return this._def.getter()._parse({data:t.data,path:t.path,parent:t})}}t.ZodLazy=ZodLazy,ZodLazy.create=(e,t)=>new ZodLazy({getter:e,typeName:M.ZodLazy,...h(t)});class ZodLiteral extends ZodType{_parse(e){if(e.data!==this._def.value){const t=this._getOrReturnCtx(e);return(0,d.addIssueToContext)(t,{received:t.data,code:l.ZodIssueCode.invalid_literal,expected:this._def.value}),d.INVALID}return{status:"valid",value:e.data}}get value(){return this._def.value}}function A(e,t){return new ZodEnum({values:e,typeName:M.ZodEnum,...h(t)})}t.ZodLiteral=ZodLiteral,ZodLiteral.create=(e,t)=>new ZodLiteral({value:e,typeName:M.ZodLiteral,...h(t)});class ZodEnum extends ZodType{constructor(){super(...arguments),n.set(this,void 0)}_parse(e){if("string"!=typeof e.data){const t=this._getOrReturnCtx(e),s=this._def.values;return(0,d.addIssueToContext)(t,{expected:u.util.joinValues(s),received:t.parsedType,code:l.ZodIssueCode.invalid_type}),d.INVALID}if(r(this,n,"f")||i(this,n,new Set(this._def.values),"f"),!r(this,n,"f").has(e.data)){const t=this._getOrReturnCtx(e),s=this._def.values;return(0,d.addIssueToContext)(t,{received:t.data,code:l.ZodIssueCode.invalid_enum_value,options:s}),d.INVALID}return(0,d.OK)(e.data)}get options(){return this._def.values}get enum(){const e={};for(const t of this._def.values)e[t]=t;return e}get Values(){const e={};for(const t of this._def.values)e[t]=t;return e}get Enum(){const e={};for(const t of this._def.values)e[t]=t;return e}extract(e,t=this._def){return ZodEnum.create(e,{...this._def,...t})}exclude(e,t=this._def){return ZodEnum.create(this.options.filter((t=>!e.includes(t))),{...this._def,...t})}}t.ZodEnum=ZodEnum,n=new WeakMap,ZodEnum.create=A;class ZodNativeEnum extends ZodType{constructor(){super(...arguments),o.set(this,void 0)}_parse(e){const t=u.util.getValidEnumValues(this._def.values),s=this._getOrReturnCtx(e);if(s.parsedType!==u.ZodParsedType.string&&s.parsedType!==u.ZodParsedType.number){const e=u.util.objectValues(t);return(0,d.addIssueToContext)(s,{expected:u.util.joinValues(e),received:s.parsedType,code:l.ZodIssueCode.invalid_type}),d.INVALID}if(r(this,o,"f")||i(this,o,new Set(u.util.getValidEnumValues(this._def.values)),"f"),!r(this,o,"f").has(e.data)){const e=u.util.objectValues(t);return(0,d.addIssueToContext)(s,{received:s.data,code:l.ZodIssueCode.invalid_enum_value,options:e}),d.INVALID}return(0,d.OK)(e.data)}get enum(){return this._def.values}}t.ZodNativeEnum=ZodNativeEnum,o=new WeakMap,ZodNativeEnum.create=(e,t)=>new ZodNativeEnum({values:e,typeName:M.ZodNativeEnum,...h(t)});class ZodPromise extends ZodType{unwrap(){return this._def.type}_parse(e){const{ctx:t}=this._processInputParams(e);if(t.parsedType!==u.ZodParsedType.promise&&!1===t.common.async)return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.promise,received:t.parsedType}),d.INVALID;const s=t.parsedType===u.ZodParsedType.promise?t.data:Promise.resolve(t.data);return(0,d.OK)(s.then((e=>this._def.type.parseAsync(e,{path:t.path,errorMap:t.common.contextualErrorMap}))))}}t.ZodPromise=ZodPromise,ZodPromise.create=(e,t)=>new ZodPromise({type:e,typeName:M.ZodPromise,...h(t)});class ZodEffects extends ZodType{innerType(){return this._def.schema}sourceType(){return this._def.schema._def.typeName===M.ZodEffects?this._def.schema.sourceType():this._def.schema}_parse(e){const{status:t,ctx:s}=this._processInputParams(e),n=this._def.effect||null,o={addIssue:e=>{(0,d.addIssueToContext)(s,e),e.fatal?t.abort():t.dirty()},get path(){return s.path}};if(o.addIssue=o.addIssue.bind(o),"preprocess"===n.type){const e=n.transform(s.data,o);if(s.common.async)return Promise.resolve(e).then((async e=>{if("aborted"===t.value)return d.INVALID;const n=await this._def.schema._parseAsync({data:e,path:s.path,parent:s});return"aborted"===n.status?d.INVALID:"dirty"===n.status||"dirty"===t.value?(0,d.DIRTY)(n.value):n}));{if("aborted"===t.value)return d.INVALID;const n=this._def.schema._parseSync({data:e,path:s.path,parent:s});return"aborted"===n.status?d.INVALID:"dirty"===n.status||"dirty"===t.value?(0,d.DIRTY)(n.value):n}}if("refinement"===n.type){const e=e=>{const t=n.refinement(e,o);if(s.common.async)return Promise.resolve(t);if(t instanceof Promise)throw new Error("Async refinement encountered during synchronous parse operation. Use .parseAsync instead.");return e};if(!1===s.common.async){const n=this._def.schema._parseSync({data:s.data,path:s.path,parent:s});return"aborted"===n.status?d.INVALID:("dirty"===n.status&&t.dirty(),e(n.value),{status:t.value,value:n.value})}return this._def.schema._parseAsync({data:s.data,path:s.path,parent:s}).then((s=>"aborted"===s.status?d.INVALID:("dirty"===s.status&&t.dirty(),e(s.value).then((()=>({status:t.value,value:s.value}))))))}if("transform"===n.type){if(!1===s.common.async){const e=this._def.schema._parseSync({data:s.data,path:s.path,parent:s});if(!(0,d.isValid)(e))return e;const r=n.transform(e.value,o);if(r instanceof Promise)throw new Error("Asynchronous transform encountered during synchronous parse operation. Use .parseAsync instead.");return{status:t.value,value:r}}return this._def.schema._parseAsync({data:s.data,path:s.path,parent:s}).then((e=>(0,d.isValid)(e)?Promise.resolve(n.transform(e.value,o)).then((e=>({status:t.value,value:e}))):e))}u.util.assertNever(n)}}t.ZodEffects=ZodEffects,t.ZodTransformer=ZodEffects,ZodEffects.create=(e,t,s)=>new ZodEffects({schema:e,typeName:M.ZodEffects,effect:t,...h(s)}),ZodEffects.createWithPreprocess=(e,t,s)=>new ZodEffects({schema:t,effect:{type:"preprocess",transform:e},typeName:M.ZodEffects,...h(s)});class ZodOptional extends ZodType{_parse(e){return this._getType(e)===u.ZodParsedType.undefined?(0,d.OK)(void 0):this._def.innerType._parse(e)}unwrap(){return this._def.innerType}}t.ZodOptional=ZodOptional,ZodOptional.create=(e,t)=>new ZodOptional({innerType:e,typeName:M.ZodOptional,...h(t)});class ZodNullable extends ZodType{_parse(e){return this._getType(e)===u.ZodParsedType.null?(0,d.OK)(null):this._def.innerType._parse(e)}unwrap(){return this._def.innerType}}t.ZodNullable=ZodNullable,ZodNullable.create=(e,t)=>new ZodNullable({innerType:e,typeName:M.ZodNullable,...h(t)});class ZodDefault extends ZodType{_parse(e){const{ctx:t}=this._processInputParams(e);let s=t.data;return t.parsedType===u.ZodParsedType.undefined&&(s=this._def.defaultValue()),this._def.innerType._parse({data:s,path:t.path,parent:t})}removeDefault(){return this._def.innerType}}t.ZodDefault=ZodDefault,ZodDefault.create=(e,t)=>new ZodDefault({innerType:e,typeName:M.ZodDefault,defaultValue:"function"==typeof t.default?t.default:()=>t.default,...h(t)});class ZodCatch extends ZodType{_parse(e){const{ctx:t}=this._processInputParams(e),s={...t,common:{...t.common,issues:[]}},n=this._def.innerType._parse({data:s.data,path:s.path,parent:{...s}});return(0,d.isAsync)(n)?n.then((e=>({status:"valid",value:"valid"===e.status?e.value:this._def.catchValue({get error(){return new l.ZodError(s.common.issues)},input:s.data})}))):{status:"valid",value:"valid"===n.status?n.value:this._def.catchValue({get error(){return new l.ZodError(s.common.issues)},input:s.data})}}removeCatch(){return this._def.innerType}}t.ZodCatch=ZodCatch,ZodCatch.create=(e,t)=>new ZodCatch({innerType:e,typeName:M.ZodCatch,catchValue:"function"==typeof t.catch?t.catch:()=>t.catch,...h(t)});class ZodNaN extends ZodType{_parse(e){if(this._getType(e)!==u.ZodParsedType.nan){const t=this._getOrReturnCtx(e);return(0,d.addIssueToContext)(t,{code:l.ZodIssueCode.invalid_type,expected:u.ZodParsedType.nan,received:t.parsedType}),d.INVALID}return{status:"valid",value:e.data}}}t.ZodNaN=ZodNaN,ZodNaN.create=e=>new ZodNaN({typeName:M.ZodNaN,...h(e)}),t.BRAND=Symbol("zod_brand");class ZodBranded extends ZodType{_parse(e){const{ctx:t}=this._processInputParams(e),s=t.data;return this._def.type._parse({data:s,path:t.path,parent:t})}unwrap(){return this._def.type}}t.ZodBranded=ZodBranded;class ZodPipeline extends ZodType{_parse(e){const{status:t,ctx:s}=this._processInputParams(e);if(s.common.async)return(async()=>{const e=await this._def.in._parseAsync({data:s.data,path:s.path,parent:s});return"aborted"===e.status?d.INVALID:"dirty"===e.status?(t.dirty(),(0,d.DIRTY)(e.value)):this._def.out._parseAsync({data:e.value,path:s.path,parent:s})})();{const e=this._def.in._parseSync({data:s.data,path:s.path,parent:s});return"aborted"===e.status?d.INVALID:"dirty"===e.status?(t.dirty(),{status:"dirty",value:e.value}):this._def.out._parseSync({data:e.value,path:s.path,parent:s})}}static create(e,t){return new ZodPipeline({in:e,out:t,typeName:M.ZodPipeline})}}t.ZodPipeline=ZodPipeline;class ZodReadonly extends ZodType{_parse(e){const t=this._def.innerType._parse(e),s=e=>((0,d.isValid)(e)&&(e.value=Object.freeze(e.value)),e);return(0,d.isAsync)(t)?t.then((e=>s(e))):s(t)}unwrap(){return this._def.innerType}}function N(e,t={},s){return e?ZodAny.create().superRefine(((n,o)=>{var r,i;if(!e(n)){const e="function"==typeof t?t(n):"string"==typeof t?{message:t}:t,a=null===(i=null!==(r=e.fatal)&&void 0!==r?r:s)||void 0===i||i,c="string"==typeof e?{message:e}:e;o.addIssue({code:"custom",...c,fatal:a})}})):ZodAny.create()}var M;t.ZodReadonly=ZodReadonly,ZodReadonly.create=(e,t)=>new ZodReadonly({innerType:e,typeName:M.ZodReadonly,...h(t)}),t.custom=N,t.late={object:ZodObject.lazycreate},function(e){e.ZodString="ZodString",e.ZodNumber="ZodNumber",e.ZodNaN="ZodNaN",e.ZodBigInt="ZodBigInt",e.ZodBoolean="ZodBoolean",e.ZodDate="ZodDate",e.ZodSymbol="ZodSymbol",e.ZodUndefined="ZodUndefined",e.ZodNull="ZodNull",e.ZodAny="ZodAny",e.ZodUnknown="ZodUnknown",e.ZodNever="ZodNever",e.ZodVoid="ZodVoid",e.ZodArray="ZodArray",e.ZodObject="ZodObject",e.ZodUnion="ZodUnion",e.ZodDiscriminatedUnion="ZodDiscriminatedUnion",e.ZodIntersection="ZodIntersection",e.ZodTuple="ZodTuple",e.ZodRecord="ZodRecord",e.ZodMap="ZodMap",e.ZodSet="ZodSet",e.ZodFunction="ZodFunction",e.ZodLazy="ZodLazy",e.ZodLiteral="ZodLiteral",e.ZodEnum="ZodEnum",e.ZodEffects="ZodEffects",e.ZodNativeEnum="ZodNativeEnum",e.ZodOptional="ZodOptional",e.ZodNullable="ZodNullable",e.ZodDefault="ZodDefault",e.ZodCatch="ZodCatch",e.ZodPromise="ZodPromise",e.ZodBranded="ZodBranded",e.ZodPipeline="ZodPipeline",e.ZodReadonly="ZodReadonly"}(M=t.ZodFirstPartyTypeKind||(t.ZodFirstPartyTypeKind={})),t.instanceof=(e,t={message:`Input not instance of ${e.name}`})=>N((t=>t instanceof e),t);const D=ZodString.create;t.string=D;const L=ZodNumber.create;t.number=L;const R=ZodNaN.create;t.nan=R;const $=ZodBigInt.create;t.bigint=$;const F=ZodBoolean.create;t.boolean=F;const V=ZodDate.create;t.date=V;const z=ZodSymbol.create;t.symbol=z;const U=ZodUndefined.create;t.undefined=U;const B=ZodNull.create;t.null=B;const W=ZodAny.create;t.any=W;const K=ZodUnknown.create;t.unknown=K;const q=ZodNever.create;t.never=q;const G=ZodVoid.create;t.void=G;const J=ZodArray.create;t.array=J;const Y=ZodObject.create;t.object=Y;const X=ZodObject.strictCreate;t.strictObject=X;const H=ZodUnion.create;t.union=H;const Q=ZodDiscriminatedUnion.create;t.discriminatedUnion=Q;const ee=ZodIntersection.create;t.intersection=ee;const te=ZodTuple.create;t.tuple=te;const se=ZodRecord.create;t.record=se;const ne=ZodMap.create;t.map=ne;const oe=ZodSet.create;t.set=oe;const re=ZodFunction.create;t.function=re;const ie=ZodLazy.create;t.lazy=ie;const ae=ZodLiteral.create;t.literal=ae;const ce=ZodEnum.create;t.enum=ce;const de=ZodNativeEnum.create;t.nativeEnum=de;const ue=ZodPromise.create;t.promise=ue;const le=ZodEffects.create;t.effect=le,t.transformer=le;const pe=ZodOptional.create;t.optional=pe;const he=ZodNullable.create;t.nullable=he;const fe=ZodEffects.createWithPreprocess;t.preprocess=fe;const me=ZodPipeline.create;t.pipeline=me,t.ostring=()=>D().optional(),t.onumber=()=>L().optional(),t.oboolean=()=>F().optional(),t.coerce={string:e=>ZodString.create({...e,coerce:!0}),number:e=>ZodNumber.create({...e,coerce:!0}),boolean:e=>ZodBoolean.create({...e,coerce:!0}),bigint:e=>ZodBigInt.create({...e,coerce:!0}),date:e=>ZodDate.create({...e,coerce:!0})},t.NEVER=d.INVALID},169:function(e,t,s){"use strict";var n;Object.defineProperty(t,"__esModule",{value:!0}),t.errorUtil=void 0,(n=t.errorUtil||(t.errorUtil={})).errToObj=e=>"string"==typeof e?{message:e}:e||{},n.toString=e=>"string"==typeof e?e:null==e?void 0:e.message},203:function(e,t,s){"use strict";s.d(t,"b",(function(){return n})),s.d(t,"a",(function(){return o}));const n={auto:-1,single:0,default:3};let o=function(e){return e.COMPACT="compact",e.NORMAL="normal",e.EXPANDED="expanded",e}({})},204:function(e,t,s){"use strict";s.r(t),s.d(t,"LogsOverview",(function(){return xt})),s.d(t,"LogsOverviewErrorContent",(function(){return gt})),s.d(t,"LogsOverviewLoadingContent",(function(){return _t}));var n=s(1),o=s.n(n),r=s(130),i=s.n(r);const a=async(e,t)=>await t.create({title:e.indexName,timeFieldName:e.timestampField});s(8);var c=s(20),d=s.n(c),u=s(2),l=s(139),p=s(118);const h=e=>()=>{throw new Error("Not implemented")};function f(e){let t=1;return e>5e4&&(t=Math.min(.5,5e4/e)),function(e){return+e.toFixed(Math.max(1-Math.log10(e),1))}(t)}function m(e){return"number"==typeof e&&e>0&&e<=.5}var g=s(140),y=s(22),v=s.n(y);const _=v.a.duration,b=[[_(500,"ms"),_(100,"ms")],[_(5,"second"),_(1,"second")],[_(7.5,"second"),_(5,"second")],[_(15,"second"),_(10,"second")],[_(45,"second"),_(30,"second")],[_(3,"minute"),_(1,"minute")],[_(9,"minute"),_(5,"minute")],[_(20,"minute"),_(10,"minute")],[_(45,"minute"),_(30,"minute")],[_(2,"hour"),_(1,"hour")],[_(6,"hour"),_(3,"hour")],[_(24,"hour"),_(12,"hour")],[_(1,"week"),_(1,"d")],[_(3,"week"),_(1,"week")],[_(1,"year"),_(1,"month")],[_(1/0,"year"),_(1,"year")]].reverse();function x(e,t,s){return(n,o)=>{const r=function(n,o){const r=o.asMilliseconds()/n;let i=null;for(const[n,o]of e){const e=t(n,o,r);if(null==e){if(!s)continue;if(i)return i;break}if(!s)return e;i=e}const a=Math.max(Math.floor(r),1);return v.a.duration(a,"ms")}(n,o);if(Object(y.isDuration)(r))return r}}const w={near:x(b,(function(e,t,s){if(Object(y.isDuration)(e)&&e.asMilliseconds()>s)return t}),!0),lessThan:x(b,(function(e,t,s){if(t.asMilliseconds()<s)return t})),atLeast:x(b,(function(e,t,s){if(t.asMilliseconds()<=s)return t}))},S="YYYY-MM-DD'T'HH:mm:ss.SSS'Z'",Z=({messageField:e,timeField:t,startTimestamp:s,endTimestamp:n,additionalFilters:o=[],ignoredCategoryTerms:r=[]})=>({bool:{filter:[{exists:{field:e}},{range:{[t]:{gte:s,lte:n,format:"strict_date_time"}}},...o],must_not:r.map(T(e))}}),T=e=>t=>({match:{[e]:{query:t,operator:"AND",fuzziness:0,auto_generate_synonyms_phrase_query:!1}}}),I={tokenizer:"standard",char_filter:["first_line_with_letters",{type:"pattern_replace",pattern:"\\b[a-fA-F][a-fA-F0-9]+\\b",replacement:""},{type:"pattern_replace",pattern:"\\b\\d\\w*\\b",replacement:""}],filter:[{type:"limit",max_token_count:"100"}]},C=({search:e})=>Object(p.fromPromise)((async({input:{index:t,endTimestamp:s,startTimestamp:n,timeField:o,messageField:r,samplingProbability:i,ignoredCategoryTerms:a,documentFilters:d=[],minDocsPerCategory:l},signal:p})=>{var h;const g=(e=>{var t;const s=((e,t=[])=>"object"==typeof e&&null!==e&&Object.keys(e).length>0&&(0===t.length||t.every((t=>Object.hasOwn(e,t)))))(e,["probability"])?e.probability:f(e.totalNumDocs),n=null!==(t=e.aggName)&&void 0!==t?t:"sample";return{wrap:t=>m(s)?{[n]:{random_sampler:{probability:s,...e.seed?{seed:e.seed}:{}},aggs:t}}:t,unwrap:e=>m(s)?Object(c.get)(e,[n]):e,probability:s}})({probability:i,seed:1}),y=(({index:e,timeField:t,messageField:s,startTimestamp:n,endTimestamp:o,randomSampler:r,minDocsPerCategory:i=0,additionalFilters:a=[],ignoredCategoryTerms:c=[],maxCategoriesCount:d=1e3})=>{var u;const l=v()(n,S),p=v()(o,S),h=w.atLeast(24,v.a.duration(p.diff(l))),f=`${Math.ceil(null!==(u=null==h?void 0:h.asMinutes())&&void 0!==u?u:1)}m`;return{index:e,size:0,track_total_hits:!1,query:Z({messageField:s,timeField:t,startTimestamp:n,endTimestamp:o,additionalFilters:a,ignoredCategoryTerms:c}),aggs:r.wrap({histogram:{date_histogram:{field:t,fixed_interval:f,extended_bounds:{min:n,max:o}}},categories:{categorize_text:{field:s,size:d,categorization_analyzer:I,...i>0?{min_doc_count:i}:{}},aggs:{histogram:{date_histogram:{field:t,fixed_interval:f,extended_bounds:{min:n,max:o}}},change:{change_point:{buckets_path:"histogram>_count"}}}}})}})({index:t,timeField:o,messageField:r,startTimestamp:n,endTimestamp:s,randomSampler:g,additionalFilters:d,ignoredCategoryTerms:a,minDocsPerCategory:l,maxCategoriesCount:1e3}),{rawResponse:_}=await Object(u.lastValueFrom)(e({params:y},{abortSignal:p}));if(null==_.aggregations)throw new Error("No aggregations found in large categories response");const b=g.unwrap(_.aggregations);if(!("categories"in b))throw new Error("No categorization aggregation found in large categories response");const x=null!==(h=b.categories.buckets.map(k))&&void 0!==h?h:[];return{categories:x,hasReachedLimit:x.length>=1e3}})),k=e=>M.transform((e=>({change:O(e),documentCount:e.doc_count,histogram:e.histogram,terms:e.key}))).parse(e),O=({change:e,histogram:t})=>{switch(e.type){case"stationary":var s,n;return D(t)?{type:"rare",timestamp:null!==(s=null===(n=L(t))||void 0===n?void 0:n.timestamp)&&void 0!==s?s:t[0].timestamp}:{type:"none"};case"dip":case"spike":return{type:e.type,timestamp:e.bucket.key};case"step_change":return{type:"step",timestamp:e.bucket.key};case"distribution_change":return{type:"distribution",timestamp:e.bucket.key};case"trend_change":return{type:"trend",timestamp:e.bucket.key,correlationCoefficient:e.details.r_value};case"unknown":return{type:"unknown",rawChange:e.rawChange};default:return{type:"other"}}},j=g.z.object({key:g.z.string().datetime(),doc_count:g.z.number()}),E=g.z.object({p_value:g.z.number()}),P=E.extend({r_value:g.z.number()}),A=g.z.union([g.z.object({bucket:j,type:g.z.object({dip:E})}).transform((({bucket:e,type:{dip:t}})=>({type:"dip",bucket:e,details:t}))),g.z.object({bucket:j,type:g.z.object({spike:E})}).transform((({bucket:e,type:{spike:t}})=>({type:"spike",bucket:e,details:t}))),g.z.object({bucket:j,type:g.z.object({step_change:E})}).transform((({bucket:e,type:{step_change:t}})=>({type:"step_change",bucket:e,details:t}))),g.z.object({bucket:j,type:g.z.object({trend_change:P})}).transform((({bucket:e,type:{trend_change:t}})=>({type:"trend_change",bucket:e,details:t}))),g.z.object({bucket:j,type:g.z.object({distribution_change:E})}).transform((({bucket:e,type:{distribution_change:t}})=>({type:"distribution_change",bucket:e,details:t}))),g.z.object({type:g.z.object({non_stationary:P.extend({trend:g.z.enum(["increasing","decreasing"])})})}).transform((({type:{non_stationary:e}})=>({type:"non_stationary",details:e}))),g.z.object({type:g.z.object({stationary:g.z.object({})})}).transform((()=>({type:"stationary"}))),g.z.object({type:g.z.object({})}).transform((e=>({type:"unknown",rawChange:JSON.stringify(e)})))]),N=g.z.object({buckets:g.z.array(g.z.object({key_as_string:g.z.string(),doc_count:g.z.number()}).transform((e=>({timestamp:e.key_as_string,documentCount:e.doc_count}))))}).transform((({buckets:e})=>e)),M=g.z.object({key:g.z.string(),doc_count:g.z.number(),change:A,histogram:N}),D=e=>e.filter((e=>e.documentCount>0)).length<.2*e.length,L=e=>e.find((e=>e.documentCount>0)),R=({search:e})=>Object(p.fromPromise)((async({input:{index:t,endTimestamp:s,startTimestamp:n,timeField:o,messageField:r,documentFilters:i},signal:a})=>{const{rawResponse:c}=await Object(u.lastValueFrom)(e({params:{index:t,size:0,track_total_hits:!0,query:Z({messageField:r,timeField:o,startTimestamp:n,endTimestamp:s,additionalFilters:i})}},{abortSignal:a})),d=null==c.hits.total?0:"number"==typeof c.hits.total?c.hits.total:c.hits.total.value;return{documentCount:d,samplingProbability:f(d)}})),$=Object(p.setup)({types:{input:{},output:{},context:{},events:{}},actors:{countDocuments:h(),categorizeDocuments:h()},actions:{storeError:Object(p.assign)(((e,t)=>({error:t.error instanceof Error?t.error:new Error(String(t.error))}))),storeCategories:Object(p.assign)((({context:e},t)=>({categories:[...e.categories,...t.categories],hasReachedLimit:t.hasReachedLimit}))),storeDocumentCount:Object(p.assign)(((e,t)=>({documentCount:t.documentCount,samplingProbability:t.samplingProbability})))},guards:{hasTooFewDocuments:(e,t)=>t.documentCount<1,requiresSampling:(e,t)=>t.samplingProbability<1}}).createMachine({id:"categorizeLogs",context:({input:e})=>({categories:[],documentCount:0,hasReachedLimit:!1,parameters:e,samplingProbability:1}),initial:"countingDocuments",states:{countingDocuments:{invoke:{src:"countDocuments",input:({context:e})=>e.parameters,onDone:[{target:"done",guard:{type:"hasTooFewDocuments",params:({event:e})=>e.output},actions:[{type:"storeDocumentCount",params:({event:e})=>e.output}]},{target:"fetchingSampledCategories",guard:{type:"requiresSampling",params:({event:e})=>e.output},actions:[{type:"storeDocumentCount",params:({event:e})=>e.output}]},{target:"fetchingRemainingCategories",actions:[{type:"storeDocumentCount",params:({event:e})=>e.output}]}],onError:{target:"failed",actions:[{type:"storeError",params:({event:e})=>({error:e.error})}]}},on:{cancel:{target:"failed",actions:[{type:"storeError",params:()=>({error:new Error("Counting cancelled")})}]}}},fetchingSampledCategories:{invoke:{src:"categorizeDocuments",id:"categorizeSampledCategories",input:({context:e})=>({...e.parameters,samplingProbability:e.samplingProbability,ignoredCategoryTerms:[],minDocsPerCategory:10}),onDone:{target:"fetchingRemainingCategories",actions:[{type:"storeCategories",params:({event:e})=>e.output}]},onError:{target:"failed",actions:[{type:"storeError",params:({event:e})=>({error:e.error})}]}},on:{cancel:{target:"failed",actions:[{type:"storeError",params:()=>({error:new Error("Categorization cancelled")})}]}}},fetchingRemainingCategories:{invoke:{src:"categorizeDocuments",id:"categorizeRemainingCategories",input:({context:e})=>({...e.parameters,samplingProbability:1,ignoredCategoryTerms:e.categories.map((e=>e.terms)),minDocsPerCategory:0}),onDone:{target:"done",actions:[{type:"storeCategories",params:({event:e})=>e.output}]},onError:{target:"failed",actions:[{type:"storeError",params:({event:e})=>({error:e.error})}]}},on:{cancel:{target:"failed",actions:[{type:"storeError",params:()=>({error:new Error("Categorization cancelled")})}]}}},failed:{type:"final"},done:{type:"final"}},output:({context:e})=>({categories:e.categories,documentCount:e.documentCount,hasReachedLimit:e.hasReachedLimit,samplingProbability:e.samplingProbability})}),F=["_type","_source"];function V(e,t,s,n,o){for(const r in t){if(!Object.hasOwn(t,r))continue;const i=t[r],a=s+r,d=null==n?void 0:n.fields.getByName(a);if(!1===(null==o?void 0:o.shallow)){const t="nested"===(null==d?void 0:d.type);if(Array.isArray(i)&&!t){for(let t=0;t<i.length;t++){const s=i[t];Object(c.isPlainObject)(s)&&V(e,s,a+".",n,o)}continue}}else if(void 0!==e[a])continue;const u=d&&"conflict"!==d.type,l=!Object(c.isPlainObject)(i);u||l?e[a]?Array.isArray(e[a])?e[a].push(i):e[a]=[e[a],i]:e[a]=i:V(e,i,a+".",n,o)}}function z(e,t,s){const n={};if(V(n,e.fields||{},"",t,s),!1!==(null==s?void 0:s.source)&&e._source)V(n,e._source,"",t,s);else if(null!=s&&s.includeIgnoredValues&&e.ignored_field_values)for(const t in e.ignored_field_values){if(!Object.hasOwn(e.ignored_field_values,t))continue;const s=e.ignored_field_values[t];n[t]?Array.isArray(n[t])?n[t]=[...n[t],...s]:n[t]=[n[t],...s]:n[t]=s}if(null!=t&&t.metaFields)for(let s=0;s<(null==t?void 0:t.metaFields.length);s++){const o=null==t?void 0:t.metaFields[s];F.includes(o)||"_"!==o.charAt(0)||(n[o]=e[o])}return function(e,t,s){let n;return new Proxy(e,{defineProperty:(...e)=>(n=void 0,Reflect.defineProperty(...e)),deleteProperty:(...e)=>(n=void 0,Reflect.deleteProperty(...e)),ownKeys:e=>(n||(n=Reflect.ownKeys(e).sort(null!=s?s:U(t))),n)})}(n,t,null==s?void 0:s.flattenedFieldsComparator)}const U=e=>{const t=new Set(null==e?void 0:e.metaFields),s=new Map;let n,o;const r=(e,t)=>(n=s.get(e),void 0===n&&(n=e.toLowerCase(),s.set(e,n)),o=s.get(t),void 0===o&&(o=t.toLowerCase(),s.set(t,o)),n<o?-1:n>o?1:0);return(e,s)=>{if("symbol"==typeof e||"symbol"==typeof s)return 0;const n=t.has(e),o=t.has(s);return n&&o?r(e,s):n?1:o?-1:r(e,s)}},B=({search:e})=>Object(p.fromPromise)((async({input:{index:t,endTimestamp:s,startTimestamp:n,timeField:o,messageField:r,categoryTerms:i,additionalFilters:a=[],dataView:c},signal:d})=>{var l,p;const h=(({index:e,timeField:t,messageField:s,startTimestamp:n,endTimestamp:o,additionalFilters:r=[],categoryTerms:i="",documentCount:a=20})=>({index:e,size:a,track_total_hits:!1,sort:[{[t]:{order:"desc"}}],query:{bool:{filter:[{exists:{field:s}},{range:{[t]:{gte:n,lte:o,format:"strict_date_time"}}},T(s)(i),...r]}}}))({index:t,timeField:o,messageField:r,startTimestamp:n,endTimestamp:s,additionalFilters:a,categoryTerms:i}),{rawResponse:f}=await Object(u.lastValueFrom)(e({params:h},{abortSignal:d}));return{categoryDocuments:null!==(l=null===(p=f.hits)||void 0===p?void 0:p.hits.map((e=>({row:{raw:e._source,flattened:z(e,c)}}))))&&void 0!==l?l:[]}})),W=Object(p.setup)({types:{input:{},output:{},context:{},events:{}},actors:{getCategoryDocuments:h()},actions:{storeCategory:Object(p.assign)((({context:e,event:t},s)=>({expandedCategory:s.category,expandedRowIndex:s.rowIndex}))),storeDocuments:Object(p.assign)((({context:e,event:t},s)=>({categoryDocuments:s.categoryDocuments}))),storeError:Object(p.assign)(((e,t)=>({error:t.error instanceof Error?t.error:new Error(String(t.error))})))},guards:{hasCategory:(e,t)=>null!==t.expandedCategory,hasDocumentExamples:(e,t)=>null!==t.categoryDocuments&&t.categoryDocuments.length>0}}).createMachine({id:"logCategoryDetails",context:({input:e})=>({expandedCategory:null,expandedRowIndex:null,categoryDocuments:[],parameters:e}),initial:"idle",states:{idle:{on:{setExpandedCategory:{target:"checkingCategoryState",actions:[{type:"storeCategory",params:({event:e})=>e}]}}},checkingCategoryState:{always:[{guard:{type:"hasCategory",params:({event:e,context:t})=>({expandedCategory:t.expandedCategory})},target:"#hasCategory.fetchingDocuments"},{target:"idle"}]},hasCategory:{id:"hasCategory",initial:"fetchingDocuments",on:{setExpandedCategory:{target:"checkingCategoryState",actions:[{type:"storeCategory",params:({event:e})=>e}]}},states:{fetchingDocuments:{invoke:{src:"getCategoryDocuments",id:"fetchCategoryDocumentExamples",input:({context:e})=>({...e.parameters,categoryTerms:e.expandedCategory.terms}),onDone:[{guard:{type:"hasDocumentExamples",params:({event:e})=>e.output},target:"hasData",actions:[{type:"storeDocuments",params:({event:e})=>e.output}]},{target:"noData",actions:[{type:"storeDocuments",params:({event:e})=>({categoryDocuments:[]})}]}],onError:{target:"error",actions:[{type:"storeError",params:({event:e})=>({error:e.error})}]}}},hasData:{},noData:{},error:{}}}},output:({context:e})=>({categoryDocuments:e.categoryDocuments})});var K=s(97),q=s(98),G=s(14);const J=({error:e})=>{var t,s;return Object(G.jsx)(K.EuiEmptyPrompt,{color:"danger",iconType:"error",title:Object(G.jsx)("h2",null,Y),body:Object(G.jsx)(K.EuiCodeBlock,{className:"eui-textLeft",whiteSpace:"pre"},Object(G.jsx)("p",null,null!==(t=null!==(s=null==e?void 0:e.stack)&&void 0!==s?s:null==e?void 0:e.toString())&&void 0!==t?t:X)),layout:"vertical"})},Y=q.i18n.translate("xpack.observabilityLogsOverview.logCategories.errorTitle",{defaultMessage:"Failed to categorize logs"}),X=q.i18n.translate("xpack.observabilityLogsOverview.logCategories.unknownErrorDescription",{defaultMessage:"An unspecified error occurred."}),H=({onCancel:e,stage:t})=>Object(G.jsx)(K.EuiEmptyPrompt,{icon:Object(G.jsx)(K.EuiLoadingSpinner,{size:"xl"}),title:Object(G.jsx)("h2",null,"counting"===t?Q:ee),actions:null!=e?[Object(G.jsx)(K.EuiButton,{"data-test-subj":"o11yLogCategoriesLoadingContentButton",onClick:()=>{e()}},te)]:[]}),Q=q.i18n.translate("xpack.observabilityLogsOverview.logCategoriesGrid.loadingStageCountingTitle",{defaultMessage:"Estimating log volume"}),ee=q.i18n.translate("xpack.observabilityLogsOverview.logCategoriesGrid.loadingStageCategorizingTitle",{defaultMessage:"Categorizing logs"}),te=q.i18n.translate("xpack.observabilityLogsOverview.logCategoriesGrid.loadingStateCancelButtonLabel",{defaultMessage:"Cancel"});var se=s(99);const ne=({logCategory:e})=>{const t=Object(K.useEuiTheme)(),{euiTheme:s}=t,r=Object(n.useMemo)((()=>(e=>e.terms.split(" "))(e)),[e]),i=Object(G.css)("display:inline-block;font-family:",s.font.familyCode,";margin-right:",s.size.xs,";",""),a=Object(G.css)(i,";",""),c=Object(G.css)(i,";color:",s.colors.successText,";","");return Object(G.jsx)("pre",null,Object(G.jsx)("div",{css:c},"*"),r.map(((e,t)=>Object(G.jsx)(o.a.Fragment,{key:t},Object(G.jsx)("div",{css:a},e),Object(G.jsx)("div",{css:c},"*")))))};var oe=s(203),re=s(36),ie=s.n(re),ae=s(102);let ce=function(e){return e.trace="trace",e.debug="debug",e.info="info",e.notice="notice",e.warning="warning",e.error="error",e.critical="critical",e.alert="alert",e.emergency="emergency",e.fatal="fatal",e}({});const de={maxWidth:Object(K.mathWithUnits)(ae.euiThemeVars.euiSize,(e=>7.5*e))},ue=({logLevel:e,fallback:t,"data-test-subj":s="logLevelBadge",...n})=>{const{euiTheme:o}=Object(K.useEuiTheme)(),r=(e=>{const t=Array.isArray(e)?e[0]:e;if("string"!=typeof t)return;const s=t.trim().toLowerCase();return s.startsWith("trace")?ce.trace:s.startsWith("deb")?ce.debug:s.startsWith("info")?ce.info:s.startsWith("not")?ce.notice:s.startsWith("warn")?ce.warning:s.startsWith("err")?ce.error:s.startsWith("cri")||s.startsWith("sev")?ce.critical:s.startsWith("ale")?ce.alert:s.startsWith("emer")?ce.emergency:s.startsWith("fatal")?ce.fatal:void 0})(e),i=r?((e,t)=>{const s=Object(K.euiPaletteForTemperature)(6),n=Object(K.euiPaletteForStatus)(9);switch(e){case ce.debug:return s[2];case ce.info:return s[1];case ce.notice:return s[0];case ce.warning:return n[4];case ce.error:return n[5];case ce.critical:return n[6];case ce.alert:return n[7];case ce.emergency:case ce.fatal:return n[8];default:return t.colors.lightShade}})(r,o):void 0,a=n;return i&&r?Object(G.jsx)(K.EuiBadge,ie()({},a,{color:i,"data-test-subj":`${s}-${r}`,css:de}),e):t||Object(G.jsx)(K.EuiBadge,ie()({},a,{color:"hollow","data-test-subj":`${s}-unknown`,css:de}),e)},le="logLevelBadgeCell",pe={marginTop:"-4px"};var he=s(108);const fe=Object(he.a)((()=>s.e(11).then(s.bind(null,205)))),me=({dependencies:e,timestamp:t})=>{const s=Object(n.useMemo)((()=>e.uiSettings.client.get("dateFormat")),[e.uiSettings.client]);return t?s?Object(G.jsx)(o.a.Fragment,null,v()(t).format(s)):Object(G.jsx)(o.a.Fragment,null,t):null},ge=e=>{const t=e.row.flattened["log.level"];return t?Object(G.jsx)(ue,{logLevel:t,fallback:Object(G.jsx)("span",{"data-test-subj":`${le}-unknown`},t),"data-test-subj":le,css:pe}):Object(G.jsx)("span",{"data-test-subj":`${le}-empty`},"-")};const ye=({categoryDocuments:e,dependencies:t,logsSource:s})=>{const n=[{field:"row",name:"Timestamp",width:"25%",render:e=>Object(G.jsx)(me,{dependencies:t,timestamp:e.raw[s.timestampField]})},{field:"row",name:"Log level",width:"10%",render:e=>Object(G.jsx)(ge,{rowIndex:0,colIndex:0,columnId:"row",isExpandable:!0,isExpanded:!1,isDetails:!1,row:e,dataView:s.dataView,fieldFormats:t.fieldFormats,setCellProps:()=>{},closePopover:()=>{}})},{field:"row",name:"Summary",width:"65%",render:e=>Object(G.jsx)(fe,{rowIndex:0,colIndex:0,columnId:"_source",isExpandable:!0,isExpanded:!1,isDetails:!1,row:e,dataView:s.dataView,fieldFormats:t.fieldFormats,setCellProps:()=>{},closePopover:()=>{},density:oe.a.COMPACT,rowHeight:oe.b.single,shouldShowFieldHandler:()=>!1,core:t.core,share:t.share})}];return Object(G.jsx)(o.a.Fragment,null,Object(G.jsx)(K.EuiText,{size:"xs",color:"subdued"},q.i18n.translate("xpack.observabilityLogsOverview.logCategoryDocumentExamplesTable.documentCountText",{defaultMessage:"Displaying the latest {documentsCount} documents.",values:{documentsCount:e.length}})),Object(G.jsx)(K.EuiSpacer,{size:"s"}),Object(G.jsx)(K.EuiBasicTable,{tableCaption:q.i18n.translate("xpack.observabilityLogsOverview.logCategoryDocumentExamplesTable.tableCaption",{defaultMessage:"Log category example documents table"}),items:e,columns:n}))},ve=({message:e})=>Object(G.jsx)(K.EuiEmptyPrompt,{icon:Object(G.jsx)(K.EuiLoadingSpinner,{size:"xl"}),title:Object(G.jsx)("h2",null,e)}),_e=({error:e,title:t})=>{var s,n;return Object(G.jsx)(K.EuiEmptyPrompt,{color:"danger",iconType:"error",title:Object(G.jsx)("h2",null,t),body:Object(G.jsx)(K.EuiCodeBlock,{className:"eui-textLeft",whiteSpace:"pre"},Object(G.jsx)("p",null,null!==(s=null!==(n=null==e?void 0:e.stack)&&void 0!==n?n:null==e?void 0:e.toString())&&void 0!==s?s:be)),layout:"vertical"})},be=q.i18n.translate("xpack.observabilityLogsOverview.logCategoryDetails.unknownErrorDescription",{defaultMessage:"An unspecified error occurred."});var xe=s(101),we=s(119);const Se=o.a.memo((({dependencies:{share:e},documentFilters:t,logsSource:s,timeRange:o})=>{const r=Object(n.useMemo)((()=>({dataViewSpec:{id:s.indexName,name:s.indexName,title:s.indexName,timeFieldName:s.timestampField},timeRange:{from:o.start,to:o.end},filters:null==t?void 0:t.map((e=>{var t,n;return Object(xe.buildCustomFilter)(s.indexName,e.filter,!1,!1,null!==(t=null===(n=e.meta)||void 0===n?void 0:n.name)&&void 0!==t?t:Te,xe.FilterStateStore.APP_STATE)}))})),[t,s.indexName,s.timestampField,o.end,o.start]),i=Object(n.useMemo)((()=>e.url.locators.get("DISCOVER_APP_LOCATOR")),[e.url.locators]),a=Object(n.useMemo)((()=>null==i?void 0:i.getRedirectUrl(r)),[r,i]),c=Object(n.useCallback)((()=>{null==i||i.navigate(r)}),[r,i]),d=Object(we.a)({href:a,onClick:c});return Object(G.jsx)(K.EuiButton,ie()({},d,{color:"primary",iconType:"discoverApp","data-test-subj":"logsExplorerDiscoverFallbackLink"}),Ze)})),Ze=q.i18n.translate("xpack.observabilityLogsOverview.discoverLinkTitle",{defaultMessage:"Open in Discover"}),Te=q.i18n.translate("xpack.observabilityLogsOverview.categorizedLogsFilterLabel",{defaultMessage:"Categorized log entries"}),Ie=({onCloseFlyout:e,logCategory:t,categoryDetailsServiceState:s,dependencies:o,logsSource:r,documentFilters:i,timeRange:a})=>{const c=Object(K.useGeneratedHtmlId)({prefix:"flyoutTitle"}),d=Object(n.useMemo)((()=>[...i?i.map((e=>({filter:e}))):[],{filter:T(r.messageField)(t.terms),meta:{name:q.i18n.translate("xpack.observabilityLogsOverview.logCategoryDetailsFlyout.discoverLinkFilterName",{defaultMessage:"Category: {terms}",values:{terms:t.terms}})}}]),[i,t.terms,r.messageField]);return Object(G.jsx)(K.EuiFlyout,{ownFocus:!0,onClose:()=>e(),"aria-labelledby":c},Object(G.jsx)(K.EuiFlyoutHeader,{hasBorder:!0},Object(G.jsx)(K.EuiFlexGroup,{alignItems:"center"},Object(G.jsx)(K.EuiFlexItem,null,Object(G.jsx)(K.EuiTitle,{size:"m"},Object(G.jsx)("h2",{id:c},Object(G.jsx)(se.FormattedMessage,{id:"xpack.observabilityLogsOverview.logCategoryDetailsFlyout.title",defaultMessage:"Category details"}))),Object(G.jsx)(K.EuiSpacer,{size:"s"}),Object(G.jsx)(ne,{logCategory:t})),Object(G.jsx)(K.EuiFlexItem,{grow:!1},Object(G.jsx)(Se,{dependencies:o,timeRange:a,logsSource:r,documentFilters:d})))),Object(G.jsx)(K.EuiFlyoutBody,null,s.matches({hasCategory:"fetchingDocuments"})?Object(G.jsx)(ve,{message:q.i18n.translate("xpack.observabilityLogsOverview.logCategoryDetailsFlyout.loadingMessage",{defaultMessage:"Loading latest documents"})}):s.matches({hasCategory:"error"})?Object(G.jsx)(_e,{title:q.i18n.translate("xpack.observabilityLogsOverview.logCategoryDetailsFlyout.fetchingDocumentsErrorTitle",{defaultMessage:"Failed to fetch documents"})}):Object(G.jsx)(ye,{dependencies:o,categoryDocuments:s.context.categoryDocuments,logsSource:r})))},Ce=o.a.memo((({dependencies:e,documentFilters:t,logsSource:s,timeRange:o})=>{const r=Object(n.useMemo)((()=>null==t?void 0:t.map((e=>({filter:e})))),[t]);return Object(G.jsx)(K.EuiFlexGroup,{direction:"row",justifyContent:"flexEnd",alignItems:"center",gutterSize:"s"},Object(G.jsx)(K.EuiFlexItem,{grow:!1},Object(G.jsx)(Se,{dependencies:e,documentFilters:r,logsSource:s,timeRange:o})))})),ke={id:"change_time",display:q.i18n.translate("xpack.observabilityLogsOverview.logCategoriesGrid.changeTimeColumnLabel",{defaultMessage:"Change at"}),isSortable:!0,initialWidth:220,schema:"datetime"},Oe=({dependencies:e,logCategory:t})=>{const s=Object(n.useMemo)((()=>e.uiSettings.client.get("dateFormat")),[e.uiSettings.client]);return"timestamp"in t.change&&null!=t.change.timestamp?s?Object(G.jsx)(o.a.Fragment,null,v()(t.change.timestamp).format(s)):Object(G.jsx)(o.a.Fragment,null,t.change.timestamp):null},je={id:"change_type",display:q.i18n.translate("xpack.observabilityLogsOverview.logCategoriesGrid.changeTypeColumnLabel",{defaultMessage:"Change type"}),isSortable:!0,initialWidth:110},Ee=({logCategory:e})=>{switch(e.change.type){case"dip":return Object(G.jsx)(K.EuiBadge,{color:"hollow"},Pe);case"spike":return Object(G.jsx)(K.EuiBadge,{color:"hollow"},Ae);case"step":return Object(G.jsx)(K.EuiBadge,{color:"hollow"},Ne);case"distribution":return Object(G.jsx)(K.EuiBadge,{color:"hollow"},Me);case"rare":return Object(G.jsx)(K.EuiBadge,{color:"hollow"},$e);case"trend":return Object(G.jsx)(K.EuiBadge,{color:"hollow"},De);case"other":return Object(G.jsx)(K.EuiBadge,{color:"hollow"},Le);case"none":return Object(G.jsx)(o.a.Fragment,null,"-");default:return Object(G.jsx)(K.EuiBadge,{color:"hollow"},Re)}},Pe=q.i18n.translate("xpack.observabilityLogsOverview.logCategories.dipChangeTypeBadgeLabel",{defaultMessage:"Dip"}),Ae=q.i18n.translate("xpack.observabilityLogsOverview.logCategories.spikeChangeTypeBadgeLabel",{defaultMessage:"Spike"}),Ne=q.i18n.translate("xpack.observabilityLogsOverview.logCategories.spikeChangeTypeBadgeLabel",{defaultMessage:"Step"}),Me=q.i18n.translate("xpack.observabilityLogsOverview.logCategories.distributionChangeTypeBadgeLabel",{defaultMessage:"Distribution"}),De=q.i18n.translate("xpack.observabilityLogsOverview.logCategories.spikeChangeTypeBadgeLabel",{defaultMessage:"Trend"}),Le=q.i18n.translate("xpack.observabilityLogsOverview.logCategories.otherChangeTypeBadgeLabel",{defaultMessage:"Other"}),Re=q.i18n.translate("xpack.observabilityLogsOverview.logCategories.unknownChangeTypeBadgeLabel",{defaultMessage:"Unknown"}),$e=q.i18n.translate("xpack.observabilityLogsOverview.logCategories.rareChangeTypeBadgeLabel",{defaultMessage:"Rare"}),Fe={id:"count",display:q.i18n.translate("xpack.observabilityLogsOverview.logCategoriesGrid.countColumnLabel",{defaultMessage:"Events"}),isSortable:!0,schema:"numeric",initialWidth:100},Ve=({logCategory:e})=>Object(G.jsx)(se.FormattedNumber,{value:e.documentCount});var ze=s(104);const Ue={id:"history",display:q.i18n.translate("xpack.observabilityLogsOverview.logCategoriesGrid.histogramColumnLabel",{defaultMessage:"Timeline"}),isSortable:!1,initialWidth:250,isExpandable:!1},Be=({dependencies:{charts:e},logCategory:t})=>{const s=e.theme.useChartsBaseTheme(),n=e.theme.useSparklineOverrides();return Object(G.jsx)(ze.Chart,null,Object(G.jsx)(ze.Tooltip,{type:ze.TooltipType.None}),Object(G.jsx)(ze.Settings,{baseTheme:s,showLegend:!1,theme:[n,We]}),Object(G.jsx)(ze.BarSeries,{data:t.histogram,id:"documentCount",xAccessor:qe,xScaleType:"time",yAccessors:["documentCount"],yScaleType:"linear",enableHistogramMode:!0}),"timestamp"in t.change&&null!=t.change.timestamp?Object(G.jsx)(ze.LineAnnotation,{id:"change",dataValues:[{dataValue:new Date(t.change.timestamp).getTime()}],domainType:"xDomain",style:Ke}):null)},We={scales:{histogramPadding:.1},background:{color:"transparent"}},Ke={line:{strokeWidth:2}},qe=e=>new Date(e.timestamp).getTime(),Ge={id:"pattern",display:q.i18n.translate("xpack.observabilityLogsOverview.logCategoriesGrid.patternColumnLabel",{defaultMessage:"Pattern"}),isSortable:!1,schema:"string"},Je=({logCategory:e})=>Object(G.jsx)(ne,{logCategory:e}),Ye=({rowIndex:e,columnId:t,isExpanded:s,...n})=>{const{dependencies:r,logCategories:i}=et(n),a=i[e];switch(t){case"pattern":return Object(G.jsx)(Je,{logCategory:a});case"count":return Object(G.jsx)(Ve,{logCategory:a});case"history":return Object(G.jsx)(Be,{dependencies:r,logCategory:a});case"change_type":return Object(G.jsx)(Ee,{logCategory:a});case"change_time":return Object(G.jsx)(Oe,{dependencies:r,logCategory:a});default:return Object(G.jsx)(o.a.Fragment,null,"-")}},Xe=[Ge,Fe,je,ke,Ue],He=Xe.map((({id:e})=>e)),Qe="cellContext",et=e=>Qe in e?e[Qe]:{},tt=(e,t)=>({[Qe]:{dependencies:t,logCategories:e}}),st=({expandedRowIndex:e,onOpenFlyout:t,onCloseFlyout:s})=>o=>{const{rowIndex:r}=o,{logCategories:i}=et(o),a=i[r],c=e===r,d=Object(n.useCallback)((()=>{c?s():t(a,r)}),[c,a,r]);return Object(G.jsx)(nt,{isCurrentRowExpanded:c,onClickHandler:d})},nt=({isCurrentRowExpanded:e,onClickHandler:t})=>Object(G.jsx)(K.EuiToolTip,{content:ot},Object(G.jsx)(K.EuiButtonIcon,{size:"xs",iconSize:"s","aria-label":ot,"data-test-subj":"logsOverviewLogCategoriesGridExpandButton",onClick:t,color:e?"primary":"text",iconType:e?"minimize":"expand",isSelected:e})),ot=q.i18n.translate("xpack.observabilityLogsOverview.logCategoriesGrid.controlColumns.toggleFlyout",{defaultMessage:"Toggle flyout with details"}),rt=e=>{const{expandedRowIndex:t,onOpenFlyout:s,onCloseFlyout:n}=e;return[{id:"toggleFlyout",width:40,headerCellRender:()=>Object(G.jsx)(K.EuiScreenReaderOnly,null,Object(G.jsx)("span",null,q.i18n.translate("xpack.observabilityLogsOverview.controlColumnHeader",{defaultMessage:"Control column"}))),rowCellRender:st({expandedRowIndex:t,onOpenFlyout:s,onCloseFlyout:n})}]},it=({dependencies:e,logCategories:t,expandedRowIndex:s,onOpenFlyout:o,onCloseFlyout:r})=>{const[i,a]=Object(l.useMachine)(at,{input:{visibleColumns:Xe.map((({id:e})=>e))},inspect:ct}),c=Object(n.useMemo)((()=>{const e=i.context.sortingColumns.map((({id:e,direction:t})=>{switch(e){case"count":return[e=>e.documentCount,t];case"change_type":return[e=>e.change.type,t];case"change_time":return[e=>{var t;return"timestamp"in e.change&&null!==(t=e.change.timestamp)&&void 0!==t?t:""},t];default:return[d.a.identity,t]}}));return d.a.orderBy(t,e.map((([e])=>e)),e.map((([,e])=>e)))}),[i.context.sortingColumns,t]);return Object(G.jsx)(K.EuiDataGrid,{"aria-label":dt,columns:Xe,columnVisibility:{visibleColumns:i.context.visibleColumns,setVisibleColumns:e=>a({type:"changeVisibleColumns",visibleColumns:e})},cellContext:tt(c,e),pagination:{...i.context.pagination,onChangeItemsPerPage:e=>a({type:"changePageSize",pageSize:e}),onChangePage:e=>a({type:"changePageIndex",pageIndex:e})},renderCellValue:Ye,rowCount:c.length,sorting:{columns:i.context.sortingColumns,onSort:e=>a({type:"changeSortingColumns",sortingColumns:e})},leadingControlColumns:rt({expandedRowIndex:s,onOpenFlyout:o,onCloseFlyout:r})})},at=Object(p.setup)({types:{context:{},events:{},input:{}}}).createMachine({id:"logCategoriesGridState",context:({input:e})=>({visibleColumns:e.visibleColumns,pagination:{pageIndex:0,pageSize:20,pageSizeOptions:[10,20,50]},sortingColumns:[{id:"change_time",direction:"desc"}]}),on:{changePageSize:{actions:Object(p.assign)((({context:e,event:t})=>({pagination:{...e.pagination,pageIndex:0,pageSize:t.pageSize}})))},changePageIndex:{actions:Object(p.assign)((({context:e,event:t})=>({pagination:{...e.pagination,pageIndex:t.pageIndex}})))},changeSortingColumns:{actions:Object(p.assign)((({event:e})=>({sortingColumns:e.sortingColumns.filter((e=>He.includes(e.id)))})))},changeVisibleColumns:{actions:Object(p.assign)((({event:e})=>({visibleColumns:e.visibleColumns})))}}}),ct=()=>{},dt=q.i18n.translate("xpack.observabilityLogsOverview.logCategoriesGrid.euiDataGrid.logCategoriesLabel",{defaultMessage:"Log categories"}),ut=({dependencies:e,documentFilters:t,logCategories:s,logsSource:n,timeRange:o,categoryDetailsServiceState:r,onCloseFlyout:i,onOpenFlyout:a})=>0===s.length?Object(G.jsx)(lt,null):Object(G.jsx)(K.EuiFlexGroup,{direction:"column",gutterSize:"m"},Object(G.jsx)(K.EuiFlexItem,{grow:!1},Object(G.jsx)(Ce,{dependencies:e,documentFilters:t,logsSource:n,timeRange:o})),Object(G.jsx)(K.EuiFlexItem,{grow:!0},Object(G.jsx)(it,{dependencies:e,logCategories:s,expandedRowIndex:r.context.expandedRowIndex,onOpenFlyout:a,onCloseFlyout:i}),r.context.expandedCategory&&Object(G.jsx)(Ie,{logCategory:r.context.expandedCategory,onCloseFlyout:i,categoryDetailsServiceState:r,logsSource:n,dependencies:e,documentFilters:t,timeRange:o}))),lt=()=>Object(G.jsx)(K.EuiEmptyPrompt,{body:Object(G.jsx)("p",null,ht),color:"subdued",layout:"horizontal",title:Object(G.jsx)("h2",null,pt),titleSize:"m"}),pt=q.i18n.translate("xpack.observabilityLogsOverview.logCategories.emptyResultContentTitle",{defaultMessage:"No log categories found"}),ht=q.i18n.translate("xpack.observabilityLogsOverview.logCategories.emptyResultContentDescription",{defaultMessage:"No suitable documents within the time range. Try searching for a longer time period."}),ft=({dependencies:e,documentFilters:t=[],logsSource:s,timeRange:o})=>{const[r,i]=Object(l.useMachine)($.provide((({search:e})=>({actors:{categorizeDocuments:C({search:e}),countDocuments:R({search:e})}}))({search:e.search})),{inspect:mt,input:{index:s.indexName,startTimestamp:o.start,endTimestamp:o.end,timeField:s.timestampField,messageField:s.messageField,documentFilters:t}}),[a,c]=Object(l.useMachine)(W.provide((({search:e})=>({actors:{getCategoryDocuments:B({search:e})}}))({search:e.search})),{inspect:mt,input:{index:s.indexName,startTimestamp:o.start,endTimestamp:o.end,timeField:s.timestampField,messageField:s.messageField,additionalFilters:t,dataView:s.dataView}}),d=Object(n.useCallback)((()=>{i({type:"cancel"})}),[i]),u=Object(n.useCallback)((()=>{c({type:"setExpandedCategory",category:null,rowIndex:null})}),[c]),p=Object(n.useCallback)(((e,t)=>{c({type:"setExpandedCategory",category:e,rowIndex:t})}),[c]);return r.matches("done")?Object(G.jsx)(ut,{dependencies:e,documentFilters:t,logCategories:r.context.categories,logsSource:s,timeRange:o,categoryDetailsServiceState:a,onCloseFlyout:u,onOpenFlyout:p}):r.matches("failed")?Object(G.jsx)(J,{error:r.context.error}):r.matches("countingDocuments")?Object(G.jsx)(H,{onCancel:d,stage:"counting"}):r.matches("fetchingSampledCategories")||r.matches("fetchingRemainingCategories")?Object(G.jsx)(H,{onCancel:d,stage:"categorizing"}):null},mt=()=>{},gt=({error:e})=>{var t,s;return Object(G.jsx)(K.EuiEmptyPrompt,{color:"danger",iconType:"error",title:Object(G.jsx)("h2",null,yt),body:Object(G.jsx)(K.EuiCodeBlock,{className:"eui-textLeft",whiteSpace:"pre"},Object(G.jsx)("p",null,null!==(t=null!==(s=null==e?void 0:e.stack)&&void 0!==s?s:null==e?void 0:e.toString())&&void 0!==t?t:vt)),layout:"vertical"})},yt=q.i18n.translate("xpack.observabilityLogsOverview.errorTitle",{defaultMessage:"Error"}),vt=q.i18n.translate("xpack.observabilityLogsOverview.unknownErrorDescription",{defaultMessage:"An unspecified error occurred."}),_t=({})=>Object(G.jsx)(K.EuiEmptyPrompt,{icon:Object(G.jsx)(K.EuiLoadingSpinner,{size:"xl"}),title:Object(G.jsx)("h2",null,bt)}),bt=q.i18n.translate("xpack.observabilityLogsOverview.loadingTitle",{defaultMessage:"Loading"}),xt=o.a.memo((({dependencies:e,documentFilters:t=wt,logsSource:s=St,timeRange:n})=>{const o=i()((()=>(({logsDataAccess:e,dataViewsService:t})=>async s=>{var n,o,r,i;switch(s.type){case"index_name":return{...s,dataView:await a(s,t)};case"shared_setting":const c={type:"index_name",indexName:(await e.services.logSourcesService.getLogSources()).map((e=>e.indexPattern)).join(","),timestampField:null!==(n=s.timestampField)&&void 0!==n?n:"@timestamp",messageField:null!==(o=s.messageField)&&void 0!==o?o:"message"};return{...c,dataView:await a(c,t)};case"data_view":return{type:"index_name",indexName:s.dataView.getIndexPattern(),timestampField:null!==(r=s.dataView.timeFieldName)&&void 0!==r?r:"@timestamp",messageField:null!==(i=s.messageField)&&void 0!==i?i:"message",dataView:s.dataView}}})({logsDataAccess:e.logsDataAccess,dataViewsService:e.dataViews})(s)),[e.dataViews,e.logsDataAccess,s]);return o.loading?Object(G.jsx)(_t,null):null!=o.error||null==o.value?Object(G.jsx)(gt,{error:o.error}):Object(G.jsx)(ft,{dependencies:e,documentFilters:t,logsSource:o.value,timeRange:n})})),wt=[],St={type:"shared_setting"}}}]);