/*! Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one or more contributor license agreements.
 * Licensed under the Elastic License 2.0; you may not use this file except in compliance with the Elastic License 2.0. */
(window.searchNotebooks_bundle_jsonpfunction=window.searchNotebooks_bundle_jsonpfunction||[]).push([[1],{25:function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(22),s=o(0),a=n.__importDefault(o(27));t.default=function(e,t){var o=s.useState(t),n=o[0],i=o[1];return a.default((function(){var t=e.subscribe(i);return function(){return t.unsubscribe()}}),[e]),n}},26:function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.setEuiDevProviderWarning=t.getEuiDevProviderWarning=t.emitEuiProviderWarning=void 0;var n=void 0;t.setEuiDevProviderWarning=function(e){return n=e},t.getEuiDevProviderWarning=function(){return n},t.emitEuiProviderWarning=function(e){if("function"==typeof n)return n(e);switch(n){case"log":console.log(e);break;case"warn":console.warn(e);break;case"error":throw new Error(e)}}},27:function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(0),s="undefined"!=typeof window?n.useLayoutEffect:n.useEffect;t.default=s},29:function(e,t,o){"use strict";o.r(t),o.d(t,"SearchNotebooksView",(function(){return ae}));var n=o(0),s=o.n(n),a=o(19),i=o(10),r=o.n(i),c=o(25),l=o.n(c),u=o(17),b=o(20),d=o(26),j=o(21),h=o.n(j);const k="eui-global",x="eui-utilities",p=e=>e.darkMode?u.COLOR_MODES_STANDARD.dark:u.COLOR_MODES_STANDARD.light,g={darkMode:!1};var m=o(1);const O=[u.euiStylisPrefixer],y=h()({key:"css",stylisPlugins:O,container:document.querySelector('meta[name="emotion"]')}),f=h()({key:k,stylisPlugins:O,container:document.querySelector(`meta[name="${k}"]`)}),v=h()({key:x,stylisPlugins:O,container:document.querySelector(`meta[name="${x}"]`)});y.compat=!0,f.compat=!0,v.compat=!0;const E={default:y,global:f,utility:v},w=({theme:{theme$:e},globalStyles:t,colorMode:o,modify:s,children:a})=>{const i=l()(e,g),r=Object(n.useMemo)((()=>p(i)),[i]),c=o||r,b=!1!==t&&void 0;return Object(m.jsx)(u.EuiProvider,{cache:E,modify:s,colorMode:c,globalStyles:b,utilityClasses:b},a)},S=({theme:{theme$:e},euiTheme:t,children:o,...s})=>{const a=l()(e,g),i=Object(n.useMemo)((()=>p(a)),[a]);return Object(m.jsx)(u.EuiThemeProvider,r()({colorMode:i,theme:t},s),o)},C=({theme:e,children:t,...o})=>Object(b.useIsNestedEuiProvider)()?Object(m.jsx)(S,r()({theme:e},o),t):(Object(d.emitEuiProviderWarning)("KibanaThemeProvider requires a parent KibanaRenderContextProvider.  Check your React tree and ensure that they are wrapped in a KibanaRenderContextProvider."),Object(m.jsx)(w,{theme:e,globalStyles:!1},t));var N=o(3),P=o(18);const M={id:"introduction",title:P.i18n.translate("xpack.searchNotebooks.introductionNotebook.title",{defaultMessage:"Jupyter notebooks"}),description:P.i18n.translate("xpack.searchNotebooks.introductionNotebook.description",{defaultMessage:"Learn all about Jupyter notebooks, how to preview them in the UI, and how to run them."}),notebook:{cells:[{cell_type:"markdown",source:["# What are Jupyter notebooks?\n","\n","Jupyter Notebooks combine executable code and rich Markdown documentation in a single interactive document. Easy to run, edit and share, they enable collaboration in fields like data science, scientific computing, and machine learning.","\n","\n","Notebooks are composed of cells, which can contain Markdown text like this, or Python code like the cell below.\n"]},{cell_type:"code",source:['print("Hello world!!!")\n']},{cell_type:"markdown",source:["\nNotebooks are a great way to test and prototype code, and share results with others. In our notebooks we use the official [Elasticsearch Python client](https://elasticsearch-py.readthedocs.io/en/latest/) to call the Elasticsearch APIs."]},{cell_type:"markdown",source:["## Elastic Jupyter notebooks\n","\n","You can **preview** a number of our Jupyter notebooks right here in the UI. Check out the next section for how to **run** notebooks.\n","\nFind all of our available notebooks in the `elasticsearch-labs` [GitHub repository](https://github.com/elastic/elasticsearch-labs).","\n","## How to run notebooks\n","\n","You can run notebooks in two ways:","\n","- **Run in Colab**: You can run all our notebooks in Google [Colab](https://colab.research.google.com), a free, zero configuration, in-browser notebook execution environment. Just click the `Open in Colab` button at the top of a notebook to test it in Colab.\n","- **Run locally**: You can also download the notebooks from the repository and run them locally using tools like [JupyterLab](https://jupyter.org/install).\n","\n","ℹ️ Just make sure to copy your **Elasticsearch endpoint and API key** so the notebook can run against your deployment.\n","\n","## Learn more\n","\n","Check out [Elastic Search Labs](https://www.elastic.co/search-labs) for all the latest advanced content for Elasticsearch users, including additional Python examples."]}]}},_="introduction",T=()=>Object(a.useKibana)().services;var F=o(4);const z=()=>Object(m.jsx)(u.EuiPanel,{color:"subdued"},Object(m.jsx)(u.EuiLoadingSpinner,null)),I=({description:e,id:t,isSelected:o,title:n,onClick:a})=>{const{euiTheme:i}=Object(u.useEuiTheme)();return Object(m.jsx)(s.a.Fragment,null,Object(m.jsx)(u.EuiPanel,{"data-test-subj":`console-embedded-notebook-select-btn-${t}`,"data-telemdata-telemetry-id":`console-embedded-notebook-select-btn-${t}`,onClick:()=>a(t),color:o?"primary":"subdued",hasBorder:!0},Object(m.jsx)(u.EuiTitle,{size:"xxs"},Object(m.jsx)("h5",null,Object(m.jsx)(u.EuiTextColor,{color:i.colors.primaryText},n))),Object(m.jsx)(u.EuiSpacer,{size:"xs"}),Object(m.jsx)(u.EuiText,{size:"s",color:o?i.colors.primaryText:"subdued"},Object(m.jsx)("p",null,e))),Object(m.jsx)(u.EuiHorizontalRule,{margin:"none"}))},L=({notebooks:e,onNotebookSelect:t,selectedNotebookId:o})=>null===e?Object(m.jsx)(z,null):Object(m.jsx)(s.a.Fragment,null,e.map((e=>Object(m.jsx)(I,{key:e.id,id:e.id,title:e.title,description:e.description,onClick:t,isSelected:o===e.id})))),$=({children:e})=>Object(m.jsx)(s.a.Fragment,null,Object(m.jsx)(u.EuiPanel,{hasShadow:!1,paddingSize:"s"},Object(m.jsx)(u.EuiText,{size:"s",color:"subdued"},e)),Object(m.jsx)(u.EuiHorizontalRule,{margin:"none"}));function R(e){return null!=e}function W(e){return R(e)&&e.length>0}const D=(e,t="")=>Array.isArray(e)?e.join(t):e,q=({cell:e,language:t})=>{if(!e.cell_type)return null;const o=e.source?D(e.source):e.input?D(e.input):null;if(!o)return null;switch(e.cell_type){case"markdown":return Object(m.jsx)(u.EuiMarkdownFormat,null,o);case"code":return Object(m.jsx)(u.EuiCodeBlock,{language:t,lineNumbers:!0,isCopyable:!0},o);case"heading":return Object(m.jsx)(u.EuiTitle,null,Object(m.jsx)("h2",null,o))}return null},B=({output:e})=>R(e.text)&&e.text.length>0?Object(m.jsx)(u.EuiCodeBlock,null,D(e.text)):W(e.png)?Object(m.jsx)(A,{value:e.png}):W(e.jpeg)?Object(m.jsx)(K,{value:e.jpeg}):W(e.gif)?Object(m.jsx)(G,{value:e.gif}):R(e.data)?R(e.data["text/plain"])?Object(m.jsx)(u.EuiCodeBlock,null,D(e.data["text/plain"])):W(e.data["image/png"])?Object(m.jsx)(A,{value:e.data["image/png"]}):W(e.data["image/jpeg"])?Object(m.jsx)(K,{value:e.data["image/jpeg"]}):W(e.data["image/gif"])?Object(m.jsx)(G,{value:e.data["image/gif"]}):R(e.data["text/html"])?Object(m.jsx)(u.EuiCodeBlock,{lineNumbers:!0},D(e.data["text/html"])):R(e.data["application/javascript"])?Object(m.jsx)(u.EuiCodeBlock,{lineNumbers:!0},D(e.data["application/javascript"])):R(e.data["text/latex"])?Object(m.jsx)(u.EuiCodeBlock,{lineNumbers:!0},D(e.data["text/latex"])):null:null,J=({value:e,type:t})=>Object(m.jsx)("img",{src:`data:image/${t};base64,${e}`,alt:`output ${t} image`,style:{maxHeight:"400px",maxWidth:"400px"}}),A=({value:e})=>Object(m.jsx)(J,{value:e,type:"png"}),K=({value:e})=>Object(m.jsx)(J,{value:e,type:"jpeg"}),G=({value:e})=>Object(m.jsx)(J,{value:e,type:"gif"}),H=({notebook:e})=>{var t,o,n;const{euiTheme:s}=Object(u.useEuiTheme)(),a=null!==(t=null===(o=e.metadata)||void 0===o||null===(n=o.language_info)||void 0===n?void 0:n.name)&&void 0!==t?t:"python";return Object(m.jsx)(u.EuiFlexGroup,{direction:"column",gutterSize:"xl",style:{maxWidth:50*s.base+"px"},justifyContent:"center"},e.cells.map(((e,t)=>{var o;const n=null!==(o=e.id)&&void 0!==o?o:`nb.cell.${t}`;return e.outputs&&e.outputs.length>0?Object(m.jsx)(u.EuiFlexItem,{key:n},Object(m.jsx)(u.EuiFlexGroup,{direction:"column",gutterSize:"s"},Object(m.jsx)(u.EuiFlexItem,null,Object(m.jsx)(q,{cell:e,language:a})),e.outputs.map(((e,t)=>Object(m.jsx)(u.EuiFlexItem,{key:`${n}.output.${t}`},Object(m.jsx)(B,{output:e})))))):Object(m.jsx)(u.EuiFlexItem,{key:n},Object(m.jsx)(q,{cell:e,language:a}))})))};var Y=o(23),Q=o(2),U={name:"1flj9lk",styles:"text-align:left"};const V=({error:e,notebookId:t,usageTracker:o})=>(s.a.useEffect((()=>{o.count(["notebookViewError",`error-${t}`])}),[o,t]),Object(m.jsx)(u.EuiEmptyPrompt,{iconType:"warning",iconColor:"danger",title:Object(m.jsx)("h2",null,Object(m.jsx)(Y.FormattedMessage,{id:"xpack.searchNotebooks.notebook.fetchError.title",defaultMessage:"Error loading notebook"})),titleSize:"l",body:Object(m.jsx)(s.a.Fragment,null,Object(m.jsx)("p",null,Object(m.jsx)(Y.FormattedMessage,{id:"xpack.searchNotebooks.notebook.fetchError.body",defaultMessage:"We can't fetch the notebook from Kibana due to the following error:"})),void 0!==e&&"object"==typeof e?Object(m.jsx)(u.EuiCodeBlock,{css:U},JSON.stringify(e)):Object(m.jsx)("p",null,Object(Q.b)(e,P.i18n.translate("xpack.searchNotebooks.notebook.fetchError.unknownError",{defaultMessage:"Unknown error fetching notebook"}))))})),X=({notebookId:e})=>{const t=(()=>{const{usageTracker:e}=T();return e})(),{data:o,isLoading:s,error:a}=(e=>{const{http:t}=T();return Object(N.useQuery)({queryKey:["fetchSearchNotebook",e],queryFn:()=>t.get(`/internal/search_notebooks/notebooks/${e}`)})})(e);return Object(n.useEffect)((()=>{t.count(["view-notebook",`nb-${e}`])}),[t,e]),s?Object(m.jsx)(z,null):!o||a?Object(m.jsx)(V,{notebookId:e,usageTracker:t,error:a}):Object(m.jsx)(u.EuiPanel,{paddingSize:"xl",hasShadow:!1,style:{display:"flex",justifyContent:"center"},"data-test-subj":`console-embedded-notebook-view-panel-${e}`},Object(m.jsx)(H,{notebook:o.notebook}))},Z=()=>Object(m.jsx)(u.EuiPanel,{hasShadow:!1},Object(m.jsx)(u.EuiFlexGroup,{justifyContent:"center"},Object(m.jsx)(u.EuiButton,{href:"https://github.com/elastic/elasticsearch-labs/tree/main/notebooks",target:"_blank",iconSide:"right",iconType:"popout","data-test-subj":"console-notebooks-search-labs-btn","data-telemetry-id":"console-notebooks-search-labs-btn"},P.i18n.translate("xpack.searchNotebooks.searchLabsLink",{defaultMessage:"Browse all our notebooks"}))));var ee=o(7);const te="notebooksList",oe="notebooksOutput",ne={[te]:25,[oe]:75},se=()=>{var e;const[t,o]=Object(n.useState)(ne),[a,i]=Object(n.useState)(null!==(e=Object(ee.a)())&&void 0!==e?e:_),{data:r}=(()=>{const{http:e}=T(),t=(()=>{const{notebooks:{getNotebookList:e}}=T(),t=Object(n.useMemo)((()=>e()),[e]);return Object(n.useMemo)((()=>(()=>{const[,e]=(window.location.search||window.location.hash||"").split("?"),t=Object(F.parse)(e||"",{sort:!1});if(t&&t.nblist&&"string"==typeof t.nblist)return t.nblist})()),[])||t||void 0})();return Object(N.useQuery)({queryKey:[`fetchNotebooksCatalog-${null!=t?t:"default"}`],queryFn:()=>e.get("/internal/search_notebooks/notebooks",{query:{list:t}})})})(),c=Object(n.useCallback)((e=>{o((t=>({...t,...e})))}),[]);Object(n.useEffect)((()=>{r&&(void 0!==r.notebooks.find((e=>e.id===a))||i(_))}),[r,a]);const l=Object(n.useMemo)((()=>r?r.notebooks:null),[r]),b=Object(n.useCallback)((e=>{i(e)}),[]);return Object(m.jsx)(u.EuiResizableContainer,{style:{height:"100%",width:"100%"},onPanelWidthChange:c,"data-test-subj":"consoleEmbeddedNotebooksContainer"},((e,o)=>Object(m.jsx)(s.a.Fragment,null,Object(m.jsx)(e,{id:te,size:t[te],minSize:"10%",tabIndex:0,paddingSize:"none"},Object(m.jsx)(u.EuiFlexGroup,{direction:"column",gutterSize:"none"},Object(m.jsx)($,null,P.i18n.translate("xpack.searchNotebooks.notebooksList.introduction.title",{defaultMessage:"Introduction"})),Object(m.jsx)(I,{id:M.id,title:M.title,description:M.description,onClick:b,isSelected:a===M.id}),Object(m.jsx)($,null,P.i18n.translate("xpack.searchNotebooks.notebooksList.availableNotebooks.title",{defaultMessage:"Notebook previews"})),Object(m.jsx)(L,{notebooks:l,selectedNotebookId:a,onNotebookSelect:b}),Object(m.jsx)(Z,null))),Object(m.jsx)(o,null),Object(m.jsx)(e,{id:oe,size:t[oe],minSize:"200px",tabIndex:0,paddingSize:"none"},Object(m.jsx)(u.EuiFlexGroup,{direction:"column",gutterSize:"none"},Object(m.jsx)(u.EuiFlexItem,{grow:!1},Object(m.jsx)($,null,P.i18n.translate("xpack.searchNotebooks.notebooksList.activeNotebook.title",{defaultMessage:"Active notebook"}))),Object(m.jsx)(u.EuiFlexItem,null,Object(m.jsx)(X,{notebookId:a})))))))},ae=({core:e,queryClient:t,usageTracker:o,getNotebookList:n})=>(s.a.useEffect((()=>{o.count("opened_notebooks_view")}),[o]),Object(m.jsx)(C,{theme:e.theme},Object(m.jsx)(a.KibanaContextProvider,{services:{...e,notebooks:{getNotebookList:n},usageTracker:o}},Object(m.jsx)(N.QueryClientProvider,{client:t},Object(m.jsx)(se,null)))))}}]);